=== modified file 'ChangeLog'
--- ChangeLog	2005-11-24 12:16:38 +0000
+++ ChangeLog	2006-07-14 12:25:16 +0000
@@ -1,3 +1,34 @@
+Wed Jun  7 21:14:24 CEST 2006  Urs Fleisch  <ufleisch@users.sourceforge.net>
+
+	* Release 0.7
+
+	* New:
+	  + Export dialog can export tags as CSV, HTML, playlists, Kover
+	    XML and other formats. CSV files can be imported again.
+	  + Show/hide ID3v1.1/ID3v2.3 controls.
+	  + Custom strings can be used for ID3v2.3, Ogg/Vorbis and FLAC genres.
+	  + Automatic numbering of tracks.
+
+	* Improved:
+	  + Direct menus for freedb.org and MusicBrainz import.
+	  + freedb.org import has suggested search string, search history.
+	  + Imported tracks can be reordered to match track number, title
+	    or length.
+	  + Format while editing affects most operations, is split into separate
+	    options for filenames and tags, menu commands to apply
+	    filename format and tag format.
+	  + Case conversion is done before string replacements, so that "case
+	    exceptions" can be corrected.
+	  + Builds with libtunepimp 0.4.x.
+
+	* Fixed:
+	  + Remove temporary Ogg file when filename and tags are changed.
+	  + Mark file as changed when Ogg genre is changed.
+	  + Correct length restriction for ID3v1.1 comment.
+	  + Open directories with special characters from the command line.
+	  + Import from file/clipboard does not use durations from
+	    previous freedb.org import.
+
 Mon Oct 24 16:59:35 CEST 2005  Urs Fleisch  <ufleisch@users.sourceforge.net>
 
 	* Release 0.6

=== modified file 'Makefile.in'
--- Makefile.in	2005-11-24 12:16:38 +0000
+++ Makefile.in	2006-07-14 12:25:16 +0000
@@ -317,7 +317,7 @@
 #>+ 3
 	cd $(top_srcdir) && \
 	  $(AUTOMAKE) --gnu  Makefile
-	cd $(top_srcdir) && perl admin/am_edit -padmin kid3-0.6/Makefile.in
+	cd $(top_srcdir) && perl admin/am_edit -padmin kid3-0.7/Makefile.in
 Makefile:  $(srcdir)/Makefile.in  $(top_builddir)/config.status
 	cd $(top_builddir) && $(SHELL) ./config.status $@ $(am__depfiles_maybe)
 
@@ -741,11 +741,8 @@
 .NOEXPORT:
 
 
-
-
-
 #>+ 2
-KDE_DIST=configure.files kid3_ru.qm kid3_de.qm configure.in.in stamp-h.in subdirs Makefile.in kid3_de.html kid3_en.html Makefile.cvs kid3_es.qm LICENSE 
+KDE_DIST=configure.files kid3_ru.qm build-stamp kid3_de.qm configure.in.in stamp-h.in subdirs Makefile.in kid3_de.html kid3_en.html Makefile.cvs kid3_es.qm LICENSE 
 
 #>+ 2
 docs-am:
@@ -754,7 +751,7 @@
 force-reedit:
 		cd $(top_srcdir) && \
 	  $(AUTOMAKE) --gnu  Makefile
-	cd $(top_srcdir) && perl admin/am_edit -padmin kid3-0.6/Makefile.in
+	cd $(top_srcdir) && perl admin/am_edit -padmin kid3-0.7/Makefile.in
 
 
 #>+ 21

=== modified file 'README'
--- README	2005-11-24 12:16:38 +0000
+++ README	2006-07-14 12:25:16 +0000
@@ -16,5 +16,6 @@
 - Generate playlist files
 - Automatically convert upper and lower case and replace strings
 - Import from freedb.org, MusicBrainz and other sources of album data
+- Export tags as CSV, HTML, playlists, Kover XML and in other formats
 
 Kid3 uses Qt and id3lib and runs under GNU/Linux (KDE or only Qt) and Windows.

=== modified file 'admin/Makefile'
--- admin/Makefile	2005-11-24 12:16:38 +0000
+++ admin/Makefile	2006-07-14 12:25:16 +0000
@@ -36,31 +36,31 @@
 NORMAL_UNINSTALL = :
 PRE_UNINSTALL = :
 POST_UNINSTALL = :
-build_triplet = i386-pc-linux-gnu
-host_triplet = i386-pc-linux-gnu
-target_triplet = i386-pc-linux-gnu
-ACLOCAL = ${SHELL} /home/urs/dat/c/kid3/admin/missing --run aclocal-1.7
+build_triplet = i486-pc-linux-gnu
+host_triplet = i486-pc-linux-gnu
+target_triplet = i486-pc-linux-gnu
+ACLOCAL = ${SHELL} /home/urs/projects/kid3/src/kid3/admin/missing --run aclocal-1.7
 AMDEP_FALSE = #
 AMDEP_TRUE = 
-AMTAR = ${SHELL} /home/urs/dat/c/kid3/admin/missing --run tar
+AMTAR = ${SHELL} /home/urs/projects/kid3/src/kid3/admin/missing --run tar
 AR = ar
 ARTSCCONFIG = /usr/bin/artsc-config
 AUTOCONF = $(SHELL) $(top_srcdir)/admin/cvs.sh configure || touch configure
 AUTODIRS = 
-AUTOHEADER = ${SHELL} /home/urs/dat/c/kid3/admin/missing --run autoheader
-AUTOMAKE = ${SHELL} /home/urs/dat/c/kid3/admin/missing --run automake-1.7
+AUTOHEADER = ${SHELL} /home/urs/projects/kid3/src/kid3/admin/missing --run autoheader
+AUTOMAKE = ${SHELL} /home/urs/projects/kid3/src/kid3/admin/missing --run automake-1.7
 AWK = gawk
-CC = i386-linux-gcc
+CC = i486-linux-gnu-gcc
 CCDEPMODE = depmode=gcc3
 CFLAGS = -ansi -W -Wall -Wchar-subscripts -Wshadow -Wpointer-arith -Wmissing-prototypes -Wwrite-strings -D_XOPEN_SOURCE=500 -D_BSD_SOURCE -DNDEBUG -O2   -Wformat-security -Wmissing-format-attribute
 CONFIG_USE_KDE = 1
 CONFIG_USE_KDE_FALSE = #
 CONFIG_USE_KDE_TRUE = 
 CONF_FILES =  $(top_srcdir)/./admin/configure.in.min $(top_srcdir)/configure.in.in
-CPP = i386-linux-gcc -E
+CPP = i486-linux-gnu-gcc -E
 CPPFLAGS =  -DQT_THREAD_SUPPORT  -D_REENTRANT
-CXX = i386-linux-g++
-CXXCPP = i386-linux-g++ -E
+CXX = i486-linux-gnu-g++
+CXXCPP = i486-linux-gnu-g++ -E
 CXXDEPMODE = depmode=gcc3
 CXXFLAGS = -Wnon-virtual-dtor -Wno-long-long -Wundef -ansi -D_XOPEN_SOURCE=500 -D_BSD_SOURCE -Wcast-align -Wconversion -Wchar-subscripts -Wall -W -Wpointer-arith -Wwrite-strings -DNDEBUG -DNO_DEBUG -O2 -Wformat-security -Wmissing-format-attribute -fno-exceptions -fno-check-new -fno-common
 CYGPATH_W = echo
@@ -87,7 +87,7 @@
 HAVE_FLAC = 1
 HAVE_FLAC_FALSE = #
 HAVE_FLAC_TRUE = 
-HAVE_TUNEPIMP = 1
+HAVE_TUNEPIMP = 
 HAVE_TUNEPIMP_FALSE = #
 HAVE_TUNEPIMP_TRUE = 
 HAVE_VORBIS = 1
@@ -110,8 +110,8 @@
 KDE_RPATH = 
 KDE_USE_CLOSURE_FALSE = 
 KDE_USE_CLOSURE_TRUE = #
-KDE_USE_FINAL_FALSE = #
-KDE_USE_FINAL_TRUE = 
+KDE_USE_FINAL_FALSE = 
+KDE_USE_FINAL_TRUE = #
 KDE_USE_NMCHECK_FALSE = 
 KDE_USE_NMCHECK_TRUE = #
 KDE_XSL_STYLESHEET = /usr/share/apps/ksgmltools2/customization/kde-chunk.xsl
@@ -157,7 +157,7 @@
 LIB_XRENDER = 
 LN_S = ln -s
 LTLIBOBJS = 
-MAKEINFO = ${SHELL} /home/urs/dat/c/kid3/admin/missing --run makeinfo
+MAKEINFO = ${SHELL} /home/urs/projects/kid3/src/kid3/admin/missing --run makeinfo
 MCOPIDL = /usr/bin/mcopidl
 MEINPROC = /usr/bin/meinproc
 MOC = /usr/share/qt3/bin/moc
@@ -174,7 +174,7 @@
 PATH_SEPARATOR = :
 PERL = /usr/bin/perl
 QTE_NORTTI = 
-QT_INCLUDES = -I/usr/include/qt3
+QT_INCLUDES = -I/usr/share/qt3/include
 QT_LDFLAGS = -L/usr/share/qt3/lib
 RANLIB = ranlib
 SET_MAKE = 
@@ -188,12 +188,12 @@
 USE_EXCEPTIONS = -fexceptions
 USE_RTTI = 
 USE_THREADS = 
-VERSION = 0.6
+VERSION = 0.7
 WOVERLOADED_VIRTUAL = 
 XGETTEXT = /usr/bin/xgettext
 XMLLINT = /usr/bin/xmllint
 X_EXTRA_LIBS = 
-X_INCLUDES = -I/usr/X11R6/include
+X_INCLUDES = -I.
 X_LDFLAGS = -L/usr/X11R6/lib
 X_PRE_LIBS = 
 X_RPATH = 
@@ -203,7 +203,7 @@
 ac_ct_F77 = 
 ac_ct_RANLIB = ranlib
 ac_ct_STRIP = strip
-all_includes = -I/usr/include/kde -I/usr/include/qt3 -I/usr/X11R6/include 
+all_includes = -I/usr/include/kde -I/usr/share/qt3/include -I. 
 all_libraries = -L/usr/X11R6/lib -L/usr/share/qt3/lib -L/usr/lib 
 am__fastdepCC_FALSE = #
 am__fastdepCC_TRUE = 
@@ -213,28 +213,28 @@
 am__leading_dot = .
 am__quote = 
 bindir = ${exec_prefix}/bin
-build = i386-pc-linux-gnu
-build_alias = i386-linux
-build_cpu = i386
+build = i486-pc-linux-gnu
+build_alias = i486-linux-gnu
+build_cpu = i486
 build_os = linux-gnu
 build_vendor = pc
 datadir = ${prefix}/share
 exec_prefix = ${prefix}
-host = i386-pc-linux-gnu
-host_alias = i386-linux
-host_cpu = i386
+host = i486-pc-linux-gnu
+host_alias = i486-linux-gnu
+host_cpu = i486
 host_os = linux-gnu
 host_vendor = pc
 include_ARTS_FALSE = #
 include_ARTS_TRUE = 
 includedir = /usr/include/kde
 infodir = /usr/share/info
-install_sh = /home/urs/dat/c/kid3/admin/install-sh
+install_sh = /home/urs/projects/kid3/src/kid3/admin/install-sh
 kde_appsdir = ${datadir}/applnk
 kde_bindir = ${exec_prefix}/bin
-kde_confdir = ${datadir}/config
+kde_confdir = /etc/kde3
 kde_datadir = ${datadir}/apps
-kde_htmldir = ${datadir}/doc/HTML
+kde_htmldir = /usr/share/doc/kde/HTML
 kde_icondir = ${datadir}/icons
 kde_includes = /usr/include/kde
 kde_kcfgdir = ${datadir}/config.kcfg
@@ -253,24 +253,24 @@
 kde_wallpaperdir = ${datadir}/wallpapers
 kde_widgetdir = /usr/lib/kde3/plugins/designer
 kdeinitdir = $(kde_moduledir)
-libdir = /usr/lib
-libexecdir = /usr/bin
+libdir = ${exec_prefix}/lib
+libexecdir = ${exec_prefix}/libexec
 localstatedir = ${prefix}/var
 mandir = /usr/share/man
 oldincludedir = /usr/include
 prefix = /usr
 program_transform_name = s,x,x,
-qt_includes = /usr/include/qt3
+qt_includes = /usr/share/qt3/include
 qt_libraries = /usr/share/qt3/lib
 sbindir = ${exec_prefix}/sbin
 sharedstatedir = ${prefix}/com
 sysconfdir = /etc
-target = i386-pc-linux-gnu
+target = i486-pc-linux-gnu
 target_alias = 
-target_cpu = i386
+target_cpu = i486
 target_os = linux-gnu
 target_vendor = pc
-x_includes = /usr/X11R6/include
+x_includes = .
 x_libraries = /usr/X11R6/lib
 xdg_appsdir = ${datadir}/applications/kde
 xdg_directorydir = ${datadir}/desktop-directories

=== modified file 'admin/Makefile.in'
--- admin/Makefile.in	2005-11-24 12:16:38 +0000
+++ admin/Makefile.in	2006-07-14 12:25:16 +0000
@@ -295,7 +295,7 @@
 #>+ 3
 	cd $(top_srcdir) && \
 	  $(AUTOMAKE) --gnu  admin/Makefile
-	cd $(top_srcdir) && perl admin/am_edit -padmin kid3-0.6/admin/Makefile.in
+	cd $(top_srcdir) && perl admin/am_edit -padmin kid3-0.7/admin/Makefile.in
 Makefile:  $(srcdir)/Makefile.in  $(top_builddir)/config.status
 	cd $(top_builddir) && $(SHELL) ./config.status $(subdir)/$@ $(am__depfiles_maybe)
 
@@ -452,9 +452,6 @@
 .NOEXPORT:
 
 
-
-
-
 #>+ 2
 KDE_DIST=configure.in.bot.end bcheck.pl detect-autoconf.sh deps.am configure.in.min debianrules cvs.sh config.pl oldinclude.m4.in am_edit Makefile.common cvs-clean.pl Makefile.in Doxyfile.global acinclude.m4.in libtool.m4.in nmcheck Doxyfile.am conf.change.pl 
 
@@ -465,7 +462,7 @@
 force-reedit:
 		cd $(top_srcdir) && \
 	  $(AUTOMAKE) --gnu  admin/Makefile
-	cd $(top_srcdir) && perl admin/am_edit -padmin kid3-0.6/admin/Makefile.in
+	cd $(top_srcdir) && perl admin/am_edit -padmin kid3-0.7/admin/Makefile.in
 
 
 #>+ 21

=== modified file 'admin/config.guess'
--- admin/config.guess	2005-11-24 12:16:38 +0000
+++ admin/config.guess	2006-07-14 12:25:16 +0000
@@ -1,9 +1,9 @@
 #! /bin/sh
 # Attempt to guess a canonical system name.
 #   Copyright (C) 1992, 1993, 1994, 1995, 1996, 1997, 1998, 1999,
-#   2000, 2001, 2002, 2003, 2004 Free Software Foundation, Inc.
+#   2000, 2001, 2002, 2003, 2004, 2005 Free Software Foundation, Inc.
 
-timestamp='2004-06-24'
+timestamp='2005-08-03'
 
 # This file is free software; you can redistribute it and/or modify it
 # under the terms of the GNU General Public License as published by
@@ -17,13 +17,15 @@
 #
 # You should have received a copy of the GNU General Public License
 # along with this program; if not, write to the Free Software
-# Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.
+# Foundation, Inc., 51 Franklin Street - Fifth Floor, Boston, MA
+# 02110-1301, USA.
 #
 # As a special exception to the GNU General Public License, if you
 # distribute this file as part of a program that contains a
 # configuration script generated by Autoconf, you may include it under
 # the same distribution terms that you use for the rest of that program.
 
+
 # Originally written by Per Bothner <per@bothner.com>.
 # Please send patches to <config-patches@gnu.org>.  Submit a context
 # diff and a properly formatted ChangeLog entry.
@@ -53,7 +55,7 @@
 GNU config.guess ($timestamp)
 
 Originally written by Per Bothner.
-Copyright (C) 1992, 1993, 1994, 1995, 1996, 1997, 1998, 1999, 2000, 2001, 2002, 2003, 2004
+Copyright (C) 1992, 1993, 1994, 1995, 1996, 1997, 1998, 1999, 2000, 2001, 2002, 2003, 2004, 2005
 Free Software Foundation, Inc.
 
 This is free software; see the source for copying conditions.  There is NO
@@ -66,11 +68,11 @@
 while test $# -gt 0 ; do
   case $1 in
     --time-stamp | --time* | -t )
-       echo "$timestamp" ; exit 0 ;;
+       echo "$timestamp" ; exit ;;
     --version | -v )
-       echo "$version" ; exit 0 ;;
+       echo "$version" ; exit ;;
     --help | --h* | -h )
-       echo "$usage"; exit 0 ;;
+       echo "$usage"; exit ;;
     -- )     # Stop option processing
        shift; break ;;
     - )	# Use stdin as input.
@@ -123,7 +125,7 @@
 	;;
  ,,*)   CC_FOR_BUILD=$CC ;;
  ,*,*)  CC_FOR_BUILD=$HOST_CC ;;
-esac ;'
+esac ; set_cc_for_build= ;'
 
 # This is needed to find uname on a Pyramid OSx when run in the BSD universe.
 # (ghazi@noc.rutgers.edu 1994-08-24)
@@ -196,64 +198,20 @@
 	# contains redundant information, the shorter form:
 	# CPU_TYPE-MANUFACTURER-OPERATING_SYSTEM is used.
 	echo "${machine}-${os}${release}"
-	exit 0 ;;
-    amd64:OpenBSD:*:*)
-	echo x86_64-unknown-openbsd${UNAME_RELEASE}
-	exit 0 ;;
-    amiga:OpenBSD:*:*)
-	echo m68k-unknown-openbsd${UNAME_RELEASE}
-	exit 0 ;;
-    arc:OpenBSD:*:*)
-	echo mipsel-unknown-openbsd${UNAME_RELEASE}
-	exit 0 ;;
-    cats:OpenBSD:*:*)
-	echo arm-unknown-openbsd${UNAME_RELEASE}
-	exit 0 ;;
-    hp300:OpenBSD:*:*)
-	echo m68k-unknown-openbsd${UNAME_RELEASE}
-	exit 0 ;;
-    luna88k:OpenBSD:*:*)
-    	echo m88k-unknown-openbsd${UNAME_RELEASE}
-	exit 0 ;;
-    mac68k:OpenBSD:*:*)
-	echo m68k-unknown-openbsd${UNAME_RELEASE}
-	exit 0 ;;
-    macppc:OpenBSD:*:*)
-	echo powerpc-unknown-openbsd${UNAME_RELEASE}
-	exit 0 ;;
-    mvme68k:OpenBSD:*:*)
-	echo m68k-unknown-openbsd${UNAME_RELEASE}
-	exit 0 ;;
-    mvme88k:OpenBSD:*:*)
-	echo m88k-unknown-openbsd${UNAME_RELEASE}
-	exit 0 ;;
-    mvmeppc:OpenBSD:*:*)
-	echo powerpc-unknown-openbsd${UNAME_RELEASE}
-	exit 0 ;;
-    pmax:OpenBSD:*:*)
-	echo mipsel-unknown-openbsd${UNAME_RELEASE}
-	exit 0 ;;
-    sgi:OpenBSD:*:*)
-	echo mipseb-unknown-openbsd${UNAME_RELEASE}
-	exit 0 ;;
-    sun3:OpenBSD:*:*)
-	echo m68k-unknown-openbsd${UNAME_RELEASE}
-	exit 0 ;;
-    wgrisc:OpenBSD:*:*)
-	echo mipsel-unknown-openbsd${UNAME_RELEASE}
-	exit 0 ;;
+	exit ;;
     *:OpenBSD:*:*)
-	echo ${UNAME_MACHINE}-unknown-openbsd${UNAME_RELEASE}
-	exit 0 ;;
+	UNAME_MACHINE_ARCH=`arch | sed 's/OpenBSD.//'`
+	echo ${UNAME_MACHINE_ARCH}-unknown-openbsd${UNAME_RELEASE}
+	exit ;;
     *:ekkoBSD:*:*)
 	echo ${UNAME_MACHINE}-unknown-ekkobsd${UNAME_RELEASE}
-	exit 0 ;;
+	exit ;;
     macppc:MirBSD:*:*)
 	echo powerppc-unknown-mirbsd${UNAME_RELEASE}
-	exit 0 ;;
+	exit ;;
     *:MirBSD:*:*)
 	echo ${UNAME_MACHINE}-unknown-mirbsd${UNAME_RELEASE}
-	exit 0 ;;
+	exit ;;
     alpha:OSF1:*:*)
 	case $UNAME_RELEASE in
 	*4.0)
@@ -306,37 +264,43 @@
 	# A Xn.n version is an unreleased experimental baselevel.
 	# 1.2 uses "1.2" for uname -r.
 	echo ${UNAME_MACHINE}-dec-osf`echo ${UNAME_RELEASE} | sed -e 's/^[PVTX]//' | tr 'ABCDEFGHIJKLMNOPQRSTUVWXYZ' 'abcdefghijklmnopqrstuvwxyz'`
-	exit 0 ;;
+	exit ;;
     Alpha\ *:Windows_NT*:*)
 	# How do we know it's Interix rather than the generic POSIX subsystem?
 	# Should we change UNAME_MACHINE based on the output of uname instead
 	# of the specific Alpha model?
 	echo alpha-pc-interix
-	exit 0 ;;
+	exit ;;
     21064:Windows_NT:50:3)
 	echo alpha-dec-winnt3.5
-	exit 0 ;;
+	exit ;;
     Amiga*:UNIX_System_V:4.0:*)
 	echo m68k-unknown-sysv4
-	exit 0;;
+	exit ;;
     *:[Aa]miga[Oo][Ss]:*:*)
 	echo ${UNAME_MACHINE}-unknown-amigaos
-	exit 0 ;;
+	exit ;;
     *:[Mm]orph[Oo][Ss]:*:*)
 	echo ${UNAME_MACHINE}-unknown-morphos
-	exit 0 ;;
+	exit ;;
     *:OS/390:*:*)
 	echo i370-ibm-openedition
-	exit 0 ;;
+	exit ;;
+    *:z/VM:*:*)
+	echo s390-ibm-zvmoe
+	exit ;;
     *:OS400:*:*)
         echo powerpc-ibm-os400
-	exit 0 ;;
+	exit ;;
     arm:RISC*:1.[012]*:*|arm:riscix:1.[012]*:*)
 	echo arm-acorn-riscix${UNAME_RELEASE}
-	exit 0;;
+	exit ;;
+    arm:riscos:*:*|arm:RISCOS:*:*)
+	echo arm-unknown-riscos
+	exit ;;
     SR2?01:HI-UX/MPP:*:* | SR8000:HI-UX/MPP:*:*)
 	echo hppa1.1-hitachi-hiuxmpp
-	exit 0;;
+	exit ;;
     Pyramid*:OSx*:*:* | MIS*:OSx*:*:* | MIS*:SMP_DC-OSx*:*:*)
 	# akee@wpdis03.wpafb.af.mil (Earle F. Ake) contributed MIS and NILE.
 	if test "`(/bin/universe) 2>/dev/null`" = att ; then
@@ -344,32 +308,32 @@
 	else
 		echo pyramid-pyramid-bsd
 	fi
-	exit 0 ;;
+	exit ;;
     NILE*:*:*:dcosx)
 	echo pyramid-pyramid-svr4
-	exit 0 ;;
+	exit ;;
     DRS?6000:unix:4.0:6*)
 	echo sparc-icl-nx6
-	exit 0 ;;
-    DRS?6000:UNIX_SV:4.2*:7*)
+	exit ;;
+    DRS?6000:UNIX_SV:4.2*:7* | DRS?6000:isis:4.2*:7*)
 	case `/usr/bin/uname -p` in
-	    sparc) echo sparc-icl-nx7 && exit 0 ;;
+	    sparc) echo sparc-icl-nx7; exit ;;
 	esac ;;
     sun4H:SunOS:5.*:*)
 	echo sparc-hal-solaris2`echo ${UNAME_RELEASE}|sed -e 's/[^.]*//'`
-	exit 0 ;;
+	exit ;;
     sun4*:SunOS:5.*:* | tadpole*:SunOS:5.*:*)
 	echo sparc-sun-solaris2`echo ${UNAME_RELEASE}|sed -e 's/[^.]*//'`
-	exit 0 ;;
+	exit ;;
     i86pc:SunOS:5.*:*)
 	echo i386-pc-solaris2`echo ${UNAME_RELEASE}|sed -e 's/[^.]*//'`
-	exit 0 ;;
+	exit ;;
     sun4*:SunOS:6*:*)
 	# According to config.sub, this is the proper way to canonicalize
 	# SunOS6.  Hard to guess exactly what SunOS6 will be like, but
 	# it's likely to be more like Solaris than SunOS4.
 	echo sparc-sun-solaris3`echo ${UNAME_RELEASE}|sed -e 's/[^.]*//'`
-	exit 0 ;;
+	exit ;;
     sun4*:SunOS:*:*)
 	case "`/usr/bin/arch -k`" in
 	    Series*|S4*)
@@ -378,10 +342,10 @@
 	esac
 	# Japanese Language versions have a version number like `4.1.3-JL'.
 	echo sparc-sun-sunos`echo ${UNAME_RELEASE}|sed -e 's/-/_/'`
-	exit 0 ;;
+	exit ;;
     sun3*:SunOS:*:*)
 	echo m68k-sun-sunos${UNAME_RELEASE}
-	exit 0 ;;
+	exit ;;
     sun*:*:4.2BSD:*)
 	UNAME_RELEASE=`(sed 1q /etc/motd | awk '{print substr($5,1,3)}') 2>/dev/null`
 	test "x${UNAME_RELEASE}" = "x" && UNAME_RELEASE=3
@@ -393,10 +357,10 @@
 		echo sparc-sun-sunos${UNAME_RELEASE}
 		;;
 	esac
-	exit 0 ;;
+	exit ;;
     aushp:SunOS:*:*)
 	echo sparc-auspex-sunos${UNAME_RELEASE}
-	exit 0 ;;
+	exit ;;
     # The situation for MiNT is a little confusing.  The machine name
     # can be virtually everything (everything which is not
     # "atarist" or "atariste" at least should have a processor
@@ -407,40 +371,40 @@
     # be no problem.
     atarist[e]:*MiNT:*:* | atarist[e]:*mint:*:* | atarist[e]:*TOS:*:*)
         echo m68k-atari-mint${UNAME_RELEASE}
-	exit 0 ;;
+	exit ;;
     atari*:*MiNT:*:* | atari*:*mint:*:* | atarist[e]:*TOS:*:*)
 	echo m68k-atari-mint${UNAME_RELEASE}
-        exit 0 ;;
+        exit ;;
     *falcon*:*MiNT:*:* | *falcon*:*mint:*:* | *falcon*:*TOS:*:*)
         echo m68k-atari-mint${UNAME_RELEASE}
-	exit 0 ;;
+	exit ;;
     milan*:*MiNT:*:* | milan*:*mint:*:* | *milan*:*TOS:*:*)
         echo m68k-milan-mint${UNAME_RELEASE}
-        exit 0 ;;
+        exit ;;
     hades*:*MiNT:*:* | hades*:*mint:*:* | *hades*:*TOS:*:*)
         echo m68k-hades-mint${UNAME_RELEASE}
-        exit 0 ;;
+        exit ;;
     *:*MiNT:*:* | *:*mint:*:* | *:*TOS:*:*)
         echo m68k-unknown-mint${UNAME_RELEASE}
-        exit 0 ;;
+        exit ;;
     m68k:machten:*:*)
 	echo m68k-apple-machten${UNAME_RELEASE}
-	exit 0 ;;
+	exit ;;
     powerpc:machten:*:*)
 	echo powerpc-apple-machten${UNAME_RELEASE}
-	exit 0 ;;
+	exit ;;
     RISC*:Mach:*:*)
 	echo mips-dec-mach_bsd4.3
-	exit 0 ;;
+	exit ;;
     RISC*:ULTRIX:*:*)
 	echo mips-dec-ultrix${UNAME_RELEASE}
-	exit 0 ;;
+	exit ;;
     VAX*:ULTRIX*:*:*)
 	echo vax-dec-ultrix${UNAME_RELEASE}
-	exit 0 ;;
+	exit ;;
     2020:CLIX:*:* | 2430:CLIX:*:*)
 	echo clipper-intergraph-clix${UNAME_RELEASE}
-	exit 0 ;;
+	exit ;;
     mips:*:*:UMIPS | mips:*:*:RISCos)
 	eval $set_cc_for_build
 	sed 's/^	//' << EOF >$dummy.c
@@ -464,32 +428,33 @@
 	  exit (-1);
 	}
 EOF
-	$CC_FOR_BUILD -o $dummy $dummy.c \
-	  && $dummy `echo "${UNAME_RELEASE}" | sed -n 's/\([0-9]*\).*/\1/p'` \
-	  && exit 0
+	$CC_FOR_BUILD -o $dummy $dummy.c &&
+	  dummyarg=`echo "${UNAME_RELEASE}" | sed -n 's/\([0-9]*\).*/\1/p'` &&
+	  SYSTEM_NAME=`$dummy $dummyarg` &&
+	    { echo "$SYSTEM_NAME"; exit; }
 	echo mips-mips-riscos${UNAME_RELEASE}
-	exit 0 ;;
+	exit ;;
     Motorola:PowerMAX_OS:*:*)
 	echo powerpc-motorola-powermax
-	exit 0 ;;
+	exit ;;
     Motorola:*:4.3:PL8-*)
 	echo powerpc-harris-powermax
-	exit 0 ;;
+	exit ;;
     Night_Hawk:*:*:PowerMAX_OS | Synergy:PowerMAX_OS:*:*)
 	echo powerpc-harris-powermax
-	exit 0 ;;
+	exit ;;
     Night_Hawk:Power_UNIX:*:*)
 	echo powerpc-harris-powerunix
-	exit 0 ;;
+	exit ;;
     m88k:CX/UX:7*:*)
 	echo m88k-harris-cxux7
-	exit 0 ;;
+	exit ;;
     m88k:*:4*:R4*)
 	echo m88k-motorola-sysv4
-	exit 0 ;;
+	exit ;;
     m88k:*:3*:R3*)
 	echo m88k-motorola-sysv3
-	exit 0 ;;
+	exit ;;
     AViiON:dgux:*:*)
         # DG/UX returns AViiON for all architectures
         UNAME_PROCESSOR=`/usr/bin/uname -p`
@@ -505,29 +470,29 @@
 	else
 	    echo i586-dg-dgux${UNAME_RELEASE}
 	fi
- 	exit 0 ;;
+ 	exit ;;
     M88*:DolphinOS:*:*)	# DolphinOS (SVR3)
 	echo m88k-dolphin-sysv3
-	exit 0 ;;
+	exit ;;
     M88*:*:R3*:*)
 	# Delta 88k system running SVR3
 	echo m88k-motorola-sysv3
-	exit 0 ;;
+	exit ;;
     XD88*:*:*:*) # Tektronix XD88 system running UTekV (SVR3)
 	echo m88k-tektronix-sysv3
-	exit 0 ;;
+	exit ;;
     Tek43[0-9][0-9]:UTek:*:*) # Tektronix 4300 system running UTek (BSD)
 	echo m68k-tektronix-bsd
-	exit 0 ;;
+	exit ;;
     *:IRIX*:*:*)
 	echo mips-sgi-irix`echo ${UNAME_RELEASE}|sed -e 's/-/_/g'`
-	exit 0 ;;
+	exit ;;
     ????????:AIX?:[12].1:2)   # AIX 2.2.1 or AIX 2.1.1 is RT/PC AIX.
-	echo romp-ibm-aix      # uname -m gives an 8 hex-code CPU id
-	exit 0 ;;              # Note that: echo "'`uname -s`'" gives 'AIX '
+	echo romp-ibm-aix     # uname -m gives an 8 hex-code CPU id
+	exit ;;               # Note that: echo "'`uname -s`'" gives 'AIX '
     i*86:AIX:*:*)
 	echo i386-ibm-aix
-	exit 0 ;;
+	exit ;;
     ia64:AIX:*:*)
 	if [ -x /usr/bin/oslevel ] ; then
 		IBM_REV=`/usr/bin/oslevel`
@@ -535,7 +500,7 @@
 		IBM_REV=${UNAME_VERSION}.${UNAME_RELEASE}
 	fi
 	echo ${UNAME_MACHINE}-ibm-aix${IBM_REV}
-	exit 0 ;;
+	exit ;;
     *:AIX:2:3)
 	if grep bos325 /usr/include/stdio.h >/dev/null 2>&1; then
 		eval $set_cc_for_build
@@ -550,14 +515,18 @@
 			exit(0);
 			}
 EOF
-		$CC_FOR_BUILD -o $dummy $dummy.c && $dummy && exit 0
-		echo rs6000-ibm-aix3.2.5
+		if $CC_FOR_BUILD -o $dummy $dummy.c && SYSTEM_NAME=`$dummy`
+		then
+			echo "$SYSTEM_NAME"
+		else
+			echo rs6000-ibm-aix3.2.5
+		fi
 	elif grep bos324 /usr/include/stdio.h >/dev/null 2>&1; then
 		echo rs6000-ibm-aix3.2.4
 	else
 		echo rs6000-ibm-aix3.2
 	fi
-	exit 0 ;;
+	exit ;;
     *:AIX:*:[45])
 	IBM_CPU_ID=`/usr/sbin/lsdev -C -c processor -S available | sed 1q | awk '{ print $1 }'`
 	if /usr/sbin/lsattr -El ${IBM_CPU_ID} | grep ' POWER' >/dev/null 2>&1; then
@@ -571,28 +540,28 @@
 		IBM_REV=${UNAME_VERSION}.${UNAME_RELEASE}
 	fi
 	echo ${IBM_ARCH}-ibm-aix${IBM_REV}
-	exit 0 ;;
+	exit ;;
     *:AIX:*:*)
 	echo rs6000-ibm-aix
-	exit 0 ;;
+	exit ;;
     ibmrt:4.4BSD:*|romp-ibm:BSD:*)
 	echo romp-ibm-bsd4.4
-	exit 0 ;;
+	exit ;;
     ibmrt:*BSD:*|romp-ibm:BSD:*)            # covers RT/PC BSD and
 	echo romp-ibm-bsd${UNAME_RELEASE}   # 4.3 with uname added to
-	exit 0 ;;                           # report: romp-ibm BSD 4.3
+	exit ;;                             # report: romp-ibm BSD 4.3
     *:BOSX:*:*)
 	echo rs6000-bull-bosx
-	exit 0 ;;
+	exit ;;
     DPX/2?00:B.O.S.:*:*)
 	echo m68k-bull-sysv3
-	exit 0 ;;
+	exit ;;
     9000/[34]??:4.3bsd:1.*:*)
 	echo m68k-hp-bsd
-	exit 0 ;;
+	exit ;;
     hp300:4.4BSD:*:* | 9000/[34]??:4.3bsd:2.*:*)
 	echo m68k-hp-bsd4.4
-	exit 0 ;;
+	exit ;;
     9000/[34678]??:HP-UX:*:*)
 	HPUX_REV=`echo ${UNAME_RELEASE}|sed -e 's/[^.]*.[0B]*//'`
 	case "${UNAME_MACHINE}" in
@@ -654,9 +623,19 @@
 	esac
 	if [ ${HP_ARCH} = "hppa2.0w" ]
 	then
-	    # avoid double evaluation of $set_cc_for_build
-	    test -n "$CC_FOR_BUILD" || eval $set_cc_for_build
-	    if echo __LP64__ | (CCOPTS= $CC_FOR_BUILD -E -) | grep __LP64__ >/dev/null
+	    eval $set_cc_for_build
+
+	    # hppa2.0w-hp-hpux* has a 64-bit kernel and a compiler generating
+	    # 32-bit code.  hppa64-hp-hpux* has the same kernel and a compiler
+	    # generating 64-bit code.  GNU and HP use different nomenclature:
+	    #
+	    # $ CC_FOR_BUILD=cc ./config.guess
+	    # => hppa2.0w-hp-hpux11.23
+	    # $ CC_FOR_BUILD="cc +DA2.0w" ./config.guess
+	    # => hppa64-hp-hpux11.23
+
+	    if echo __LP64__ | (CCOPTS= $CC_FOR_BUILD -E - 2>/dev/null) |
+		grep __LP64__ >/dev/null
 	    then
 		HP_ARCH="hppa2.0w"
 	    else
@@ -664,11 +643,11 @@
 	    fi
 	fi
 	echo ${HP_ARCH}-hp-hpux${HPUX_REV}
-	exit 0 ;;
+	exit ;;
     ia64:HP-UX:*:*)
 	HPUX_REV=`echo ${UNAME_RELEASE}|sed -e 's/[^.]*.[0B]*//'`
 	echo ia64-hp-hpux${HPUX_REV}
-	exit 0 ;;
+	exit ;;
     3050*:HI-UX:*:*)
 	eval $set_cc_for_build
 	sed 's/^	//' << EOF >$dummy.c
@@ -696,152 +675,166 @@
 	  exit (0);
 	}
 EOF
-	$CC_FOR_BUILD -o $dummy $dummy.c && $dummy && exit 0
+	$CC_FOR_BUILD -o $dummy $dummy.c && SYSTEM_NAME=`$dummy` &&
+		{ echo "$SYSTEM_NAME"; exit; }
 	echo unknown-hitachi-hiuxwe2
-	exit 0 ;;
+	exit ;;
     9000/7??:4.3bsd:*:* | 9000/8?[79]:4.3bsd:*:* )
 	echo hppa1.1-hp-bsd
-	exit 0 ;;
+	exit ;;
     9000/8??:4.3bsd:*:*)
 	echo hppa1.0-hp-bsd
-	exit 0 ;;
+	exit ;;
     *9??*:MPE/iX:*:* | *3000*:MPE/iX:*:*)
 	echo hppa1.0-hp-mpeix
-	exit 0 ;;
+	exit ;;
     hp7??:OSF1:*:* | hp8?[79]:OSF1:*:* )
 	echo hppa1.1-hp-osf
-	exit 0 ;;
+	exit ;;
     hp8??:OSF1:*:*)
 	echo hppa1.0-hp-osf
-	exit 0 ;;
+	exit ;;
     i*86:OSF1:*:*)
 	if [ -x /usr/sbin/sysversion ] ; then
 	    echo ${UNAME_MACHINE}-unknown-osf1mk
 	else
 	    echo ${UNAME_MACHINE}-unknown-osf1
 	fi
-	exit 0 ;;
+	exit ;;
     parisc*:Lites*:*:*)
 	echo hppa1.1-hp-lites
-	exit 0 ;;
+	exit ;;
     C1*:ConvexOS:*:* | convex:ConvexOS:C1*:*)
 	echo c1-convex-bsd
-        exit 0 ;;
+        exit ;;
     C2*:ConvexOS:*:* | convex:ConvexOS:C2*:*)
 	if getsysinfo -f scalar_acc
 	then echo c32-convex-bsd
 	else echo c2-convex-bsd
 	fi
-        exit 0 ;;
+        exit ;;
     C34*:ConvexOS:*:* | convex:ConvexOS:C34*:*)
 	echo c34-convex-bsd
-        exit 0 ;;
+        exit ;;
     C38*:ConvexOS:*:* | convex:ConvexOS:C38*:*)
 	echo c38-convex-bsd
-        exit 0 ;;
+        exit ;;
     C4*:ConvexOS:*:* | convex:ConvexOS:C4*:*)
 	echo c4-convex-bsd
-        exit 0 ;;
+        exit ;;
     CRAY*Y-MP:*:*:*)
 	echo ymp-cray-unicos${UNAME_RELEASE} | sed -e 's/\.[^.]*$/.X/'
-	exit 0 ;;
+	exit ;;
     CRAY*[A-Z]90:*:*:*)
 	echo ${UNAME_MACHINE}-cray-unicos${UNAME_RELEASE} \
 	| sed -e 's/CRAY.*\([A-Z]90\)/\1/' \
 	      -e y/ABCDEFGHIJKLMNOPQRSTUVWXYZ/abcdefghijklmnopqrstuvwxyz/ \
 	      -e 's/\.[^.]*$/.X/'
-	exit 0 ;;
+	exit ;;
     CRAY*TS:*:*:*)
 	echo t90-cray-unicos${UNAME_RELEASE} | sed -e 's/\.[^.]*$/.X/'
-	exit 0 ;;
+	exit ;;
     CRAY*T3E:*:*:*)
 	echo alphaev5-cray-unicosmk${UNAME_RELEASE} | sed -e 's/\.[^.]*$/.X/'
-	exit 0 ;;
+	exit ;;
     CRAY*SV1:*:*:*)
 	echo sv1-cray-unicos${UNAME_RELEASE} | sed -e 's/\.[^.]*$/.X/'
-	exit 0 ;;
+	exit ;;
     *:UNICOS/mp:*:*)
 	echo craynv-cray-unicosmp${UNAME_RELEASE} | sed -e 's/\.[^.]*$/.X/'
-	exit 0 ;;
+	exit ;;
     F30[01]:UNIX_System_V:*:* | F700:UNIX_System_V:*:*)
 	FUJITSU_PROC=`uname -m | tr 'ABCDEFGHIJKLMNOPQRSTUVWXYZ' 'abcdefghijklmnopqrstuvwxyz'`
         FUJITSU_SYS=`uname -p | tr 'ABCDEFGHIJKLMNOPQRSTUVWXYZ' 'abcdefghijklmnopqrstuvwxyz' | sed -e 's/\///'`
         FUJITSU_REL=`echo ${UNAME_RELEASE} | sed -e 's/ /_/'`
         echo "${FUJITSU_PROC}-fujitsu-${FUJITSU_SYS}${FUJITSU_REL}"
-        exit 0 ;;
+        exit ;;
     5000:UNIX_System_V:4.*:*)
         FUJITSU_SYS=`uname -p | tr 'ABCDEFGHIJKLMNOPQRSTUVWXYZ' 'abcdefghijklmnopqrstuvwxyz' | sed -e 's/\///'`
         FUJITSU_REL=`echo ${UNAME_RELEASE} | tr 'ABCDEFGHIJKLMNOPQRSTUVWXYZ' 'abcdefghijklmnopqrstuvwxyz' | sed -e 's/ /_/'`
         echo "sparc-fujitsu-${FUJITSU_SYS}${FUJITSU_REL}"
-	exit 0 ;;
+	exit ;;
     i*86:BSD/386:*:* | i*86:BSD/OS:*:* | *:Ascend\ Embedded/OS:*:*)
 	echo ${UNAME_MACHINE}-pc-bsdi${UNAME_RELEASE}
-	exit 0 ;;
+	exit ;;
     sparc*:BSD/OS:*:*)
 	echo sparc-unknown-bsdi${UNAME_RELEASE}
-	exit 0 ;;
+	exit ;;
     *:BSD/OS:*:*)
 	echo ${UNAME_MACHINE}-unknown-bsdi${UNAME_RELEASE}
-	exit 0 ;;
+	exit ;;
     *:FreeBSD:*:*)
 	echo ${UNAME_MACHINE}-unknown-freebsd`echo ${UNAME_RELEASE}|sed -e 's/[-(].*//'`
-	exit 0 ;;
+	exit ;;
     i*:CYGWIN*:*)
 	echo ${UNAME_MACHINE}-pc-cygwin
-	exit 0 ;;
+	exit ;;
     i*:MINGW*:*)
 	echo ${UNAME_MACHINE}-pc-mingw32
-	exit 0 ;;
+	exit ;;
+    i*:windows32*:*)
+    	# uname -m includes "-pc" on this system.
+    	echo ${UNAME_MACHINE}-mingw32
+	exit ;;
     i*:PW*:*)
 	echo ${UNAME_MACHINE}-pc-pw32
-	exit 0 ;;
+	exit ;;
     x86:Interix*:[34]*)
 	echo i586-pc-interix${UNAME_RELEASE}|sed -e 's/\..*//'
-	exit 0 ;;
+	exit ;;
     [345]86:Windows_95:* | [345]86:Windows_98:* | [345]86:Windows_NT:*)
 	echo i${UNAME_MACHINE}-pc-mks
-	exit 0 ;;
+	exit ;;
     i*:Windows_NT*:* | Pentium*:Windows_NT*:*)
 	# How do we know it's Interix rather than the generic POSIX subsystem?
 	# It also conflicts with pre-2.0 versions of AT&T UWIN. Should we
 	# UNAME_MACHINE based on the output of uname instead of i386?
 	echo i586-pc-interix
-	exit 0 ;;
+	exit ;;
     i*:UWIN*:*)
 	echo ${UNAME_MACHINE}-pc-uwin
-	exit 0 ;;
+	exit ;;
+    amd64:CYGWIN*:*:* | x86_64:CYGWIN*:*:*)
+	echo x86_64-unknown-cygwin
+	exit ;;
     p*:CYGWIN*:*)
 	echo powerpcle-unknown-cygwin
-	exit 0 ;;
+	exit ;;
     prep*:SunOS:5.*:*)
 	echo powerpcle-unknown-solaris2`echo ${UNAME_RELEASE}|sed -e 's/[^.]*//'`
-	exit 0 ;;
+	exit ;;
     *:GNU:*:*)
 	# the GNU system
 	echo `echo ${UNAME_MACHINE}|sed -e 's,[-/].*$,,'`-unknown-gnu`echo ${UNAME_RELEASE}|sed -e 's,/.*$,,'`
-	exit 0 ;;
+	exit ;;
     *:GNU/*:*:*)
 	# other systems with GNU libc and userland
 	echo ${UNAME_MACHINE}-unknown-`echo ${UNAME_SYSTEM} | sed 's,^[^/]*/,,' | tr '[A-Z]' '[a-z]'``echo ${UNAME_RELEASE}|sed -e 's/[-(].*//'`-gnu
-	exit 0 ;;
+	exit ;;
     i*86:Minix:*:*)
 	echo ${UNAME_MACHINE}-pc-minix
-	exit 0 ;;
+	exit ;;
     arm*:Linux:*:*)
 	echo ${UNAME_MACHINE}-unknown-linux-gnu
-	exit 0 ;;
+	exit ;;
     cris:Linux:*:*)
 	echo cris-axis-linux-gnu
-	exit 0 ;;
+	exit ;;
+    crisv32:Linux:*:*)
+	echo crisv32-axis-linux-gnu
+	exit ;;
+    frv:Linux:*:*)
+    	echo frv-unknown-linux-gnu
+	exit ;;
     ia64:Linux:*:*)
 	echo ${UNAME_MACHINE}-unknown-linux-gnu
-	exit 0 ;;
+	exit ;;
     m32r*:Linux:*:*)
 	echo ${UNAME_MACHINE}-unknown-linux-gnu
-	exit 0 ;;
+	exit ;;
     m68*:Linux:*:*)
 	echo ${UNAME_MACHINE}-unknown-linux-gnu
-	exit 0 ;;
+	exit ;;
     mips:Linux:*:*)
 	eval $set_cc_for_build
 	sed 's/^	//' << EOF >$dummy.c
@@ -859,7 +852,7 @@
 	#endif
 EOF
 	eval `$CC_FOR_BUILD -E $dummy.c 2>/dev/null | grep ^CPU=`
-	test x"${CPU}" != x && echo "${CPU}-unknown-linux-gnu" && exit 0
+	test x"${CPU}" != x && { echo "${CPU}-unknown-linux-gnu"; exit; }
 	;;
     mips64:Linux:*:*)
 	eval $set_cc_for_build
@@ -878,14 +871,17 @@
 	#endif
 EOF
 	eval `$CC_FOR_BUILD -E $dummy.c 2>/dev/null | grep ^CPU=`
-	test x"${CPU}" != x && echo "${CPU}-unknown-linux-gnu" && exit 0
+	test x"${CPU}" != x && { echo "${CPU}-unknown-linux-gnu"; exit; }
 	;;
+    or32:Linux:*:*)
+	echo or32-unknown-linux-gnu
+	exit ;;
     ppc:Linux:*:*)
 	echo powerpc-unknown-linux-gnu
-	exit 0 ;;
+	exit ;;
     ppc64:Linux:*:*)
 	echo powerpc64-unknown-linux-gnu
-	exit 0 ;;
+	exit ;;
     alpha:Linux:*:*)
 	case `sed -n '/^cpu model/s/^.*: \(.*\)/\1/p' < /proc/cpuinfo` in
 	  EV5)   UNAME_MACHINE=alphaev5 ;;
@@ -899,7 +895,7 @@
 	objdump --private-headers /bin/sh | grep ld.so.1 >/dev/null
 	if test "$?" = 0 ; then LIBC="libc1" ; else LIBC="" ; fi
 	echo ${UNAME_MACHINE}-unknown-linux-gnu${LIBC}
-	exit 0 ;;
+	exit ;;
     parisc:Linux:*:* | hppa:Linux:*:*)
 	# Look for CPU level
 	case `grep '^cpu[^a-z]*:' /proc/cpuinfo 2>/dev/null | cut -d' ' -f2` in
@@ -907,25 +903,25 @@
 	  PA8*) echo hppa2.0-unknown-linux-gnu ;;
 	  *)    echo hppa-unknown-linux-gnu ;;
 	esac
-	exit 0 ;;
+	exit ;;
     parisc64:Linux:*:* | hppa64:Linux:*:*)
 	echo hppa64-unknown-linux-gnu
-	exit 0 ;;
+	exit ;;
     s390:Linux:*:* | s390x:Linux:*:*)
 	echo ${UNAME_MACHINE}-ibm-linux
-	exit 0 ;;
+	exit ;;
     sh64*:Linux:*:*)
     	echo ${UNAME_MACHINE}-unknown-linux-gnu
-	exit 0 ;;
+	exit ;;
     sh*:Linux:*:*)
 	echo ${UNAME_MACHINE}-unknown-linux-gnu
-	exit 0 ;;
+	exit ;;
     sparc:Linux:*:* | sparc64:Linux:*:*)
 	echo ${UNAME_MACHINE}-unknown-linux-gnu
-	exit 0 ;;
+	exit ;;
     x86_64:Linux:*:*)
 	echo x86_64-unknown-linux-gnu
-	exit 0 ;;
+	exit ;;
     i*86:Linux:*:*)
 	# The BFD linker knows what the default object file format is, so
 	# first see if it will tell us. cd to the root directory to prevent
@@ -943,15 +939,15 @@
 		;;
 	  a.out-i386-linux)
 		echo "${UNAME_MACHINE}-pc-linux-gnuaout"
-		exit 0 ;;
+		exit ;;
 	  coff-i386)
 		echo "${UNAME_MACHINE}-pc-linux-gnucoff"
-		exit 0 ;;
+		exit ;;
 	  "")
 		# Either a pre-BFD a.out linker (linux-gnuoldld) or
 		# one that does not give us useful --help.
 		echo "${UNAME_MACHINE}-pc-linux-gnuoldld"
-		exit 0 ;;
+		exit ;;
 	esac
 	# Determine whether the default compiler is a.out or elf
 	eval $set_cc_for_build
@@ -979,15 +975,18 @@
 	#endif
 EOF
 	eval `$CC_FOR_BUILD -E $dummy.c 2>/dev/null | grep ^LIBC=`
-	test x"${LIBC}" != x && echo "${UNAME_MACHINE}-pc-linux-${LIBC}" && exit 0
-	test x"${TENTATIVE}" != x && echo "${TENTATIVE}" && exit 0
+	test x"${LIBC}" != x && {
+		echo "${UNAME_MACHINE}-pc-linux-${LIBC}"
+		exit
+	}
+	test x"${TENTATIVE}" != x && { echo "${TENTATIVE}"; exit; }
 	;;
     i*86:DYNIX/ptx:4*:*)
 	# ptx 4.0 does uname -s correctly, with DYNIX/ptx in there.
 	# earlier versions are messed up and put the nodename in both
 	# sysname and nodename.
 	echo i386-sequent-sysv4
-	exit 0 ;;
+	exit ;;
     i*86:UNIX_SV:4.2MP:2.*)
         # Unixware is an offshoot of SVR4, but it has its own version
         # number series starting with 2...
@@ -995,27 +994,27 @@
 	# I just have to hope.  -- rms.
         # Use sysv4.2uw... so that sysv4* matches it.
 	echo ${UNAME_MACHINE}-pc-sysv4.2uw${UNAME_VERSION}
-	exit 0 ;;
+	exit ;;
     i*86:OS/2:*:*)
 	# If we were able to find `uname', then EMX Unix compatibility
 	# is probably installed.
 	echo ${UNAME_MACHINE}-pc-os2-emx
-	exit 0 ;;
+	exit ;;
     i*86:XTS-300:*:STOP)
 	echo ${UNAME_MACHINE}-unknown-stop
-	exit 0 ;;
+	exit ;;
     i*86:atheos:*:*)
 	echo ${UNAME_MACHINE}-unknown-atheos
-	exit 0 ;;
-	i*86:syllable:*:*)
+	exit ;;
+    i*86:syllable:*:*)
 	echo ${UNAME_MACHINE}-pc-syllable
-	exit 0 ;;
+	exit ;;
     i*86:LynxOS:2.*:* | i*86:LynxOS:3.[01]*:* | i*86:LynxOS:4.0*:*)
 	echo i386-unknown-lynxos${UNAME_RELEASE}
-	exit 0 ;;
+	exit ;;
     i*86:*DOS:*:*)
 	echo ${UNAME_MACHINE}-pc-msdosdjgpp
-	exit 0 ;;
+	exit ;;
     i*86:*:4.*:* | i*86:SYSTEM_V:4.*:*)
 	UNAME_REL=`echo ${UNAME_RELEASE} | sed 's/\/MP$//'`
 	if grep Novell /usr/include/link.h >/dev/null 2>/dev/null; then
@@ -1023,15 +1022,16 @@
 	else
 		echo ${UNAME_MACHINE}-pc-sysv${UNAME_REL}
 	fi
-	exit 0 ;;
-    i*86:*:5:[78]*)
+	exit ;;
+    i*86:*:5:[678]*)
+    	# UnixWare 7.x, OpenUNIX and OpenServer 6.
 	case `/bin/uname -X | grep "^Machine"` in
 	    *486*)	     UNAME_MACHINE=i486 ;;
 	    *Pentium)	     UNAME_MACHINE=i586 ;;
 	    *Pent*|*Celeron) UNAME_MACHINE=i686 ;;
 	esac
 	echo ${UNAME_MACHINE}-unknown-sysv${UNAME_RELEASE}${UNAME_SYSTEM}${UNAME_VERSION}
-	exit 0 ;;
+	exit ;;
     i*86:*:3.2:*)
 	if test -f /usr/options/cb.name; then
 		UNAME_REL=`sed -n 's/.*Version //p' </usr/options/cb.name`
@@ -1049,73 +1049,73 @@
 	else
 		echo ${UNAME_MACHINE}-pc-sysv32
 	fi
-	exit 0 ;;
+	exit ;;
     pc:*:*:*)
 	# Left here for compatibility:
         # uname -m prints for DJGPP always 'pc', but it prints nothing about
         # the processor, so we play safe by assuming i386.
 	echo i386-pc-msdosdjgpp
-        exit 0 ;;
+        exit ;;
     Intel:Mach:3*:*)
 	echo i386-pc-mach3
-	exit 0 ;;
+	exit ;;
     paragon:*:*:*)
 	echo i860-intel-osf1
-	exit 0 ;;
+	exit ;;
     i860:*:4.*:*) # i860-SVR4
 	if grep Stardent /usr/include/sys/uadmin.h >/dev/null 2>&1 ; then
 	  echo i860-stardent-sysv${UNAME_RELEASE} # Stardent Vistra i860-SVR4
 	else # Add other i860-SVR4 vendors below as they are discovered.
 	  echo i860-unknown-sysv${UNAME_RELEASE}  # Unknown i860-SVR4
 	fi
-	exit 0 ;;
+	exit ;;
     mini*:CTIX:SYS*5:*)
 	# "miniframe"
 	echo m68010-convergent-sysv
-	exit 0 ;;
+	exit ;;
     mc68k:UNIX:SYSTEM5:3.51m)
 	echo m68k-convergent-sysv
-	exit 0 ;;
+	exit ;;
     M680?0:D-NIX:5.3:*)
 	echo m68k-diab-dnix
-	exit 0 ;;
+	exit ;;
     M68*:*:R3V[5678]*:*)
-	test -r /sysV68 && echo 'm68k-motorola-sysv' && exit 0 ;;
-    3[345]??:*:4.0:3.0 | 3[34]??A:*:4.0:3.0 | 3[34]??,*:*:4.0:3.0 | 3[34]??/*:*:4.0:3.0 | 4400:*:4.0:3.0 | 4850:*:4.0:3.0 | SKA40:*:4.0:3.0 | SDS2:*:4.0:3.0 | SHG2:*:4.0:3.0)
+	test -r /sysV68 && { echo 'm68k-motorola-sysv'; exit; } ;;
+    3[345]??:*:4.0:3.0 | 3[34]??A:*:4.0:3.0 | 3[34]??,*:*:4.0:3.0 | 3[34]??/*:*:4.0:3.0 | 4400:*:4.0:3.0 | 4850:*:4.0:3.0 | SKA40:*:4.0:3.0 | SDS2:*:4.0:3.0 | SHG2:*:4.0:3.0 | S7501*:*:4.0:3.0)
 	OS_REL=''
 	test -r /etc/.relid \
 	&& OS_REL=.`sed -n 's/[^ ]* [^ ]* \([0-9][0-9]\).*/\1/p' < /etc/.relid`
 	/bin/uname -p 2>/dev/null | grep 86 >/dev/null \
-	  && echo i486-ncr-sysv4.3${OS_REL} && exit 0
+	  && { echo i486-ncr-sysv4.3${OS_REL}; exit; }
 	/bin/uname -p 2>/dev/null | /bin/grep entium >/dev/null \
-	  && echo i586-ncr-sysv4.3${OS_REL} && exit 0 ;;
+	  && { echo i586-ncr-sysv4.3${OS_REL}; exit; } ;;
     3[34]??:*:4.0:* | 3[34]??,*:*:4.0:*)
         /bin/uname -p 2>/dev/null | grep 86 >/dev/null \
-          && echo i486-ncr-sysv4 && exit 0 ;;
+          && { echo i486-ncr-sysv4; exit; } ;;
     m68*:LynxOS:2.*:* | m68*:LynxOS:3.0*:*)
 	echo m68k-unknown-lynxos${UNAME_RELEASE}
-	exit 0 ;;
+	exit ;;
     mc68030:UNIX_System_V:4.*:*)
 	echo m68k-atari-sysv4
-	exit 0 ;;
+	exit ;;
     TSUNAMI:LynxOS:2.*:*)
 	echo sparc-unknown-lynxos${UNAME_RELEASE}
-	exit 0 ;;
+	exit ;;
     rs6000:LynxOS:2.*:*)
 	echo rs6000-unknown-lynxos${UNAME_RELEASE}
-	exit 0 ;;
+	exit ;;
     PowerPC:LynxOS:2.*:* | PowerPC:LynxOS:3.[01]*:* | PowerPC:LynxOS:4.0*:*)
 	echo powerpc-unknown-lynxos${UNAME_RELEASE}
-	exit 0 ;;
+	exit ;;
     SM[BE]S:UNIX_SV:*:*)
 	echo mips-dde-sysv${UNAME_RELEASE}
-	exit 0 ;;
+	exit ;;
     RM*:ReliantUNIX-*:*:*)
 	echo mips-sni-sysv4
-	exit 0 ;;
+	exit ;;
     RM*:SINIX-*:*:*)
 	echo mips-sni-sysv4
-	exit 0 ;;
+	exit ;;
     *:SINIX-*:*:*)
 	if uname -p 2>/dev/null >/dev/null ; then
 		UNAME_MACHINE=`(uname -p) 2>/dev/null`
@@ -1123,68 +1123,73 @@
 	else
 		echo ns32k-sni-sysv
 	fi
-	exit 0 ;;
+	exit ;;
     PENTIUM:*:4.0*:*) # Unisys `ClearPath HMP IX 4000' SVR4/MP effort
                       # says <Richard.M.Bartel@ccMail.Census.GOV>
         echo i586-unisys-sysv4
-        exit 0 ;;
+        exit ;;
     *:UNIX_System_V:4*:FTX*)
 	# From Gerald Hewes <hewes@openmarket.com>.
 	# How about differentiating between stratus architectures? -djm
 	echo hppa1.1-stratus-sysv4
-	exit 0 ;;
+	exit ;;
     *:*:*:FTX*)
 	# From seanf@swdc.stratus.com.
 	echo i860-stratus-sysv4
-	exit 0 ;;
+	exit ;;
+    i*86:VOS:*:*)
+	# From Paul.Green@stratus.com.
+	echo ${UNAME_MACHINE}-stratus-vos
+	exit ;;
     *:VOS:*:*)
 	# From Paul.Green@stratus.com.
 	echo hppa1.1-stratus-vos
-	exit 0 ;;
+	exit ;;
     mc68*:A/UX:*:*)
 	echo m68k-apple-aux${UNAME_RELEASE}
-	exit 0 ;;
+	exit ;;
     news*:NEWS-OS:6*:*)
 	echo mips-sony-newsos6
-	exit 0 ;;
+	exit ;;
     R[34]000:*System_V*:*:* | R4000:UNIX_SYSV:*:* | R*000:UNIX_SV:*:*)
 	if [ -d /usr/nec ]; then
 	        echo mips-nec-sysv${UNAME_RELEASE}
 	else
 	        echo mips-unknown-sysv${UNAME_RELEASE}
 	fi
-        exit 0 ;;
+        exit ;;
     BeBox:BeOS:*:*)	# BeOS running on hardware made by Be, PPC only.
 	echo powerpc-be-beos
-	exit 0 ;;
+	exit ;;
     BeMac:BeOS:*:*)	# BeOS running on Mac or Mac clone, PPC only.
 	echo powerpc-apple-beos
-	exit 0 ;;
+	exit ;;
     BePC:BeOS:*:*)	# BeOS running on Intel PC compatible.
 	echo i586-pc-beos
-	exit 0 ;;
+	exit ;;
     SX-4:SUPER-UX:*:*)
 	echo sx4-nec-superux${UNAME_RELEASE}
-	exit 0 ;;
+	exit ;;
     SX-5:SUPER-UX:*:*)
 	echo sx5-nec-superux${UNAME_RELEASE}
-	exit 0 ;;
+	exit ;;
     SX-6:SUPER-UX:*:*)
 	echo sx6-nec-superux${UNAME_RELEASE}
-	exit 0 ;;
+	exit ;;
     Power*:Rhapsody:*:*)
 	echo powerpc-apple-rhapsody${UNAME_RELEASE}
-	exit 0 ;;
+	exit ;;
     *:Rhapsody:*:*)
 	echo ${UNAME_MACHINE}-apple-rhapsody${UNAME_RELEASE}
-	exit 0 ;;
+	exit ;;
     *:Darwin:*:*)
-	case `uname -p` in
+	UNAME_PROCESSOR=`uname -p` || UNAME_PROCESSOR=unknown
+	case $UNAME_PROCESSOR in
 	    *86) UNAME_PROCESSOR=i686 ;;
-	    powerpc) UNAME_PROCESSOR=powerpc ;;
+	    unknown) UNAME_PROCESSOR=powerpc ;;
 	esac
 	echo ${UNAME_PROCESSOR}-apple-darwin${UNAME_RELEASE}
-	exit 0 ;;
+	exit ;;
     *:procnto*:*:* | *:QNX:[0123456789]*:*)
 	UNAME_PROCESSOR=`uname -p`
 	if test "$UNAME_PROCESSOR" = "x86"; then
@@ -1192,22 +1197,25 @@
 		UNAME_MACHINE=pc
 	fi
 	echo ${UNAME_PROCESSOR}-${UNAME_MACHINE}-nto-qnx${UNAME_RELEASE}
-	exit 0 ;;
+	exit ;;
     *:QNX:*:4*)
 	echo i386-pc-qnx
-	exit 0 ;;
+	exit ;;
+    NSE-?:NONSTOP_KERNEL:*:*)
+	echo nse-tandem-nsk${UNAME_RELEASE}
+	exit ;;
     NSR-?:NONSTOP_KERNEL:*:*)
 	echo nsr-tandem-nsk${UNAME_RELEASE}
-	exit 0 ;;
+	exit ;;
     *:NonStop-UX:*:*)
 	echo mips-compaq-nonstopux
-	exit 0 ;;
+	exit ;;
     BS2000:POSIX*:*:*)
 	echo bs2000-siemens-sysv
-	exit 0 ;;
+	exit ;;
     DS/*:UNIX_System_V:*:*)
 	echo ${UNAME_MACHINE}-${UNAME_SYSTEM}-${UNAME_RELEASE}
-	exit 0 ;;
+	exit ;;
     *:Plan9:*:*)
 	# "uname -m" is not consistent, so use $cputype instead. 386
 	# is converted to i386 for consistency with other x86
@@ -1218,38 +1226,44 @@
 	    UNAME_MACHINE="$cputype"
 	fi
 	echo ${UNAME_MACHINE}-unknown-plan9
-	exit 0 ;;
+	exit ;;
     *:TOPS-10:*:*)
 	echo pdp10-unknown-tops10
-	exit 0 ;;
+	exit ;;
     *:TENEX:*:*)
 	echo pdp10-unknown-tenex
-	exit 0 ;;
+	exit ;;
     KS10:TOPS-20:*:* | KL10:TOPS-20:*:* | TYPE4:TOPS-20:*:*)
 	echo pdp10-dec-tops20
-	exit 0 ;;
+	exit ;;
     XKL-1:TOPS-20:*:* | TYPE5:TOPS-20:*:*)
 	echo pdp10-xkl-tops20
-	exit 0 ;;
+	exit ;;
     *:TOPS-20:*:*)
 	echo pdp10-unknown-tops20
-	exit 0 ;;
+	exit ;;
     *:ITS:*:*)
 	echo pdp10-unknown-its
-	exit 0 ;;
+	exit ;;
     SEI:*:*:SEIUX)
         echo mips-sei-seiux${UNAME_RELEASE}
-	exit 0 ;;
+	exit ;;
     *:DragonFly:*:*)
 	echo ${UNAME_MACHINE}-unknown-dragonfly`echo ${UNAME_RELEASE}|sed -e 's/[-(].*//'`
-	exit 0 ;;
+	exit ;;
     *:*VMS:*:*)
     	UNAME_MACHINE=`(uname -p) 2>/dev/null`
 	case "${UNAME_MACHINE}" in
-	    A*) echo alpha-dec-vms && exit 0 ;;
-	    I*) echo ia64-dec-vms && exit 0 ;;
-	    V*) echo vax-dec-vms && exit 0 ;;
-	esac
+	    A*) echo alpha-dec-vms ; exit ;;
+	    I*) echo ia64-dec-vms ; exit ;;
+	    V*) echo vax-dec-vms ; exit ;;
+	esac ;;
+    *:XENIX:*:SysV)
+	echo i386-pc-xenix
+	exit ;;
+    i*86:skyos:*:*)
+	echo ${UNAME_MACHINE}-pc-skyos`echo ${UNAME_RELEASE}` | sed -e 's/ .*$//'
+	exit ;;
 esac
 
 #echo '(No uname command or uname output not recognized.)' 1>&2
@@ -1281,7 +1295,7 @@
 #endif
 
 #if defined (__arm) && defined (__acorn) && defined (__unix)
-  printf ("arm-acorn-riscix"); exit (0);
+  printf ("arm-acorn-riscix\n"); exit (0);
 #endif
 
 #if defined (hp300) && !defined (hpux)
@@ -1370,11 +1384,12 @@
 }
 EOF
 
-$CC_FOR_BUILD -o $dummy $dummy.c 2>/dev/null && $dummy && exit 0
+$CC_FOR_BUILD -o $dummy $dummy.c 2>/dev/null && SYSTEM_NAME=`$dummy` &&
+	{ echo "$SYSTEM_NAME"; exit; }
 
 # Apollos put the system type in the environment.
 
-test -d /usr/apollo && { echo ${ISP}-apollo-${SYSTYPE}; exit 0; }
+test -d /usr/apollo && { echo ${ISP}-apollo-${SYSTYPE}; exit; }
 
 # Convex versions that predate uname can use getsysinfo(1)
 
@@ -1383,22 +1398,22 @@
     case `getsysinfo -f cpu_type` in
     c1*)
 	echo c1-convex-bsd
-	exit 0 ;;
+	exit ;;
     c2*)
 	if getsysinfo -f scalar_acc
 	then echo c32-convex-bsd
 	else echo c2-convex-bsd
 	fi
-	exit 0 ;;
+	exit ;;
     c34*)
 	echo c34-convex-bsd
-	exit 0 ;;
+	exit ;;
     c38*)
 	echo c38-convex-bsd
-	exit 0 ;;
+	exit ;;
     c4*)
 	echo c4-convex-bsd
-	exit 0 ;;
+	exit ;;
     esac
 fi
 
@@ -1409,7 +1424,9 @@
 the operating system you are using. It is advised that you
 download the most up to date version of the config scripts from
 
-    ftp://ftp.gnu.org/pub/gnu/config/
+  http://savannah.gnu.org/cgi-bin/viewcvs/*checkout*/config/config/config.guess
+and
+  http://savannah.gnu.org/cgi-bin/viewcvs/*checkout*/config/config/config.sub
 
 If the version you run ($0) is already up to date, please
 send the following data and any information you think might be

=== modified file 'admin/config.sub'
--- admin/config.sub	2005-11-24 12:16:38 +0000
+++ admin/config.sub	2006-07-14 12:25:16 +0000
@@ -1,9 +1,9 @@
 #! /bin/sh
 # Configuration validation subroutine script.
 #   Copyright (C) 1992, 1993, 1994, 1995, 1996, 1997, 1998, 1999,
-#   2000, 2001, 2002, 2003, 2004 Free Software Foundation, Inc.
+#   2000, 2001, 2002, 2003, 2004, 2005 Free Software Foundation, Inc.
 
-timestamp='2004-06-24'
+timestamp='2005-07-08'
 
 # This file is (in principle) common to ALL GNU software.
 # The presence of a machine in this file suggests that SOME GNU software
@@ -21,14 +21,15 @@
 #
 # You should have received a copy of the GNU General Public License
 # along with this program; if not, write to the Free Software
-# Foundation, Inc., 59 Temple Place - Suite 330,
-# Boston, MA 02111-1307, USA.
-
+# Foundation, Inc., 51 Franklin Street - Fifth Floor, Boston, MA
+# 02110-1301, USA.
+#
 # As a special exception to the GNU General Public License, if you
 # distribute this file as part of a program that contains a
 # configuration script generated by Autoconf, you may include it under
 # the same distribution terms that you use for the rest of that program.
 
+
 # Please send patches to <config-patches@gnu.org>.  Submit a context
 # diff and a properly formatted ChangeLog entry.
 #
@@ -70,7 +71,7 @@
 version="\
 GNU config.sub ($timestamp)
 
-Copyright (C) 1992, 1993, 1994, 1995, 1996, 1997, 1998, 1999, 2000, 2001, 2002, 2003, 2004
+Copyright (C) 1992, 1993, 1994, 1995, 1996, 1997, 1998, 1999, 2000, 2001, 2002, 2003, 2004, 2005
 Free Software Foundation, Inc.
 
 This is free software; see the source for copying conditions.  There is NO
@@ -83,11 +84,11 @@
 while test $# -gt 0 ; do
   case $1 in
     --time-stamp | --time* | -t )
-       echo "$timestamp" ; exit 0 ;;
+       echo "$timestamp" ; exit ;;
     --version | -v )
-       echo "$version" ; exit 0 ;;
+       echo "$version" ; exit ;;
     --help | --h* | -h )
-       echo "$usage"; exit 0 ;;
+       echo "$usage"; exit ;;
     -- )     # Stop option processing
        shift; break ;;
     - )	# Use stdin as input.
@@ -99,7 +100,7 @@
     *local*)
        # First pass through any local machine types.
        echo $1
-       exit 0;;
+       exit ;;
 
     * )
        break ;;
@@ -231,13 +232,14 @@
 	| alpha64 | alpha64ev[4-8] | alpha64ev56 | alpha64ev6[78] | alpha64pca5[67] \
 	| am33_2.0 \
 	| arc | arm | arm[bl]e | arme[lb] | armv[2345] | armv[345][lb] | avr \
+	| bfin \
 	| c4x | clipper \
 	| d10v | d30v | dlx | dsp16xx \
 	| fr30 | frv \
 	| h8300 | h8500 | hppa | hppa1.[01] | hppa2.0 | hppa2.0[nw] | hppa64 \
 	| i370 | i860 | i960 | ia64 \
 	| ip2k | iq2000 \
-	| m32r | m32rle | m68000 | m68k | m88k | mcore \
+	| m32r | m32rle | m68000 | m68k | m88k | maxq | mcore \
 	| mips | mipsbe | mipseb | mipsel | mipsle \
 	| mips16 \
 	| mips64 | mips64el \
@@ -246,6 +248,7 @@
 	| mips64vr4100 | mips64vr4100el \
 	| mips64vr4300 | mips64vr4300el \
 	| mips64vr5000 | mips64vr5000el \
+	| mips64vr5900 | mips64vr5900el \
 	| mipsisa32 | mipsisa32el \
 	| mipsisa32r2 | mipsisa32r2el \
 	| mipsisa64 | mipsisa64el \
@@ -254,23 +257,28 @@
 	| mipsisa64sr71k | mipsisa64sr71kel \
 	| mipstx39 | mipstx39el \
 	| mn10200 | mn10300 \
+	| ms1 \
 	| msp430 \
 	| ns16k | ns32k \
-	| openrisc | or32 \
+	| or32 \
 	| pdp10 | pdp11 | pj | pjl \
 	| powerpc | powerpc64 | powerpc64le | powerpcle | ppcbe \
 	| pyramid \
-	| sh | sh[1234] | sh[23]e | sh[34]eb | shbe | shle | sh[1234]le | sh3ele \
+	| sh | sh[1234] | sh[24]a | sh[23]e | sh[34]eb | shbe | shle | sh[1234]le | sh3ele \
 	| sh64 | sh64le \
-	| sparc | sparc64 | sparc86x | sparclet | sparclite | sparcv8 | sparcv9 | sparcv9b \
+	| sparc | sparc64 | sparc64b | sparc86x | sparclet | sparclite \
+	| sparcv8 | sparcv9 | sparcv9b \
 	| strongarm \
 	| tahoe | thumb | tic4x | tic80 | tron \
 	| v850 | v850e \
 	| we32k \
-	| x86 | xscale | xstormy16 | xtensa \
+	| x86 | xscale | xscalee[bl] | xstormy16 | xtensa \
 	| z8k)
 		basic_machine=$basic_machine-unknown
 		;;
+	m32c)
+		basic_machine=$basic_machine-unknown
+		;;
 	m6811 | m68hc11 | m6812 | m68hc12)
 		# Motorola 68HC11/12.
 		basic_machine=$basic_machine-unknown
@@ -298,7 +306,7 @@
 	| alphapca5[67]-* | alpha64pca5[67]-* | arc-* \
 	| arm-*  | armbe-* | armle-* | armeb-* | armv*-* \
 	| avr-* \
-	| bs2000-* \
+	| bfin-* | bs2000-* \
 	| c[123]* | c30-* | [cjt]90-* | c4x-* | c54x-* | c55x-* | c6x-* \
 	| clipper-* | craynv-* | cydra-* \
 	| d10v-* | d30v-* | dlx-* \
@@ -310,7 +318,7 @@
 	| ip2k-* | iq2000-* \
 	| m32r-* | m32rle-* \
 	| m68000-* | m680[012346]0-* | m68360-* | m683?2-* | m68k-* \
-	| m88110-* | m88k-* | mcore-* \
+	| m88110-* | m88k-* | maxq-* | mcore-* \
 	| mips-* | mipsbe-* | mipseb-* | mipsel-* | mipsle-* \
 	| mips16-* \
 	| mips64-* | mips64el-* \
@@ -319,6 +327,7 @@
 	| mips64vr4100-* | mips64vr4100el-* \
 	| mips64vr4300-* | mips64vr4300el-* \
 	| mips64vr5000-* | mips64vr5000el-* \
+	| mips64vr5900-* | mips64vr5900el-* \
 	| mipsisa32-* | mipsisa32el-* \
 	| mipsisa32r2-* | mipsisa32r2el-* \
 	| mipsisa64-* | mipsisa64el-* \
@@ -327,6 +336,7 @@
 	| mipsisa64sr71k-* | mipsisa64sr71kel-* \
 	| mipstx39-* | mipstx39el-* \
 	| mmix-* \
+	| ms1-* \
 	| msp430-* \
 	| none-* | np1-* | ns16k-* | ns32k-* \
 	| orion-* \
@@ -334,20 +344,23 @@
 	| powerpc-* | powerpc64-* | powerpc64le-* | powerpcle-* | ppcbe-* \
 	| pyramid-* \
 	| romp-* | rs6000-* \
-	| sh-* | sh[1234]-* | sh[23]e-* | sh[34]eb-* | shbe-* \
+	| sh-* | sh[1234]-* | sh[24]a-* | sh[23]e-* | sh[34]eb-* | shbe-* \
 	| shle-* | sh[1234]le-* | sh3ele-* | sh64-* | sh64le-* \
-	| sparc-* | sparc64-* | sparc86x-* | sparclet-* | sparclite-* \
+	| sparc-* | sparc64-* | sparc64b-* | sparc86x-* | sparclet-* \
+	| sparclite-* \
 	| sparcv8-* | sparcv9-* | sparcv9b-* | strongarm-* | sv1-* | sx?-* \
 	| tahoe-* | thumb-* \
 	| tic30-* | tic4x-* | tic54x-* | tic55x-* | tic6x-* | tic80-* \
 	| tron-* \
 	| v850-* | v850e-* | vax-* \
 	| we32k-* \
-	| x86-* | x86_64-* | xps100-* | xscale-* | xstormy16-* \
-	| xtensa-* \
+	| x86-* | x86_64-* | xps100-* | xscale-* | xscalee[bl]-* \
+	| xstormy16-* | xtensa-* \
 	| ymp-* \
 	| z8k-*)
 		;;
+	m32c-*)
+		;;
 	# Recognize the various machine names and aliases which stand
 	# for a CPU type and a company and sometimes even an OS.
 	386bsd)
@@ -457,6 +470,9 @@
 	crds | unos)
 		basic_machine=m68k-crds
 		;;
+	crisv32 | crisv32-* | etraxfs*)
+		basic_machine=crisv32-axis
+		;;
 	cris | cris-* | etrax*)
 		basic_machine=cris-axis
 		;;
@@ -486,6 +502,10 @@
 		basic_machine=m88k-motorola
 		os=-sysv3
 		;;
+	djgpp)
+		basic_machine=i586-pc
+		os=-msdosdjgpp
+		;;
 	dpx20 | dpx20-*)
 		basic_machine=rs6000-bull
 		os=-bosx
@@ -751,9 +771,8 @@
 		basic_machine=hppa1.1-oki
 		os=-proelf
 		;;
-	or32 | or32-*)
+	openrisc | openrisc-*)
 		basic_machine=or32-unknown
-		os=-coff
 		;;
 	os400)
 		basic_machine=powerpc-ibm
@@ -1026,6 +1045,10 @@
 		basic_machine=hppa1.1-winbond
 		os=-proelf
 		;;
+	xbox)
+		basic_machine=i686-pc
+		os=-mingw32
+		;;
 	xps | xps100)
 		basic_machine=xps100-honeywell
 		;;
@@ -1075,12 +1098,9 @@
 	we32k)
 		basic_machine=we32k-att
 		;;
-	sh3 | sh4 | sh[34]eb | sh[1234]le | sh[23]ele)
+	sh[1234] | sh[24]a | sh[34]eb | sh[1234]le | sh[23]ele)
 		basic_machine=sh-unknown
 		;;
-	sh64)
-		basic_machine=sh64-unknown
-		;;
 	sparc | sparcv8 | sparcv9 | sparcv9b)
 		basic_machine=sparc-sun
 		;;
@@ -1167,7 +1187,8 @@
 	      | -storm-chaos* | -tops10* | -tenex* | -tops20* | -its* \
 	      | -os2* | -vos* | -palmos* | -uclinux* | -nucleus* \
 	      | -morphos* | -superux* | -rtmk* | -rtmk-nova* | -windiss* \
-	      | -powermax* | -dnix* | -nx6 | -nx7 | -sei* | -dragonfly*)
+	      | -powermax* | -dnix* | -nx6 | -nx7 | -sei* | -dragonfly* \
+	      | -skyos* | -haiku*)
 	# Remember, each alternative MUST END IN *, to match a version number.
 		;;
 	-qnx*)
@@ -1185,7 +1206,7 @@
 		os=`echo $os | sed -e 's|nto|nto-qnx|'`
 		;;
 	-sim | -es1800* | -hms* | -xray | -os68k* | -none* | -v88r* \
-	      | -windows* | -osx | -abug | -netware* | -os9* | -beos* \
+	      | -windows* | -osx | -abug | -netware* | -os9* | -beos* | -haiku* \
 	      | -macos* | -mpw* | -magic* | -mmixware* | -mon960* | -lnews*)
 		;;
 	-mac*)
@@ -1294,6 +1315,9 @@
 	-kaos*)
 		os=-kaos
 		;;
+	-zvmoe)
+		os=-zvmoe
+		;;
 	-none)
 		;;
 	*)
@@ -1371,6 +1395,9 @@
 	*-be)
 		os=-beos
 		;;
+	*-haiku)
+		os=-haiku
+		;;
 	*-ibm)
 		os=-aix
 		;;
@@ -1542,7 +1569,7 @@
 esac
 
 echo $basic_machine$os
-exit 0
+exit
 
 # Local variables:
 # eval: (add-hook 'write-file-hooks 'time-stamp)

=== modified file 'configure'
--- configure	2005-11-24 12:16:38 +0000
+++ configure	2006-07-14 12:25:16 +0000
@@ -1923,7 +1923,7 @@
 
 # Define the identity of the package.
  PACKAGE=kid3
- VERSION=0.6
+ VERSION=0.7
 
 
 cat >>confdefs.h <<_ACEOF
@@ -31798,13 +31798,156 @@
 
 fi
 if test "$build_musicbrainz" = "yes"; then
-  HAVE_TUNEPIMP=1
-
+  echo "$as_me:$LINENO: checking for tp_SetPUIDCollisionThreshold in -ltunepimp" >&5
+echo $ECHO_N "checking for tp_SetPUIDCollisionThreshold in -ltunepimp... $ECHO_C" >&6
+if test "${ac_cv_lib_tunepimp_tp_SetPUIDCollisionThreshold+set}" = set; then
+  echo $ECHO_N "(cached) $ECHO_C" >&6
+else
+  ac_check_lib_save_LIBS=$LIBS
+LIBS="-ltunepimp  $LIBS"
+cat >conftest.$ac_ext <<_ACEOF
+/* confdefs.h.  */
+_ACEOF
+cat confdefs.h >>conftest.$ac_ext
+cat >>conftest.$ac_ext <<_ACEOF
+/* end confdefs.h.  */
+
+/* Override any gcc2 internal prototype to avoid an error.  */
+#ifdef __cplusplus
+extern "C"
+#endif
+/* We use char because int might match the return type of a gcc2
+   builtin and then its argument prototype would still apply.  */
+char tp_SetPUIDCollisionThreshold ();
+int
+main ()
+{
+tp_SetPUIDCollisionThreshold ();
+  ;
+  return 0;
+}
+_ACEOF
+rm -f conftest.$ac_objext conftest$ac_exeext
+if { (eval echo "$as_me:$LINENO: \"$ac_link\"") >&5
+  (eval $ac_link) 2>conftest.er1
+  ac_status=$?
+  grep -v '^ *+' conftest.er1 >conftest.err
+  rm -f conftest.er1
+  cat conftest.err >&5
+  echo "$as_me:$LINENO: \$? = $ac_status" >&5
+  (exit $ac_status); } &&
+	 { ac_try='test -z "$ac_c_werror_flag"			 || test ! -s conftest.err'
+  { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
+  (eval $ac_try) 2>&5
+  ac_status=$?
+  echo "$as_me:$LINENO: \$? = $ac_status" >&5
+  (exit $ac_status); }; } &&
+	 { ac_try='test -s conftest$ac_exeext'
+  { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
+  (eval $ac_try) 2>&5
+  ac_status=$?
+  echo "$as_me:$LINENO: \$? = $ac_status" >&5
+  (exit $ac_status); }; }; then
+  ac_cv_lib_tunepimp_tp_SetPUIDCollisionThreshold=yes
+else
+  echo "$as_me: failed program was:" >&5
+sed 's/^/| /' conftest.$ac_ext >&5
+
+ac_cv_lib_tunepimp_tp_SetPUIDCollisionThreshold=no
+fi
+rm -f conftest.err conftest.$ac_objext \
+      conftest$ac_exeext conftest.$ac_ext
+LIBS=$ac_check_lib_save_LIBS
+fi
+echo "$as_me:$LINENO: result: $ac_cv_lib_tunepimp_tp_SetPUIDCollisionThreshold" >&5
+echo "${ECHO_T}$ac_cv_lib_tunepimp_tp_SetPUIDCollisionThreshold" >&6
+if test $ac_cv_lib_tunepimp_tp_SetPUIDCollisionThreshold = yes; then
+
+cat >>confdefs.h <<\_ACEOF
+#define HAVE_TUNEPIMP 5
+_ACEOF
+
+else
+  echo "$as_me:$LINENO: checking for tp_SetFileNameEncoding in -ltunepimp" >&5
+echo $ECHO_N "checking for tp_SetFileNameEncoding in -ltunepimp... $ECHO_C" >&6
+if test "${ac_cv_lib_tunepimp_tp_SetFileNameEncoding+set}" = set; then
+  echo $ECHO_N "(cached) $ECHO_C" >&6
+else
+  ac_check_lib_save_LIBS=$LIBS
+LIBS="-ltunepimp  $LIBS"
+cat >conftest.$ac_ext <<_ACEOF
+/* confdefs.h.  */
+_ACEOF
+cat confdefs.h >>conftest.$ac_ext
+cat >>conftest.$ac_ext <<_ACEOF
+/* end confdefs.h.  */
+
+/* Override any gcc2 internal prototype to avoid an error.  */
+#ifdef __cplusplus
+extern "C"
+#endif
+/* We use char because int might match the return type of a gcc2
+   builtin and then its argument prototype would still apply.  */
+char tp_SetFileNameEncoding ();
+int
+main ()
+{
+tp_SetFileNameEncoding ();
+  ;
+  return 0;
+}
+_ACEOF
+rm -f conftest.$ac_objext conftest$ac_exeext
+if { (eval echo "$as_me:$LINENO: \"$ac_link\"") >&5
+  (eval $ac_link) 2>conftest.er1
+  ac_status=$?
+  grep -v '^ *+' conftest.er1 >conftest.err
+  rm -f conftest.er1
+  cat conftest.err >&5
+  echo "$as_me:$LINENO: \$? = $ac_status" >&5
+  (exit $ac_status); } &&
+	 { ac_try='test -z "$ac_c_werror_flag"			 || test ! -s conftest.err'
+  { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
+  (eval $ac_try) 2>&5
+  ac_status=$?
+  echo "$as_me:$LINENO: \$? = $ac_status" >&5
+  (exit $ac_status); }; } &&
+	 { ac_try='test -s conftest$ac_exeext'
+  { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
+  (eval $ac_try) 2>&5
+  ac_status=$?
+  echo "$as_me:$LINENO: \$? = $ac_status" >&5
+  (exit $ac_status); }; }; then
+  ac_cv_lib_tunepimp_tp_SetFileNameEncoding=yes
+else
+  echo "$as_me: failed program was:" >&5
+sed 's/^/| /' conftest.$ac_ext >&5
+
+ac_cv_lib_tunepimp_tp_SetFileNameEncoding=no
+fi
+rm -f conftest.err conftest.$ac_objext \
+      conftest$ac_exeext conftest.$ac_ext
+LIBS=$ac_check_lib_save_LIBS
+fi
+echo "$as_me:$LINENO: result: $ac_cv_lib_tunepimp_tp_SetFileNameEncoding" >&5
+echo "${ECHO_T}$ac_cv_lib_tunepimp_tp_SetFileNameEncoding" >&6
+if test $ac_cv_lib_tunepimp_tp_SetFileNameEncoding = yes; then
+
+cat >>confdefs.h <<\_ACEOF
+#define HAVE_TUNEPIMP 4
+_ACEOF
+
+else
 
 cat >>confdefs.h <<\_ACEOF
 #define HAVE_TUNEPIMP 1
 _ACEOF
 
+fi
+
+fi
+
+
   LIB_TUNEPIMP="-ltunepimp"
   have_tunepimp=yes
 else

=== modified file 'configure.in'
--- configure.in	2005-11-24 12:16:38 +0000
+++ configure.in	2006-07-14 12:25:16 +0000
@@ -40,7 +40,7 @@
 AC_ARG_PROGRAM
 
 dnl Automake doc recommends to do this only here. (Janos)
-AM_INIT_AUTOMAKE(kid3, 0.6) dnl searches for some needed programs
+AM_INIT_AUTOMAKE(kid3, 0.7) dnl searches for some needed programs
 
 KDE_SET_PREFIX
 
@@ -136,9 +136,12 @@
   KDE_CHECK_HEADER(tunepimp/tp_c.h, [build_musicbrainz="yes"], [build_musicbrainz="no"])
 fi
 if test "$build_musicbrainz" = "yes"; then
-  HAVE_TUNEPIMP=1
+  AC_CHECK_LIB(tunepimp, tp_SetPUIDCollisionThreshold,
+    AC_DEFINE(HAVE_TUNEPIMP, 5, [have TunePimp 0.5.x]),
+    AC_CHECK_LIB(tunepimp, tp_SetFileNameEncoding,
+      AC_DEFINE(HAVE_TUNEPIMP, 4, [have TunePimp 0.4.x]),
+      AC_DEFINE(HAVE_TUNEPIMP, 1, [have TunePimp])))
   AC_SUBST(HAVE_TUNEPIMP)
-  AC_DEFINE(HAVE_TUNEPIMP, 1, [have TunePimp])
   LIB_TUNEPIMP="-ltunepimp"
   have_tunepimp=yes
 else

=== modified file 'configure.in.in'
--- configure.in.in	2005-11-24 12:16:38 +0000
+++ configure.in.in	2006-07-14 12:25:16 +0000
@@ -1,5 +1,5 @@
 #MIN_CONFIG(3.0)
-AM_INIT_AUTOMAKE(kid3,0.6)
+AM_INIT_AUTOMAKE(kid3,0.7)
 dnl Check for libid3
 AC_SEARCH_LIBS(ID3Tag_Link,"id3" "id3 -lstdc++" "id3 -lz" "id3 -lz -lstdc++",,AC_MSG_ERROR(id3lib not found))
 
@@ -71,9 +71,12 @@
   KDE_CHECK_HEADER(tunepimp/tp_c.h, [build_musicbrainz="yes"], [build_musicbrainz="no"])
 fi
 if test "$build_musicbrainz" = "yes"; then
-  HAVE_TUNEPIMP=1
+  AC_CHECK_LIB(tunepimp, tp_SetPUIDCollisionThreshold,
+    AC_DEFINE(HAVE_TUNEPIMP, 5, [have TunePimp 0.5.x]),
+    AC_CHECK_LIB(tunepimp, tp_SetFileNameEncoding,
+      AC_DEFINE(HAVE_TUNEPIMP, 4, [have TunePimp 0.4.x]),
+      AC_DEFINE(HAVE_TUNEPIMP, 1, [have TunePimp])))
   AC_SUBST(HAVE_TUNEPIMP)
-  AC_DEFINE(HAVE_TUNEPIMP, 1, [have TunePimp])
   LIB_TUNEPIMP="-ltunepimp"
   have_tunepimp=yes
 else

=== modified file 'debian/changelog'
--- debian/changelog	2005-11-24 12:16:38 +0000
+++ debian/changelog	2006-07-14 12:25:16 +0000
@@ -1,3 +1,19 @@
+kid3 (0.7-0) unstable; urgency=low 
+
+   * New upstream version: Export dialog, show/hide ID3v1.1/ID3v2.3,
+     custom genres, automatic track numbering, improved import (search
+     history, track reordering), split filename and tag format into
+     separate options and commands, builds with libtunepimp 0.4.x.
+
+ -- Urs Fleisch <ufleisch@users.sourceforge.net>  Wed, 07 Jun 2006 21:07:40 +0200
+
+kid3 (0.6-1) unstable; urgency=low 
+
+   * Fixed bug: When changing both the tags and the filename of an Ogg
+     file, the old file was not deleted.
+
+ -- Urs Fleisch <ufleisch@users.sourceforge.net>  Mon, 14 Nov 2005 19:32:09 +0100
+
 kid3 (0.6-0) unstable; urgency=low 
 
    * New upstream version: support for Ogg/Vorbis and FLAC files, import

=== modified file 'debian/control'
--- debian/control	2005-11-24 12:16:38 +0000
+++ debian/control	2006-07-14 12:25:16 +0000
@@ -22,7 +22,7 @@
   * Generate filenames from tags
   * Generate playlist files
   * Automatic case conversion and string translation
-  * Import of album data
+  * Import and export album data
  . 
   Author: Urs Fleisch <ufleisch@users.sourceforge.net>
   Homepage: http://kid3.sourceforge.net/

=== modified file 'debian/kid3.1'
--- debian/kid3.1	2005-11-24 12:16:38 +0000
+++ debian/kid3.1	2006-07-14 12:25:16 +0000
@@ -44,7 +44,7 @@
 .IP
 * Automatic case conversion and string translation
 .IP
-* Import of album data
+* Import and export album data
 .PD 1
 
 .SH OPTIONS

=== modified file 'doc/Makefile.in'
--- doc/Makefile.in	2005-11-24 12:16:38 +0000
+++ doc/Makefile.in	2006-07-14 12:25:16 +0000
@@ -307,7 +307,7 @@
 #>+ 3
 	cd $(top_srcdir) && \
 	  $(AUTOMAKE) --gnu  doc/Makefile
-	cd $(top_srcdir) && perl admin/am_edit -padmin kid3-0.6/doc/Makefile.in
+	cd $(top_srcdir) && perl admin/am_edit -padmin kid3-0.7/doc/Makefile.in
 Makefile:  $(srcdir)/Makefile.in  $(top_builddir)/config.status
 	cd $(top_builddir) && $(SHELL) ./config.status $(subdir)/$@ $(am__depfiles_maybe)
 
@@ -594,9 +594,6 @@
 .NOEXPORT:
 
 
-
-
-
 #>+ 2
 KDE_DIST=Makefile.in 
 
@@ -607,7 +604,7 @@
 force-reedit:
 		cd $(top_srcdir) && \
 	  $(AUTOMAKE) --gnu  doc/Makefile
-	cd $(top_srcdir) && perl admin/am_edit -padmin kid3-0.6/doc/Makefile.in
+	cd $(top_srcdir) && perl admin/am_edit -padmin kid3-0.7/doc/Makefile.in
 
 
 #>+ 21

=== modified file 'doc/de/Makefile.in'
--- doc/de/Makefile.in	2005-11-24 12:16:38 +0000
+++ doc/de/Makefile.in	2006-07-14 12:25:16 +0000
@@ -296,7 +296,7 @@
 #>+ 3
 	cd $(top_srcdir) && \
 	  $(AUTOMAKE) --gnu  doc/de/Makefile
-	cd $(top_srcdir) && perl admin/am_edit -padmin kid3-0.6/doc/de/Makefile.in
+	cd $(top_srcdir) && perl admin/am_edit -padmin kid3-0.7/doc/de/Makefile.in
 Makefile:  $(srcdir)/Makefile.in  $(top_builddir)/config.status
 	cd $(top_builddir) && $(SHELL) ./config.status $(subdir)/$@ $(am__depfiles_maybe)
 
@@ -447,9 +447,6 @@
 .NOEXPORT:
 
 
-
-
-
 #>+ 2
 KDE_DIST=Makefile.in 
 
@@ -502,7 +499,7 @@
 force-reedit:
 		cd $(top_srcdir) && \
 	  $(AUTOMAKE) --gnu  doc/de/Makefile
-	cd $(top_srcdir) && perl admin/am_edit -padmin kid3-0.6/doc/de/Makefile.in
+	cd $(top_srcdir) && perl admin/am_edit -padmin kid3-0.7/doc/de/Makefile.in
 
 
 #>+ 21

=== modified file 'doc/de/index.docbook'
--- doc/de/index.docbook	2005-11-24 12:16:38 +0000
+++ doc/de/index.docbook	2006-07-14 12:25:16 +0000
@@ -20,13 +20,13 @@
 </authorgroup>
 
 <copyright>
-<year>2005</year>
+<year>2006</year>
 <holder>Urs Fleisch</holder>
 </copyright>
 <legalnotice>&FDLNotice;</legalnotice>
 
-<date>18/10/2005</date>
-<releaseinfo>0.6</releaseinfo>
+<date>20/05/2006</date>
+<releaseinfo>0.7</releaseinfo>
 
 <abstract>
 <para>
@@ -115,6 +115,9 @@
 <listitem><para>Import von <ulink url="http://freedb.org">freedb.org</ulink>,
 <ulink url="http://musicbrainz.org">MusicBrainz</ulink>
 und anderen Quellen</para></listitem>
+<listitem><para>Export als CSV, HTML, St&uuml;ckliste, Kover XML oder in
+anderen Formaten. Exportierte CSV-Dateien k&ouml;nnen wieder importiert
+werden.</para></listitem> 
 </itemizedlist>
 </sect1>
 
@@ -365,6 +368,12 @@
 beschrieben, die L&auml;nge der Zeichenketten ist jedoch nicht begrenzt.
 </para>
 <para>
+Beim <guilabel>Stil</guilabel> k&ouml;nnen nebst den vorgegebenen auch eigene Namen
+verwendet werden - eine Eingabe ins Editierfeld gen&uuml;gt. Soll solch ein eigener
+Stil k&uuml;nftig in der Liste erscheinen, so ist noch <keycap>Enter</keycap> zu
+dr&uuml;cken.
+</para>
+<para>
 <guilabel>Elemente</guilabel>: Die ID3v2.3 Tags k&ouml;nnen nicht blo&szlig;
 dieselben Werte enthalten wie die ID3v1.1 Tags, das Format ist vielmehr auf
 flexible Art aus mehreren Elementen aufgebaut, welche wiederum aus
@@ -377,8 +386,10 @@
 durch Doppelklick auf den Elementeintrag erreicht werden.</para>
 <para>
 <guibutton>Hinzuf&uuml;gen</guibutton>: Ein Auswahlfenster mit allen
-unterst&uuml;tzten Elementtypen wird angezeigt und ein Element des gew&auml;hlten
-Typs wird zu der Datei hinzugef&uuml;gt.
+unterst&uuml;tzten Elementtypen wird angezeigt und  ein Element des gew&auml;hlten
+Typs kann editiert und zu der Datei hinzugef&uuml;gt werden. Dies funktioniert
+auch, wenn mehrere Dateien ausgew&auml;hlt sind; das Element wird dann bei allen
+ausgew&auml;hlten Dateien hinzugef&uuml;gt. 
 </para>
 <para>
 <guibutton>L&ouml;schen</guibutton>: L&ouml;scht das ausgew&auml;hlte Element.
@@ -425,7 +436,7 @@
 <guimenuitem>Speichern</guimenuitem>
 </menuchoice></term>
 <listitem><para><action>Speichert alle ver&auml;nderten Dateien im Verzeichnis.</action>
-Die ver&auml;nderten Dateien sind durch einen Stern gekennzeichnet. Wenn
+Die ver&auml;nderten Dateien sind durch ein Diskettensymbol gekennzeichnet. Wenn
 Dateinamen ver&auml;ndert wurden, so werden die entsprechenden Dateien
 umbenannt.</para></listitem>
 </varlistentry>
@@ -489,7 +500,19 @@
 
 <para>
 Zum Importieren von Albumdaten in Textform stehen mehrere vorkonfigurierte
-Formate zur Verf&uuml;gung. Das erste, "freedb HTML
+Formate zur Verf&uuml;gung. Die ersten zwei, "CSV unquoted" und "CSV quoted",
+dienen dazu, Daten welche &uuml;ber die Export Funktion exportiert wurden, wieder
+zu importieren. Diese Daten k&ouml;nnen nat&uuml;rlich von einer Tabellenkalkulation
+bearbeitet werden. CSV-Daten aus einer Tabellenkalkulation m&uuml;ssen mit
+Tabulator als Trennzeichen geschrieben werden und sollten sich &uuml;ber "CSV
+quoted" einlesen lassen. Dieses ist flexibler als "CSV unquoted", daf&uuml;r d&uuml;rfen
+die enthaltenen Felder keine Anf&uuml;hrungszeichen enthalten. Falls nur von &kid3;
+exportiert und wieder importiert wird, so sollte dies problemlos mit "CSV
+unquoted" m&ouml;glich sein.
+</para>
+
+<para>
+Das n&auml;chste Format, "freedb HTML
 text", kann benutzt werden, um Informationen aus einer HTML-Seite von
 <ulink url="http://freedb.org">freedb.org</ulink> zu kopieren. Dazu sucht man
 sich in freedb das Album, und wenn die gew&uuml;nschte Information im Browser
@@ -503,7 +526,7 @@
 ist kein Problem, wenn sie nummeriert sind.
 </para>
 <para>
-Das zweite vorkonfigurierte Format, "freedb HTML source", kann dann benutzt
+Das n&auml;chste vorkonfigurierte Format, "freedb HTML source", kann dann benutzt
 werden, wenn die Import-Daten als HTML-Dokument vorliegen. Solch eine Datei
 kann im Datei Dialog, welcher nach Klick auf <guibutton>Von
 Datei</guibutton> erscheint, ausgew&auml;hlt werden. Nat&uuml;rlich k&ouml;nnen die Daten auch
@@ -555,12 +578,117 @@
 werden. Wird eine &Uuml;berschreitung dieser Toleranzschwelle festgestellt,
 so wird die entsprechende L&auml;nge in der Vorschau rot dargestellt.
 </para>
+<para>
+Falls nun die vorhandenen Dateien in einer anderen Reihenfolge als die
+importierten St&uuml;cke vorliegen, so sollte die Zuordnung korrigiert
+werden. Diese Arbeit wird durch die <guilabel>Zuordnen mit</guilabel>
+Kn&ouml;pfe <guibutton>L&auml;nge</guibutton>, <guibutton>Nummer</guibutton>
+und <guibutton>Titel</guibutton> erleichtert, welche die St&uuml;cke dem jeweiligen
+Feld entsprechend zuordnen. Sollte die Zuordnung noch manuell korrigiert
+werden m&uuml;ssen, so kann ein Track nach Dr&uuml;cken der Steuerungs-Taste
+(<keycap>Ctrl</keycap>/<keycap>Strg</keycap>) mit der linken Maustaste gefasst
+und dann an die gew&uuml;nschte Stelle gezogen werden.
+</para>
 </listitem>
 </varlistentry>
 
 <varlistentry>
 <term><menuchoice>
 <guimenu>Datei</guimenu>
+<guimenuitem>Importieren von freedb.org...</guimenuitem>
+</menuchoice></term>
+<listitem><para><action>Importieren von einem freedb.org Server.</action>
+Dieser Men&uuml;punkt &ouml;ffnet denselben Import Dialog
+wie <guimenuitem>Importieren...</guimenuitem>, &ouml;ffnet jedoch direkt auch
+den <guibutton>Von freedb.org</guibutton> Dialog.</para></listitem> 
+</varlistentry>
+
+<varlistentry>
+<term><menuchoice>
+<guimenu>Datei</guimenu>
+<guimenuitem>Importieren von MusicBrainz...</guimenuitem>
+</menuchoice></term>
+<listitem><para><action>Importieren von einem MusicBrainz Server.</action>
+Dieser Men&uuml;punkt &ouml;ffnet denselben Import Dialog
+wie <guimenuitem>Importieren...</guimenuitem>, &ouml;ffnet jedoch direkt auch
+den <guibutton>Von MusicBrainz</guibutton> Dialog.</para></listitem> 
+</varlistentry>
+
+<varlistentry>
+<term><menuchoice>
+<guimenu>Datei</guimenu>
+<guimenuitem>Exportieren...</guimenuitem>
+</menuchoice></term>
+<listitem><para>
+Der <action>Export Dialog</action> wird verwendet, um die Daten aus den Tags in
+einer Datei oder der Zwischenablage zu speichern. Das oberste Editierfeld
+stellt einen einfachen Editor zur Verf&uuml;gung, welcher eine Vorschau der zu
+exportierenden Daten bietet. Zus&auml;tzlich lassen sich die Daten darin noch
+modifizieren, denn es wird der Inhalt dieses Editierfeldes gespeichert. Die
+Daten werden aus den Tags der Dateien im aktuellen Verzeichnis generiert, und
+zwar gem&auml;ss dem unten eingestellten Format.
+</para>
+<para>
+Diese Formateinstellung ist gleich aufgebaut wie im Import Dialog: Im obersten
+Feld ist der Titel (z.B. "CSV unquoted"), dann folgt der Header - dieser wird
+nur am Anfang der Datei generiert. Nun folgt das Track-Format, es wird f&uuml;r
+jeden Track angewendet. Schlie&szlig;lich gibt es noch einen Trailer, welcher die
+Datei noch abschlie&szlig;t.
+</para>
+<para>
+Die Formatfelder enthalten keine regul&auml;ren Ausdr&uuml;cke wie im Import Dialog,
+sondern blo&szlig; Ausgabeformate, bei denen spezielle %-Ausdr&uuml;cke durch Werte aus
+den Tags ersetzt werden. Das ganze verh&auml;lt sich also gleich wie beim
+Dateinamenformat, es werden auch dieselben Codes verwendet, plus ein paar
+zus&auml;tzliche.
+</para>
+
+<itemizedlist>
+<listitem><para>%s Titel (Song)</para></listitem>
+<listitem><para>%a Interpret (Artist)</para></listitem>
+<listitem><para>%l Album</para></listitem>
+<listitem><para>%c Kommentar (Comment)</para></listitem>
+<listitem><para>%y Jahr (Year)</para></listitem>
+<listitem><para>%t Nummer (Track)</para></listitem>
+<listitem><para>%T Nummer (Track), ohne f&uuml;hrende Null</para></listitem>
+<listitem><para>%g Stil (Genre)</para></listitem>
+<listitem><para>%f Dateiname (File name)</para></listitem>
+<listitem><para>%p Pfadname</para></listitem>
+<listitem><para>%u URL</para></listitem>
+<listitem><para>%d Dauer in Minuten:Sekunden</para></listitem>
+<listitem><para>%D Dauer in Sekunden</para></listitem>
+<listitem><para>%n Anzahl Tracks im Album</para></listitem>
+</itemizedlist>
+
+<para>
+Mit diesen Formatcodes sind bereits einige Formate vordefiniert. "CSV
+unquoted" trennt die einzelnen Felder durch Tabulatoren. Daten in diesem
+Format k&ouml;nnen einfach wieder &uuml;ber das gleichnamige Importformat in &kid3;
+importiert werden. "CSV quoted" setzt die Felder zus&auml;tzlich noch in
+Anf&uuml;hrungszeichen, was den Import in Tabellenkalkulationen erleichtert. Daf&uuml;r
+sollten in den Feldern keine Anf&uuml;hrungszeichen vorkommen. "Extended M3U" und
+"Extended PLS" erzeugen St&uuml;cklisten mit Zusatzinformationen und absoluten
+Pfadnamen. "HTML" dient dazu, eine HTML-Seite mit verlinkten Tracks zu
+erstellen. "Kover XML" generiert eine XML-Datei, welche vom
+Cover-Druck-Programm Kover gelesen werden kann. "Custom Format" schlie&szlig;lich
+ist frei f&uuml;r ein eigenes Format. Nat&uuml;rlich k&ouml;nnen auch die anderen Formate
+beliebig angepasst werden, oder es k&ouml;nnen noch mehr Formate in der Datei
+<filename>kid3rc</filename> im Konfigurationsverzeichnis hinzugef&uuml;gt werden.
+</para>
+<para>
+Die Quelle der Daten (<guilabel>ID3v1</guilabel>
+oder <guilabel>ID3v2</guilabel>) kann mit einem Auswahlfeld festgelegt
+werden. Ein Klick auf <guibutton>In Datei</guibutton> bzw.
+<guibutton>In Zwischenablage</guibutton> speichert die Daten in einer Datei
+oder der Zwischenablage. <guibutton>OK</guibutton>
+und <guibutton>Abbrechen</guibutton> beenden den Dialog,
+wobei <guibutton>OK</guibutton> die aktuellen Einstellungen &uuml;bernimmt.
+</para></listitem> 
+</varlistentry>
+
+<varlistentry>
+<term><menuchoice>
+<guimenu>Datei</guimenu>
 <guimenuitem>St&uuml;ckliste erstellen</guimenuitem>
 </menuchoice></term>
 <listitem><para><action>Erzeugt eine M3U St&uuml;ckliste.</action> Die Datei wird im
@@ -596,15 +724,33 @@
 <varlistentry>
 <term><menuchoice>
 <guimenu>Extras</guimenu>
-<guimenuitem>Format anwenden</guimenuitem>
+<guimenuitem>Dateinamenformat anwenden</guimenuitem>
 </menuchoice></term>
 <listitem><para>Wenn <guilabel>W&auml;hrend des Editierens formatieren</guilabel>
-im Konfigurationsdialog deaktiviert ist, kann man mit diesem Men&uuml;punkt
-<action>die Formatierung auf die ausgew&auml;hlten Dateien anwenden</action>.
+im Konfigurationsdialog beim Dateinamenformat deaktiviert ist, kann man mit diesem Men&uuml;punkt
+<action>die Formatierung auf die Namen der ausgew&auml;hlten Dateien anwenden</action>.
 Diese Funktion kann auch angewendet werden, um zu testen, ob die Dateinamen
-und Tags dem eingestellten Format entsprechen. Hierzu sollten alle Dateien
-gespeichert werden; nach Anwendung des Formates sind dann nur diejenigen
-Dateien ver&auml;ndert (in der Dateiliste mit einem Stern versehen), welche nicht
+dem eingestellten Format entsprechen. Hierzu sollten alle Dateien
+gespeichert werden; nach Anwendung des Formates sind dann nur diejenigen
+Dateien ver&auml;ndert (in der Dateiliste mit einem Diskettensymbol versehen), welche nicht
+dem eingestellten Format entsprechen. Ungewollte &Auml;nderungen k&ouml;nnen
+mit <guilabel>Zuletzt gespeicherte Fassung</guilabel>
+r&uuml;ckg&auml;ngig gemacht werden.
+</para></listitem>
+</varlistentry>
+
+<varlistentry>
+<term><menuchoice>
+<guimenu>Extras</guimenu>
+<guimenuitem>ID3 Format anwenden</guimenuitem>
+</menuchoice></term>
+<listitem><para>Wenn <guilabel>W&auml;hrend des Editierens formatieren</guilabel>
+im Konfigurationsdialog beim ID3 Format deaktiviert ist, kann man mit diesem Men&uuml;punkt
+<action>die Formatierung auf die Tags der ausgew&auml;hlten Dateien anwenden</action>.
+Diese Funktion kann auch angewendet werden, um zu testen, ob die Tags dem
+eingestellten Format entsprechen. Hierzu sollten alle Dateien
+gespeichert werden; nach Anwendung des Formates sind dann nur diejenigen
+Dateien ver&auml;ndert (in der Dateiliste mit einem Diskettensymbol versehen), welche nicht
 dem eingestellten Format entsprechen. Ungewollte &Auml;nderungen k&ouml;nnen
 mit <guilabel>Zuletzt gespeicherte Fassung</guilabel>
 r&uuml;ckg&auml;ngig gemacht werden.
@@ -647,6 +793,20 @@
 </para></listitem>
 </varlistentry>
 
+<varlistentry>
+<term><menuchoice>
+<guimenu>Extras</guimenu>
+<guimenuitem>Tracks nummerieren...</guimenuitem>
+</menuchoice></term>
+<listitem><para>
+Falls die Track-Nummern in den Tags nicht vorhanden oder falsch sind, so
+lassen sich mit dieser Funktion <action>die Tracks automatisch aufsteigend
+nummerieren</action>. Im Dialog kann die <guilabel>Startnummer</guilabel>
+angegeben werden. Falls nur ein Teil der Tracks nummeriert werden soll, so
+sind diese vorg&auml;ngig auszuw&auml;hlen.
+</para></listitem>
+</varlistentry>
+
 </variablelist>
 </para>
 </sect2>
@@ -659,6 +819,24 @@
 <varlistentry>
 <term><menuchoice>
 <guimenu>Einstellungen</guimenu>
+<guimenuitem>ID3v1.1 ausblenden</guimenuitem>
+</menuchoice></term>
+<listitem><para><action>Schaltet die Anzeige der ID3v1.1 Sektion ein und aus.
+</action></para></listitem>
+</varlistentry>
+
+<varlistentry>
+<term><menuchoice>
+<guimenu>Einstellungen</guimenu>
+<guimenuitem>ID3v2.3 ausblenden</guimenuitem>
+</menuchoice></term>
+<listitem><para><action>Schaltet die Anzeige der ID3v2.3 Sektion ein und aus.
+</action></para></listitem>
+</varlistentry>
+
+<varlistentry>
+<term><menuchoice>
+<guimenu>Einstellungen</guimenu>
 <guimenuitem>Werkzeugleiste anzeigen</guimenuitem>
 </menuchoice></term>
 <listitem><para><action>Schaltet die Anzeige der Werkzeugleiste, welche
@@ -707,9 +885,9 @@
 <para>
 Die Seite <guilabel>Format</guilabel> enth&auml;lt Einstellungen f&uuml;r das Format der
 Dateinamen und Tags.
+Das Format kann separat f&uuml;r Dateinamen und ID3 Tags eingestellt werden.
 Wenn <guilabel>W&auml;hrend dem Editieren formatieren</guilabel> aktiviert ist,
-wird die Eingabe w&auml;hrend dem Editieren automatisch formatiert. Das Format kann
-separat f&uuml;r Dateinamen und ID3 Tags eingestellt werden.
+wird die Eingabe w&auml;hrend dem Editieren automatisch formatiert. 
 <guilabel>Gro&szlig;/Kleinschreibung</guilabel> kann auf <guilabel>Keine
 &Auml;nderungen</guilabel>, <guilabel>Alles Kleinbuchstaben</guilabel>,
 <guilabel>Alles Gro&szlig;buchstaben</guilabel>, <guilabel>Den ersten Buchstaben
@@ -768,7 +946,7 @@
 <guimenu>Hilfe</guimenu>
 <guimenuitem>&Uuml;ber Kid3</guimenuitem>
 </menuchoice></term>
-<listitem><para><action>Zeigt eine kurze Information &uuml;ber &kid3; an.
+<listitem><para><action>Zeigt eine kurze Information &uuml;ber Kid3 an.
 </action></para></listitem>
 </varlistentry>
 
@@ -818,8 +996,8 @@
 <ulink url="http://www.trolltech.com/qt/">Qt</ulink>. <ulink
 url="http://www.kde.org">KDE</ulink> ist empfohlen aber nicht notwendig,
 denn &kid3; kann auch als reine Qt Applikation kompiliert werden. &kid3;
-l&auml;uft auf Systemen, wo diese Libraries vorhanden sind, z.B. auf GNU/Linux und
-Windows.
+l&auml;uft auf Systemen, wo diese Programmbibliotheken vorhanden sind,
+z.B. auf GNU/Linux und Windows.
 Um Ogg/Vorbis Dateien zu taggen werden libogg, libvorbis und libvorbisfile
 ben&ouml;tigt, f&uuml;r FLAC Dateien libFLAC++ und libFLAC. F&uuml;r MusicBrainz
 Unterst&uuml;tzung wird libtunepimp verwendet. Da momentan kein Tunepimp SDK f&uuml;r
@@ -850,6 +1028,14 @@
 libogg 1.1.2, libflac++ 1.1.2, libtunepimp 0.3.0
 </para>
 <para>
+Ubuntu 6.06: id3lib 3.8.3, KDE 3.4.3, Qt 3.3.6, libvorbis 1.1.2,
+libogg 1.1.3, libflac++ 1.1.2, libtunepimp 0.3.0 und 0.4.2
+</para>
+<para>
+Leider ist das MP3 Format beim MusicBrainz Import in Ubuntu nicht
+unterst&uuml;tzt, da dort libtunepimp ohne libmad kompiliert ist.
+</para>
+<para>
 Windows NT 4.0: id3lib 3.8.0, id3lib 3.8.2, id3lib 3.8.3, non-commercial Qt Version 2.3.0
 </para>
 <para>
@@ -888,6 +1074,11 @@
 generiert.
 </para>
 <para>
+F&uuml;r die Erzeugung von RPM-Paketen ist die Datei <filename>kid3.spec</filename>
+vorhanden, f&uuml;r Debian-Pakete steht ein <filename>debian</filename> Verzeichnis
+zur Verf&uuml;gung.
+</para>
+<para>
 Die Qt Anwendung kann auch unter Windows kompiliert werden.
 Im kid3 Verzeichnis wird getippt:
 <screen width="40">

=== modified file 'doc/en/Makefile.in'
--- doc/en/Makefile.in	2005-11-24 12:16:38 +0000
+++ doc/en/Makefile.in	2006-07-14 12:25:16 +0000
@@ -296,7 +296,7 @@
 #>+ 3
 	cd $(top_srcdir) && \
 	  $(AUTOMAKE) --gnu  doc/en/Makefile
-	cd $(top_srcdir) && perl admin/am_edit -padmin kid3-0.6/doc/en/Makefile.in
+	cd $(top_srcdir) && perl admin/am_edit -padmin kid3-0.7/doc/en/Makefile.in
 Makefile:  $(srcdir)/Makefile.in  $(top_builddir)/config.status
 	cd $(top_builddir) && $(SHELL) ./config.status $(subdir)/$@ $(am__depfiles_maybe)
 
@@ -447,9 +447,6 @@
 .NOEXPORT:
 
 
-
-
-
 #>+ 2
 KDE_DIST=Makefile.in 
 
@@ -502,7 +499,7 @@
 force-reedit:
 		cd $(top_srcdir) && \
 	  $(AUTOMAKE) --gnu  doc/en/Makefile
-	cd $(top_srcdir) && perl admin/am_edit -padmin kid3-0.6/doc/en/Makefile.in
+	cd $(top_srcdir) && perl admin/am_edit -padmin kid3-0.7/doc/en/Makefile.in
 
 
 #>+ 21

=== modified file 'doc/en/index.docbook'
--- doc/en/index.docbook	2005-11-24 12:16:38 +0000
+++ doc/en/index.docbook	2006-07-14 12:25:16 +0000
@@ -20,13 +20,13 @@
 </authorgroup>
 
 <copyright>
-<year>2005</year>
+<year>2006</year>
 <holder>Urs Fleisch</holder>
 </copyright>
 <legalnotice>&FDLNotice;</legalnotice>
 
-<date>18/10/2005</date>
-<releaseinfo>0.6</releaseinfo>
+<date>20/05/2006</date>
+<releaseinfo>0.7</releaseinfo>
 
 <abstract>
 <para>
@@ -111,6 +111,8 @@
 <listitem><para>Import from <ulink url="http://freedb.org">freedb.org</ulink>,
 <ulink url="http://musicbrainz.org">MusicBrainz</ulink>
 and other data sources</para></listitem>
+<listitem><para>Export as CSV, HTML, playlist, Kover XML and other
+formats. Exported CSV files can be imported again.</para></listitem>
 </itemizedlist>
 </sect1>
 
@@ -347,6 +349,12 @@
 <guilabel>ID3v1.1</guilabel> section, but the size of the strings is not limited.
 </para>
 <para>
+For the ID3v2.3 <guilabel>Genre</guilabel> you can also use your own names
+besides the genres listed in the combo box, just type the name into the line
+edit. If such a custom genre shall be present in the combo box list in the
+future, type <keycap>Enter</keycap>.
+</para>
+<para>
 <guilabel>Frames</guilabel>: The ID3v2.3 tags can not only contain the same values
 as the ID3v1.1 tags, the format is built in a flexible way from several frames
 which are themselves composed of several fields. The frames list box shows
@@ -358,7 +366,8 @@
 </para>
 <para>
 <guibutton>Add</guibutton>: A requester to select the frame type will appear
-and a frame of the selected type is added to the file.
+and a frame of the selected type can be edited and added to the file. This
+works also to add a frame to multiple selected files.
 </para>
 <para>
 <guibutton>Delete</guibutton>: Deletes the selected frame.
@@ -403,7 +412,7 @@
 <guimenuitem>Save</guimenuitem>
 </menuchoice></term>
 <listitem><para><action>Saves all changed files in the directory.</action> The
-changed files are marked with an asterisk in the file listbox. If any file
+changed files are marked with a disk symbol in the file listbox. If any file
 names have been changed, those files will be renamed.</para></listitem>
 </varlistentry>
 
@@ -463,7 +472,17 @@
 </para>
 <para>
 For the import of textual data, several preconfigured import formats are
-available. The first, "freedb HTML 
+available. The first two, "CSV unquoted" and "CSV quoted" can be used to
+import data which was exported by the Export dialog. The CSV data can be
+edited with a spreadsheet, and shall be written using tabs as
+delimiters. Import should then be possible using "CSV quoted", which is more
+flexible than "CSV unquoted". However, its fields cannot contain any double
+quotes. If you only export from &kid3; and import later, "CSV unquoted" can be
+used as a simple format for this purpose.
+</para>
+
+<para>
+The next format, "freedb HTML 
 text", can be used to copy information from an HTML page of
 <ulink url="http://freedb.org">freedb.org</ulink>. Search an album in freedb
 and if the desired information is displayed in the web browser, copy the
@@ -477,7 +496,7 @@
 track order to get their tags assigned. This is the case if they are numbered.
 </para>
 <para>
-The second preconfigured import format, "freedb HTML source", can be used, if
+The next preconfigured import format, "freedb HTML source", can be used, if
 the data is available as an HTML document. Import is possible using the
 <guibutton>From File</guibutton> button, which opens a file selector, or
 copying its contents from an editor and then importing from clipboard. This
@@ -526,12 +545,112 @@
 time can be set in seconds. If a mismatch in a length is detected, the length
 is displayed with a red background in the preview table.
 </para>
+<para>
+It the files are ordered differently than the imported tracks, their assigned
+tracks have to be changed. This task can be facilitated using
+the <guilabel>Match with</guilabel>
+buttons <guibutton>Length</guibutton>, <guibutton>Track</guibutton>,
+and <guibutton>Title</guibutton>, which will reorder the tracks according to
+the corresponding field. To correct the assignments manually, a track can be
+dragged with the left mouse button and the <keycap>Ctrl</keycap> key hold
+down, and then dropped at the new location.
+</para>
 </listitem>
 </varlistentry>
 
 <varlistentry>
 <term><menuchoice>
 <guimenu>File</guimenu>
+<guimenuitem>Import from freedb.org...</guimenuitem>
+</menuchoice></term>
+<listitem><para><action>Import from a freedb.org server.</action> This menu
+item opens the same import dialog as <guimenuitem>Import...</guimenuitem>, but
+opens directly the <guibutton>From freedb.org</guibutton>
+dialog.</para></listitem> 
+</varlistentry>
+
+<varlistentry>
+<term><menuchoice>
+<guimenu>File</guimenu>
+<guimenuitem>Import from MusicBrainz...</guimenuitem>
+</menuchoice></term>
+<listitem><para><action>Import from a MusicBrainz server.</action> This menu
+item opens the same import dialog as <guimenuitem>Import...</guimenuitem>, but
+opens directly the <guibutton>From MusicBrainz</guibutton>
+dialog.</para></listitem> 
+</varlistentry>
+
+<varlistentry>
+<term><menuchoice>
+<guimenu>File</guimenu>
+<guimenuitem>Export...</guimenuitem>
+</menuchoice></term>
+<listitem><para>
+The <action>Export Dialog</action> is used to store data from the tags in a
+file or the clipboard. The editor at the top shows a preview of the data to
+export. The data can be edited before exporting, as it is exactly the contents
+of the editor which will be stored. The data will be generated from the tags
+in the current directory according to the configured format.
+</para>
+<para>
+The format settings are similar as in the Import dialog: The topmost field
+contains the title (e.g. "CSV unquoted"), followed by the header, which will
+be generated at the begin of the file. The track data follows; it is used for
+every track. Finally, the trailer can be used to generate some finishing
+text.
+</para>
+<para>
+The format fields do not contain regular expressions as in the Import dialog,
+but only output format expressions with special %-expressions, which will be
+replaced by values from the tags. The whole thing works like the file name
+format, and the same codes are used plus some additional codes.
+</para>
+
+<itemizedlist>
+<listitem><para>%s Title (Song)</para></listitem>
+<listitem><para>%a Artist</para></listitem>
+<listitem><para>%l Album</para></listitem>
+<listitem><para>%c Comment</para></listitem>
+<listitem><para>%y Year</para></listitem>
+<listitem><para>%t Track</para></listitem>
+<listitem><para>%T Track, without leading zeroes</para></listitem>
+<listitem><para>%g Genre</para></listitem>
+<listitem><para>%f File name</para></listitem>
+<listitem><para>%p Path</para></listitem>
+<listitem><para>%u URL</para></listitem>
+<listitem><para>%d Duration in minutes:seconds</para></listitem>
+<listitem><para>%D Duration in seconds</para></listitem>
+<listitem><para>%n Number of tracks of the album</para></listitem>
+</itemizedlist>
+
+<para>
+A few formats are predefined. "CSV unquoted" separates the fields by
+tabs. Data in this format can be imported again into &kid3; using the import
+format with the same name. "CSV quoted" additionally encloses the fields by
+double quotes, which eases the import into spreadsheet applications. However,
+the fields shall not contain any double quotes when this format is used.
+"Extended M3U" and "Extended PLS" generate playlists with extended attributes
+and absolute path names. "HTML" can be used to generate an HTML page with
+hyperlinks to the tracks. "Kover XML" creates a file which can be imported by
+the cover printing program Kover. Finally, "Custom Format" is left empty for
+definition of a custom format. You can define more formats of your own by
+adding lines in the file <filename>kid3rc</filename> in the configuration
+directory. The other formats can be adapted to your needs.
+</para>
+<para>
+The source of the tags to generate the export data (<guilabel>ID3v1</guilabel>
+or <guilabel>ID3v2</guilabel>) can be selected with a combo
+box. Pushing <guibutton>To File</guibutton> or
+<guibutton>To Clipboard</guibutton> stores the data in a file or on the
+clipboard. <guibutton>OK</guibutton> and <guibutton>Cancel</guibutton> close
+the dialog, whereat <guibutton>OK</guibutton> accepts the current dialog
+settings.
+</para></listitem> 
+</varlistentry>
+
+<varlistentry>
+<term><menuchoice>
+<guimenu>File</guimenu>
 <guimenuitem>Create Playlist</guimenuitem>
 </menuchoice></term>
 <listitem><para><action>Creates an M3U playlist.</action> The file will be stored in
@@ -566,14 +685,28 @@
 <varlistentry>
 <term><menuchoice>
 <guimenu>Tools</guimenu>
-<guimenuitem>Apply Format</guimenuitem>
-</menuchoice></term>
-<listitem><para>When <guilabel>Format while editing</guilabel> is switched off
-in the configuration dialog, this menu item can be used to <action>apply
-the configured format to the selected files</action>. This can also be used
-to check whether the file and tag names conform with the configured format
-by applying the format to all saved files and then checking if any files were
-changed (and therefore marked with an asterisk in the file listbox).
+<guimenuitem>Apply Filename Format</guimenuitem>
+</menuchoice></term>
+<listitem><para>When <guilabel>Format while editing</guilabel> is switched off
+for the filename format in the configuration dialog, this menu item can be used to <action>apply
+the configured format to the names of the selected files</action>. This can also be used
+to check whether the file names conform with the configured format
+by applying the format to all saved files and then checking if any files were
+changed (and therefore marked with a disk symbol in the file listbox).
+</para></listitem>
+</varlistentry>
+
+<varlistentry>
+<term><menuchoice>
+<guimenu>Tools</guimenu>
+<guimenuitem>Apply ID3 Format</guimenuitem>
+</menuchoice></term>
+<listitem><para>When <guilabel>Format while editing</guilabel> is switched off
+for the ID3 format in the configuration dialog, this menu item can be used to <action>apply
+the configured format to the tags of the selected files</action>. This can also be used
+to check whether the tags conform with the configured format
+by applying the format to all saved files and then checking if any files were
+changed (and therefore marked with a disk symbol in the file listbox).
 </para></listitem>
 </varlistentry>
 
@@ -611,6 +744,19 @@
 </para></listitem>
 </varlistentry>
 
+<varlistentry>
+<term><menuchoice>
+<guimenu>Tools</guimenu>
+<guimenuitem>Number Tracks...</guimenuitem>
+</menuchoice></term>
+<listitem><para>
+If the track numbers in the tags are not set or have the wrong values, this
+function can <action>number the tracks automatically in ascending
+order</action>. The start number can be set in the dialog. If only part of the
+tracks have to be numbered, they must be selected.
+</para></listitem>
+</varlistentry>
+
 </variablelist>
 </para>
 </sect2>
@@ -623,6 +769,24 @@
 <varlistentry>
 <term><menuchoice>
 <guimenu>Settings</guimenu>
+<guimenuitem>Hide ID3v1.1</guimenuitem>
+</menuchoice></term>
+<listitem><para><action>Toggles displaying of the ID3v1.1 section.</action>
+</para></listitem>
+</varlistentry>
+
+<varlistentry>
+<term><menuchoice>
+<guimenu>Settings</guimenu>
+<guimenuitem>Hide ID3v2.3</guimenuitem>
+</menuchoice></term>
+<listitem><para><action>Toggles displaying of the ID3v2.3 section.</action>
+</para></listitem>
+</varlistentry>
+
+<varlistentry>
+<term><menuchoice>
+<guimenu>Settings</guimenu>
 <guimenuitem>Show Toolbar</guimenuitem>
 </menuchoice></term>
 <listitem><para><action>Toggles displaying of the toolbar</action>, which contains
@@ -667,9 +831,9 @@
 <para>
 The page <guilabel>Format</guilabel> contains options for the format of
 filenames and tags.
+The format can be set separately for filenames and ID3 tags.
 When <guilabel>Format while editing</guilabel> is checked, the format
-configuration is automatically used while editing text in the line edits. The
-format can be set separately for filenames and ID3 tags.
+configuration is automatically used while editing text in the line edits.
 The <guilabel>Case Conversion</guilabel> can be set to <guilabel>No
 changes</guilabel>, <guilabel>All lowercase</guilabel>, <guilabel>All
 uppercase</guilabel>, <guilabel>First letter uppercase</guilabel> or
@@ -723,7 +887,7 @@
 <guimenu>Help</guimenu>
 <guimenuitem>About Kid3</guimenuitem>
 </menuchoice></term>
-<listitem><para><action>Displays a short information about &kid3;.
+<listitem><para><action>Displays a short information about Kid3;.
 </action></para></listitem>
 </varlistentry>
 
@@ -804,6 +968,14 @@
 libogg 1.1.2, libflac++ 1.1.2, libtunepimp 0.3.0
 </para>
 <para>
+Ubuntu 6.06: id3lib 3.8.3, KDE 3.4.3, Qt 3.3.6, libvorbis 1.1.2,
+libogg 1.1.3, libflac++ 1.1.2, libtunepimp 0.3.0 and 0.4.2
+</para>
+<para>
+Note that the MP3 format is not supported in the MusicBrainz import on Ubuntu
+as libtunepimp is built without libmad.
+</para>
+<para>
 Windows NT 4.0: id3lib 3.8.0, id3lib 3.8.2, id3lib 3.8.3, non-commercial Qt version 2.3.0
 </para>
 <para>
@@ -840,6 +1012,11 @@
 include file with <userinput>make pch</userinput>.
 </para>
 <para>
+Generation of RPM-Packages is supported by the
+file <filename>kid3.spec</filename>, for Debian-Packages,
+a <filename>debian</filename> directory is available.
+</para>
+<para>
 The Qt application can also be compiled for Windows.
 In the kid3 directory, type
 <screen width="40">

=== modified file 'kid3.lsm'
--- kid3.lsm	2005-11-24 12:16:38 +0000
+++ kid3.lsm	2006-07-14 12:25:16 +0000
@@ -1,16 +1,17 @@
 Begin4
 Title:          Kid3 -- Efficient ID3 Tagger
-Version:        0.6
-Entered-date:   2004-07-26
-Description:    ID3 tagger to edit ID3v1.1 and ID3v2.3 tags, multiple
-                files, generate tags from file names and vice versa.
+Version:        0.7
+Entered-date:   2006-05-20
+Description:    ID3 tagger to edit ID3v1.1, ID3v2.3, Ogg/Vorbis and FLAC tags,
+                multiple files, generate tags from file names and vice versa,
+                import and export album data in various formats.
 Keywords:       KDE3 Qt kdemultimedia MP3 ID3 ID3v1 ID3v2
 Author:         Urs Fleisch <ufleisch@users.sourceforge.net>
 Maintained-by:  Urs Fleisch <ufleisch@users.sourceforge.net>
 Home-page:      http://kid3.sourceforge.net
 Alternate-site: http://www.kde-apps.org/content/show.php?content=10415
 Primary-site:   http://www.sourceforge.net/projects/kid3
-                http://prdownloads.sourceforge.net/kid3/kid3-0.6.tar.gz?download
+                http://prdownloads.sourceforge.net/kid3/kid3-0.7.tar.gz?download
 Platform:       Linux, Windows.
 Copying-policy: GPL
 End

=== modified file 'kid3.spec'
--- kid3.spec	2005-11-24 12:16:38 +0000
+++ kid3.spec	2006-07-14 12:25:16 +0000
@@ -7,13 +7,13 @@
 License:      GPL
 Group:        Applications/Multimedia
 Summary:      ID3 tagger
-Version:      0.6
+Version:      0.7
 Release:      1
 Source0:      kid3-%{version}.tar.gz
 BuildRoot:    /var/tmp/%{name}-buildroot
 Prefix:       /opt/kde3
-Requires:     id3lib
-BuildRequires: id3lib-devel
+#Requires:     id3lib
+#BuildRequires: id3lib-devel
 
 %description
 Kid3 - Efficient ID3 Tagger
@@ -23,6 +23,8 @@
 - Edit ID3v1.1 tags
 - Edit all ID3v2.3 frames
 - Convert between ID3v1.1 and ID3v2.3 tags
+- Edit Ogg/Vorbis tags
+- Edit FLAC tags
 - Edit tags of multiple files, e.g. the artist, album, year and genre
   of all files of an album typically have the same values and can be
   set together.
@@ -30,7 +32,8 @@
 - Generate filenames from tags
 - Generate playlist files
 - Automatic case conversion and string translation
-- Import of album data
+- Import of album data from freedb.org, MusicBrainz and other data sources
+- Export of album data in various formats
 
 Authors: Urs Fleisch
 

=== modified file 'kid3/Makefile.am'
--- kid3/Makefile.am	2005-11-24 12:16:38 +0000
+++ kid3/Makefile.am	2006-07-14 12:25:16 +0000
@@ -24,14 +24,14 @@
 endif
 
 # which sources should be compiled for kid3
-kid3_SOURCES = filelist.cpp framelist.cpp genres.cpp id3form.cpp kid3.cpp main.cpp mp3file.cpp standardtags.cpp configdialog.h configdialog.cpp formatconfig.h formatconfig.cpp formatbox.h formatbox.cpp importdialog.h importdialog.cpp importselector.h importselector.cpp importparser.h importparser.cpp generalconfig.h generalconfig.cpp importconfig.h importconfig.cpp miscconfig.h miscconfig.cpp freedbdialog.h freedbdialog.cpp freedbconfig.h freedbconfig.cpp freedbclient.h freedbclient.cpp rendirdialog.h rendirdialog.cpp dirlist.cpp taggedfile.cpp mp3framelist.cpp musicbrainzdialog.h musicbrainzdialog.cpp musicbrainzconfig.h musicbrainzconfig.cpp musicbrainzclient.h musicbrainzclient.cpp oggfile.cpp oggframelist.cpp vcedit.c flacfile.cpp flacframelist.cpp commandstable.cpp
+kid3_SOURCES = filelist.cpp framelist.cpp genres.cpp id3form.cpp kid3.cpp main.cpp mp3file.cpp standardtags.cpp configdialog.h configdialog.cpp exportdialog.h exportdialog.cpp formatconfig.h formatconfig.cpp formatbox.h formatbox.cpp importdialog.h importdialog.cpp importselector.h importselector.cpp importparser.h importparser.cpp generalconfig.h generalconfig.cpp importconfig.h importconfig.cpp miscconfig.h miscconfig.cpp freedbdialog.h freedbdialog.cpp freedbconfig.h freedbconfig.cpp freedbclient.h freedbclient.cpp rendirdialog.h rendirdialog.cpp dirlist.cpp taggedfile.cpp mp3framelist.cpp musicbrainzdialog.h musicbrainzdialog.cpp musicbrainzconfig.h musicbrainzconfig.cpp musicbrainzclient.h musicbrainzclient.cpp numbertracksdialog.h numbertracksdialog.cpp oggfile.cpp oggframelist.cpp vcedit.c flacfile.cpp flacframelist.cpp commandstable.cpp
 
 # these headers are automatically built
 BUILT_SOURCES =
 CLEANFILES = allsys.h allsys.h.gch
 
 # these are the headers for your project that won't be installed
-noinst_HEADERS = configdialog.h filelist.h formatbox.h formatconfig.h framelist.h freedbclient.h freedbconfig.h freedbdialog.h generalconfig.h genres.h id3form.h importconfig.h importdialog.h importparser.h importselector.h kid3.h miscconfig.h mp3file.h rendirdialog.h standardtags.h dirlist.h taggedfile.h mp3framelist.h musicbrainzclient.h musicbrainzconfig.h musicbrainzdialog.h oggfile.h oggframelist.h vcedit.h flacfile.h flacframelist.h commandstable.h
+noinst_HEADERS = configdialog.h exportdialog.h filelist.h formatbox.h formatconfig.h framelist.h freedbclient.h freedbconfig.h freedbdialog.h generalconfig.h genres.h id3form.h importconfig.h importdialog.h importparser.h importselector.h kid3.h miscconfig.h mp3file.h rendirdialog.h standardtags.h dirlist.h taggedfile.h mp3framelist.h musicbrainzclient.h musicbrainzconfig.h musicbrainzdialog.h numbertracksdialog.h oggfile.h oggframelist.h vcedit.h flacfile.h flacframelist.h commandstable.h
 
 # additional files in distribution
 EXTRA_DIST = kid3.desktop kid3ui.rc hi16-app-kid3.png hi32-app-kid3.png hi48-app-kid3.png de_qt.po ru_qt.po kid3.dsp kid3.dsw kid3win.rc kid3.ico kid3.mak config.mk

=== modified file 'kid3/Makefile.in'
--- kid3/Makefile.in	2005-11-24 12:16:38 +0000
+++ kid3/Makefile.in	2006-07-14 12:25:16 +0000
@@ -296,14 +296,14 @@
 @CONFIG_USE_KDE_FALSE@kid3_LDADD = $(LIB_QT) $(LIB_TUNEPIMP) $(LIB_VORBIS) $(LIB_FLAC)
 
 # which sources should be compiled for kid3
-kid3_SOURCES = filelist.cpp framelist.cpp genres.cpp id3form.cpp kid3.cpp main.cpp mp3file.cpp standardtags.cpp configdialog.h configdialog.cpp formatconfig.h formatconfig.cpp formatbox.h formatbox.cpp importdialog.h importdialog.cpp importselector.h importselector.cpp importparser.h importparser.cpp generalconfig.h generalconfig.cpp importconfig.h importconfig.cpp miscconfig.h miscconfig.cpp freedbdialog.h freedbdialog.cpp freedbconfig.h freedbconfig.cpp freedbclient.h freedbclient.cpp rendirdialog.h rendirdialog.cpp dirlist.cpp taggedfile.cpp mp3framelist.cpp musicbrainzdialog.h musicbrainzdialog.cpp musicbrainzconfig.h musicbrainzconfig.cpp musicbrainzclient.h musicbrainzclient.cpp oggfile.cpp oggframelist.cpp vcedit.c flacfile.cpp flacframelist.cpp commandstable.cpp
+kid3_SOURCES = filelist.cpp framelist.cpp genres.cpp id3form.cpp kid3.cpp main.cpp mp3file.cpp standardtags.cpp configdialog.h configdialog.cpp exportdialog.h exportdialog.cpp formatconfig.h formatconfig.cpp formatbox.h formatbox.cpp importdialog.h importdialog.cpp importselector.h importselector.cpp importparser.h importparser.cpp generalconfig.h generalconfig.cpp importconfig.h importconfig.cpp miscconfig.h miscconfig.cpp freedbdialog.h freedbdialog.cpp freedbconfig.h freedbconfig.cpp freedbclient.h freedbclient.cpp rendirdialog.h rendirdialog.cpp dirlist.cpp taggedfile.cpp mp3framelist.cpp musicbrainzdialog.h musicbrainzdialog.cpp musicbrainzconfig.h musicbrainzconfig.cpp musicbrainzclient.h musicbrainzclient.cpp numbertracksdialog.h numbertracksdialog.cpp oggfile.cpp oggframelist.cpp vcedit.c flacfile.cpp flacframelist.cpp commandstable.cpp
 
 # these headers are automatically built
 BUILT_SOURCES = 
 CLEANFILES = allsys.h allsys.h.gch
 
 # these are the headers for your project that won't be installed
-noinst_HEADERS = configdialog.h filelist.h formatbox.h formatconfig.h framelist.h freedbclient.h freedbconfig.h freedbdialog.h generalconfig.h genres.h id3form.h importconfig.h importdialog.h importparser.h importselector.h kid3.h miscconfig.h mp3file.h rendirdialog.h standardtags.h dirlist.h taggedfile.h mp3framelist.h musicbrainzclient.h musicbrainzconfig.h musicbrainzdialog.h oggfile.h oggframelist.h vcedit.h flacfile.h flacframelist.h commandstable.h
+noinst_HEADERS = configdialog.h exportdialog.h filelist.h formatbox.h formatconfig.h framelist.h freedbclient.h freedbconfig.h freedbdialog.h generalconfig.h genres.h id3form.h importconfig.h importdialog.h importparser.h importselector.h kid3.h miscconfig.h mp3file.h rendirdialog.h standardtags.h dirlist.h taggedfile.h mp3framelist.h musicbrainzclient.h musicbrainzconfig.h musicbrainzdialog.h numbertracksdialog.h oggfile.h oggframelist.h vcedit.h flacfile.h flacframelist.h commandstable.h
 
 # additional files in distribution
 EXTRA_DIST = kid3.desktop kid3ui.rc hi16-app-kid3.png hi32-app-kid3.png hi48-app-kid3.png de_qt.po ru_qt.po kid3.dsp kid3.dsw kid3win.rc kid3.ico kid3.mak config.mk
@@ -325,37 +325,39 @@
 am_kid3_OBJECTS = filelist.$(OBJEXT) framelist.$(OBJEXT) \
 	genres.$(OBJEXT) id3form.$(OBJEXT) kid3.$(OBJEXT) \
 	main.$(OBJEXT) mp3file.$(OBJEXT) standardtags.$(OBJEXT) \
-	configdialog.$(OBJEXT) formatconfig.$(OBJEXT) \
-	formatbox.$(OBJEXT) importdialog.$(OBJEXT) \
-	importselector.$(OBJEXT) importparser.$(OBJEXT) \
-	generalconfig.$(OBJEXT) importconfig.$(OBJEXT) \
-	miscconfig.$(OBJEXT) freedbdialog.$(OBJEXT) \
-	freedbconfig.$(OBJEXT) freedbclient.$(OBJEXT) \
-	rendirdialog.$(OBJEXT) dirlist.$(OBJEXT) taggedfile.$(OBJEXT) \
-	mp3framelist.$(OBJEXT) musicbrainzdialog.$(OBJEXT) \
-	musicbrainzconfig.$(OBJEXT) musicbrainzclient.$(OBJEXT) \
+	configdialog.$(OBJEXT) exportdialog.$(OBJEXT) \
+	formatconfig.$(OBJEXT) formatbox.$(OBJEXT) \
+	importdialog.$(OBJEXT) importselector.$(OBJEXT) \
+	importparser.$(OBJEXT) generalconfig.$(OBJEXT) \
+	importconfig.$(OBJEXT) miscconfig.$(OBJEXT) \
+	freedbdialog.$(OBJEXT) freedbconfig.$(OBJEXT) \
+	freedbclient.$(OBJEXT) rendirdialog.$(OBJEXT) dirlist.$(OBJEXT) \
+	taggedfile.$(OBJEXT) mp3framelist.$(OBJEXT) \
+	musicbrainzdialog.$(OBJEXT) musicbrainzconfig.$(OBJEXT) \
+	musicbrainzclient.$(OBJEXT) numbertracksdialog.$(OBJEXT) \
 	oggfile.$(OBJEXT) oggframelist.$(OBJEXT) vcedit.$(OBJEXT) \
 	flacfile.$(OBJEXT) flacframelist.$(OBJEXT) \
 	commandstable.$(OBJEXT)
 #>- kid3_OBJECTS = $(am_kid3_OBJECTS)
-#>+ 19
+#>+ 20
 kid3_final_OBJECTS = vcedit.o kid3.all_cpp.o 
 kid3_nofinal_OBJECTS = filelist.$(OBJEXT) framelist.$(OBJEXT) \
 	genres.$(OBJEXT) id3form.$(OBJEXT) kid3.$(OBJEXT) \
 	main.$(OBJEXT) mp3file.$(OBJEXT) standardtags.$(OBJEXT) \
-	configdialog.$(OBJEXT) formatconfig.$(OBJEXT) \
-	formatbox.$(OBJEXT) importdialog.$(OBJEXT) \
-	importselector.$(OBJEXT) importparser.$(OBJEXT) \
-	generalconfig.$(OBJEXT) importconfig.$(OBJEXT) \
-	miscconfig.$(OBJEXT) freedbdialog.$(OBJEXT) \
-	freedbconfig.$(OBJEXT) freedbclient.$(OBJEXT) \
-	rendirdialog.$(OBJEXT) dirlist.$(OBJEXT) taggedfile.$(OBJEXT) \
-	mp3framelist.$(OBJEXT) musicbrainzdialog.$(OBJEXT) \
-	musicbrainzconfig.$(OBJEXT) musicbrainzclient.$(OBJEXT) \
+	configdialog.$(OBJEXT) exportdialog.$(OBJEXT) \
+	formatconfig.$(OBJEXT) formatbox.$(OBJEXT) \
+	importdialog.$(OBJEXT) importselector.$(OBJEXT) \
+	importparser.$(OBJEXT) generalconfig.$(OBJEXT) \
+	importconfig.$(OBJEXT) miscconfig.$(OBJEXT) \
+	freedbdialog.$(OBJEXT) freedbconfig.$(OBJEXT) \
+	freedbclient.$(OBJEXT) rendirdialog.$(OBJEXT) dirlist.$(OBJEXT) \
+	taggedfile.$(OBJEXT) mp3framelist.$(OBJEXT) \
+	musicbrainzdialog.$(OBJEXT) musicbrainzconfig.$(OBJEXT) \
+	musicbrainzclient.$(OBJEXT) numbertracksdialog.$(OBJEXT) \
 	oggfile.$(OBJEXT) oggframelist.$(OBJEXT) vcedit.$(OBJEXT) \
 	flacfile.$(OBJEXT) flacframelist.$(OBJEXT) \
 	commandstable.$(OBJEXT)\
-id3form.moc.o filelist.moc.o freedbclient.moc.o musicbrainzclient.moc.o rendirdialog.moc.o freedbdialog.moc.o musicbrainzdialog.moc.o importselector.moc.o formatbox.moc.o kid3.moc.o mp3framelist.moc.o commandstable.moc.o 
+importdialog.moc.o id3form.moc.o filelist.moc.o freedbclient.moc.o exportdialog.moc.o musicbrainzclient.moc.o rendirdialog.moc.o freedbdialog.moc.o musicbrainzdialog.moc.o importselector.moc.o formatbox.moc.o mp3framelist.moc.o kid3.moc.o commandstable.moc.o 
 @KDE_USE_FINAL_FALSE@kid3_OBJECTS = $(kid3_nofinal_OBJECTS)
 @KDE_USE_FINAL_TRUE@kid3_OBJECTS = $(kid3_final_OBJECTS)
 @CONFIG_USE_KDE_TRUE@kid3_DEPENDENCIES =
@@ -366,7 +368,8 @@
 am__depfiles_maybe = depfiles
 #>- @AMDEP_TRUE@DEP_FILES = ./$(DEPDIR)/commandstable.Po \
 #>- @AMDEP_TRUE@	./$(DEPDIR)/configdialog.Po ./$(DEPDIR)/dirlist.Po \
-#>- @AMDEP_TRUE@	./$(DEPDIR)/filelist.Po ./$(DEPDIR)/flacfile.Po \
+#>- @AMDEP_TRUE@	./$(DEPDIR)/exportdialog.Po ./$(DEPDIR)/filelist.Po \
+#>- @AMDEP_TRUE@	./$(DEPDIR)/flacfile.Po \
 #>- @AMDEP_TRUE@	./$(DEPDIR)/flacframelist.Po \
 #>- @AMDEP_TRUE@	./$(DEPDIR)/formatbox.Po \
 #>- @AMDEP_TRUE@	./$(DEPDIR)/formatconfig.Po \
@@ -384,14 +387,16 @@
 #>- @AMDEP_TRUE@	./$(DEPDIR)/musicbrainzclient.Po \
 #>- @AMDEP_TRUE@	./$(DEPDIR)/musicbrainzconfig.Po \
 #>- @AMDEP_TRUE@	./$(DEPDIR)/musicbrainzdialog.Po \
+#>- @AMDEP_TRUE@	./$(DEPDIR)/numbertracksdialog.Po \
 #>- @AMDEP_TRUE@	./$(DEPDIR)/oggfile.Po ./$(DEPDIR)/oggframelist.Po \
 #>- @AMDEP_TRUE@	./$(DEPDIR)/rendirdialog.Po \
 #>- @AMDEP_TRUE@	./$(DEPDIR)/standardtags.Po \
 #>- @AMDEP_TRUE@	./$(DEPDIR)/taggedfile.Po ./$(DEPDIR)/vcedit.Po
-#>+ 48
-@AMDEP_TRUE@@KDE_USE_FINAL_TRUE@DEP_FILES =  $(DEPDIR)/id3form.moc.P $(DEPDIR)/filelist.moc.P $(DEPDIR)/freedbclient.moc.P $(DEPDIR)/musicbrainzclient.moc.P $(DEPDIR)/rendirdialog.moc.P $(DEPDIR)/freedbdialog.moc.P $(DEPDIR)/musicbrainzdialog.moc.P $(DEPDIR)/importselector.moc.P $(DEPDIR)/formatbox.moc.P $(DEPDIR)/kid3.moc.P $(DEPDIR)/mp3framelist.moc.P $(DEPDIR)/commandstable.moc.P  $(DEPDIR)/kid3.all_cpp.P ./$(DEPDIR)/commandstable.Po \
+#>+ 52
+@AMDEP_TRUE@@KDE_USE_FINAL_TRUE@DEP_FILES =  $(DEPDIR)/importdialog.moc.P $(DEPDIR)/id3form.moc.P $(DEPDIR)/filelist.moc.P $(DEPDIR)/freedbclient.moc.P $(DEPDIR)/exportdialog.moc.P $(DEPDIR)/musicbrainzclient.moc.P $(DEPDIR)/rendirdialog.moc.P $(DEPDIR)/freedbdialog.moc.P $(DEPDIR)/musicbrainzdialog.moc.P $(DEPDIR)/importselector.moc.P $(DEPDIR)/formatbox.moc.P $(DEPDIR)/mp3framelist.moc.P $(DEPDIR)/kid3.moc.P $(DEPDIR)/commandstable.moc.P  $(DEPDIR)/kid3.all_cpp.P ./$(DEPDIR)/commandstable.Po \
 @AMDEP_TRUE@@KDE_USE_FINAL_TRUE@	@AMDEP_TRUE@	./$(DEPDIR)/configdialog.Po ./$(DEPDIR)/dirlist.Po \
-@AMDEP_TRUE@@KDE_USE_FINAL_TRUE@	@AMDEP_TRUE@	./$(DEPDIR)/filelist.Po ./$(DEPDIR)/flacfile.Po \
+@AMDEP_TRUE@@KDE_USE_FINAL_TRUE@	@AMDEP_TRUE@	./$(DEPDIR)/exportdialog.Po ./$(DEPDIR)/filelist.Po \
+@AMDEP_TRUE@@KDE_USE_FINAL_TRUE@	@AMDEP_TRUE@	./$(DEPDIR)/flacfile.Po \
 @AMDEP_TRUE@@KDE_USE_FINAL_TRUE@	@AMDEP_TRUE@	./$(DEPDIR)/flacframelist.Po \
 @AMDEP_TRUE@@KDE_USE_FINAL_TRUE@	@AMDEP_TRUE@	./$(DEPDIR)/formatbox.Po \
 @AMDEP_TRUE@@KDE_USE_FINAL_TRUE@	@AMDEP_TRUE@	./$(DEPDIR)/formatconfig.Po \
@@ -409,13 +414,15 @@
 @AMDEP_TRUE@@KDE_USE_FINAL_TRUE@	@AMDEP_TRUE@	./$(DEPDIR)/musicbrainzclient.Po \
 @AMDEP_TRUE@@KDE_USE_FINAL_TRUE@	@AMDEP_TRUE@	./$(DEPDIR)/musicbrainzconfig.Po \
 @AMDEP_TRUE@@KDE_USE_FINAL_TRUE@	@AMDEP_TRUE@	./$(DEPDIR)/musicbrainzdialog.Po \
+@AMDEP_TRUE@@KDE_USE_FINAL_TRUE@	@AMDEP_TRUE@	./$(DEPDIR)/numbertracksdialog.Po \
 @AMDEP_TRUE@@KDE_USE_FINAL_TRUE@	@AMDEP_TRUE@	./$(DEPDIR)/oggfile.Po ./$(DEPDIR)/oggframelist.Po \
 @AMDEP_TRUE@@KDE_USE_FINAL_TRUE@	@AMDEP_TRUE@	./$(DEPDIR)/rendirdialog.Po \
 @AMDEP_TRUE@@KDE_USE_FINAL_TRUE@	@AMDEP_TRUE@	./$(DEPDIR)/standardtags.Po \
 @AMDEP_TRUE@@KDE_USE_FINAL_TRUE@	@AMDEP_TRUE@	./$(DEPDIR)/taggedfile.Po ./$(DEPDIR)/vcedit.Po
-@AMDEP_TRUE@@KDE_USE_FINAL_FALSE@DEP_FILES =  $(DEPDIR)/id3form.moc.P $(DEPDIR)/filelist.moc.P $(DEPDIR)/freedbclient.moc.P $(DEPDIR)/musicbrainzclient.moc.P $(DEPDIR)/rendirdialog.moc.P $(DEPDIR)/freedbdialog.moc.P $(DEPDIR)/musicbrainzdialog.moc.P $(DEPDIR)/importselector.moc.P $(DEPDIR)/formatbox.moc.P $(DEPDIR)/kid3.moc.P $(DEPDIR)/mp3framelist.moc.P $(DEPDIR)/commandstable.moc.P ./$(DEPDIR)/commandstable.Po \
+@AMDEP_TRUE@@KDE_USE_FINAL_FALSE@DEP_FILES =  $(DEPDIR)/importdialog.moc.P $(DEPDIR)/id3form.moc.P $(DEPDIR)/filelist.moc.P $(DEPDIR)/freedbclient.moc.P $(DEPDIR)/exportdialog.moc.P $(DEPDIR)/musicbrainzclient.moc.P $(DEPDIR)/rendirdialog.moc.P $(DEPDIR)/freedbdialog.moc.P $(DEPDIR)/musicbrainzdialog.moc.P $(DEPDIR)/importselector.moc.P $(DEPDIR)/formatbox.moc.P $(DEPDIR)/mp3framelist.moc.P $(DEPDIR)/kid3.moc.P $(DEPDIR)/commandstable.moc.P ./$(DEPDIR)/commandstable.Po \
 @AMDEP_TRUE@@KDE_USE_FINAL_FALSE@	@AMDEP_TRUE@	./$(DEPDIR)/configdialog.Po ./$(DEPDIR)/dirlist.Po \
-@AMDEP_TRUE@@KDE_USE_FINAL_FALSE@	@AMDEP_TRUE@	./$(DEPDIR)/filelist.Po ./$(DEPDIR)/flacfile.Po \
+@AMDEP_TRUE@@KDE_USE_FINAL_FALSE@	@AMDEP_TRUE@	./$(DEPDIR)/exportdialog.Po ./$(DEPDIR)/filelist.Po \
+@AMDEP_TRUE@@KDE_USE_FINAL_FALSE@	@AMDEP_TRUE@	./$(DEPDIR)/flacfile.Po \
 @AMDEP_TRUE@@KDE_USE_FINAL_FALSE@	@AMDEP_TRUE@	./$(DEPDIR)/flacframelist.Po \
 @AMDEP_TRUE@@KDE_USE_FINAL_FALSE@	@AMDEP_TRUE@	./$(DEPDIR)/formatbox.Po \
 @AMDEP_TRUE@@KDE_USE_FINAL_FALSE@	@AMDEP_TRUE@	./$(DEPDIR)/formatconfig.Po \
@@ -433,6 +440,7 @@
 @AMDEP_TRUE@@KDE_USE_FINAL_FALSE@	@AMDEP_TRUE@	./$(DEPDIR)/musicbrainzclient.Po \
 @AMDEP_TRUE@@KDE_USE_FINAL_FALSE@	@AMDEP_TRUE@	./$(DEPDIR)/musicbrainzconfig.Po \
 @AMDEP_TRUE@@KDE_USE_FINAL_FALSE@	@AMDEP_TRUE@	./$(DEPDIR)/musicbrainzdialog.Po \
+@AMDEP_TRUE@@KDE_USE_FINAL_FALSE@	@AMDEP_TRUE@	./$(DEPDIR)/numbertracksdialog.Po \
 @AMDEP_TRUE@@KDE_USE_FINAL_FALSE@	@AMDEP_TRUE@	./$(DEPDIR)/oggfile.Po ./$(DEPDIR)/oggframelist.Po \
 @AMDEP_TRUE@@KDE_USE_FINAL_FALSE@	@AMDEP_TRUE@	./$(DEPDIR)/rendirdialog.Po \
 @AMDEP_TRUE@@KDE_USE_FINAL_FALSE@	@AMDEP_TRUE@	./$(DEPDIR)/standardtags.Po \
@@ -483,7 +491,7 @@
 #>+ 3
 	cd $(top_srcdir) && \
 	  $(AUTOMAKE) --gnu  kid3/Makefile
-	cd $(top_srcdir) && perl admin/am_edit -padmin kid3-0.6/kid3/Makefile.in
+	cd $(top_srcdir) && perl admin/am_edit -padmin kid3-0.7/kid3/Makefile.in
 Makefile:  $(srcdir)/Makefile.in  $(top_builddir)/config.status
 	cd $(top_builddir) && $(SHELL) ./config.status $(subdir)/$@ $(am__depfiles_maybe)
 binPROGRAMS_INSTALL = $(INSTALL_PROGRAM)
@@ -528,6 +536,7 @@
 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/commandstable.Po@am__quote@
 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/configdialog.Po@am__quote@
 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/dirlist.Po@am__quote@
+@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/exportdialog.Po@am__quote@
 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/filelist.Po@am__quote@
 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/flacfile.Po@am__quote@
 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/flacframelist.Po@am__quote@
@@ -552,6 +561,7 @@
 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/musicbrainzclient.Po@am__quote@
 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/musicbrainzconfig.Po@am__quote@
 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/musicbrainzdialog.Po@am__quote@
+@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/numbertracksdialog.Po@am__quote@
 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/oggfile.Po@am__quote@
 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/oggframelist.Po@am__quote@
 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/rendirdialog.Po@am__quote@
@@ -901,8 +911,12 @@
 .NOEXPORT:
 
 
-
-
+#>+ 3
+importdialog.moc.cpp: $(srcdir)/importdialog.h
+	$(MOC) $(srcdir)/importdialog.h -o importdialog.moc.cpp
+
+#>+ 2
+mocs: importdialog.moc.cpp
 
 #>+ 3
 id3form.moc.cpp: $(srcdir)/id3form.h
@@ -926,6 +940,13 @@
 mocs: freedbclient.moc.cpp
 
 #>+ 3
+exportdialog.moc.cpp: $(srcdir)/exportdialog.h
+	$(MOC) $(srcdir)/exportdialog.h -o exportdialog.moc.cpp
+
+#>+ 2
+mocs: exportdialog.moc.cpp
+
+#>+ 3
 musicbrainzclient.moc.cpp: $(srcdir)/musicbrainzclient.h
 	$(MOC) $(srcdir)/musicbrainzclient.h -o musicbrainzclient.moc.cpp
 
@@ -968,6 +989,13 @@
 mocs: formatbox.moc.cpp
 
 #>+ 3
+mp3framelist.moc.cpp: $(srcdir)/mp3framelist.h
+	$(MOC) $(srcdir)/mp3framelist.h -o mp3framelist.moc.cpp
+
+#>+ 2
+mocs: mp3framelist.moc.cpp
+
+#>+ 3
 kid3.moc.cpp: $(srcdir)/kid3.h
 	$(MOC) $(srcdir)/kid3.h -o kid3.moc.cpp
 
@@ -975,13 +1003,6 @@
 mocs: kid3.moc.cpp
 
 #>+ 3
-mp3framelist.moc.cpp: $(srcdir)/mp3framelist.h
-	$(MOC) $(srcdir)/mp3framelist.h -o mp3framelist.moc.cpp
-
-#>+ 2
-mocs: mp3framelist.moc.cpp
-
-#>+ 3
 commandstable.moc.cpp: $(srcdir)/commandstable.h
 	$(MOC) $(srcdir)/commandstable.h -o commandstable.moc.cpp
 
@@ -990,10 +1011,10 @@
 
 #>+ 3
 clean-metasources:
-	-rm -f  id3form.moc.cpp filelist.moc.cpp freedbclient.moc.cpp musicbrainzclient.moc.cpp rendirdialog.moc.cpp freedbdialog.moc.cpp musicbrainzdialog.moc.cpp importselector.moc.cpp formatbox.moc.cpp kid3.moc.cpp mp3framelist.moc.cpp commandstable.moc.cpp
+	-rm -f  importdialog.moc.cpp id3form.moc.cpp filelist.moc.cpp freedbclient.moc.cpp exportdialog.moc.cpp musicbrainzclient.moc.cpp rendirdialog.moc.cpp freedbdialog.moc.cpp musicbrainzdialog.moc.cpp importselector.moc.cpp formatbox.moc.cpp mp3framelist.moc.cpp kid3.moc.cpp commandstable.moc.cpp
 
 #>+ 2
-KDE_DIST=kid3.h.both kid3.h.qtonly importtrackdata.h es_qt.po Makefile.in 
+KDE_DIST=importtrackdata.h es_qt.po Makefile.in 
 
 #>+ 2
 docs-am:
@@ -1002,7 +1023,7 @@
 force-reedit:
 		cd $(top_srcdir) && \
 	  $(AUTOMAKE) --gnu  kid3/Makefile
-	cd $(top_srcdir) && perl admin/am_edit -padmin kid3-0.6/kid3/Makefile.in
+	cd $(top_srcdir) && perl admin/am_edit -padmin kid3-0.7/kid3/Makefile.in
 
 
 #>+ 21
@@ -1028,11 +1049,11 @@
 
 
 #>+ 11
-kid3.all_cpp.cpp: $(srcdir)/Makefile.in $(srcdir)/filelist.cpp $(srcdir)/framelist.cpp $(srcdir)/genres.cpp $(srcdir)/id3form.cpp $(srcdir)/kid3.cpp $(srcdir)/main.cpp $(srcdir)/mp3file.cpp $(srcdir)/standardtags.cpp $(srcdir)/configdialog.cpp $(srcdir)/formatconfig.cpp $(srcdir)/formatbox.cpp $(srcdir)/importdialog.cpp $(srcdir)/importselector.cpp $(srcdir)/importparser.cpp $(srcdir)/generalconfig.cpp $(srcdir)/importconfig.cpp $(srcdir)/miscconfig.cpp $(srcdir)/freedbdialog.cpp $(srcdir)/freedbconfig.cpp $(srcdir)/freedbclient.cpp $(srcdir)/rendirdialog.cpp $(srcdir)/dirlist.cpp $(srcdir)/taggedfile.cpp $(srcdir)/mp3framelist.cpp $(srcdir)/musicbrainzdialog.cpp $(srcdir)/musicbrainzconfig.cpp $(srcdir)/musicbrainzclient.cpp $(srcdir)/oggfile.cpp $(srcdir)/oggframelist.cpp $(srcdir)/flacfile.cpp $(srcdir)/flacframelist.cpp $(srcdir)/commandstable.cpp id3form.moc.cpp filelist.moc.cpp musicbrainzclient.moc.cpp freedbclient.moc.cpp rendirdialog.moc.cpp freedbdialog.moc.cpp musicbrainzdialog.moc.cpp formatbox.moc.cpp importselector.moc.cpp mp3framelist.moc.cpp kid3.moc.cpp commandstable.moc.cpp 
+kid3.all_cpp.cpp: $(srcdir)/Makefile.in $(srcdir)/filelist.cpp $(srcdir)/framelist.cpp $(srcdir)/genres.cpp $(srcdir)/id3form.cpp $(srcdir)/kid3.cpp $(srcdir)/main.cpp $(srcdir)/mp3file.cpp $(srcdir)/standardtags.cpp $(srcdir)/configdialog.cpp $(srcdir)/exportdialog.cpp $(srcdir)/formatconfig.cpp $(srcdir)/formatbox.cpp $(srcdir)/importdialog.cpp $(srcdir)/importselector.cpp $(srcdir)/importparser.cpp $(srcdir)/generalconfig.cpp $(srcdir)/importconfig.cpp $(srcdir)/miscconfig.cpp $(srcdir)/freedbdialog.cpp $(srcdir)/freedbconfig.cpp $(srcdir)/freedbclient.cpp $(srcdir)/rendirdialog.cpp $(srcdir)/dirlist.cpp $(srcdir)/taggedfile.cpp $(srcdir)/mp3framelist.cpp $(srcdir)/musicbrainzdialog.cpp $(srcdir)/musicbrainzconfig.cpp $(srcdir)/musicbrainzclient.cpp $(srcdir)/numbertracksdialog.cpp $(srcdir)/oggfile.cpp $(srcdir)/oggframelist.cpp $(srcdir)/flacfile.cpp $(srcdir)/flacframelist.cpp $(srcdir)/commandstable.cpp importdialog.moc.cpp id3form.moc.cpp filelist.moc.cpp musicbrainzclient.moc.cpp exportdialog.moc.cpp freedbclient.moc.cpp rendirdialog.moc.cpp freedbdialog.moc.cpp musicbrainzdialog.moc.cpp formatbox.moc.cpp importselector.moc.cpp kid3.moc.cpp mp3framelist.moc.cpp commandstable.moc.cpp 
 	@echo 'creating kid3.all_cpp.cpp ...'; \
 	rm -f kid3.all_cpp.files kid3.all_cpp.final; \
 	echo "#define KDE_USE_FINAL 1" >> kid3.all_cpp.final; \
-	for file in filelist.cpp framelist.cpp genres.cpp id3form.cpp kid3.cpp main.cpp mp3file.cpp standardtags.cpp configdialog.cpp formatconfig.cpp formatbox.cpp importdialog.cpp importselector.cpp importparser.cpp generalconfig.cpp importconfig.cpp miscconfig.cpp freedbdialog.cpp freedbconfig.cpp freedbclient.cpp rendirdialog.cpp dirlist.cpp taggedfile.cpp mp3framelist.cpp musicbrainzdialog.cpp musicbrainzconfig.cpp musicbrainzclient.cpp oggfile.cpp oggframelist.cpp flacfile.cpp flacframelist.cpp commandstable.cpp id3form.moc.cpp filelist.moc.cpp musicbrainzclient.moc.cpp freedbclient.moc.cpp rendirdialog.moc.cpp freedbdialog.moc.cpp musicbrainzdialog.moc.cpp formatbox.moc.cpp importselector.moc.cpp mp3framelist.moc.cpp kid3.moc.cpp commandstable.moc.cpp ; do \
+	for file in filelist.cpp framelist.cpp genres.cpp id3form.cpp kid3.cpp main.cpp mp3file.cpp standardtags.cpp configdialog.cpp exportdialog.cpp formatconfig.cpp formatbox.cpp importdialog.cpp importselector.cpp importparser.cpp generalconfig.cpp importconfig.cpp miscconfig.cpp freedbdialog.cpp freedbconfig.cpp freedbclient.cpp rendirdialog.cpp dirlist.cpp taggedfile.cpp mp3framelist.cpp musicbrainzdialog.cpp musicbrainzconfig.cpp musicbrainzclient.cpp numbertracksdialog.cpp oggfile.cpp oggframelist.cpp flacfile.cpp flacframelist.cpp commandstable.cpp importdialog.moc.cpp id3form.moc.cpp filelist.moc.cpp musicbrainzclient.moc.cpp exportdialog.moc.cpp freedbclient.moc.cpp rendirdialog.moc.cpp freedbdialog.moc.cpp musicbrainzdialog.moc.cpp formatbox.moc.cpp importselector.moc.cpp kid3.moc.cpp mp3framelist.moc.cpp commandstable.moc.cpp ; do \
 	  echo "#include \"$$file\"" >> kid3.all_cpp.files; \
 	  test ! -f $(srcdir)/$$file || egrep '^#pragma +implementation' $(srcdir)/$$file >> kid3.all_cpp.final; \
 	done; \

=== modified file 'kid3/config.mk'
--- kid3/config.mk	2005-11-24 12:16:38 +0000
+++ kid3/config.mk	2006-07-14 12:25:16 +0000
@@ -1,6 +1,6 @@
 #CONFIG_USE_KDE=1
-VERSION="0.6"
+VERSION="0.7"
 #CONFIG_DEBUG=1
 HAVE_VORBIS=1
 HAVE_FLAC=1
-#HAVE_TUNEPIMP=1
+#HAVE_TUNEPIMP=4

=== modified file 'kid3/configdialog.cpp'
--- kid3/configdialog.cpp	2005-11-24 12:16:38 +0000
+++ kid3/configdialog.cpp	2006-07-14 12:25:16 +0000
@@ -99,10 +99,6 @@
 	if (formatPage) {
 		QVBoxLayout* vlayout = new QVBoxLayout(formatPage, 6, 6);
 		if (vlayout) {
-			formatEditingCheckBox = new QCheckBox(formatPage, "formatEditingCheckBox");
-			formatEditingCheckBox->setText(i18n("Format while &editing:"));
-			vlayout->addWidget(formatEditingCheckBox);
-
 			QHBoxLayout *fmtLayout = new QHBoxLayout(vlayout);
 			QString fnFormatTitle(i18n("&Filename Format"));
 			fnFormatBox = new FormatBox(fnFormatTitle, formatPage, "fnFormatBox");
@@ -147,7 +143,6 @@
 {
 	fnFormatBox->fromFormatConfig(fnCfg);
 	id3FormatBox->fromFormatConfig(id3Cfg);
-	formatEditingCheckBox->setChecked(miscCfg->formatWhileEditing);
 	m_totalNumTracksCheckBox->setChecked(miscCfg->m_enableTotalNumberOfTracks);
 	m_preserveTimeCheckBox->setChecked(miscCfg->m_preserveTime);
 #if QT_VERSION >= 300
@@ -175,7 +170,6 @@
 {
 	fnFormatBox->toFormatConfig(fnCfg);
 	id3FormatBox->toFormatConfig(id3Cfg);
-	miscCfg->formatWhileEditing = formatEditingCheckBox->isChecked();
 	miscCfg->m_enableTotalNumberOfTracks = m_totalNumTracksCheckBox->isChecked();
 	miscCfg->m_preserveTime = m_preserveTimeCheckBox->isChecked();
 #if QT_VERSION >= 300

=== modified file 'kid3/configdialog.h'
--- kid3/configdialog.h	2005-11-24 12:16:38 +0000
+++ kid3/configdialog.h	2006-07-14 12:25:16 +0000
@@ -79,8 +79,6 @@
 	void getConfig(FormatConfig *fnCfg, FormatConfig *id3Cfg,
 				   MiscConfig *miscCfg) const;
 private:
-	/** Format while editing checkbox */
-	QCheckBox *formatEditingCheckBox;
 	/** Preserve timestamp checkbox */
 	QCheckBox* m_preserveTimeCheckBox;
 	/** Use track/total number of tracks format checkbox */

=== modified file 'kid3/dirlist.cpp'
--- kid3/dirlist.cpp	2005-11-24 12:16:38 +0000
+++ kid3/dirlist.cpp	2006-07-14 12:25:16 +0000
@@ -36,6 +36,12 @@
 		m_dirname = name;
 		QDir dir(file.filePath());
 		insertStringList(dir.entryList(QDir::Dirs | QDir::Drives));
+		if (!m_entryToSelect.isEmpty()) {
+			QListBoxItem* lbi = findItem(m_entryToSelect);
+			if (lbi) {
+				setCurrentItem(lbi);
+			}
+		}
 		return true;
 	}
 	return false;

=== modified file 'kid3/dirlist.h'
--- kid3/dirlist.h	2005-11-24 12:16:38 +0000
+++ kid3/dirlist.h	2006-07-14 12:25:16 +0000
@@ -43,9 +43,18 @@
 	 */
 	QString getDirname(void) const { return m_dirname; }
 
+	/**
+	 * Set name of entry to select in next call to readDir().
+	 *
+	 * @param str name of entry to select
+	 */
+	void setEntryToSelect(const QString& str) { m_entryToSelect = str; }
+
 private:
 	/** path of directory */
 	QString m_dirname;
+	/** entry to select in readDir() */
+	QString m_entryToSelect;
 };
 
 #endif // DIRLIST_H

=== added file 'kid3/exportdialog.cpp'
--- kid3/exportdialog.cpp	1970-01-01 00:00:00 +0000
+++ kid3/exportdialog.cpp	2006-07-14 12:25:16 +0000
@@ -0,0 +1,438 @@
+/**
+ * \file exportdialog.cpp
+ * Export dialog.
+ *
+ * \b Project: Kid3
+ * \author Urs Fleisch
+ * \date 10 May 2006
+ */
+
+#include "exportdialog.h"
+#include "config.h"
+#ifdef CONFIG_USE_KDE
+#include <klocale.h>
+#include <kconfig.h>
+#include <kfiledialog.h>
+#else
+#define i18n(s) tr(s)
+#define I18N_NOOP(s) QT_TR_NOOP(s)
+#include <qfiledialog.h>
+#endif
+
+#include "taggedfile.h"
+#include "genres.h"
+#include <qlayout.h>
+#include <qpushbutton.h>
+#include <qlabel.h>
+#include <qcheckbox.h>
+#include <qspinbox.h>
+#include <qstring.h>
+#include <qtextedit.h>
+#include <qlineedit.h>
+#include <qcombobox.h>
+#include <qgroupbox.h>
+#include <qdir.h>
+#include <qapplication.h>
+#include <qclipboard.h>
+#include <qurl.h>
+
+/**
+ * Constructor.
+ *
+ * @param parent        parent widget
+ */
+ExportDialog::ExportDialog(QWidget* parent) :
+	QDialog(parent, "export", true),
+	m_windowWidth(-1), m_windowHeight(-1)
+{
+	setCaption(i18n("Export"));
+
+	QVBoxLayout* vlayout = new QVBoxLayout(this, 6, 6, "vlayout");
+	if (vlayout) {
+		m_edit = new QTextEdit(this);
+		if (m_edit) {
+			m_edit->setTextFormat(Qt::PlainText);
+			vlayout->addWidget(m_edit);
+		}
+
+		QGroupBox* fmtbox = new QGroupBox(4, Qt::Vertical, i18n("&Format"), this);
+		if (fmtbox) {
+			m_formatComboBox = new QComboBox(false, fmtbox, "formatComboBox");
+			m_formatComboBox->setEditable(true);
+			m_headerLineEdit = new QLineEdit(fmtbox);
+			m_trackLineEdit = new QLineEdit(fmtbox);
+			m_trailerLineEdit = new QLineEdit(fmtbox);
+			vlayout->addWidget(fmtbox);
+			connect(m_formatComboBox, SIGNAL(activated(int)), this,
+							SLOT(setFormatLineEdit(int)));
+			connect(m_headerLineEdit, SIGNAL(returnPressed()), this, SLOT(showPreview()));
+			connect(m_trackLineEdit, SIGNAL(returnPressed()), this, SLOT(showPreview()));
+			connect(m_trailerLineEdit, SIGNAL(returnPressed()), this, SLOT(showPreview()));
+		}
+
+		QHBoxLayout* butlayout = new QHBoxLayout(vlayout, 6, "butlayout");
+		if (butlayout) {
+			m_fileButton = new QPushButton(i18n("To F&ile"), this);
+			if (m_fileButton) {
+				m_fileButton->setAutoDefault(false);
+				butlayout->addWidget(m_fileButton);
+				connect(m_fileButton, SIGNAL(clicked()), this, SLOT(slotToFile()));
+			}
+			m_clipButton = new QPushButton(i18n("To Clip&board"), this);
+			if (m_clipButton) {
+				m_clipButton->setAutoDefault(false);
+				butlayout->addWidget(m_clipButton);
+				connect(m_clipButton, SIGNAL(clicked()), this, SLOT(slotToClipboard()));
+			}
+			QSpacerItem* butspacer = new QSpacerItem(16, 0, QSizePolicy::Expanding,
+																							 QSizePolicy::Minimum);
+			butlayout->addItem(butspacer);
+
+			QLabel* srcLabel = new QLabel(i18n("&Source:"), this, "srcLabel");
+			butlayout->addWidget(srcLabel);
+			m_srcComboBox = new QComboBox(false, this, "srcComboBox");
+			if (m_srcComboBox) {
+				m_srcComboBox->insertItem("ID3v1", SrcV1);
+				m_srcComboBox->insertItem("ID3v2", SrcV2);
+				srcLabel->setBuddy(m_srcComboBox);
+				butlayout->addWidget(m_srcComboBox);
+				connect(m_srcComboBox, SIGNAL(activated(int)),
+								this, SIGNAL(exportDataRequested(int)));
+			}
+		}
+
+		QHBoxLayout* hlayout = new QHBoxLayout(vlayout, 6, "hlayout");
+		if (hlayout) {
+			QSpacerItem* hspacer = new QSpacerItem(16, 0, QSizePolicy::Expanding,
+																						 QSizePolicy::Minimum);
+			hlayout->addItem(hspacer);
+
+			QPushButton* okButton = new QPushButton(i18n("&OK"), this);
+			if (okButton) {
+				okButton->setAutoDefault(false);
+				hlayout->addWidget(okButton);
+				connect(okButton, SIGNAL(clicked()), this, SLOT(saveWindowSizeAndClose()));
+			}
+			QPushButton* cancelButton = new QPushButton(i18n("&Cancel"), this);
+			if (cancelButton) {
+				cancelButton->setAutoDefault(false);
+				hlayout->addWidget(cancelButton);
+				connect(cancelButton, SIGNAL(clicked()), this, SLOT(reject()));
+			}
+		}
+	}
+}
+
+/**
+ * Destructor.
+ */
+ExportDialog::~ExportDialog()
+{}
+
+/**
+ * Set export format.
+ *
+ * @param names    export format names list
+ * @param headers  export format headers
+ * @param tracks   export format tracks
+ * @param trailers export format trailers
+ * @param idx      selected index
+ */
+void ExportDialog::setExportFormat(const QStringList& names,
+								   const QStringList& headers,
+								   const QStringList& tracks,
+								   const QStringList& trailers,
+								   int idx)
+{
+	m_formatHeaders = headers;
+	m_formatTracks = tracks;
+	m_formatTrailers = trailers;
+	m_formatComboBox->clear();
+	m_formatComboBox->insertStringList(names);
+	m_formatComboBox->setCurrentItem(idx);
+	setFormatLineEdit(idx);
+}
+
+/**
+ * Get export format.
+ *
+ * @param name    export format name
+ * @param header  export format header
+ * @param track   export format track
+ * @param trailer export format trailer
+ *
+ * @return index of current selection.
+ */
+int ExportDialog::getExportFormat(QString& name,
+																	QString& header,
+																	QString& track,
+																	QString& trailer) const
+{
+	name = m_formatComboBox->currentText();
+	header = m_headerLineEdit->text();
+	track = m_trackLineEdit->text();
+	trailer = m_trailerLineEdit->text();
+	return m_formatComboBox->currentItem();
+}
+
+/**
+ * Set ID3v1 or ID3v2 tags as export source.
+ *
+ * @param v1 true to set ID3v1, false for ID3v2
+ */
+void ExportDialog::setSrcV1(bool v1)
+{
+	m_srcComboBox->setCurrentItem(v1 ? SrcV1 : SrcV2);
+}
+
+/**
+ * Get export source.
+ *
+ * @return true if ID3v1 is source,
+ *         false if ID3v2.
+ */
+bool ExportDialog::getSrcV1() const
+{
+	return m_srcComboBox->currentItem() == SrcV1;
+}
+
+/**
+ * Set size of window.
+ *
+ * @param width  width
+ * @param height height
+ */
+void ExportDialog::setWindowSize(int width, int height)
+{
+	m_windowWidth = width;
+	m_windowHeight = height;
+	if (width > 0 && height > 0) {
+		resize(width, height);
+	}
+}
+
+/**
+ * Get size of window.
+ *
+ * @param width  the width is returned here
+ * @param height the height is returned here
+ */
+void ExportDialog::getWindowSize(int& width, int& height) const
+{
+	width = m_windowWidth;
+	height = m_windowHeight;
+}
+
+/**
+ * Export to a file.
+ */
+void ExportDialog::slotToFile()
+{
+	QString fn =
+#ifdef CONFIG_USE_KDE
+		KFileDialog::getSaveFileName(QString::null, QString::null, this);
+#else
+		QFileDialog::getSaveFileName(QString::null, QString::null, this);
+#endif
+	if (!fn.isEmpty()) {
+		QFile file(fn);
+		if (file.open(IO_WriteOnly)) {
+			QTextStream stream(&file);
+			stream.setEncoding(QTextStream::Locale);
+			stream << m_edit->text();
+			file.close();
+		}
+	}
+}
+
+/**
+ * Export to clipboard.
+ */
+void ExportDialog::slotToClipboard()
+{
+	QApplication::clipboard()->setText(
+		m_edit->text()
+#if QT_VERSION >= 0x030100
+		, QClipboard::Clipboard
+#endif
+		);
+}
+
+/**
+ * Set the format lineedits to the format selected in the combo box.
+ *
+ * @param index current index of the combo box
+ */
+void ExportDialog::setFormatLineEdit(int index)
+{
+	if (index < static_cast<int>(m_formatHeaders.size())) {
+		m_headerLineEdit->setText(m_formatHeaders[index]);
+		m_trackLineEdit->setText(m_formatTracks[index]);
+		m_trailerLineEdit->setText(m_formatTrailers[index]);
+		showPreview();
+	}
+}
+
+/**
+ * Format a string from track data.
+ * Supported format fields:
+ * %s title (song)
+ * %l album
+ * %a artist
+ * %c comment
+ * %y year
+ * %t track, two digits, i.e. leading zero if < 10
+ * %T track, without leading zeroes
+ * %g genre
+ * %f filename
+ * %p path to file
+ * %u URL of file
+ * %d duration in minutes:seconds
+ * %D duration in seconds
+ * %n total number of tracks
+ *
+ * @param trackData track data
+ * @param format    format specification
+ * @param numTracks total number of tracks
+ *
+ * @return formatted string.
+ */
+static QString trackDataToString(
+	const ImportTrackData& trackData, const QString& format, int numTracks)
+{
+	QString fmt(format);
+	if (!fmt.isEmpty()) {
+
+		const int numTagCodes = 14;
+		const QChar tagCode[numTagCodes] = {
+	    's', 'l', 'a', 'c', 'y', 't', 'T', 'g', 'f', 'p', 'u', 'd', 'D', 'n'};
+		QString tagStr[numTagCodes];
+
+		QString year, track;
+		year.sprintf("%d", trackData.year);
+		track.sprintf("%02d", trackData.track);
+		QString filename(trackData.getAbsFilename());
+		int sepPos = filename.findRev('/');
+		if (sepPos < 0) {
+			sepPos = filename.findRev(QDir::separator());
+		}
+		if (sepPos >= 0) {
+			filename.remove(0, sepPos + 1);
+		}
+
+		tagStr[0] = trackData.title;
+		tagStr[1] = trackData.album;
+		tagStr[2] = trackData.artist;
+		tagStr[3] = trackData.comment;
+		tagStr[4] = year;
+		tagStr[5] = track;
+		tagStr[6] = QString::number(trackData.track);
+		tagStr[7] = Genres::getName(trackData.genre);
+		if (tagStr[7].isEmpty()) {
+			tagStr[7] = trackData.genreStr;
+		}
+		tagStr[8] = filename;
+		tagStr[9] = trackData.getAbsFilename();
+		QUrl url;
+		url.setFileName(tagStr[9]);
+		url.setProtocol("file");
+		tagStr[10] = url.toString(true);
+		tagStr[11] = TaggedFile::formatTime(trackData.getFileDuration());
+		tagStr[12] = QString::number(trackData.getFileDuration());
+		tagStr[13] = QString::number(numTracks);
+
+		const int numEscCodes = 8;
+		const QChar escCode[numEscCodes] = {
+			'n', 't', 'r', '\\', 'a', 'b', 'f', 'v'};
+		const char escChar[numEscCodes] = {
+			'\n', '\t', '\r', '\\', '\a', '\b', '\f', '\v'};
+
+		int pos;
+		for (pos = 0; pos < static_cast<int>(fmt.length());) {
+			pos = fmt.find('\\', pos);
+			if (pos == -1) break;
+			++pos;
+			for (int k = 0;; ++k) {
+				if (k >= numEscCodes) {
+					// invalid code at pos
+					++pos;
+					break;
+				}
+				if (fmt[pos] == escCode[k]) {
+					// code found, replace it
+					fmt.replace(pos - 1, 2, escChar[k]);
+					break;
+				}
+			}
+		}
+
+		for (pos = 0; pos < static_cast<int>(fmt.length());) {
+			pos = fmt.find('%', pos);
+			if (pos == -1) break;
+
+			for (int k = 0;; ++k) {
+				if (k >= numTagCodes) {
+					// invalid code at pos
+					++pos;
+					break;
+				}
+				if (fmt[pos + 1] == tagCode[k]) {
+					// code found, replace it
+					fmt.replace(pos, 2, tagStr[k]);
+					pos += tagStr[k].length();
+					break;
+				}
+			}
+		}
+	}
+	return fmt;
+}
+
+/**
+ * Show exported text as preview in editor.
+ */
+void ExportDialog::showPreview()
+{
+	m_edit->clear();
+	unsigned numTracks = m_trackDataVector.size();
+	unsigned trackNr = 0;
+	QString headerFormat(m_headerLineEdit->text());
+	QString trackFormat(m_trackLineEdit->text());
+	QString trailerFormat(m_trailerLineEdit->text());
+	for (ImportTrackDataVector::const_iterator it = m_trackDataVector.begin();
+			 it != m_trackDataVector.end();
+			 ++it) {
+		if (trackNr == 0 && !headerFormat.isEmpty()) {
+			m_edit->append(trackDataToString(*it, headerFormat, numTracks));
+		}
+		if (!trackFormat.isEmpty()) {
+			m_edit->append(trackDataToString(*it, trackFormat, numTracks));
+		}
+		if (trackNr == numTracks - 1 && !trailerFormat.isEmpty()) {
+			m_edit->append(trackDataToString(*it, trailerFormat, numTracks));
+		}
+		++trackNr;
+	}
+	m_edit->append(""); // terminate last line
+}
+
+/**
+ * Set data to be exported.
+ *
+ * @param trackDataVector data to export
+ */
+void ExportDialog::setExportData(const ImportTrackDataVector& trackDataVector)
+{
+	m_trackDataVector = trackDataVector;
+	showPreview();
+}
+
+/**
+ * Save the size of the window and close it.
+ */
+void ExportDialog::saveWindowSizeAndClose()
+{
+	m_windowWidth = size().width();
+	m_windowHeight = size().height();
+	accept();
+}

=== added file 'kid3/exportdialog.h'
--- kid3/exportdialog.h	1970-01-01 00:00:00 +0000
+++ kid3/exportdialog.h	2006-07-14 12:25:16 +0000
@@ -0,0 +1,178 @@
+/**
+ * \file exportdialog.h
+ * Export dialog.
+ *
+ * \b Project: Kid3
+ * \author Urs Fleisch
+ * \date 10 May 2006
+ */
+
+#ifndef EXPORTDIALOG_H
+#define EXPORTDIALOG_H
+
+#include <qdialog.h>
+#include <qstringlist.h>
+#include "importtrackdata.h"
+
+class QTextEdit;
+class QLineEdit;
+class QPushButton;
+class QComboBox;
+
+/**
+ * Export dialog.
+ */
+class ExportDialog : public QDialog {
+Q_OBJECT
+
+public:
+	/** Export source */
+	enum Source { SrcV1, SrcV2 };
+
+	/**
+	 * Constructor.
+	 *
+	 * @param parent  parent widget
+	 */
+	ExportDialog(QWidget* parent);
+
+	/**
+	 * Destructor.
+	 */
+	~ExportDialog();
+
+	/**
+	 * Set export format.
+	 *
+	 * @param names    export format names list
+	 * @param headers  export format headers
+	 * @param tracks   export format tracks
+	 * @param trailers export format trailers
+	 * @param idx      selected index
+	 */
+	void setExportFormat(const QStringList& names,
+											 const QStringList& headers,
+											 const QStringList& tracks,
+											 const QStringList& trailers,
+											 int idx);
+	/**
+	 * Get export format.
+	 *
+	 * @param name    export format name
+	 * @param header  export format header
+	 * @param track   export format track
+	 * @param trailer export format trailer
+	 *
+	 * @return index of current selection.
+	 */
+	int getExportFormat(QString& name,
+											QString& header,
+											QString& track,
+											QString& trailer) const;
+
+	/**
+	 * Set ID3v1 or ID3v2 tags as export source.
+	 *
+	 * @param v1 true to set ID3v1, false for ID3v2
+	 */
+	void setSrcV1(bool v1);
+
+	/**
+	 * Get export source.
+	 *
+	 * @return true if ID3v1 is source,
+	 *         false if ID3v2.
+	 */
+	bool getSrcV1() const;
+
+	/**
+	 * Set size of window.
+	 *
+	 * @param width  width
+	 * @param height height
+	 */
+	void setWindowSize(int width, int height);
+
+	/**
+	 * Get size of window.
+	 *
+	 * @param width  the width is returned here
+	 * @param height the height is returned here
+	 */
+	void getWindowSize(int& width, int& height) const;
+
+	/**
+	 * Set data to be exported.
+	 *
+	 * @param trackDataVector data to export
+	 */
+	void setExportData(const ImportTrackDataVector& trackDataVector);
+
+signals:
+	/**
+	 * Emitted when new export data has to be provided
+	 * Parameter: SrcV1 for ID3v1 data, SrcV2 for ID3v2 data
+	 */
+	void exportDataRequested(int);
+
+private slots:
+	/**
+	 * Export to a file.
+	 */
+	void slotToFile();
+
+	/**
+	 * Export to clipboard.
+	 */
+	void slotToClipboard();
+
+	/**
+	 * Set the format lineedits to the format selected in the combo box.
+	 *
+	 * @param index current index of the combo box
+	 */
+	void setFormatLineEdit(int index);
+
+	/**
+	 * Show exported text as preview in editor.
+	 */
+	void showPreview();
+
+	/**
+	 * Save the size of the window and close it.
+	 */
+	void saveWindowSizeAndClose();
+
+private:
+  /** Text editor */
+  QTextEdit* m_edit;
+	/** cobobox with formats */
+	QComboBox* m_formatComboBox;
+	/** LineEdit for header */
+	QLineEdit* m_headerLineEdit;
+	/** LineEdit for track */
+	QLineEdit* m_trackLineEdit;
+	/** LineEdit for trailer */
+	QLineEdit* m_trailerLineEdit;
+	/** To File button */
+	QPushButton* m_fileButton;
+	/** To Clipboard button */
+	QPushButton* m_clipButton;
+	/** combobox with export sources */
+	QComboBox* m_srcComboBox;
+	/** header formats */
+	QStringList m_formatHeaders;
+	/** track formats */
+	QStringList m_formatTracks;
+	/** trailer formats */
+	QStringList m_formatTrailers;
+
+	/** data to export */
+	ImportTrackDataVector m_trackDataVector;
+	/** width of window */
+	int m_windowWidth;
+	/** height of window */
+	int m_windowHeight;
+};
+
+#endif

=== modified file 'kid3/formatbox.cpp'
--- kid3/formatbox.cpp	2005-11-24 12:16:38 +0000
+++ kid3/formatbox.cpp	2006-07-14 12:25:16 +0000
@@ -32,8 +32,11 @@
  * @param name   Qt object name
  */
 FormatBox::FormatBox(const QString & title, QWidget *parent, const char *name) :
-	QGroupBox(4, Qt::Vertical, title, parent, name)
+	QGroupBox(5, Qt::Vertical, title, parent, name)
 {
+	m_formatEditingCheckBox = new QCheckBox(i18n("Format while editing"),
+																					this, "formatEditingCheckBox");
+
 	QLabel *caseConvLabel = new QLabel(this, "caseConvLabel");
 	caseConvLabel->setText(i18n("Case Conversion:"));
 
@@ -166,6 +169,7 @@
 void FormatBox::fromFormatConfig(const FormatConfig *cfg)
 {
 	int i;
+	m_formatEditingCheckBox->setChecked(cfg->m_formatWhileEditing);
 	caseConvComboBox->setCurrentItem(cfg->caseConversion);
 	strRepCheckBox->setChecked(cfg->strRepEnabled);
 	QMap<QString, QString>::ConstIterator it;
@@ -209,6 +213,7 @@
  */
 void FormatBox::toFormatConfig(FormatConfig *cfg) const
 {
+	cfg->m_formatWhileEditing = m_formatEditingCheckBox->isChecked();
 	cfg->caseConversion =
 		(FormatConfig::CaseConversion)caseConvComboBox->currentItem();
 	if (cfg->caseConversion >= FormatConfig::NumCaseConversions) {

=== modified file 'kid3/formatbox.h'
--- kid3/formatbox.h	2004-04-29 02:11:57 +0000
+++ kid3/formatbox.h	2006-07-14 12:25:16 +0000
@@ -92,6 +92,7 @@
 	QComboBox *caseConvComboBox;
 	QCheckBox *strRepCheckBox;
 	QTable *strReplTable;
+	QCheckBox* m_formatEditingCheckBox;
 };
 
 #endif

=== modified file 'kid3/formatconfig.cpp'
--- kid3/formatconfig.cpp	2005-11-24 12:16:38 +0000
+++ kid3/formatconfig.cpp	2006-07-14 12:25:16 +0000
@@ -23,11 +23,13 @@
 /**
  * Constructor.
  */
-FormatConfig::FormatConfig(const QString &grp) : GeneralConfig(grp)
+FormatConfig::FormatConfig(const QString &grp) :
+	GeneralConfig(grp),
+	m_formatWhileEditing(false),
+	caseConversion(AllFirstLettersUppercase),
+	strRepEnabled(false),
+	filenameFormatter(false)
 {
-	caseConversion = AllFirstLettersUppercase;
-	strRepEnabled = false;
-	filenameFormatter = false;
 	strRepMap.clear();
 }
 
@@ -76,24 +78,6 @@
 			str = str.left(dotPos);
 		}
 	}
-	if (strRepEnabled) {
-		QMap<QString, QString>::ConstIterator it;
-		for (it = strRepMap.begin(); it != strRepMap.end(); ++it) {
-#if QT_VERSION >= 0x030100
-			str.replace(it.key(), it.data());
-#else
-			QString key(it.key()), data(it.data());
-			int pos = 0, keylen = key.length();
-			int datalen = data.length();
-			while (pos < (int)str.length()) {
-				pos = str.find(key);
-				if (pos == -1) break;
-				str.replace(pos, keylen, data);
-				pos += datalen;
-			}
-#endif
-		}
-	}
 	if (caseConversion != NoChanges) {
 		switch (caseConversion) {
 			case AllLowercase:
@@ -128,6 +112,24 @@
 				;
 		}
 	}
+	if (strRepEnabled) {
+		QMap<QString, QString>::ConstIterator it;
+		for (it = strRepMap.begin(); it != strRepMap.end(); ++it) {
+#if QT_VERSION >= 0x030100
+			str.replace(it.key(), it.data());
+#else
+			QString key(it.key()), data(it.data());
+			int pos = 0, keylen = key.length();
+			int datalen = data.length();
+			while (pos < (int)str.length()) {
+				pos = str.find(key);
+				if (pos == -1) break;
+				str.replace(pos, keylen, data);
+				pos += datalen;
+			}
+#endif
+		}
+	}
 	/* append extension if it was removed */
 	if (dotPos != -1) {
 		str.append(ext);
@@ -162,12 +164,14 @@
 {
 #ifdef CONFIG_USE_KDE
 	config->setGroup(group);
+	config->writeEntry("FormatWhileEditing", m_formatWhileEditing);
 	config->writeEntry("CaseConversion", caseConversion);
 	config->writeEntry("StrRepEnabled", strRepEnabled);
 	config->writeEntry("StrRepMapKeys", strRepMap.keys());
 	config->writeEntry("StrRepMapValues", strRepMap.values());
 #else
 	config->beginGroup("/" + group);
+	config->writeEntry("/FormatWhileEditing", m_formatWhileEditing);
 	config->writeEntry("/CaseConversion", caseConversion);
 	config->writeEntry("/StrRepEnabled", strRepEnabled);
 #if QT_VERSION >= 300
@@ -195,6 +199,7 @@
 {
 #ifdef CONFIG_USE_KDE
 	config->setGroup(group);
+	m_formatWhileEditing = config->readBoolEntry("FormatWhileEditing", m_formatWhileEditing);
 	caseConversion = (CaseConversion)config->readNumEntry("CaseConversion",
 														  (int)caseConversion);
 	strRepEnabled = config->readBoolEntry("StrRepEnabled", strRepEnabled);
@@ -211,6 +216,7 @@
 	}
 #else
 	config->beginGroup("/" + group);
+	m_formatWhileEditing = config->readBoolEntry("/FormatWhileEditing", m_formatWhileEditing);
 	caseConversion = (CaseConversion)config->readNumEntry("/CaseConversion",
 														  (int)caseConversion);
 	strRepEnabled = config->readBoolEntry("/StrRepEnabled", strRepEnabled);

=== modified file 'kid3/formatconfig.h'
--- kid3/formatconfig.h	2005-11-24 12:16:38 +0000
+++ kid3/formatconfig.h	2006-07-14 12:25:16 +0000
@@ -84,6 +84,9 @@
 		Kid3Settings *config
 #endif
 		);
+
+	/** true to enable formating in line edits */
+	bool m_formatWhileEditing;
 	/** Case conversion option */
 	CaseConversion caseConversion;
 	/** true if string replacement enabled */

=== modified file 'kid3/framelist.h'
--- kid3/framelist.h	2005-11-24 12:16:38 +0000
+++ kid3/framelist.h	2006-07-14 12:25:16 +0000
@@ -279,9 +279,22 @@
 	 * Add a new frame.
 	 *
 	 * @param frameId ID of frame to add
+	 * @param edit    true to edit frame after adding it
 	 * @return TRUE if frame added.
 	 */
-	virtual bool addFrame(int frameId) = 0;
+	virtual bool addFrame(int frameId, bool edit = false) = 0;
+	/**
+	 * Copy the selected frame to the copy buffer.
+	 *
+	 * @return true if frame copied.
+	 */
+	virtual bool copyFrame() = 0;
+	/**
+	 * Paste the selected frame from the copy buffer.
+	 *
+	 * @return true if frame pasted.
+	 */
+	virtual bool pasteFrame() = 0;
 	/**
 	 * Get file containing frames.
 	 *

=== modified file 'kid3/freedbclient.cpp'
--- kid3/freedbclient.cpp	2005-11-24 12:16:38 +0000
+++ kid3/freedbclient.cpp	2006-07-14 12:25:16 +0000
@@ -24,7 +24,7 @@
 #include "freedbconfig.h"
 #include "freedbclient.h"
 
-#ifdef WIN32
+#if defined WIN32 && QT_VERSION < 300
 // see hostnameToAddress()
 #include <winsock.h>
 #endif
@@ -103,7 +103,7 @@
 	}
 }
 
-#ifdef WIN32
+#if defined WIN32 && QT_VERSION < 300
 /**
  * Lookup hostname.
  * connectToHost() does not seem to look up the host names correctly on
@@ -149,8 +149,8 @@
 		"&cats=blues&cats=classical&cats=country&cats=folk&cats=jazz" +
 		"&cats=misc&cats=newage&cats=reggae&cats=rock&cats=soundtrack" +
 		"&grouping=none HTTP/1.1\r\nHost: " +
-		cfg->server + "\r\nUser-Agent: Kid3 0.6\r\nConnection: close\r\n\r\n";
-#ifdef WIN32
+		cfg->server + "\r\nUser-Agent: Kid3 " VERSION "\r\nConnection: close\r\n\r\n";
+#if defined WIN32 && QT_VERSION < 300
 	int err = hostnameToAddress(dest);
 	if (err) {
 		statusBar->message(QString("WinSock error %1").arg(err));
@@ -245,10 +245,10 @@
 	request = "GET http://" + cfg->server + cfg->cgiPath +
 		"?cmd=cddb+read+" + cat + "+" +
 		id + "&hello=noname+localhost+" +
-		"Kid3+0.6&proto=1 HTTP/1.1\r\nHost: " + cfg->server +
+		"Kid3+" VERSION "&proto=1 HTTP/1.1\r\nHost: " + cfg->server +
 		"\r\nConnection: close\r\n\r\n";
 
-#ifdef WIN32
+#if defined WIN32 && QT_VERSION < 300
 	int err = hostnameToAddress(dest);
 	if (err) {
 		statusBar->message(QString("WinSock error %1").arg(err));

=== modified file 'kid3/freedbdialog.cpp'
--- kid3/freedbdialog.cpp	2005-11-24 12:16:38 +0000
+++ kid3/freedbdialog.cpp	2006-07-14 12:25:16 +0000
@@ -82,10 +82,18 @@
 	vlayout->setMargin(6);
 
 	QHBoxLayout *findLayout = new QHBoxLayout(vlayout);
-	findLineEdit = new QLineEdit(this);
+	findLineEdit = new QComboBox(this);
 	findButton = new QPushButton(i18n("&Find"), this);
 	QPushButton *closeButton = new QPushButton(i18n("&Close"), this);
 	if (findLayout && findLineEdit && findButton) {
+		findLineEdit->setEditable(true);
+		findLineEdit->setAutoCompletion(true);
+		findLineEdit->setDuplicatesEnabled(false);
+#if QT_VERSION >= 0x030100
+		findLineEdit->setSizePolicy(QSizePolicy::Expanding, QSizePolicy::Minimum);
+#else
+		findLineEdit->setSizePolicy(QSizePolicy(QSizePolicy::Expanding, QSizePolicy::Minimum));
+#endif
 		findButton->setDefault(true);
 		findLayout->addWidget(findLineEdit);
 		findLayout->addWidget(findButton);
@@ -162,6 +170,14 @@
 }
 
 /**
+ * Clear dialog data.
+ */
+void FreedbDialog::clear()
+{
+	albumListBox->clear();
+}
+
+/**
  * Get string with server and port.
  *
  * @return "servername:port".
@@ -270,13 +286,36 @@
 }
 
 /**
+ * Set a find string from artist and album information.
+ *
+ * @param artist artist
+ * @param album  album
+ */
+void FreedbDialog::setArtistAlbum(const QString& artist, const QString& album)
+{
+	QString findStr(artist);
+	if (!findStr.isEmpty()) {
+		findStr += ' ';
+	}
+	findStr += album;
+	if (!findStr.isEmpty()) {
+		findLineEdit->setCurrentText(findStr);
+		QLineEdit* lineEdit = findLineEdit->lineEdit();
+		if (lineEdit) {
+			lineEdit->selectAll();
+		}
+		findLineEdit->setFocus();
+	}
+}
+
+/**
  * Find keyword in freedb.
  */
 void FreedbDialog::slotFind()
 {
 	FreedbConfig cfg;
 	getFreedbConfig(&cfg);
-	client->find(&cfg, findLineEdit->text());
+	client->find(&cfg, findLineEdit->currentText());
 }
 
 /**
@@ -321,6 +360,7 @@
 				searchStr.mid(catStart, catEnd - catStart),
 				searchStr.mid(idStart, idEnd - idStart));
 		}
+		albumListBox->setFocus();
 }
 
 /**

=== modified file 'kid3/freedbdialog.h'
--- kid3/freedbdialog.h	2005-11-24 12:16:38 +0000
+++ kid3/freedbdialog.h	2006-07-14 12:25:16 +0000
@@ -44,6 +44,10 @@
 	 */
 	~FreedbDialog();
 	/**
+	 * Clear dialog data.
+	 */
+	void clear();
+	/**
 	 * Get string with server and port.
 	 *
 	 * @return "servername:port".
@@ -94,6 +98,13 @@
 	 * @param cfg freedb configuration.
 	 */
 	void getFreedbConfig(FreedbConfig *cfg) const;
+	/**
+	 * Set a find string from artist and album information.
+	 *
+	 * @param artist artist
+	 * @param album  album
+	 */
+	void setArtistAlbum(const QString& artist, const QString& album);
 private slots:
 	/**
 	 * Find keyword in freedb.
@@ -134,7 +145,7 @@
 	 */
 	void albumDataReceived(QString);
 private:
-	QLineEdit *findLineEdit;
+	QComboBox *findLineEdit;
 	QPushButton *findButton;
 	QComboBox *serverComboBox;
 	QLineEdit *cgiLineEdit;

=== modified file 'kid3/genres.cpp'
--- kid3/genres.cpp	2004-04-29 02:11:57 +0000
+++ kid3/genres.cpp	2006-07-14 12:25:16 +0000
@@ -370,7 +370,7 @@
 
 int Genres::getNumber(int index)
 {
-	if (index >= 0 || index <= Genres::count) {
+	if (index >= 0 && index <= Genres::count) {
 		return genre_num[index];
 	}
 	return 255; // 255 for unknown

=== modified file 'kid3/id3form.cpp'
--- kid3/id3form.cpp	2005-11-24 12:16:38 +0000
+++ kid3/id3form.cpp	2006-07-14 12:25:16 +0000
@@ -215,7 +215,7 @@
 	idV1GroupBoxLayout->addWidget(commentV1CheckBox, 3, 0);
 
 	commentV1LineEdit = new QLineEdit(idV1GroupBox, "commentV1LineEdit");
-	commentV1LineEdit->setMaxLength(29);
+	commentV1LineEdit->setMaxLength(28);
 	idV1GroupBoxLayout->addWidget(commentV1LineEdit, 3, 1);
 
 	pasteV1PushButton = new QPushButton(idV1GroupBox, "pasteV1PushButton");
@@ -317,6 +317,9 @@
 	idV2GroupBoxLayout->addWidget(genreV2CheckBox, 5, 0);
 
 	genreV2ComboBox = new QComboBox(FALSE, idV2GroupBox, "genreV2ComboBox");
+	genreV2ComboBox->setEditable(true);
+	genreV2ComboBox->setAutoCompletion(true);
+	genreV2ComboBox->setDuplicatesEnabled(false);
 	idV2GroupBoxLayout->addWidget(genreV2ComboBox, 5, 1);
 
 	framesTextLabel = new QLabel(idV2GroupBox, "framesTextLabel");
@@ -585,9 +588,9 @@
 	st->track   = trackV2CheckBox->isChecked()   ? trackV2SpinBox->value()
 		: -1;
 	st->genre   = genreV2CheckBox->isChecked()   ?
-		genreV2ComboBox->currentItem() - 1 : -1;
-	st->genre   = genreV2CheckBox->isChecked()   ?
 		Genres::getNumber(genreV2ComboBox->currentItem()) : -1;
+	st->genreStr = st->genre == 0xff ? genreV2ComboBox->currentText()
+		: QString::null;
 }
 
 /**
@@ -634,8 +637,12 @@
 	trackV2CheckBox->setChecked(st->track >= 0);
 	trackV2SpinBox->setValue(st->track >= 0 ? st->track : 0);
 	genreV2CheckBox->setChecked(st->genre >= 0);
-	genreV2ComboBox->setCurrentItem(st->genre >= 0 ?
-									Genres::getIndex(st->genre) : 0);
+	int genreIndex = st->genre >= 0 ?	Genres::getIndex(st->genre) : 0;
+	if (genreIndex > 0 || st->genreStr.isEmpty()) {
+		genreV2ComboBox->setCurrentItem(genreIndex);
+	} else {
+		genreV2ComboBox->setCurrentText(st->genreStr);
+	}
 }
 
 /**
@@ -816,7 +823,7 @@
 void id3Form::formatLineEdit(QLineEdit *le, const QString &txt,
 							 const FormatConfig *fcfg)
 {
-	if (theApp->miscCfg->formatWhileEditing) {
+	if (fcfg->m_formatWhileEditing) {
 		QString str(txt);
 		fcfg->formatString(str);
 		if (str != txt) {
@@ -835,6 +842,9 @@
 void id3Form::dirSelected(QListBoxItem* item) {
 	QDir dir(m_dirListBox->getDirname() + QDir::separator() +
 					 item->text());
+	m_dirListBox->setEntryToSelect(
+		item->text() == ".." ? QDir(m_dirListBox->getDirname()).dirName() :
+		QString::null);
 	QString dirPath = dir.absPath();
 	if (!dirPath.isEmpty()) {
 		theApp->openDirectory(dirPath, true);

=== modified file 'kid3/id3form.h'
--- kid3/id3form.h	2005-11-24 12:16:38 +0000
+++ kid3/id3form.h	2006-07-14 12:25:16 +0000
@@ -82,6 +82,8 @@
 	QLineEdit* titleV2LineEdit;
 	QSplitter* m_vSplitter;
 	DirList* m_dirListBox;
+	QGroupBox* idV1GroupBox;
+	QGroupBox* idV2GroupBox;
 
 public slots:
 	/**
@@ -244,7 +246,6 @@
 	QPushButton* fnV2Button;
 	QLabel* formatLabel;
 	QLabel* infoLabel;
-	QGroupBox* idV1GroupBox;
 	QLineEdit* albumV1LineEdit;
 	QPushButton* copyV1PushButton;
 	QPushButton* filenameV1PushButton;
@@ -262,7 +263,6 @@
 	QCheckBox* commentV1CheckBox;
 	QCheckBox* artistV1CheckBox;
 	QLineEdit* commentV1LineEdit;
-	QGroupBox* idV2GroupBox;
 	QPushButton* copyV2PushButton;
 	QCheckBox* commentV2CheckBox;
 	QLineEdit* albumV2LineEdit;

=== modified file 'kid3/importconfig.cpp'
--- kid3/importconfig.cpp	2005-11-24 12:16:38 +0000
+++ kid3/importconfig.cpp	2006-07-14 12:25:16 +0000
@@ -21,16 +21,11 @@
  * @param grp configuration group
  */
 ImportConfig::ImportConfig(const QString &grp) :
-	GeneralConfig(grp), importDestV1(true),
-	enableTimeDifferenceCheck(true), maxTimeDifference(3)
+	GeneralConfig(grp), importDestV1(true), importFormatIdx(0),
+	enableTimeDifferenceCheck(true), maxTimeDifference(3),
+	m_exportSrcV1(true), m_exportFormatIdx(0),
+	m_exportWindowWidth(-1), m_exportWindowHeight(-1)
 {
-	importFormatIdx = 0;
-	importFormatNames.append("freedb HTML text");
-	importFormatNames.append("freedb HTML source");
-	importFormatNames.append("Title");
-	importFormatNames.append("Track Title");
-	importFormatNames.append("Track Title Time");
-	importFormatNames.append("Custom Format");
 	/**
 	 * Preset import format regular expressions.
 	 * The following codes are used before the () expressions.
@@ -42,18 +37,73 @@
 	 * %t track
 	 * %g genre
 	 */
+	importFormatNames.append("CSV unquoted");
+	importFormatHeaders.append("");
+	importFormatTracks.append("%t(\\d+)\\t%s([^\\r\\n\\t]*)\\t%a([^\\r\\n\\t]*)\\t%l([^\\r\\n\\t]*)\\t%y(\\d+)\\t%g([^\\r\\n\\t]*)\\t%c([^\\r\\n\\t]*)\\t(?:\\d+:)?%d(\\d+:\\d+)");
+
+	importFormatNames.append("CSV quoted");
+	importFormatHeaders.append("");
+	importFormatTracks.append("\"?%t(\\d+)\"?\\t\"?%s([^\\r\\n\\t\"]*)\"?\\t\"?%a([^\\r\\n\\t\"]*)\"?\\t\"?%l([^\\r\\n\\t\"]*)\"?\\t\"?%y(\\d+)\"?\\t\"?%g([^\\r\\n\\t\"]*)\"?\\t\"?%c([^\\r\\n\\t\"]*)\"?\\t\"?(?:\\d+:)?%d(\\d+:\\d+)");
+//	importFormatTracks.append("\"%t(\\d+)\"\\t\"%s([^\\r\\n]*)\"\\t\"%a([^\\r\\n]*)\"\\t\"%l([^\\r\\n]*)\"\\t\"%y(\\d+)\"\\t\"%g([^\\r\\n]*)\"\\t\"%c([^\\r\\n]*)\"\\t\"%d(\\d+:\\d+)\\.00\"");
+
+	importFormatNames.append("freedb HTML text");
 	importFormatHeaders.append("%a(\\S[^\\r\\n/]*\\S)\\s*/\\s*%l(\\S[^\\r\\n]*\\S)[\\r\\n]+\\s*tracks:\\s+\\d+.*year:\\s*%y(\\d+)?.*genre:\\s*%g(\\S[^\\r\\n]*\\S)?[\\r\\n]");
+	importFormatTracks.append("[\\r\\n]%t(\\d+)[\\.\\s]+%d(\\d+:\\d+)\\s+%s(\\S[^\\r\\n]*\\S)");
+
+	importFormatNames.append("freedb HTML source");
 	importFormatHeaders.append("<[^>]+>%a([^<\\s][^\\r\\n/]*\\S)\\s*/\\s*%l(\\S[^\\r\\n]*[^\\s>])<[^>]+>[\\r\\n]+\\s*tracks:\\s+\\d+.*year:\\s*%y(\\d+)?.*genre:\\s*%g(\\S[^\\r\\n>]*\\S)?<[^>]+>[\\r\\n]");
-	importFormatHeaders.append("");
-	importFormatHeaders.append("");
-	importFormatHeaders.append("");
-	importFormatHeaders.append("");
-	importFormatTracks.append("[\\r\\n]%t(\\d+)[\\.\\s]+%d(\\d+:\\d+)\\s+%s(\\S[^\\r\\n]*\\S)");
 	importFormatTracks.append("<td[^>]*>\\s*%t(\\d+).</td><td[^>]*>\\s*%d(\\d+:\\d+)</td><td[^>]*>(?:<[^>]+>)?%s([^<\\r\\n]+)");
+
+	importFormatNames.append("Title");
+	importFormatHeaders.append("");
 	importFormatTracks.append("\\s*%s(\\S[^\\r\\n]*\\S)\\s*");
+
+	importFormatNames.append("Track Title");
+	importFormatHeaders.append("");
 	importFormatTracks.append("\\s*%t(\\d+)[\\.\\s]+%s(\\S[^\\r\\n]*\\S)\\s*");
+
+	importFormatNames.append("Track Title Time");
+	importFormatHeaders.append("");
 	importFormatTracks.append("\\s*%t(\\d+)[\\.\\s]+%s(\\S[^\\r\\n]*\\S)\\s+%d(\\d+:\\d+)\\s*");
+
+	importFormatNames.append("Custom Format");
+	importFormatHeaders.append("");
 	importFormatTracks.append("");
+
+	m_exportFormatNames.append("CSV unquoted");
+	m_exportFormatHeaders.append("");
+	m_exportFormatTracks.append("%t\\t%s\\t%a\\t%l\\t%y\\t%g\\t%c\\t%d.00");
+	m_exportFormatTrailers.append("");
+
+	m_exportFormatNames.append("CSV quoted");
+	m_exportFormatHeaders.append("");
+	m_exportFormatTracks.append("\"%t\"\\t\"%s\"\\t\"%a\"\\t\"%l\"\\t\"%y\"\\t\"%g\"\\t\"%c\"\\t\"%d.00\"");
+	m_exportFormatTrailers.append("");
+
+	m_exportFormatNames.append("Extended M3U");
+	m_exportFormatHeaders.append("#EXTM3U");
+	m_exportFormatTracks.append("#EXTINF:%D,%a - %s\\n%p");
+	m_exportFormatTrailers.append("");
+
+	m_exportFormatNames.append("Extended PLS");
+	m_exportFormatHeaders.append("[playlist]");
+	m_exportFormatTracks.append("File%T=%p\\nTitle%T=%a - %s\\nLength%T=%D");
+	m_exportFormatTrailers.append("NumberOfEntries=%n\\nVersion=2");
+
+	m_exportFormatNames.append("HTML");
+	m_exportFormatHeaders.append("<html>\\n <head>\\n  <title>%a - %l</title>\\n </head>\\n <body>\\n  <h1>%a - %l</h1>\\n  <dl>\\n");
+	m_exportFormatTracks.append("   <dt><a href=\"%u\">%t. %s</a></dt>");
+	m_exportFormatTrailers.append("  </dl>\\n </body>\\n</html>");
+
+	m_exportFormatNames.append("Kover XML");
+	m_exportFormatHeaders.append("<kover>\\n <title>\\n  <text><![CDATA[%a ]]></text>\\n  <text><![CDATA[%l]]></text>\\n </title>\\n <content>");
+	m_exportFormatTracks.append("  <text><![CDATA[%t. %s]]></text>");
+	m_exportFormatTrailers.append(" </content>\\n</kover>");
+
+	m_exportFormatNames.append("Custom Format");
+	m_exportFormatHeaders.append("");
+	m_exportFormatTracks.append("");
+	m_exportFormatTrailers.append("");
 }
 
 /**
@@ -83,6 +133,15 @@
 	config->writeEntry("ImportFormatIdx", importFormatIdx);
 	config->writeEntry("EnableTimeDifferenceCheck", enableTimeDifferenceCheck);
 	config->writeEntry("MaxTimeDifference", maxTimeDifference);
+
+	config->writeEntry("ExportSourceV1", m_exportSrcV1);
+	config->writeEntry("ExportFormatNames", m_exportFormatNames);
+	config->writeEntry("ExportFormatHeaders", m_exportFormatHeaders);
+	config->writeEntry("ExportFormatTracks", m_exportFormatTracks);
+	config->writeEntry("ExportFormatTrailers", m_exportFormatTrailers);
+	config->writeEntry("ExportFormatIdx", m_exportFormatIdx);
+	config->writeEntry("ExportWindowWidth", m_exportWindowWidth);
+	config->writeEntry("ExportWindowHeight", m_exportWindowHeight);
 #else
 	config->beginGroup("/" + group);
 	config->writeEntry("/ImportDestinationV1", importDestV1);
@@ -92,6 +151,16 @@
 	config->writeEntry("/ImportFormatIdx", importFormatIdx);
 	config->writeEntry("/EnableTimeDifferenceCheck", enableTimeDifferenceCheck);
 	config->writeEntry("/MaxTimeDifference", maxTimeDifference);
+
+	config->writeEntry("/ExportSourceV1", m_exportSrcV1);
+	config->writeEntry("/ExportFormatNames", m_exportFormatNames);
+	config->writeEntry("/ExportFormatHeaders", m_exportFormatHeaders);
+	config->writeEntry("/ExportFormatTracks", m_exportFormatTracks);
+	config->writeEntry("/ExportFormatTrailers", m_exportFormatTrailers);
+	config->writeEntry("/ExportFormatIdx", m_exportFormatIdx);
+	config->writeEntry("/ExportWindowWidth", m_exportWindowWidth);
+	config->writeEntry("/ExportWindowHeight", m_exportWindowHeight);
+
 	config->endGroup();
 #endif
 }
@@ -110,6 +179,7 @@
 	)
 {
 	QStringList names, headers, tracks;
+	QStringList expNames, expHeaders, expTracks, expTrailers;
 #ifdef CONFIG_USE_KDE
 	config->setGroup(group);
 	importDestV1 = config->readBoolEntry("ImportDestinationV1", importDestV1);
@@ -119,6 +189,15 @@
 	importFormatIdx = config->readNumEntry("ImportFormatIdx", importFormatIdx);
 	enableTimeDifferenceCheck = config->readBoolEntry("EnableTimeDifferenceCheck", enableTimeDifferenceCheck);
 	maxTimeDifference = config->readNumEntry("MaxTimeDifference", maxTimeDifference);
+
+	m_exportSrcV1 = config->readBoolEntry("ExportSourceV1", m_exportSrcV1);
+	expNames = config->readListEntry("ExportFormatNames");
+	expHeaders = config->readListEntry("ExportFormatHeaders");
+	expTracks = config->readListEntry("ExportFormatTracks");
+	expTrailers = config->readListEntry("ExportFormatTrailers");
+	m_exportFormatIdx = config->readNumEntry("ExportFormatIdx", m_exportFormatIdx);
+	m_exportWindowWidth = config->readNumEntry("ExportWindowWidth", -1);
+	m_exportWindowHeight = config->readNumEntry("ExportWindowHeight", -1);
 #else
 	config->beginGroup("/" + group);
 	importDestV1 = config->readBoolEntry("/ImportDestinationV1", importDestV1);
@@ -128,25 +207,53 @@
 	importFormatIdx = config->readNumEntry("/ImportFormatIdx", importFormatIdx);
 	enableTimeDifferenceCheck = config->readBoolEntry("/EnableTimeDifferenceCheck", enableTimeDifferenceCheck);
 	maxTimeDifference = config->readNumEntry("/MaxTimeDifference", maxTimeDifference);
+
+	m_exportSrcV1 = config->readBoolEntry("/ExportSourceV1", m_exportSrcV1);
+	expNames = config->readListEntry("/ExportFormatNames");
+	expHeaders = config->readListEntry("/ExportFormatHeaders");
+	expTracks = config->readListEntry("/ExportFormatTracks");
+	expTrailers = config->readListEntry("/ExportFormatTrailers");
+	m_exportFormatIdx = config->readNumEntry("/ExportFormatIdx", m_exportFormatIdx);
+	m_exportWindowWidth = config->readNumEntry("/ExportWindowWidth", -1);
+	m_exportWindowHeight = config->readNumEntry("/ExportWindowHeight", -1);
+
 	config->endGroup();
 #endif
 	/* Use defaults if no configuration found */
-#if QT_VERSION >= 300
-	if (!names.empty())   importFormatNames = names;
-	if (!headers.empty()) importFormatHeaders = headers;
-	if (!tracks.empty())  importFormatTracks = tracks;
-#else
-	if (!names.isEmpty())   importFormatNames = names;
-	if (!headers.isEmpty()) importFormatHeaders = headers;
-	if (!tracks.isEmpty())  importFormatTracks = tracks;
-#endif
-	/* Make sure that there are as many formats as names */
-	int i, appendCnt = importFormatNames.count() - importFormatHeaders.count();
-	for (i = 0; i < appendCnt; i++) {
-		importFormatHeaders.append("");
+	QStringList::const_iterator namesIt, headersIt, tracksIt;
+	for (namesIt = names.begin(), headersIt = headers.begin(),
+				 tracksIt = tracks.begin();
+			 namesIt != names.end() && headersIt != headers.end() &&
+				 tracksIt != tracks.end();
+			 ++namesIt, ++headersIt, ++tracksIt) {
+		int idx = importFormatNames.findIndex(*namesIt);
+		if (idx >= 0) {
+			importFormatHeaders[idx] = *headersIt;
+			importFormatTracks[idx] = *tracksIt;
+		} else {
+			importFormatNames.append(*namesIt);
+			importFormatHeaders.append(*headersIt);
+			importFormatTracks.append(*tracksIt);
+		}
 	}
-	appendCnt = importFormatNames.count() - importFormatTracks.count();
-	for (i = 0; i < appendCnt; i++) {
-		importFormatTracks.append("");
+
+	QStringList::const_iterator expNamesIt, expHeadersIt, expTracksIt,
+		expTrailersIt;
+	for (expNamesIt = expNames.begin(), expHeadersIt = expHeaders.begin(),
+				 expTracksIt = expTracks.begin(), expTrailersIt = expTrailers.begin();
+			 expNamesIt != expNames.end() && expHeadersIt != expHeaders.end() &&
+				 expTracksIt != expTracks.end() && expTrailersIt != expTrailers.end();
+			 ++expNamesIt, ++expHeadersIt, ++expTracksIt, ++expTrailersIt) {
+		int idx = m_exportFormatNames.findIndex(*expNamesIt);
+		if (idx >= 0) {
+			m_exportFormatHeaders[idx] = *expHeadersIt;
+			m_exportFormatTracks[idx] = *expTracksIt;
+			m_exportFormatTrailers[idx] = *expTrailersIt;
+		} else {
+			m_exportFormatNames.append(*expNamesIt);
+			m_exportFormatHeaders.append(*expHeadersIt);
+			m_exportFormatTracks.append(*expTracksIt);
+			m_exportFormatTrailers.append(*expTrailersIt);
+		}
 	}
 }

=== modified file 'kid3/importconfig.h'
--- kid3/importconfig.h	2005-11-24 12:16:38 +0000
+++ kid3/importconfig.h	2006-07-14 12:25:16 +0000
@@ -68,6 +68,23 @@
 	bool enableTimeDifferenceCheck;
 	/** maximum allowable time difference */
 	int maxTimeDifference;
+
+	/** true to export ID3v1 tags, else ID3v2 tags */
+	bool m_exportSrcV1;
+	/** Names of export formats */
+	QStringList m_exportFormatNames;
+	/** regexp describing header export format */
+	QStringList m_exportFormatHeaders;
+	/** regexp describing track export format */
+	QStringList m_exportFormatTracks;
+	/** regexp describing trailer export format */
+	QStringList m_exportFormatTrailers;
+	/** selected export format */
+	int m_exportFormatIdx;
+	/** export window width */
+	int m_exportWindowWidth;
+	/** export window height */
+	int m_exportWindowHeight;
 };
 
 #endif

=== modified file 'kid3/importdialog.cpp'
--- kid3/importdialog.cpp	2005-11-24 12:16:38 +0000
+++ kid3/importdialog.cpp	2006-07-14 12:25:16 +0000
@@ -35,41 +35,27 @@
  *                      is passed with durations of files set
  */
 ImportDialog::ImportDialog(QWidget *parent, QString &caption,
-													 ImportTrackDataVector& trackDataList)
-#ifdef CONFIG_USE_KDE
-	: KDialogBase(parent, "import", true, caption, Ok|Cancel, Ok),
-#else
-	: QDialog(parent, "import", true),
-#endif
-		m_trackDataVector(trackDataList)
+													 ImportTrackDataVector& trackDataList) :
+	QDialog(parent, "import", true),
+	m_autoStartSubDialog(ASD_None),
+	m_trackDataVector(trackDataList)
 {
-
-#ifdef CONFIG_USE_KDE
-	QWidget *page = new QWidget(this);
-	if (!page) {
-		return;
-	}
-	setMainWidget(page);
-#else
-#define page this
 	setCaption(caption);
-#endif
 
-	QVBoxLayout *vlayout = new QVBoxLayout(page);
+	QVBoxLayout *vlayout = new QVBoxLayout(this);
 	if (!vlayout) {
 		return ;
 	}
 	vlayout->setSpacing(6);
 	vlayout->setMargin(6);
-	impsel = new ImportSelector(page, m_trackDataVector);
+	impsel = new ImportSelector(this, m_trackDataVector);
 	vlayout->addWidget(impsel);
 
-#ifndef CONFIG_USE_KDE
 	QHBoxLayout *hlayout = new QHBoxLayout(vlayout);
 	QSpacerItem *hspacer = new QSpacerItem(16, 0, QSizePolicy::Expanding,
 	                                       QSizePolicy::Minimum);
-	QPushButton *okButton = new QPushButton(i18n("&OK"), page);
-	QPushButton *cancelButton = new QPushButton(i18n("&Cancel"), page);
+	QPushButton *okButton = new QPushButton(i18n("&OK"), this);
+	QPushButton *cancelButton = new QPushButton(i18n("&Cancel"), this);
 	if (hlayout && okButton && cancelButton) {
 		hlayout->addItem(hspacer);
 		hlayout->addWidget(okButton);
@@ -78,8 +64,6 @@
 		connect(okButton, SIGNAL(clicked()), this, SLOT(accept()));
 		connect(cancelButton, SIGNAL(clicked()), this, SLOT(reject()));
 	}
-#undef page
-#endif
 }
 
 /**
@@ -89,6 +73,34 @@
 {}
 
 /**
+ * Shows the dialog as a modal dialog.
+ */
+int ImportDialog::exec()
+{
+	switch (m_autoStartSubDialog) {
+		case ASD_Freedb:
+			show();
+			impsel->fromFreedb();
+			break;
+		case ASD_MusicBrainz:
+			show();
+			impsel->fromMusicBrainz();
+			break;
+		case ASD_None:
+			break;
+	}
+	return QDialog::exec();
+}
+
+/**
+ * Clear dialog data.
+ */
+void ImportDialog::clear()
+{
+	impsel->clear();
+}
+
+/**
  * Set ID3v1 or ID3v2 tags as import destination.
  *
  * @param v1 true to set ID3v1, false for ID3v2

=== modified file 'kid3/importdialog.h'
--- kid3/importdialog.h	2005-11-24 12:16:38 +0000
+++ kid3/importdialog.h	2006-07-14 12:25:16 +0000
@@ -12,11 +12,7 @@
 
 #include "config.h"
 #include "importtrackdata.h"
-#ifdef CONFIG_USE_KDE
-#include <kdialogbase.h>
-#else
 #include <qdialog.h>
-#endif
 
 class ImportSelector;
 class FreedbConfig;
@@ -29,15 +25,20 @@
 /**
  * Import dialog.
  */
-class ImportDialog : public
-#ifdef CONFIG_USE_KDE
-KDialogBase
-#else
-QDialog
-#endif
-{
+class ImportDialog : public QDialog {
+Q_OBJECT
+
 public:
 	/**
+	 * Sub-Dialog to be started automatically.
+	 */
+	enum AutoStartSubDialog {
+		ASD_None,
+		ASD_Freedb,
+		ASD_MusicBrainz
+	};
+
+	/**
 	 * Constructor.
 	 *
 	 * @param parent        parent widget
@@ -51,6 +52,20 @@
 	 * Destructor.
 	 */
 	~ImportDialog();
+
+	/**
+	 * Set dialog to be started automatically.
+	 *
+	 * @param asd dialog to be started
+	 */
+	void setAutoStartSubDialog(AutoStartSubDialog asd) {
+		m_autoStartSubDialog = asd;
+	}
+
+	/**
+	 * Clear dialog data.
+	 */
+	void clear();
 	/**
 	 * Set ID3v1 or ID3v2 tags as destination.
 	 *
@@ -128,7 +143,15 @@
 	 */
 	void getMusicBrainzConfig(MusicBrainzConfig* cfg) const;
 #endif
+
+public slots:
+	/**
+	 * Shows the dialog as a modal dialog.
+	 */
+	int exec();
+
 private:
+	AutoStartSubDialog m_autoStartSubDialog;
 	/** import selector widget */
 	ImportSelector *impsel;
 	ImportTrackDataVector& m_trackDataVector;

=== modified file 'kid3/importparser.cpp'
--- kid3/importparser.cpp	2005-11-24 12:16:38 +0000
+++ kid3/importparser.cpp	2006-07-14 12:25:16 +0000
@@ -93,6 +93,7 @@
 {
 	int idx, oldpos = pos;
 	if (pattern.isEmpty()) {
+		trackDuration.clear();
 		return false;
 	}
 #if QT_VERSION >= 300
@@ -184,7 +185,13 @@
 		if (genrePos != -1) {
 			QString genreStr = re.cap(genrePos);
 			int genre = Genres::getNumber(genreStr);
-			if (genre != 0xff) st.genre = genre;
+			if (genre != 0xff) {
+				st.genre = genre;
+				st.genreStr = QString::null;
+			} else if (!genreStr.isEmpty()) {
+				st.genre = 0xff;
+				st.genreStr = genreStr;
+			}
 		}
 		pos = idx + re.matchedLength();
 		if (pos > oldpos) { /* avoid endless loop */
@@ -307,7 +314,13 @@
 		if (idx != -1) {
 			QString genreStr(text.mid(idx + 6, len - 7).stripWhiteSpace());
 			int genre = Genres::getNumber(genreStr);
-			if (genre != 0xff) st.genre = genre;
+			if (genre != 0xff) {
+				st.genre = genre;
+				st.genreStr = QString::null;
+			} else if (!genreStr.isEmpty()) {
+				st.genre = 0xff;
+				st.genreStr = genreStr;
+			}
 			pos = idx + len;
 		}
 	}

=== modified file 'kid3/importselector.cpp'
--- kid3/importselector.cpp	2005-11-24 12:16:38 +0000
+++ kid3/importselector.cpp	2006-07-14 12:25:16 +0000
@@ -201,21 +201,26 @@
 	destLabel->setBuddy(destComboBox);
 	butlayout->addWidget(destComboBox);
 
-	QWidget* diffbox = new QWidget(this);
-	QHBoxLayout* checkLayout = new QHBoxLayout(diffbox);
-	if (checkLayout) {
-		mismatchCheckBox = new QCheckBox(diffbox);
-		mismatchCheckBox->setText(
-			i18n("Check maximum allowable time &difference (sec):"));
-		maxDiffSpinBox = new QSpinBox(diffbox);
-		maxDiffSpinBox->setMaxValue(9999);
-		if (mismatchCheckBox && maxDiffSpinBox) {
-			checkLayout->addSpacing(margin() * 2);
-			checkLayout->addWidget(mismatchCheckBox);
-			checkLayout->addWidget(maxDiffSpinBox);
-			checkLayout->addStretch();
-		}
-	}
+	QWidget* matchBox = new QWidget(this, "matchBox");
+	QHBoxLayout* matchLayout = new QHBoxLayout(matchBox, 6, 6, "matchLayout");
+	mismatchCheckBox = new QCheckBox(
+		i18n("Check maximum allowable time &difference (sec):"), matchBox ,
+		"mismatchCheckBox");
+	matchLayout->addWidget(mismatchCheckBox);
+	maxDiffSpinBox = new QSpinBox(matchBox, "maxDiffSpinBox");
+	maxDiffSpinBox->setMaxValue(9999);
+	matchLayout->addWidget(maxDiffSpinBox);
+	QSpacerItem* matchSpacer = new QSpacerItem(16, 0, QSizePolicy::Expanding,
+																						 QSizePolicy::Minimum);
+	matchLayout->addItem(matchSpacer);
+	QLabel* matchLabel = new QLabel(i18n("Match with:"), matchBox, "matchLabel");
+	matchLayout->addWidget(matchLabel);
+	m_lengthButton = new QPushButton(i18n("&Length"), matchBox, "lengthButton");
+	matchLayout->addWidget(m_lengthButton);
+	m_trackButton = new QPushButton(i18n("T&rack"), matchBox, "trackButton");
+	matchLayout->addWidget(m_trackButton);
+	m_titleButton = new QPushButton(i18n("&Title"), matchBox, "titleButton");
+	matchLayout->addWidget(m_titleButton);
 
 	connect(fileButton, SIGNAL(clicked()), this, SLOT(fromFile()));
 	connect(clipButton, SIGNAL(clicked()), this, SLOT(fromClipboard()));
@@ -223,6 +228,9 @@
 #ifdef HAVE_TUNEPIMP
 	connect(m_musicBrainzButton, SIGNAL(clicked()), this, SLOT(fromMusicBrainz()));
 #endif
+	connect(m_lengthButton, SIGNAL(clicked()), this, SLOT(matchWithLength()));
+	connect(m_trackButton, SIGNAL(clicked()), this, SLOT(matchWithTrack()));
+	connect(m_titleButton, SIGNAL(clicked()), this, SLOT(matchWithTitle()));
 	connect(vHeader, SIGNAL(indexChange(int, int, int)), this, SLOT(moveTableRow(int, int, int)));
 	connect(mismatchCheckBox, SIGNAL(toggled(bool)), this, SLOT(showPreview()));
 	connect(maxDiffSpinBox, SIGNAL(valueChanged(int)), this, SLOT(maxDiffChanged()));
@@ -250,6 +258,14 @@
 }
 
 /**
+ * Clear dialog data.
+ */
+void ImportSelector::clear()
+{
+	tab->setNumRows(0);
+}
+
+/**
  * Look for album specific information (artist, album, year, genre) in
  * a header (e.g. in a freedb header).
  *
@@ -332,16 +348,17 @@
 {
 	if (!freedbDialog) {
 		freedbDialog = new FreedbDialog(this);
-		if (!freedbDialog) {
-			return;
-		}
+		connect(freedbDialog, SIGNAL(albumDataReceived(QString)),
+				this, SLOT(freedbAlbumDataReceived(QString)));
+	}
+	if (freedbDialog) {
 		if (freedbCfg) {
 			freedbDialog->setFreedbConfig(freedbCfg);
 		}
-		connect(freedbDialog, SIGNAL(albumDataReceived(QString)),
-				this, SLOT(freedbAlbumDataReceived(QString)));
+		freedbDialog->setArtistAlbum(m_trackDataVector.artist,
+																 m_trackDataVector.album);
+		(void)freedbDialog->exec();
 	}
-	(void)freedbDialog->exec();
 }
 
 /**
@@ -493,6 +510,9 @@
 		}
 		if ((*it).genre != -1) {
 			QString genreStr(Genres::getName((*it).genre));
+			if (genreStr.isEmpty() && !(*it).genreStr.isEmpty()) {
+				genreStr = (*it).genreStr;
+			}
 			tab->setText(row, GenreColumn, genreStr);
 		}
 		if (!(*it).comment.isNull())
@@ -506,6 +526,7 @@
 	int maxDiff;
 	getTimeDifferenceCheck(diffCheckEnable, maxDiff);
 	if (diffCheckEnable) {
+		bool tracksAvailable = false;
 		row = 0;
 		for (
 #if QT_VERSION >= 300
@@ -524,6 +545,12 @@
 				if (diff > maxDiff) {
 					tab->markRow(row);
 				}
+				tracksAvailable = true;
+			}
+			if (tracksAvailable &&
+					((fileDuration == 0 && importDuration != 0) ||
+					 (fileDuration != 0 && importDuration == 0))) {
+				tab->markRow(row);
 			}
 			++row;
 		}
@@ -731,15 +758,13 @@
 	int numTracks = static_cast<int>(m_trackDataVector.count());
 #endif
 	if (fromIndex < numTracks && toIndex < numTracks) {
-		// swap elements but keep file durations
+		// swap elements but keep file durations and names
 		ImportTrackData fromData(m_trackDataVector[fromIndex]);
 		ImportTrackData toData(m_trackDataVector[toIndex]);
-		int fromDuration = fromData.getFileDuration();
-		fromData.setFileDuration(toData.getFileDuration());
-		toData.setFileDuration(fromDuration);
-		m_trackDataVector[fromIndex] = toData;
-		m_trackDataVector[toIndex] = fromData;
-
+		m_trackDataVector[fromIndex].setStandardTags(toData);
+		m_trackDataVector[toIndex].setStandardTags(fromData);
+		m_trackDataVector[fromIndex].setImportDuration(toData.getImportDuration());
+		m_trackDataVector[toIndex].setImportDuration(fromData.getImportDuration());
 		// redisplay the table
 		showPreview();
 	}
@@ -753,16 +778,16 @@
 #ifdef HAVE_TUNEPIMP
 	if (!m_musicBrainzDialog) {
 		m_musicBrainzDialog = new MusicBrainzDialog(this, m_trackDataVector);
-		if (!m_musicBrainzDialog) {
-			return;
-		}
+		connect(m_musicBrainzDialog, SIGNAL(trackDataUpdated()),
+						this, SLOT(showPreview()));
+	}
+	if (m_musicBrainzDialog) {
 		if (m_musicBrainzCfg) {
 			m_musicBrainzDialog->setMusicBrainzConfig(m_musicBrainzCfg);
 		}
-		connect(m_musicBrainzDialog, SIGNAL(trackDataUpdated()),
-						this, SLOT(showPreview()));
+		m_musicBrainzDialog->initTable();
+		(void)m_musicBrainzDialog->exec();
 	}
-	(void)m_musicBrainzDialog->exec();
 #endif
 }
 
@@ -800,3 +825,370 @@
 #else
 void ImportSelector::getMusicBrainzConfig(MusicBrainzConfig*) const {}
 #endif
+
+/**
+ * Match import data with length.
+ */
+void ImportSelector::matchWithLength()
+{
+	struct MatchData {
+		int fileLen;      // length of file
+		int importLen;    // length of import
+		int assignedTo;   // number of file import is assigned to, -1 if not assigned
+		int assignedFrom; // number of import assigned to file, -1 if not assigned
+	};
+
+	bool failed = false;
+#if QT_VERSION >= 300
+	unsigned numTracks = m_trackDataVector.size();
+#else
+	unsigned numTracks = m_trackDataVector.count();
+#endif
+	if (numTracks > 0) {
+		bool diffCheckEnable;
+		int maxDiff;
+		getTimeDifferenceCheck(diffCheckEnable, maxDiff);
+
+		MatchData* md = new MatchData[numTracks];
+		unsigned numFiles = 0, numImports = 0;
+		unsigned i = 0;
+		for (
+#if QT_VERSION >= 300
+			ImportTrackDataVector::const_iterator
+#else
+			ImportTrackDataVector::ConstIterator
+#endif
+				 it = m_trackDataVector.begin();
+				 it != m_trackDataVector.end();
+				 ++it) {
+			if (i >= numTracks) {
+				break;
+			}
+			md[i].fileLen = (*it).getFileDuration();
+			if (md[i].fileLen > 0) {
+				++numFiles;
+			}
+			md[i].importLen = (*it).getImportDuration();
+			if (md[i].importLen > 0) {
+				++numImports;
+			}
+			md[i].assignedTo = -1;
+			md[i].assignedFrom = -1;
+			// If time difference checking is enabled and the time difference
+			// is not larger then the allowed limit, do not reassign the track.
+			if (diffCheckEnable) {
+				if (md[i].fileLen != 0 && md[i].importLen != 0) {
+					int diff = md[i].fileLen > md[i].importLen ?
+						md[i].fileLen - md[i].importLen : md[i].importLen - md[i].fileLen;
+					if (diff <= maxDiff) {
+						md[i].assignedTo = i;
+						md[i].assignedFrom = i;
+					}
+				}
+			}
+			++i;
+		}
+
+		if (numFiles <= numImports) {
+			// more imports than files => first look through all imports
+			for (i = 0; i < numTracks; ++i) {
+				if (md[i].assignedFrom == -1) {
+					int bestTrack = -1;
+					int bestDiff = INT_MAX;
+					// Find the unassigned import with the best difference
+					for (unsigned comparedTrack = 0; comparedTrack < numTracks; ++comparedTrack) {
+						if (md[comparedTrack].assignedTo == -1) {
+							int comparedDiff = md[i].fileLen > md[comparedTrack].importLen ?
+								md[i].fileLen - md[comparedTrack].importLen :
+								md[comparedTrack].importLen - md[i].fileLen;
+							if (comparedDiff < bestDiff) {
+								bestDiff = comparedDiff;
+								bestTrack = comparedTrack;
+							}
+						}
+					}
+					if (bestTrack >= 0 && bestTrack < static_cast<int>(numTracks)) {
+						md[i].assignedFrom = bestTrack;
+						md[bestTrack].assignedTo = i;
+					} else {
+						qDebug("No match for track %d", i);
+						failed = true;
+						break;
+					}
+				}
+			}
+		} else {
+			// more files than imports => first look through all files
+			for (i = 0; i < numTracks; ++i) {
+				if (md[i].assignedTo == -1) {
+					int bestTrack = -1;
+					int bestDiff = INT_MAX;
+					// Find the unassigned file with the best difference
+					for (unsigned comparedTrack = 0; comparedTrack < numTracks; ++comparedTrack) {
+						if (md[comparedTrack].assignedFrom == -1) {
+							int comparedDiff = md[comparedTrack].fileLen > md[i].importLen ?
+								md[comparedTrack].fileLen - md[i].importLen :
+								md[i].importLen - md[comparedTrack].fileLen;
+							if (comparedDiff < bestDiff) {
+								bestDiff = comparedDiff;
+								bestTrack = comparedTrack;
+							}
+						}
+					}
+					if (bestTrack >= 0 && bestTrack < static_cast<int>(numTracks)) {
+						md[i].assignedTo = bestTrack;
+						md[bestTrack].assignedFrom = i;
+					} else {
+						qDebug("No match for track %d", i);
+						failed = true;
+						break;
+					}
+				}
+			}
+		}
+
+		if (!failed) {
+			ImportTrackDataVector oldTrackDataVector(m_trackDataVector);
+			for (i = 0; i < numTracks; ++i) {
+				m_trackDataVector[i].setStandardTags(
+					oldTrackDataVector[md[i].assignedFrom]);
+				m_trackDataVector[i].setImportDuration(
+					oldTrackDataVector[md[i].assignedFrom].getImportDuration());
+			}
+			showPreview();
+		}
+
+		delete [] md;
+	}
+}
+
+/**
+ * Match import data with track number.
+ */
+void ImportSelector::matchWithTrack()
+{
+	struct MatchData {
+		int track;        // track number starting with 0
+		int assignedTo;   // number of file import is assigned to, -1 if not assigned
+		int assignedFrom; // number of import assigned to file, -1 if not assigned
+	};
+
+	bool failed = false;
+#if QT_VERSION >= 300
+	unsigned numTracks = m_trackDataVector.size();
+#else
+	unsigned numTracks = m_trackDataVector.count();
+#endif
+	if (numTracks > 0) {
+		MatchData* md = new MatchData[numTracks];
+
+		// 1st pass: Get track data and keep correct assignments.
+		unsigned i = 0;
+		for (
+#if QT_VERSION >= 300
+			ImportTrackDataVector::const_iterator
+#else
+			ImportTrackDataVector::ConstIterator
+#endif
+				 it = m_trackDataVector.begin();
+				 it != m_trackDataVector.end();
+				 ++it) {
+			if (i >= numTracks) {
+				break;
+			}
+			if ((*it).track > 0 && (*it).track <= static_cast<int>(numTracks)) {
+				md[i].track = (*it).track - 1;
+			} else {
+				md[i].track = -1;
+			}
+			md[i].assignedTo = -1;
+			md[i].assignedFrom = -1;
+			if (md[i].track == static_cast<int>(i)) {
+				md[i].assignedTo = i;
+				md[i].assignedFrom = i;
+			}
+			++i;
+		}
+
+		// 2nd pass: Assign imported track numbers to unassigned tracks.
+		for (i = 0; i < numTracks; ++i) {
+			if (md[i].assignedTo == -1 &&
+					md[i].track >= 0 && md[i].track < static_cast<int>(numTracks)) {
+				if (md[md[i].track].assignedFrom == -1) {
+					md[md[i].track].assignedFrom = i;
+					md[i].assignedTo = md[i].track;
+				}
+			}
+		}
+
+		// 3rd pass: Assign remaining tracks.
+		unsigned unassignedTrack = 0;
+		for (i = 0; i < numTracks; ++i) {
+			if (md[i].assignedFrom == -1) {
+				while (unassignedTrack < numTracks) {
+					if (md[unassignedTrack].assignedTo == -1) {
+						md[i].assignedFrom = unassignedTrack;
+						md[unassignedTrack++].assignedTo = i;
+						break;
+					}
+					++unassignedTrack;
+				}
+				if (md[i].assignedFrom == -1) {
+					qDebug("No track assigned to %d", i);
+					failed = true;
+				}
+			}
+		}
+
+		if (!failed) {
+			ImportTrackDataVector oldTrackDataVector(m_trackDataVector);
+			for (i = 0; i < numTracks; ++i) {
+				m_trackDataVector[i].setStandardTags(
+					oldTrackDataVector[md[i].assignedFrom]);
+				m_trackDataVector[i].setImportDuration(
+					oldTrackDataVector[md[i].assignedFrom].getImportDuration());
+			}
+			showPreview();
+		}
+
+		delete [] md;
+	}
+}
+
+/**
+ * Match import data with title.
+ */
+void ImportSelector::matchWithTitle()
+{
+	struct MatchData {
+		QStringList fileWords;  // words in file name
+		QStringList titleWords; // words in title
+		int assignedTo;   // number of file import is assigned to, -1 if not assigned
+		int assignedFrom; // number of import assigned to file, -1 if not assigned
+	};
+
+	bool failed = false;
+#if QT_VERSION >= 300
+	unsigned numTracks = m_trackDataVector.size();
+#else
+	unsigned numTracks = m_trackDataVector.count();
+#endif
+	if (numTracks > 0) {
+		MatchData* md = new MatchData[numTracks];
+		unsigned numFiles = 0, numImports = 0;
+		QRegExp nonWordCharRegExp("\\W");
+		unsigned i = 0;
+		for (
+#if QT_VERSION >= 300
+			ImportTrackDataVector::const_iterator
+#else
+			ImportTrackDataVector::ConstIterator
+#endif
+				 it = m_trackDataVector.begin();
+				 it != m_trackDataVector.end();
+				 ++it) {
+			if (i >= numTracks) {
+				break;
+			}
+			QString fileName = (*it).getAbsFilename();
+			if (!fileName.isEmpty()) {
+				++numFiles;
+				int startIndex = fileName.findRev(QDir::separator()) + 1;
+				int endIndex = fileName.findRev('.');
+				if (endIndex > startIndex) {
+					fileName = fileName.mid(startIndex, endIndex - startIndex);
+				} else {
+					fileName = fileName.mid(startIndex);
+				}
+				md[i].fileWords = QStringList::split(nonWordCharRegExp, fileName.lower());
+			}
+			if (!(*it).title.isEmpty()) {
+				++numImports;
+				md[i].titleWords = QStringList::split(nonWordCharRegExp, (*it).title.lower());
+			}
+			md[i].assignedTo = -1;
+			md[i].assignedFrom = -1;
+			++i;
+		}
+
+		if (numFiles <= numImports) {
+			// more imports than files => first look through all imports
+			for (i = 0; i < numTracks; ++i) {
+				if (md[i].assignedFrom == -1) {
+					int bestTrack = -1;
+					int bestMatch = -1;
+					// Find the unassigned import with the best match
+					for (unsigned comparedTrack = 0; comparedTrack < numTracks; ++comparedTrack) {
+						if (md[comparedTrack].assignedTo == -1) {
+							int comparedMatch = 0;
+							for (QStringList::const_iterator fwit = md[i].fileWords.begin();
+									 fwit != md[i].fileWords.end();
+									 ++fwit) {
+								if (md[comparedTrack].titleWords.contains(*fwit)) {
+									++comparedMatch;
+								}
+							}
+							if (comparedMatch > bestMatch) {
+								bestMatch = comparedMatch;
+								bestTrack = comparedTrack;
+							}
+						}
+					}
+					if (bestTrack >= 0 && bestTrack < static_cast<int>(numTracks)) {
+						md[i].assignedFrom = bestTrack;
+						md[bestTrack].assignedTo = i;
+					} else {
+						qDebug("No match for track %d", i);
+						failed = true;
+						break;
+					}
+				}
+			}
+		} else {
+			// more files than imports => first look through all files
+			for (i = 0; i < numTracks; ++i) {
+				if (md[i].assignedTo == -1) {
+					int bestTrack = -1;
+					int bestMatch = -1;
+					// Find the unassigned file with the best match
+					for (unsigned comparedTrack = 0; comparedTrack < numTracks; ++comparedTrack) {
+						if (md[comparedTrack].assignedFrom == -1) {
+							int comparedMatch = 0;
+							for (QStringList::const_iterator fwit = md[comparedTrack].fileWords.begin();
+									 fwit != md[comparedTrack].fileWords.end();
+									 ++fwit) {
+								if (md[i].titleWords.contains(*fwit)) {
+									++comparedMatch;
+								}
+							}
+							if (comparedMatch > bestMatch) {
+								bestMatch = comparedMatch;
+								bestTrack = comparedTrack;
+							}
+						}
+					}
+					if (bestTrack >= 0 && bestTrack < static_cast<int>(numTracks)) {
+						md[i].assignedTo = bestTrack;
+						md[bestTrack].assignedFrom = i;
+					} else {
+						qDebug("No match for track %d", i);
+						failed = true;
+						break;
+					}
+				}
+			}
+		}
+		if (!failed) {
+			ImportTrackDataVector oldTrackDataVector(m_trackDataVector);
+			for (i = 0; i < numTracks; ++i) {
+				m_trackDataVector[i].setStandardTags(
+					oldTrackDataVector[md[i].assignedFrom]);
+				m_trackDataVector[i].setImportDuration(
+					oldTrackDataVector[md[i].assignedFrom].getImportDuration());
+			}
+			showPreview();
+		}
+
+		delete [] md;
+	}
+}

=== modified file 'kid3/importselector.h'
--- kid3/importselector.h	2005-11-24 12:16:38 +0000
+++ kid3/importselector.h	2006-07-14 12:25:16 +0000
@@ -55,6 +55,10 @@
 	 */
 	~ImportSelector();
 	/**
+	 * Clear dialog data.
+	 */
+	void clear();
+	/**
 	 * Look for album specific information (artist, album, year, genre) in
 	 * a header (e.g. in a freedb header).
 	 *
@@ -215,6 +219,19 @@
 	 * Show fields to import in text as preview in table.
 	 */
 	void showPreview();
+	/**
+	 * Match import data with length.
+	 */
+	void matchWithLength();
+	/**
+	 * Match import data with track number.
+	 */
+	void matchWithTrack();
+	/**
+	 * Match import data with title.
+	 */
+	void matchWithTitle();
+
 private:
 	enum TabColumn {
 		LengthColumn, TrackColumn, TitleColumn, ArtistColumn,
@@ -239,6 +256,12 @@
 	QPushButton *freedbButton;
 	/** From MusicBrainz button */
 	QPushButton *m_musicBrainzButton;
+	/** Match with Length button */
+	QPushButton* m_lengthButton;
+	/** Match with Track button */
+	QPushButton* m_trackButton;
+	/** Match with Title button */
+	QPushButton* m_titleButton;
 	/** Preview table */
 	ImportTable *tab;
 	/** contents of imported file/clipboard */

=== modified file 'kid3/importtrackdata.h'
--- kid3/importtrackdata.h	2005-11-24 12:16:38 +0000
+++ kid3/importtrackdata.h	2006-07-14 12:25:16 +0000
@@ -83,10 +83,16 @@
 	QString m_absFilename;
 };
 
+class ImportTrackDataVector : public 
 #if QT_VERSION >= 300
-typedef QValueVector<ImportTrackData> ImportTrackDataVector;
+QValueVector<ImportTrackData>
 #else
-typedef QValueList<ImportTrackData> ImportTrackDataVector;
+QValueList<ImportTrackData>
 #endif
+{
+public:
+	QString artist;
+	QString album;
+};
 
 #endif // IMPORTTRACKDATA_H

=== modified file 'kid3/kid3.cpp'
--- kid3/kid3.cpp	2005-11-24 12:16:38 +0000
+++ kid3/kid3.cpp	2006-07-14 12:25:16 +0000
@@ -16,6 +16,7 @@
 #include <qcursor.h>
 #include <qprogressbar.h>
 #include <qmessagebox.h>
+#include <qgroupbox.h>
 
 #ifdef CONFIG_USE_KDE
 #include <kapp.h>
@@ -46,6 +47,8 @@
 #include "mp3framelist.h"
 #include "configdialog.h"
 #include "importdialog.h"
+#include "exportdialog.h"
+#include "numbertracksdialog.h"
 #include "formatconfig.h"
 #include "importconfig.h"
 #include "miscconfig.h"
@@ -134,7 +137,8 @@
  * @param name name
  */
 
-Kid3App::Kid3App()
+Kid3App::Kid3App() :
+	m_importDialog(0), m_exportDialog(0), m_numberTracksDialog(0)
 {
 	miscCfg = new MiscConfig("General Options");
 	genCfg = new ImportConfig("General Options");
@@ -171,6 +175,8 @@
 
 Kid3App::~Kid3App()
 {
+	delete m_importDialog;
+	delete m_numberTracksDialog;
 }
 
 /**
@@ -190,11 +196,18 @@
 	    this, SLOT(slotFileSave()), actionCollection());
 	fileQuit = KStdAction::quit(
 	    this, SLOT(slotFileQuit()), actionCollection());
+#if KDE_VERSION < 0x30200
 	viewToolBar = KStdAction::showToolbar(
 	    this, SLOT(slotViewToolBar()), actionCollection());
 	viewStatusBar = KStdAction::showStatusbar(
 	    this, SLOT(slotViewStatusBar()), actionCollection());
-    settingsShortcuts = KStdAction::keyBindings(
+	viewToolBar->setStatusText(i18n("Enables/disables the toolbar"));
+	viewStatusBar->setStatusText(i18n("Enables/disables the statusbar"));
+#else
+	setStandardToolBarMenuEnabled(true);
+	createStandardStatusBarAction();
+#endif
+	settingsShortcuts = KStdAction::keyBindings(
 		this, SLOT(slotSettingsShortcuts()), actionCollection());
 	settingsConfigure = KStdAction::preferences(
 	    this, SLOT(slotSettingsConfigure()), actionCollection());
@@ -205,23 +218,46 @@
 	    i18n("Reverts the changes of all or the selected files"));
 	fileSave->setStatusText(i18n("Saves the changed files"));
 	fileQuit->setStatusText(i18n("Quits the application"));
-	viewToolBar->setStatusText(i18n("Enables/disables the toolbar"));
-	viewStatusBar->setStatusText(i18n("Enables/disables the statusbar"));
 	settingsShortcuts->setStatusText(i18n("Configure Shortcuts"));
 	settingsConfigure->setStatusText(i18n("Preferences dialog"));
 
 	new KAction(i18n("&Import..."), 0, this,
 		    SLOT(slotImport()), actionCollection(),
 		    "import");
+	new KAction(i18n("Import from &freedb.org..."), 0, this,
+		    SLOT(slotImportFreedb()), actionCollection(),
+		    "import_freedb");
+#ifdef HAVE_TUNEPIMP
+	new KAction(i18n("Import from &MusicBrainz..."), 0, this,
+		    SLOT(slotImportMusicBrainz()), actionCollection(),
+		    "import_musicbrainz");
+#endif
+	new KAction(i18n("&Export..."), 0, this,
+		    SLOT(slotExport()), actionCollection(),
+		    "export");
 	new KAction(i18n("&Create Playlist"), 0, this,
 		    SLOT(slotCreatePlaylist()), actionCollection(),
 		    "create_playlist");
-	new KAction(i18n("&Apply Format"), 0, this,
-		    SLOT(slotApplyFormat()), actionCollection(),
-		    "apply_format");
+	new KAction(i18n("Apply &Filename Format"), 0, this,
+		    SLOT(slotApplyFilenameFormat()), actionCollection(),
+		    "apply_filename_format");
+	new KAction(i18n("Apply &ID3 Format"), 0, this,
+		    SLOT(slotApplyId3Format()), actionCollection(),
+		    "apply_id3_format");
 	new KAction(i18n("&Rename Directory..."), 0, this,
 		    SLOT(slotRenameDirectory()), actionCollection(),
 		    "rename_directory");
+	new KAction(i18n("&Number Tracks..."), 0, this,
+		    SLOT(slotNumberTracks()), actionCollection(),
+		    "number_tracks");
+	settingsShowHideV1 =
+		new KAction(i18n("Hide ID3v&1.1"), 0, this,
+								SLOT(slotSettingsShowHideV1()), actionCollection(),
+								"hide_v1");
+	settingsShowHideV2 =
+		new KAction(i18n("Hide ID3v&2.3"), 0, this,
+								SLOT(slotSettingsShowHideV2()), actionCollection(),
+								"hide_v2");
 
 	new KAction(i18n("Select &All"), KShortcut("Alt+A"), this,
 		    SLOT(slotSelectAll()), actionCollection(),
@@ -303,6 +339,29 @@
 		connect(fileImport, SIGNAL(activated()),
 			this, SLOT(slotImport()));
 	}
+	fileImportFreedb = new QAction(this);
+	if (fileImportFreedb) {
+		fileImportFreedb->setText(i18n("Import from freedb.org"));
+		fileImportFreedb->setMenuText(i18n("Import from &freedb.org..."));
+		connect(fileImportFreedb, SIGNAL(activated()),
+			this, SLOT(slotImportFreedb()));
+	}
+#ifdef HAVE_TUNEPIMP
+	fileImportMusicBrainz = new QAction(this);
+	if (fileImportMusicBrainz) {
+		fileImportMusicBrainz->setText(i18n("Import from MusicBrainz"));
+		fileImportMusicBrainz->setMenuText(i18n("Import from &MusicBrainz..."));
+		connect(fileImportMusicBrainz, SIGNAL(activated()),
+			this, SLOT(slotImportMusicBrainz()));
+	}
+#endif
+	fileExport = new QAction(this);
+	if (fileExport) {
+		fileExport->setText(i18n("Export to file or clipboard"));
+		fileExport->setMenuText(i18n("&Export..."));
+		connect(fileExport, SIGNAL(activated()),
+			this, SLOT(slotExport()));
+	}
 	fileCreatePlaylist = new QAction(this);
 	if (fileCreatePlaylist) {
 		fileCreatePlaylist->setText(i18n("Create M3U Playlist"));
@@ -339,12 +398,19 @@
 		connect(helpAboutQt, SIGNAL(activated()),
 			this, SLOT(slotHelpAboutQt()));
 	}
-	toolsApplyFormat = new QAction(this);
-	if (toolsApplyFormat) {
-		toolsApplyFormat->setText(i18n("Apply Format"));
-		toolsApplyFormat->setMenuText(i18n("&Apply Format"));
-		connect(toolsApplyFormat, SIGNAL(activated()),
-			this, SLOT(slotApplyFormat()));
+	toolsApplyFilenameFormat = new QAction(this);
+	if (toolsApplyFilenameFormat) {
+		toolsApplyFilenameFormat->setText(i18n("Apply Filename Format"));
+		toolsApplyFilenameFormat->setMenuText(i18n("Apply &Filename Format"));
+		connect(toolsApplyFilenameFormat, SIGNAL(activated()),
+			this, SLOT(slotApplyFilenameFormat()));
+	}
+	toolsApplyId3Format = new QAction(this);
+	if (toolsApplyId3Format) {
+		toolsApplyId3Format->setText(i18n("Apply ID3 Format"));
+		toolsApplyId3Format->setMenuText(i18n("Apply &ID3 Format"));
+		connect(toolsApplyId3Format, SIGNAL(activated()),
+			this, SLOT(slotApplyId3Format()));
 	}
 	toolsRenameDirectory = new QAction(this);
 	if (toolsRenameDirectory) {
@@ -353,6 +419,27 @@
 		connect(toolsRenameDirectory, SIGNAL(activated()),
 			this, SLOT(slotRenameDirectory()));
 	}
+	toolsNumberTracks = new QAction(this);
+	if (toolsNumberTracks) {
+		toolsNumberTracks->setText(i18n("Number Tracks"));
+		toolsNumberTracks->setMenuText(i18n("&Number Tracks..."));
+		connect(toolsNumberTracks, SIGNAL(activated()),
+			this, SLOT(slotNumberTracks()));
+	}
+	settingsShowHideV1 = new QAction(this);
+	if (settingsShowHideV1) {
+		settingsShowHideV1->setText(i18n("Hide ID3v1.1"));
+		settingsShowHideV1->setMenuText(i18n("Hide ID3v&1.1"));
+		connect(settingsShowHideV1, SIGNAL(activated()),
+			this, SLOT(slotSettingsShowHideV1()));
+	}
+	settingsShowHideV2 = new QAction(this);
+	if (settingsShowHideV2) {
+		settingsShowHideV2->setText(i18n("Hide ID3v2.3"));
+		settingsShowHideV2->setMenuText(i18n("Hide ID3v&2.3"));
+		connect(settingsShowHideV2, SIGNAL(activated()),
+			this, SLOT(slotSettingsShowHideV2()));
+	}
 	settingsConfigure = new QAction(this);
 	if (settingsConfigure) {
 		settingsConfigure->setText(i18n("Configure Kid3"));
@@ -372,15 +459,25 @@
 		fileRevert->addTo(fileMenu);
 		fileMenu->insertSeparator();
 		fileImport->addTo(fileMenu);
+		fileImportFreedb->addTo(fileMenu);
+#ifdef HAVE_TUNEPIMP
+		fileImportMusicBrainz->addTo(fileMenu);
+#endif
+		fileExport->addTo(fileMenu);
 		fileCreatePlaylist->addTo(fileMenu);
 		fileMenu->insertSeparator();
 		fileQuit->addTo(fileMenu);
 		menubar->insertItem((i18n("&File")), fileMenu);
 
-		toolsApplyFormat->addTo(toolsMenu);
+		toolsApplyFilenameFormat->addTo(toolsMenu);
+		toolsApplyId3Format->addTo(toolsMenu);
 		toolsRenameDirectory->addTo(toolsMenu);
+		toolsNumberTracks->addTo(toolsMenu);
 		menubar->insertItem((i18n("&Tools")), toolsMenu);
 
+		settingsShowHideV1->addTo(settingsMenu);
+		settingsShowHideV2->addTo(settingsMenu);
+		settingsMenu->insertSeparator();
 		settingsConfigure->addTo(settingsMenu);
 		menubar->insertItem(i18n("&Settings"), settingsMenu);
 
@@ -478,6 +575,12 @@
 	miscCfg->formatItem = view->formatComboBox->currentItem();
 	miscCfg->formatText = view->formatComboBox->currentText();
 
+	miscCfg->m_customGenres.clear();
+	int idx, numGenres = view->genreV2ComboBox->count();
+	for (idx = Genres::count + 1; idx < numGenres; ++idx) {
+		miscCfg->m_customGenres.append(view->genreV2ComboBox->text(idx));
+	}
+
 	miscCfg->writeToConfig(config);
 	fnFormatCfg->writeToConfig(config);
 	id3FormatCfg->writeToConfig(config);
@@ -502,11 +605,15 @@
 #ifdef HAVE_TUNEPIMP
 	m_musicBrainzCfg->readFromConfig(config);
 #endif
+	updateHideV1();
+	updateHideV2();
 #ifdef CONFIG_USE_KDE
 	setAutoSaveSettings();
 	fileOpenRecent->loadEntries(config,"Recent Files");
+#if KDE_VERSION < 0x30200
 	viewToolBar->setChecked(!toolBar("mainToolBar")->isHidden());
 	viewStatusBar->setChecked(!statusBar()->isHidden());
+#endif
 #else
 	if (miscCfg->windowWidth != -1 && miscCfg->windowHeight != -1) {
 		resize(miscCfg->windowWidth, miscCfg->windowHeight);
@@ -544,6 +651,7 @@
 #if QT_VERSION >= 300
 	view->formatComboBox->setCurrentText(miscCfg->formatText);
 #endif
+	view->genreV2ComboBox->insertStringList(miscCfg->m_customGenres);
 }
 
 #ifdef CONFIG_USE_KDE
@@ -889,6 +997,7 @@
 }
 
 #ifdef CONFIG_USE_KDE
+#if KDE_VERSION < 0x30200
 /**
  * Turn tool bar on or off.
  */
@@ -920,6 +1029,12 @@
 	}
 	slotStatusMsg(i18n("Ready."));
 }
+#else
+
+void Kid3App::slotViewToolBar() {}
+void Kid3App::slotViewStatusBar() {}
+
+#endif
 
 /**
  * Shortcuts configuration.
@@ -962,7 +1077,7 @@
 	QMessageBox::about(
 		(Kid3App*)parent(), "Kid3",
 		"Kid3 " VERSION
-		"\n(c) 2003-2005 Urs Fleisch\nufleisch@users.sourceforge.net");
+		"\n(c) 2003-2006 Urs Fleisch\nufleisch@users.sourceforge.net");
 }
 
 /**
@@ -1059,101 +1174,307 @@
 }
 
 /**
- * Import.
+ * Update track data and create import dialog.
  */
-
-void Kid3App::slotImport(void)
+void Kid3App::setupImportDialog()
 {
-	ImportTrackDataVector trackDataList;
+	m_trackDataList.clear();
 	TaggedFile *mp3file = view->mp3ListBox->first();
+	bool firstTrack = true;
 	while (mp3file != 0) {
 		mp3file->readTags(false);
+		if (firstTrack) {
+			StandardTags st;
+			mp3file->getStandardTagsV2(&st);
+			if (st.artist.isEmpty() && st.album.isEmpty()) {
+				mp3file->getStandardTagsV1(&st);
+			}
+			m_trackDataList.artist = st.artist;
+			m_trackDataList.album = st.album;
+			firstTrack = false;
+		}
 #if QT_VERSION >= 300
-		trackDataList.push_back(ImportTrackData(mp3file->getAbsFilename(),
+		m_trackDataList.push_back(ImportTrackData(mp3file->getAbsFilename(),
                                             mp3file->getDuration()));
 #else
-		trackDataList.append(ImportTrackData(mp3file->getAbsFilename(),
+		m_trackDataList.append(ImportTrackData(mp3file->getAbsFilename(),
                                             mp3file->getDuration()));
 #endif
 		mp3file = view->mp3ListBox->next();
 	}
 
-	QString caption(i18n("Import"));
-	ImportDialog *dialog =
-		new ImportDialog(NULL, caption, trackDataList);
-	if (dialog) {
-		dialog->setDestV1(genCfg->importDestV1);
-		dialog->setImportFormat(genCfg->importFormatNames,
+	if (!m_importDialog) {
+		QString caption(i18n("Import"));
+		m_importDialog =
+			new ImportDialog(NULL, caption, m_trackDataList);
+	}
+	if (m_importDialog) {
+		m_importDialog->clear();
+		m_importDialog->setDestV1(genCfg->importDestV1);
+		m_importDialog->setImportFormat(genCfg->importFormatNames,
 								genCfg->importFormatHeaders,
 								genCfg->importFormatTracks,
 								genCfg->importFormatIdx);
-		dialog->setTimeDifferenceCheck(genCfg->enableTimeDifferenceCheck,
+		m_importDialog->setTimeDifferenceCheck(genCfg->enableTimeDifferenceCheck,
 									   genCfg->maxTimeDifference);
-		dialog->setFreedbConfig(freedbCfg);
-#ifdef HAVE_TUNEPIMP
-		dialog->setMusicBrainzConfig(m_musicBrainzCfg);
-#endif
-		if (dialog->exec() == QDialog::Accepted) {
-			genCfg->importDestV1 = dialog->getDestV1();
-			QString name, header, track;
-			genCfg->importFormatIdx = dialog->getImportFormat(name, header, track);
-			genCfg->importFormatNames[genCfg->importFormatIdx] = name;
-			genCfg->importFormatHeaders[genCfg->importFormatIdx] = header;
-			genCfg->importFormatTracks[genCfg->importFormatIdx] = track;
-			dialog->getTimeDifferenceCheck(genCfg->enableTimeDifferenceCheck,
-										   genCfg->maxTimeDifference);
-			dialog->getFreedbConfig(freedbCfg);
-#ifdef HAVE_TUNEPIMP
-			dialog->getMusicBrainzConfig(m_musicBrainzCfg);
-#endif
-
-			slotStatusMsg(i18n("Import..."));
-#if QT_VERSION >= 300
-			ImportTrackDataVector::const_iterator it = trackDataList.begin();
-#else
-			ImportTrackDataVector::ConstIterator it = trackDataList.begin();
-#endif
-			StandardTags st;
-			StandardTagsFilter flt(genCfg->importDestV1 ?
-														 view->getFilterFromID3V1() :
-														 view->getFilterFromID3V2());
-			bool no_selection = view->numFilesSelected() == 0;
-			TaggedFile *mp3file = view->mp3ListBox->first();
-			while (mp3file != 0) {
-				mp3file->readTags(false);
-				if (genCfg->importDestV1) {
-					mp3file->getStandardTagsV1(&st);
-				} else {
-					mp3file->getStandardTagsV2(&st);
-				}
-				if (it != trackDataList.end()) {
-					(*it).copyActiveTags(st);
-					++it;
-				} else {
-					break;
-				}
-				if (genCfg->importDestV1) {
-					mp3file->setStandardTagsV1(&st, flt);
-				} else {
-					mp3file->setStandardTagsV2(&st, flt);
-				}
-				mp3file = view->mp3ListBox->next();
-			}
-			if (!no_selection) {
-				StandardTags st; // empty
-				view->setStandardTagsV1(&st);
-				view->setStandardTagsV2(&st);
-				view->nameLineEdit->setEnabled(FALSE);
-				fileSelected();
-			}
-			else {
-				updateModificationState();
-			}
-			slotStatusMsg(i18n("Ready."));
-			QApplication::restoreOverrideCursor();
-		}
-		delete dialog;
-	}
+		m_importDialog->setFreedbConfig(freedbCfg);
+#ifdef HAVE_TUNEPIMP
+		m_importDialog->setMusicBrainzConfig(m_musicBrainzCfg);
+#endif
+	}
+}
+
+/**
+ * Execute the import dialog.
+ */
+void Kid3App::execImportDialog()
+{
+	if (m_importDialog &&
+			m_importDialog->exec() == QDialog::Accepted) {
+		genCfg->importDestV1 = m_importDialog->getDestV1();
+		QString name, header, track;
+		genCfg->importFormatIdx = m_importDialog->getImportFormat(name, header, track);
+		genCfg->importFormatNames[genCfg->importFormatIdx] = name;
+		genCfg->importFormatHeaders[genCfg->importFormatIdx] = header;
+		genCfg->importFormatTracks[genCfg->importFormatIdx] = track;
+		m_importDialog->getTimeDifferenceCheck(genCfg->enableTimeDifferenceCheck,
+																					 genCfg->maxTimeDifference);
+		m_importDialog->getFreedbConfig(freedbCfg);
+#ifdef HAVE_TUNEPIMP
+		m_importDialog->getMusicBrainzConfig(m_musicBrainzCfg);
+#endif
+
+		slotStatusMsg(i18n("Import..."));
+#if QT_VERSION >= 300
+		ImportTrackDataVector::const_iterator it = m_trackDataList.begin();
+#else
+		ImportTrackDataVector::ConstIterator it = m_trackDataList.begin();
+#endif
+		StandardTags st;
+		StandardTagsFilter flt(genCfg->importDestV1 ?
+													 view->getFilterFromID3V1() :
+													 view->getFilterFromID3V2());
+		bool no_selection = view->numFilesSelected() == 0;
+		TaggedFile *mp3file = view->mp3ListBox->first();
+		while (mp3file != 0) {
+			mp3file->readTags(false);
+			if (genCfg->importDestV1) {
+				mp3file->getStandardTagsV1(&st);
+			} else {
+				mp3file->getStandardTagsV2(&st);
+			}
+			if (it != m_trackDataList.end()) {
+				(*it).copyActiveTags(st);
+				++it;
+			} else {
+				break;
+			}
+			formatStandardTagsIfEnabled(&st);
+			if (genCfg->importDestV1) {
+				mp3file->setStandardTagsV1(&st, flt);
+			} else {
+				mp3file->setStandardTagsV2(&st, flt);
+			}
+			mp3file = view->mp3ListBox->next();
+		}
+		if (!no_selection) {
+			StandardTags st; // empty
+			view->setStandardTagsV1(&st);
+			view->setStandardTagsV2(&st);
+			view->nameLineEdit->setEnabled(FALSE);
+			fileSelected();
+		}
+		else {
+			updateModificationState();
+		}
+		slotStatusMsg(i18n("Ready."));
+		QApplication::restoreOverrideCursor();
+	}
+}
+
+/**
+ * Import.
+ */
+
+void Kid3App::slotImport(void)
+{
+	setupImportDialog();
+	if (m_importDialog) {
+		m_importDialog->setAutoStartSubDialog(ImportDialog::ASD_None);
+		execImportDialog();
+	}
+}
+
+/**
+ * Import from freedb.org.
+ */
+void Kid3App::slotImportFreedb()
+{
+	setupImportDialog();
+	if (m_importDialog) {
+		m_importDialog->setAutoStartSubDialog(ImportDialog::ASD_Freedb);
+		execImportDialog();
+	}
+}
+
+/**
+ * Import from MusicBrainz.
+ */
+void Kid3App::slotImportMusicBrainz()
+{
+#ifdef HAVE_TUNEPIMP
+	setupImportDialog();
+	if (m_importDialog) {
+		m_importDialog->setAutoStartSubDialog(ImportDialog::ASD_MusicBrainz);
+		execImportDialog();
+	}
+#endif
+}
+
+/**
+ * Set data to be exported.
+ *
+ * @param src ExportDialog::SrcV1 to export ID3v1,
+ *            ExportDialog::SrcV2 to export ID3v2
+ */
+void Kid3App::setExportData(int src)
+{
+	if (m_exportDialog) {
+		ImportTrackDataVector trackDataVector;
+		TaggedFile *mp3file = view->mp3ListBox->first();
+		bool firstTrack = true;
+		while (mp3file != 0) {
+			mp3file->readTags(false);
+			ImportTrackData trackData(mp3file->getAbsFilename(),
+																mp3file->getDuration());
+			if (src == ExportDialog::SrcV1) {
+				mp3file->getStandardTagsV1(&trackData);
+			} else {
+				mp3file->getStandardTagsV2(&trackData);
+			}
+			if (firstTrack) {
+				trackDataVector.artist = trackData.artist;
+				trackDataVector.album = trackData.album;
+				firstTrack = false;
+			}
+#if QT_VERSION >= 300
+			trackDataVector.push_back(trackData);
+#else
+			trackDataVector.append(trackData);
+#endif
+			mp3file = view->mp3ListBox->next();
+		}
+		m_exportDialog->setExportData(trackDataVector);
+	}
+}
+
+/**
+ * Export.
+ */
+void Kid3App::slotExport()
+{
+	m_exportDialog = new ExportDialog(0);
+	if (m_exportDialog) {
+		m_exportDialog->setSrcV1(genCfg->m_exportSrcV1);
+		m_exportDialog->setExportFormat(
+			genCfg->m_exportFormatNames, genCfg->m_exportFormatHeaders,
+			genCfg->m_exportFormatTracks, genCfg->m_exportFormatTrailers,
+			genCfg->m_exportFormatIdx);
+		setExportData(genCfg->m_exportSrcV1 ?
+									ExportDialog::SrcV1 : ExportDialog::SrcV2);
+		connect(m_exportDialog, SIGNAL(exportDataRequested(int)),
+						this, SLOT(setExportData(int)));
+		m_exportDialog->setWindowSize(genCfg->m_exportWindowWidth,
+																	genCfg->m_exportWindowHeight);
+		if (m_exportDialog->exec() == QDialog::Accepted) {
+			genCfg->m_exportSrcV1 = m_exportDialog->getSrcV1();
+			QString name, header, track, trailer;
+			genCfg->m_exportFormatIdx = m_exportDialog->getExportFormat(
+				name, header, track, trailer);
+			genCfg->m_exportFormatNames[genCfg->m_exportFormatIdx] = name;
+			genCfg->m_exportFormatHeaders[genCfg->m_exportFormatIdx] = header;
+			genCfg->m_exportFormatTracks[genCfg->m_exportFormatIdx] = track;
+			genCfg->m_exportFormatTrailers[genCfg->m_exportFormatIdx] = trailer;
+			m_exportDialog->getWindowSize(genCfg->m_exportWindowWidth,
+																		genCfg->m_exportWindowHeight);
+		}
+		delete m_exportDialog;
+		m_exportDialog = 0;
+	}
+}
+
+/**
+ * Show or hide the ID3V1.1 controls according to the settings and
+ * set the menu entries appropriately.
+ */
+void Kid3App::updateHideV1()
+{
+	if (miscCfg && miscCfg->m_hideV1) {
+		view->idV1GroupBox->hide();
+#ifdef CONFIG_USE_KDE
+		settingsShowHideV1->setText(i18n("Show ID3v&1.1"));
+#else
+		settingsShowHideV1->setText(i18n("Show ID3v1.1"));
+		settingsShowHideV1->setMenuText(i18n("Show ID3v&1.1"));
+#endif
+
+	} else {
+		view->idV1GroupBox->show();
+#ifdef CONFIG_USE_KDE
+		settingsShowHideV1->setText(i18n("Hide ID3v&1.1"));
+#else
+		settingsShowHideV1->setText(i18n("Hide ID3v1.1"));
+		settingsShowHideV1->setMenuText(i18n("Hide ID3v&1.1"));
+#endif
+	}
+}
+
+/**
+ * Show or hide the ID3V2.3 controls according to the settings and
+ * set the menu entries appropriately.
+ */
+void Kid3App::updateHideV2()
+{
+	if (miscCfg && miscCfg->m_hideV2) {
+		view->idV2GroupBox->hide();
+#ifdef CONFIG_USE_KDE
+		settingsShowHideV2->setText(i18n("Show ID3v&2.3"));
+#else
+		settingsShowHideV2->setText(i18n("Show ID3v2.3"));
+		settingsShowHideV2->setMenuText(i18n("Show ID3v&2.3"));
+#endif
+
+	} else {
+		view->idV2GroupBox->show();
+#ifdef CONFIG_USE_KDE
+		settingsShowHideV2->setText(i18n("Hide ID3v&2.3"));
+#else
+		settingsShowHideV2->setText(i18n("Hide ID3v2.3"));
+		settingsShowHideV2->setMenuText(i18n("Hide ID3v&2.3"));
+#endif
+	}
+}
+
+/**
+ * Show or hide ID3v1.1 controls.
+ */
+void Kid3App::slotSettingsShowHideV1()
+{
+	if (miscCfg) {
+		miscCfg->m_hideV1 = !miscCfg->m_hideV1;
+	}
+	updateHideV1();
+}
+
+/**
+ * Show or hide ID3v2.3 controls.
+ */
+void Kid3App::slotSettingsShowHideV2()
+{
+	if (miscCfg) {
+		miscCfg->m_hideV2 = !miscCfg->m_hideV2;
+	}
+	updateHideV2();
 }
 
 /**
@@ -1191,16 +1512,14 @@
 }
 
 /**
- * Apply format.
+ * Apply filename format.
  */
-void Kid3App::slotApplyFormat(void)
+void Kid3App::slotApplyFilenameFormat(void)
 {
 	StandardTags st;
 	if (view->numFilesSelected() == 1) {
 		updateCurrentSelection();
 	}
-	StandardTagsFilter fltV1(view->getFilterFromID3V1());
-	StandardTagsFilter fltV2(view->getFilterFromID3V2());
 	TaggedFile *mp3file = view->mp3ListBox->first();
 	bool no_selection = view->numFilesSelected() == 0;
 	while (mp3file != 0) {
@@ -1210,6 +1529,28 @@
 			str = mp3file->getFilename();
 			fnFormatCfg->formatString(str);
 			mp3file->setFilename(str);
+		}
+		mp3file = view->mp3ListBox->next();
+	}
+	updateGuiControls();
+}
+
+/**
+ * Apply ID3 format.
+ */
+void Kid3App::slotApplyId3Format(void)
+{
+	StandardTags st;
+	if (view->numFilesSelected() == 1) {
+		updateCurrentSelection();
+	}
+	StandardTagsFilter fltV1(view->getFilterFromID3V1());
+	StandardTagsFilter fltV2(view->getFilterFromID3V2());
+	TaggedFile *mp3file = view->mp3ListBox->first();
+	bool no_selection = view->numFilesSelected() == 0;
+	while (mp3file != 0) {
+		if (no_selection || mp3file->isInSelection()) {
+			mp3file->readTags(false);
 			mp3file->getStandardTagsV1(&st);
 			id3FormatCfg->formatStandardTags(st);
 			mp3file->setStandardTagsV1(&st, fltV1);
@@ -1264,6 +1605,45 @@
 }
 
 /**
+ * Number tracks.
+ */
+void Kid3App::slotNumberTracks()
+{
+	if (!m_numberTracksDialog) {
+		m_numberTracksDialog = new NumberTracksDialog(0);
+	}
+	if (m_numberTracksDialog) {
+		if (m_numberTracksDialog->exec() == QDialog::Accepted) {
+			int nr = m_numberTracksDialog->getStartNumber();
+			bool destV1 = m_numberTracksDialog->getDestV1();
+
+			updateCurrentSelection();
+			TaggedFile *mp3file = view->mp3ListBox->first();
+			bool no_selection = view->numFilesSelected() == 0;
+			while (mp3file != 0) {
+				if (no_selection || mp3file->isInSelection()) {
+					mp3file->readTags(false);
+					if (destV1) {
+						int oldnr = mp3file->getTrackNumV1();
+						if (nr != oldnr) {
+							mp3file->setTrackNumV1(nr);
+						}
+					} else {
+						int oldnr = mp3file->getTrackNumV2();
+						if (nr != oldnr) {
+							mp3file->setTrackNumV2(nr);
+						}
+					}
+					++nr;
+				}
+				mp3file = view->mp3ListBox->next();
+			}
+			updateGuiControls();
+		}
+	}
+}
+
+/**
  * Open directory on drop.
  *
  * @param txt URL of directory or file in directory
@@ -1472,8 +1852,10 @@
 		st->year = copytags->year;
 	if (copytags->track >= 0)
 		st->track = copytags->track;
-	if (copytags->genre >= 0)
+	if (copytags->genre >= 0) {
 		st->genre = copytags->genre;
+		st->genreStr = copytags->genreStr;
+	}
 }
 
 /**
@@ -1489,6 +1871,7 @@
 		if (mp3file->isInSelection()) {
 			mp3file->getStandardTagsV1(&st);
 			pasteTags(&st);
+			formatStandardTagsIfEnabled(&st);
 			mp3file->setStandardTagsV1(&st, flt);
 		}
 		mp3file = view->mp3ListBox->next();
@@ -1510,6 +1893,7 @@
 		if (mp3file->isInSelection()) {
 			mp3file->getStandardTagsV2(&st);
 			pasteTags(&st);
+			formatStandardTagsIfEnabled(&st);
 			mp3file->setStandardTagsV2(&st, flt);
 		}
 		mp3file = view->mp3ListBox->next();
@@ -1539,6 +1923,7 @@
 			}
 			mp3file->getStandardTagsV1(&st);
 			mp3file->getTagsFromFilename(&st, view->formatComboBox->currentText());
+			formatStandardTagsIfEnabled(&st);
 			mp3file->setStandardTagsV1(&st, flt);
 		}
 		mp3file = view->mp3ListBox->next();
@@ -1568,6 +1953,7 @@
 			}
 			mp3file->getStandardTagsV2(&st);
 			mp3file->getTagsFromFilename(&st, view->formatComboBox->currentText());
+			formatStandardTagsIfEnabled(&st);
 			mp3file->setStandardTagsV2(&st, flt);
 		}
 		mp3file = view->mp3ListBox->next();
@@ -1600,6 +1986,7 @@
 			}
 			mp3file->getFilenameFromTags(
 				&st, view->formatComboBox->currentText());
+			formatFileNameIfEnabled(mp3file);
 			if (!multiselect) {
 				view->nameLineEdit->setText(
 					mp3file->getFilename());
@@ -1624,6 +2011,7 @@
 	while (mp3file != 0) {
 		if (mp3file->isInSelection()) {
 			mp3file->getStandardTagsV1(&st);
+			formatStandardTagsIfEnabled(&st);
 			mp3file->setStandardTagsV2(&st, flt);
 		}
 		mp3file = view->mp3ListBox->next();
@@ -1645,6 +2033,7 @@
 	while (mp3file != 0) {
 		if (mp3file->isInSelection()) {
 			mp3file->getStandardTagsV2(&st);
+			formatStandardTagsIfEnabled(&st);
 			mp3file->setStandardTagsV1(&st, flt);
 		}
 		mp3file = view->mp3ListBox->next();
@@ -1769,7 +2158,63 @@
 	getSelectedFileWithFrameList(taggedFile, framelist);
 	if (taggedFile && framelist &&
 			(id = framelist->selectFrameId()) != -1 &&
-			framelist->addFrame(id)) {
+			framelist->addFrame(id, true)) {
 		updateAfterFrameModification(taggedFile);
+	} else if (!taggedFile && !framelist) {
+		// multiple files selected
+		TaggedFile *mp3file = view->mp3ListBox->first();
+		bool firstFile = true;
+		while (mp3file != 0) {
+			if (mp3file->isInSelection()) {
+				if (firstFile) {
+					firstFile = false;
+					taggedFile = mp3file;
+					framelist = mp3file->getFrameList();
+					framelist->setTags(taggedFile);
+					if ((id = framelist->selectFrameId()) != -1 &&
+							framelist->addFrame(id, true)) {
+						framelist->copyFrame();
+					} else {
+						break;
+					}
+				} else {
+					if (mp3file->getFrameList() == framelist) {
+						framelist->setTags(mp3file);
+						framelist->pasteFrame();
+					}
+				}
+			}
+			mp3file = view->mp3ListBox->next();
+		}
+		if (taggedFile && framelist) {
+//			framelist->setTags(taggedFile);
+		}
+		updateModificationState();
+	}
+}
+
+/**
+ * Format a filename if format while editing is switched on.
+ *
+ * @param taggedFile file to modify
+ */
+void Kid3App::formatFileNameIfEnabled(TaggedFile* taggedFile) const
+{
+	if (fnFormatCfg->m_formatWhileEditing) {
+		QString fn(taggedFile->getFilename());
+		fnFormatCfg->formatString(fn);
+		taggedFile->setFilename(fn);
+	}
+}
+
+/**
+ * Format tags if format while editing is switched on.
+ *
+ * @param st standard tags
+ */
+void Kid3App::formatStandardTagsIfEnabled(StandardTags* st) const
+{
+	if (id3FormatCfg->m_formatWhileEditing) {
+		id3FormatCfg->formatStandardTags(*st);
 	}
 }

=== modified file 'kid3/kid3.dsp'
--- kid3/kid3.dsp	2005-11-24 12:16:38 +0000
+++ kid3/kid3.dsp	2006-07-14 12:25:16 +0000
@@ -106,6 +106,10 @@
 # End Source File
 # Begin Source File
 
+SOURCE=.\exportdialog.cpp
+# End Source File
+# Begin Source File
+
 SOURCE=.\filelist.cpp
 # End Source File
 # Begin Source File
@@ -190,6 +194,10 @@
 # End Source File
 # Begin Source File
 
+SOURCE=.\moc_exportdialog.cpp
+# End Source File
+# Begin Source File
+
 SOURCE=.\moc_filelist.cpp
 # End Source File
 # Begin Source File
@@ -210,6 +218,10 @@
 # End Source File
 # Begin Source File
 
+SOURCE=.\moc_importdialog.cpp
+# End Source File
+# Begin Source File
+
 SOURCE=.\moc_importselector.cpp
 # End Source File
 # Begin Source File
@@ -254,6 +266,10 @@
 # End Source File
 # Begin Source File
 
+SOURCE=.\numbertracksdialog.cpp
+# End Source File
+# Begin Source File
+
 SOURCE=.\oggfile.cpp
 # End Source File
 # Begin Source File
@@ -317,6 +333,33 @@
 # End Source File
 # Begin Source File
 
+SOURCE=.\exportdialog.h
+
+!IF  "$(CFG)" == "kid3 - Win32 Release"
+
+# Begin Custom Build - Moc'ing $(InputPath)
+InputPath=.\exportdialog.h
+
+".\moc_exportdialog.cpp" : $(SOURCE) "$(INTDIR)" "$(OUTDIR)"
+	%QTDIR%\bin\moc.exe $(InputPath) -o .\moc_exportdialog.cpp
+
+# End Custom Build
+
+!ELSEIF  "$(CFG)" == "kid3 - Win32 Debug"
+
+# Begin Custom Build - Moc'ing $(InputPath)
+InputPath=.\exportdialog.h
+
+".\moc_exportdialog.cpp" : $(SOURCE) "$(INTDIR)" "$(OUTDIR)"
+	%QTDIR%\bin\moc.exe $(InputPath) -o .\moc_exportdialog.cpp
+
+# End Custom Build
+
+!ENDIF 
+
+# End Source File
+# Begin Source File
+
 SOURCE=.\filelist.h
 
 !IF  "$(CFG)" == "kid3 - Win32 Release"
@@ -485,6 +528,29 @@
 # Begin Source File
 
 SOURCE=.\importdialog.h
+
+!IF  "$(CFG)" == "kid3 - Win32 Release"
+
+# Begin Custom Build - Moc'ing $(InputPath)
+InputPath=.\importdialog.h
+
+".\moc_importdialog.cpp" : $(SOURCE) "$(INTDIR)" "$(OUTDIR)"
+	%QTDIR%\bin\moc.exe $(InputPath) -o .\moc_importdialog.cpp
+
+# End Custom Build
+
+!ELSEIF  "$(CFG)" == "kid3 - Win32 Debug"
+
+# Begin Custom Build - Moc'ing $(InputPath)
+InputPath=.\importdialog.h
+
+".\moc_importdialog.cpp" : $(SOURCE) "$(INTDIR)" "$(OUTDIR)"
+	%QTDIR%\bin\moc.exe $(InputPath) -o .\moc_importdialog.cpp
+
+# End Custom Build
+
+!ENDIF 
+
 # End Source File
 # Begin Source File
 
@@ -643,6 +709,10 @@
 # End Source File
 # Begin Source File
 
+SOURCE=.\numbertracksdialog.h
+# End Source File
+# Begin Source File
+
 SOURCE=.\oggfile.h
 # End Source File
 # Begin Source File
@@ -724,32 +794,5 @@
 !ENDIF 
 
 # End Source File
-# Begin Source File
-
-SOURCE=.\kid3.h.qtonly
-
-!IF  "$(CFG)" == "kid3 - Win32 Release"
-
-# Begin Custom Build - Creating kid3.h from $(InputPath)
-InputPath=.\kid3.h.qtonly
-
-".\kid3.h" : $(SOURCE) "$(INTDIR)" "$(OUTDIR)"
-	copy kid3.h.qtonly kid3.h
-
-# End Custom Build
-
-!ELSEIF  "$(CFG)" == "kid3 - Win32 Debug"
-
-# Begin Custom Build - Creating kid3.h from $(InputPath)
-InputPath=.\kid3.h.qtonly
-
-".\kid3.h" : $(SOURCE) "$(INTDIR)" "$(OUTDIR)"
-	copy kid3.h.qtonly kid3.h
-
-# End Custom Build
-
-!ENDIF 
-
-# End Source File
 # End Target
 # End Project

=== modified file 'kid3/kid3.h'
--- kid3/kid3.h	2005-11-24 12:16:38 +0000
+++ kid3/kid3.h	2006-07-14 12:25:16 +0000
@@ -23,6 +23,7 @@
 class QAction;
 typedef QMainWindow Kid3AppBaseClass;
 #endif
+#include "importtrackdata.h"
 class KURL;
 class id3Form;
 class TaggedFile;
@@ -32,6 +33,9 @@
 class FreedbConfig;
 class StandardTags;
 class FrameList;
+class ImportDialog;
+class ExportDialog;
+class NumberTracksDialog;
 
 #ifdef HAVE_TUNEPIMP
 class MusicBrainzConfig;
@@ -357,20 +361,64 @@
 	void slotImport(void);
 
 	/**
+	 * Import from freedb.org.
+	 */
+	void slotImportFreedb();
+
+	/**
+	 * Import from MusicBrainz.
+	 */
+	void slotImportMusicBrainz();
+
+	/**
+	 * Export.
+	 */
+	void slotExport();
+
+	/**
+	 * Show or hide ID3v1.1 controls.
+	 */
+	void slotSettingsShowHideV1();
+
+	/**
+	 * Show or hide ID3v2.3 controls.
+	 */
+	void slotSettingsShowHideV2();
+
+	/**
 	 * Preferences.
 	 */
 	void slotSettingsConfigure(void);
 
 	/**
-	 * Apply format.
-	 */
-	void slotApplyFormat(void);
+	 * Apply filename format.
+	 */
+	void slotApplyFilenameFormat(void);
+
+	/**
+	 * Apply ID3 format.
+	 */
+	void slotApplyId3Format(void);
 
 	/**
 	 * Rename directory.
 	 */
 	void slotRenameDirectory(void);
 
+	/**
+	 * Number tracks.
+	 */
+	void slotNumberTracks();
+
+private slots:
+	/**
+	 * Set data to be exported.
+	 *
+	 * @param src ExportDialog::SrcV1 to export ID3v1,
+	 *            ExportDialog::SrcV2 to export ID3v2
+	 */
+	void setExportData(int src);
+
 private:
 	/**
 	 * Save all changed files.
@@ -417,6 +465,42 @@
 	void getSelectedFileWithFrameList(
 		TaggedFile*& taggedFile, FrameList*& framelist);
 	
+	/**
+	 * Format a filename if format while editing is switched on.
+	 *
+	 * @param taggedFile file to modify
+	 */
+	void formatFileNameIfEnabled(TaggedFile* taggedFile) const;
+
+	/**
+	 * Format tags if format while editing is switched on.
+	 *
+	 * @param st standard tags
+	 */
+	void formatStandardTagsIfEnabled(StandardTags* st) const;
+
+	/**
+	 * Update track data and create import dialog.
+	 */
+	void setupImportDialog();
+
+	/**
+	 * Execute the import dialog.
+	 */
+	void execImportDialog();
+
+	/**
+	 * Show or hide the ID3V1.1 controls according to the settings and
+	 * set the menu entries appropriately.
+	 */
+	void updateHideV1();
+
+	/**
+	 * Show or hide the ID3V2.3 controls according to the settings and
+	 * set the menu entries appropriately.
+	 */
+	void updateHideV2();
+
 	/** GUI with controls, created by Qt Designer */
 	id3Form *view;
 	/** TRUE if any file was modified */
@@ -425,6 +509,14 @@
 	QString doc_dir;
 	/** Copy buffer */
 	StandardTags *copytags;
+	/** Import dialog */
+	ImportDialog* m_importDialog;
+	/** Track data list */
+	ImportTrackDataVector m_trackDataList;
+	/** Export dialog */
+	ExportDialog* m_exportDialog;
+	/** Number tracks dialog */
+	NumberTracksDialog* m_numberTracksDialog;
 
 #ifdef CONFIG_USE_KDE
 	/** the configuration object of the application */
@@ -439,6 +531,8 @@
 	KToggleAction* viewStatusBar;
 	KAction* settingsShortcuts;
 	KAction* settingsConfigure;
+	KAction* settingsShowHideV1;
+	KAction* settingsShowHideV2;
 #else
 	Kid3Settings* config;
 	QAction* fileOpen;
@@ -447,8 +541,17 @@
 	QAction* fileCreatePlaylist;
 	QAction* fileQuit;
 	QAction* fileImport;
-	QAction* toolsApplyFormat;
+	QAction* fileImportFreedb;
+#ifdef HAVE_TUNEPIMP
+	QAction* fileImportMusicBrainz;
+#endif
+	QAction* fileExport;
+	QAction* toolsApplyFilenameFormat;
+	QAction* toolsApplyId3Format;
 	QAction* toolsRenameDirectory;
+	QAction* toolsNumberTracks;
+	QAction* settingsShowHideV1;
+	QAction* settingsShowHideV2;
 	QAction* settingsConfigure;
 	QAction* helpHandbook;
 	QAction* helpAbout;

=== removed file 'kid3/kid3.h.both'
--- kid3/kid3.h.both	2005-11-24 12:16:38 +0000
+++ kid3/kid3.h.both	1970-01-01 00:00:00 +0000
@@ -1,464 +0,0 @@
-/**
- * \file kid3.h
- * Kid3 application.
- *
- * \b Project: Kid3
- * \author Urs Fleisch
- * \date 9 Jan 2003
- */
-
-#ifndef KID3_H
-#define KID3_H
-
-#include "config.h"
-#ifdef CONFIG_USE_KDE
-#include <kmainwindow.h>
-class KAction;
-class KRecentFilesAction;
-class KToggleAction;
-typedef KMainWindow Kid3AppBaseClass;
-#else
-#include <qmainwindow.h>
-#include "generalconfig.h" // Kid3Settings
-class QAction;
-typedef QMainWindow Kid3AppBaseClass;
-#endif
-class KURL;
-class id3Form;
-class TaggedFile;
-class FormatConfig;
-class ImportConfig;
-class MiscConfig;
-class FreedbConfig;
-class StandardTags;
-class FrameList;
-
-#ifdef HAVE_TUNEPIMP
-class MusicBrainzConfig;
-#endif
-
-/** Kid3 application */
-class Kid3App : public Kid3AppBaseClass
-{
-Q_OBJECT
-
-public:
-	/**
-	 * Constructor.
-	 */
-	Kid3App();
-
-	/**
-	 * Destructor.
-	 */
-	~Kid3App();
-
-	/**
-	 * Open directory.
-	 *
-	 * @param dir     directory or file path
- 	 * @param confirm if true ask if there are unsaved changes
-	 */
-	void openDirectory(QString dir, bool confirm = false);
-
-	/**
-	 * Update GUI controls from the tags in the files.
-	 * The new selection is stored and the GUI controls and frame list
-	 * updated accordingly (filtered for multiple selection).
-	 */
-	void updateGuiControls();
-
-	/**
-	 * Process change of selection.
-	 * The files of the current selection are updated.
-	 * The new selection is stored and the GUI controls and frame list
-	 * updated accordingly (filtered for multiple selection).
-	 */
-	void fileSelected(void);
-
-	/**
-	 * Update files of current selection.
-	 */
-	void updateCurrentSelection(void);
-
-	/**
-	 * Copy a set of standard tags into copy buffer.
-	 *
-	 * @param st tags to copy
-	 */
-	void copyTags(const StandardTags *st);
-
-	/**
-	 * Paste from copy buffer to standard tags.
-	 *
-	 * @param st tags to fill from data in copy buffer.
-	 */
-	void pasteTags(StandardTags *st);
-
-	/**
-	 * Paste from copy buffer to ID3v1 tags.
-	 */
-	void pasteTagsV1();
-
-	/**
-	 * Paste from copy buffer to ID3v2 tags.
-	 */
-	void pasteTagsV2();
-
-	/**
-	 * Set ID3v1 tags according to filename.
-	 * If a single file is selected the tags in the GUI controls
-	 * are set, else the tags in the multiple selected files.
-	 */
-	void getTagsFromFilenameV1(void);
-
-	/**
-	 * Set ID3v2 tags according to filename.
-	 * If a single file is selected the tags in the GUI controls
-	 * are set, else the tags in the multiple selected files.
-	 */
-	void getTagsFromFilenameV2(void);
-
-	/**
-	 * Set filename according to tags.
-	 * If a single file is selected the tags in the GUI controls
-	 * are used, else the tags in the multiple selected files.
-	 *
-	 * @param tag_version 1=ID3v1, 2=ID3v2
-	 */
-	void getFilenameFromTags(int tag_version);
-
-	/**
-	 * Copy ID3v1 tags to ID3v2 tags of selected files.
-	 */
-	void copyV1ToV2(void);
-
-	/**
-	 * Copy ID3v2 tags to ID3v1 tags of selected files.
-	 */
-	void copyV2ToV1(void);
-
-	/**
-	 * Remove ID3v1 tags in selected files.
-	 */
-	void removeTagsV1(void);
-
-	/**
-	 * Remove ID3v2 tags in selected files.
-	 */
-	void removeTagsV2(void);
-
-	/**
-	 * Open directory on drop.
-	 *
-	 * @param txt URL of directory or file in directory
-	 */
-	void openDrop(QString txt);
-
-	/**
-	 * Edit selected frame.
-	 */
-	void editFrame(void);
-
-	/**
-	 * Delete selected frame.
-	 */
-	void deleteFrame(void);
-
-	/**
-	 * Select a frame type and add such a frame to frame list.
-	 */
-	void addFrame(void);
-
-	/** Filename format configuration */
-	FormatConfig *fnFormatCfg;
-	/** ID3 format configuration */
-	FormatConfig *id3FormatCfg;
-	/** Import configuration */
-	ImportConfig *genCfg;
-	/** Miscellaneous configuration */
-	MiscConfig *miscCfg;
-	/** Freedb configuration */
-	FreedbConfig *freedbCfg;
-#ifdef HAVE_TUNEPIMP
-	/** MusicBrainz configuration */
-	MusicBrainzConfig *m_musicBrainzCfg;
-#endif
-
-protected:
-	/**
-	 * Init menu and toolbar actions.
-	 */
-	void initActions();
-
-	/**
-	 * Init status bar.
-	 */
-	void initStatusBar();
-
-	/**
-	 * Init GUI.
-	 */
-	void initView();
-
-	/**
-	 * Free allocated resources.
-	 * Our destructor may not be called, so cleanup is done here.
-	 */
-	void cleanup();
-
-	/**
-	 * Update modification state before closing.
-	 * Called on closeEvent() of window.
-	 * If anything was modified, save after asking user.
-	 *
-	 * @return FALSE if user canceled.
-	 */
-	virtual bool queryClose();
-
-#ifdef CONFIG_USE_KDE
-	/**
-	 * Saves the window properties for each open window during session end
-	 * to the session config file.
-	 *
-	 * @param _cfg application configuration
-	 */
-	virtual void saveProperties(KConfig *_cfg);
-
-	/**
-	 * Reads the session config file and restores the application's state.
-	 *
-	 * @param _cfg application configuration
-	 */
-	virtual void readProperties(KConfig *_cfg);
-
-#else
-	/**
-	 * Window is closed.
-	 *
-	 * @param ce close event
-	 */
-	void closeEvent(QCloseEvent *ce);
-#endif
-
-	/**
-	 * Save application options.
-	 */
-	void saveOptions();
-
-	/**
-	 * Load application options.
-	 */
-	void readOptions();
-
-	/**
-	 * Set modification state.
-	 *
-	 * @param val TRUE if a file is modified
-	 */
-	void setModified(bool val) { modified = val; }
-
-	/**
-	 * Check modification state.
-	 *
-	 * @return TRUE if a file is modified.
-	 */
-	bool isModified(void) { return modified; }
-
-public slots:
-	/**
-	 * Request new directory and open it.
-	 */
-	void slotFileOpen();
-
-	/**
-	 * Open recent directory.
-	 *
-	 * @param url URL of directory to open
-	 */
-	void slotFileOpenRecent(const KURL& url);
-
-	/**
-	 * Quit application.
-	 */
-	void slotViewToolBar();
-
-	/**
-	 * Turn status bar on or off.
-	 */
-	void slotViewStatusBar();
-
-	/**
-	 * Shortcuts configuration.
-	 */
-	void slotSettingsShortcuts();
-
-	/**
-	 * Select all files.
-	 */
-	void slotSelectAll();
-
-	/**
-	 * Select next file.
-	 */
-	void slotNextFile();
-
-	/**
-	 * Select previous file.
-	 */
-	void slotPreviousFile();
-
-	/**
-	 * Display handbook.
-	 */
-	void slotHelpHandbook(void);
-
-	/**
-	 * Display "About" dialog.
-	 */
-	void slotHelpAbout(void);
-
-	/**
-	 * Display "About Qt" dialog.
-	 */
-	void slotHelpAboutQt(void);
-
-	/**
-	 * Revert file modifications.
-	 * Acts on selected files or all files if no file is selected.
-	 */
-	void slotFileRevert();
-
-	/**
-	 * Save modified files.
-	 */
-	void slotFileSave();
-
-	/**
-	 * Quit application.
-	 */
-	void slotFileQuit();
-
-	/**
-	 * Change status message.
-	 *
-	 * @param text message
-	 */
-	void slotStatusMsg(const QString &text);
-
-	/**
-	 * Create playlist.
-	 */
-	void slotCreatePlaylist(void);
-
-	/**
-	 * Import.
-	 */
-	void slotImport(void);
-
-	/**
-	 * Preferences.
-	 */
-	void slotSettingsConfigure(void);
-
-	/**
-	 * Apply format.
-	 */
-	void slotApplyFormat(void);
-
-	/**
-	 * Rename directory.
-	 */
-	void slotRenameDirectory(void);
-
-private:
-	/**
-	 * Save all changed files.
-	 *
-	 * @return true
-	 */
-	bool saveDirectory(void);
-
-	/**
-	 * If anything was modified, save after asking user.
-	 *
-	 * @return FALSE if user canceled.
-	 */
-	bool saveModified();
-
-	/**
-	 * Set tags in file to tags in GUI controls.
-	 *
-	 * @param mp3file file
-	 */
-	void updateTags(TaggedFile *mp3file);
-
-	/**
-	 * Update modification state, caption and listbox entries.
-	 */
-	void updateModificationState(void);
-
-	/**
-	 * Update ID3v2 tags in GUI controls from file displayed in frame list.
-	 *
-	 * @param taggedFile the selected file
-	 */
-	void updateAfterFrameModification(TaggedFile* taggedFile);
-
-	/**
-	 * Get the selected file together with its frame list.
-	 * If multiple files are selected, 0 is returned for both parameters.
-	 *
-	 * @param taggedFile the file is returned here,
-	 *                   0 if not exactly one file is selected
-	 * @param framelist  the frame list is returned here,
-	 *                   0 if not exactly one file is selected
-	 */
-	void getSelectedFileWithFrameList(
-		TaggedFile*& taggedFile, FrameList*& framelist);
-	
-	/** GUI with controls, created by Qt Designer */
-	id3Form *view;
-	/** TRUE if any file was modified */
-	bool modified;
-	/** Current directory */
-	QString doc_dir;
-	/** Copy buffer */
-	StandardTags *copytags;
-
-#ifdef CONFIG_USE_KDE
-	/** the configuration object of the application */
-	KConfig* config;
-	/** Actions */
-	KAction* fileOpen;
-	KRecentFilesAction* fileOpenRecent;
-	KAction* fileRevert;
-	KAction* fileSave;
-	KAction* fileQuit;
-	KToggleAction* viewToolBar;
-	KToggleAction* viewStatusBar;
-	KAction* settingsShortcuts;
-	KAction* settingsConfigure;
-#else
-	Kid3Settings* config;
-	QAction* fileOpen;
-	QAction* fileSave;
-	QAction* fileRevert;
-	QAction* fileCreatePlaylist;
-	QAction* fileQuit;
-	QAction* fileImport;
-	QAction* toolsApplyFormat;
-	QAction* toolsRenameDirectory;
-	QAction* settingsConfigure;
-	QAction* helpHandbook;
-	QAction* helpAbout;
-	QAction* helpAboutQt;
-	QMenuBar* menubar;
-	QPopupMenu* fileMenu;
-	QPopupMenu* toolsMenu;
-	QPopupMenu* settingsMenu;
-	QPopupMenu* helpMenu;
-#endif
-};
-
-#endif /* KID3_H */

=== removed file 'kid3/kid3.h.qtonly'
--- kid3/kid3.h.qtonly	2005-11-24 12:16:38 +0000
+++ kid3/kid3.h.qtonly	1970-01-01 00:00:00 +0000
@@ -1,462 +0,0 @@
-/**
- * \file kid3.h
- * Kid3 application.
- *
- * \b Project: Kid3
- * \author Urs Fleisch
- * \date 9 Jan 2003
- */
-
-#ifndef KID3_H
-#define KID3_H
-
-#include "config.h"
-#ifdef CONFIG_USE_KDE
-#include <kmainwindow.h>
-class KAction;
-class KRecentFilesAction;
-class KToggleAction;
-#else
-#include <qmainwindow.h>
-#include "generalconfig.h" // Kid3Settings
-class QAction;
-#endif
-class KURL;
-class id3Form;
-class TaggedFile;
-class FormatConfig;
-class ImportConfig;
-class MiscConfig;
-class FreedbConfig;
-class StandardTags;
-class FrameList;
-
-#ifdef HAVE_TUNEPIMP
-class MusicBrainzConfig;
-#endif
-
-/** Kid3 application */
-class Kid3App : public QMainWindow
-{
-Q_OBJECT
-
-public:
-	/**
-	 * Constructor.
-	 */
-	Kid3App();
-
-	/**
-	 * Destructor.
-	 */
-	~Kid3App();
-
-	/**
-	 * Open directory.
-	 *
-	 * @param dir     directory or file path
- 	 * @param confirm if true ask if there are unsaved changes
-	 */
-	void openDirectory(QString dir, bool confirm = false);
-
-	/**
-	 * Update GUI controls from the tags in the files.
-	 * The new selection is stored and the GUI controls and frame list
-	 * updated accordingly (filtered for multiple selection).
-	 */
-	void updateGuiControls();
-
-	/**
-	 * Process change of selection.
-	 * The files of the current selection are updated.
-	 * The new selection is stored and the GUI controls and frame list
-	 * updated accordingly (filtered for multiple selection).
-	 */
-	void fileSelected(void);
-
-	/**
-	 * Update files of current selection.
-	 */
-	void updateCurrentSelection(void);
-
-	/**
-	 * Copy a set of standard tags into copy buffer.
-	 *
-	 * @param st tags to copy
-	 */
-	void copyTags(const StandardTags *st);
-
-	/**
-	 * Paste from copy buffer to standard tags.
-	 *
-	 * @param st tags to fill from data in copy buffer.
-	 */
-	void pasteTags(StandardTags *st);
-
-	/**
-	 * Paste from copy buffer to ID3v1 tags.
-	 */
-	void pasteTagsV1();
-
-	/**
-	 * Paste from copy buffer to ID3v2 tags.
-	 */
-	void pasteTagsV2();
-
-	/**
-	 * Set ID3v1 tags according to filename.
-	 * If a single file is selected the tags in the GUI controls
-	 * are set, else the tags in the multiple selected files.
-	 */
-	void getTagsFromFilenameV1(void);
-
-	/**
-	 * Set ID3v2 tags according to filename.
-	 * If a single file is selected the tags in the GUI controls
-	 * are set, else the tags in the multiple selected files.
-	 */
-	void getTagsFromFilenameV2(void);
-
-	/**
-	 * Set filename according to tags.
-	 * If a single file is selected the tags in the GUI controls
-	 * are used, else the tags in the multiple selected files.
-	 *
-	 * @param tag_version 1=ID3v1, 2=ID3v2
-	 */
-	void getFilenameFromTags(int tag_version);
-
-	/**
-	 * Copy ID3v1 tags to ID3v2 tags of selected files.
-	 */
-	void copyV1ToV2(void);
-
-	/**
-	 * Copy ID3v2 tags to ID3v1 tags of selected files.
-	 */
-	void copyV2ToV1(void);
-
-	/**
-	 * Remove ID3v1 tags in selected files.
-	 */
-	void removeTagsV1(void);
-
-	/**
-	 * Remove ID3v2 tags in selected files.
-	 */
-	void removeTagsV2(void);
-
-	/**
-	 * Open directory on drop.
-	 *
-	 * @param txt URL of directory or file in directory
-	 */
-	void openDrop(QString txt);
-
-	/**
-	 * Edit selected frame.
-	 */
-	void editFrame(void);
-
-	/**
-	 * Delete selected frame.
-	 */
-	void deleteFrame(void);
-
-	/**
-	 * Select a frame type and add such a frame to frame list.
-	 */
-	void addFrame(void);
-
-	/** Filename format configuration */
-	FormatConfig *fnFormatCfg;
-	/** ID3 format configuration */
-	FormatConfig *id3FormatCfg;
-	/** Import configuration */
-	ImportConfig *genCfg;
-	/** Miscellaneous configuration */
-	MiscConfig *miscCfg;
-	/** Freedb configuration */
-	FreedbConfig *freedbCfg;
-#ifdef HAVE_TUNEPIMP
-	/** MusicBrainz configuration */
-	MusicBrainzConfig *m_musicBrainzCfg;
-#endif
-
-protected:
-	/**
-	 * Init menu and toolbar actions.
-	 */
-	void initActions();
-
-	/**
-	 * Init status bar.
-	 */
-	void initStatusBar();
-
-	/**
-	 * Init GUI.
-	 */
-	void initView();
-
-	/**
-	 * Free allocated resources.
-	 * Our destructor may not be called, so cleanup is done here.
-	 */
-	void cleanup();
-
-	/**
-	 * Update modification state before closing.
-	 * Called on closeEvent() of window.
-	 * If anything was modified, save after asking user.
-	 *
-	 * @return FALSE if user canceled.
-	 */
-	virtual bool queryClose();
-
-#ifdef CONFIG_USE_KDE
-	/**
-	 * Saves the window properties for each open window during session end
-	 * to the session config file.
-	 *
-	 * @param _cfg application configuration
-	 */
-	virtual void saveProperties(KConfig *_cfg);
-
-	/**
-	 * Reads the session config file and restores the application's state.
-	 *
-	 * @param _cfg application configuration
-	 */
-	virtual void readProperties(KConfig *_cfg);
-
-#else
-	/**
-	 * Window is closed.
-	 *
-	 * @param ce close event
-	 */
-	void closeEvent(QCloseEvent *ce);
-#endif
-
-	/**
-	 * Save application options.
-	 */
-	void saveOptions();
-
-	/**
-	 * Load application options.
-	 */
-	void readOptions();
-
-	/**
-	 * Set modification state.
-	 *
-	 * @param val TRUE if a file is modified
-	 */
-	void setModified(bool val) { modified = val; }
-
-	/**
-	 * Check modification state.
-	 *
-	 * @return TRUE if a file is modified.
-	 */
-	bool isModified(void) { return modified; }
-
-public slots:
-	/**
-	 * Request new directory and open it.
-	 */
-	void slotFileOpen();
-
-	/**
-	 * Open recent directory.
-	 *
-	 * @param url URL of directory to open
-	 */
-	void slotFileOpenRecent(const KURL& url);
-
-	/**
-	 * Quit application.
-	 */
-	void slotViewToolBar();
-
-	/**
-	 * Turn status bar on or off.
-	 */
-	void slotViewStatusBar();
-
-	/**
-	 * Shortcuts configuration.
-	 */
-	void slotSettingsShortcuts();
-
-	/**
-	 * Select all files.
-	 */
-	void slotSelectAll();
-
-	/**
-	 * Select next file.
-	 */
-	void slotNextFile();
-
-	/**
-	 * Select previous file.
-	 */
-	void slotPreviousFile();
-
-	/**
-	 * Display handbook.
-	 */
-	void slotHelpHandbook(void);
-
-	/**
-	 * Display "About" dialog.
-	 */
-	void slotHelpAbout(void);
-
-	/**
-	 * Display "About Qt" dialog.
-	 */
-	void slotHelpAboutQt(void);
-
-	/**
-	 * Revert file modifications.
-	 * Acts on selected files or all files if no file is selected.
-	 */
-	void slotFileRevert();
-
-	/**
-	 * Save modified files.
-	 */
-	void slotFileSave();
-
-	/**
-	 * Quit application.
-	 */
-	void slotFileQuit();
-
-	/**
-	 * Change status message.
-	 *
-	 * @param text message
-	 */
-	void slotStatusMsg(const QString &text);
-
-	/**
-	 * Create playlist.
-	 */
-	void slotCreatePlaylist(void);
-
-	/**
-	 * Import.
-	 */
-	void slotImport(void);
-
-	/**
-	 * Preferences.
-	 */
-	void slotSettingsConfigure(void);
-
-	/**
-	 * Apply format.
-	 */
-	void slotApplyFormat(void);
-
-	/**
-	 * Rename directory.
-	 */
-	void slotRenameDirectory(void);
-
-private:
-	/**
-	 * Save all changed files.
-	 *
-	 * @return true
-	 */
-	bool saveDirectory(void);
-
-	/**
-	 * If anything was modified, save after asking user.
-	 *
-	 * @return FALSE if user canceled.
-	 */
-	bool saveModified();
-
-	/**
-	 * Set tags in file to tags in GUI controls.
-	 *
-	 * @param mp3file file
-	 */
-	void updateTags(TaggedFile *mp3file);
-
-	/**
-	 * Update modification state, caption and listbox entries.
-	 */
-	void updateModificationState(void);
-
-	/**
-	 * Update ID3v2 tags in GUI controls from file displayed in frame list.
-	 *
-	 * @param taggedFile the selected file
-	 */
-	void updateAfterFrameModification(TaggedFile* taggedFile);
-
-	/**
-	 * Get the selected file together with its frame list.
-	 * If multiple files are selected, 0 is returned for both parameters.
-	 *
-	 * @param taggedFile the file is returned here,
-	 *                   0 if not exactly one file is selected
-	 * @param framelist  the frame list is returned here,
-	 *                   0 if not exactly one file is selected
-	 */
-	void getSelectedFileWithFrameList(
-		TaggedFile*& taggedFile, FrameList*& framelist);
-	
-	/** GUI with controls, created by Qt Designer */
-	id3Form *view;
-	/** TRUE if any file was modified */
-	bool modified;
-	/** Current directory */
-	QString doc_dir;
-	/** Copy buffer */
-	StandardTags *copytags;
-
-#ifdef CONFIG_USE_KDE
-	/** the configuration object of the application */
-	KConfig* config;
-	/** Actions */
-	KAction* fileOpen;
-	KRecentFilesAction* fileOpenRecent;
-	KAction* fileRevert;
-	KAction* fileSave;
-	KAction* fileQuit;
-	KToggleAction* viewToolBar;
-	KToggleAction* viewStatusBar;
-	KAction* settingsShortcuts;
-	KAction* settingsConfigure;
-#else
-	Kid3Settings* config;
-	QAction* fileOpen;
-	QAction* fileSave;
-	QAction* fileRevert;
-	QAction* fileCreatePlaylist;
-	QAction* fileQuit;
-	QAction* fileImport;
-	QAction* toolsApplyFormat;
-	QAction* toolsRenameDirectory;
-	QAction* settingsConfigure;
-	QAction* helpHandbook;
-	QAction* helpAbout;
-	QAction* helpAboutQt;
-	QMenuBar* menubar;
-	QPopupMenu* fileMenu;
-	QPopupMenu* toolsMenu;
-	QPopupMenu* settingsMenu;
-	QPopupMenu* helpMenu;
-#endif
-};
-
-#endif /* KID3_H */

=== modified file 'kid3/kid3.mak' (properties changed: -x to +x)
--- kid3/kid3.mak	2005-11-24 12:16:38 +0000
+++ kid3/kid3.mak	2006-07-14 12:25:16 +0000
@@ -25,10 +25,6 @@
 NULL=nul
 !ENDIF 
 
-CPP=cl.exe
-MTL=midl.exe
-RSC=rc.exe
-
 !IF  "$(CFG)" == "kid3 - Win32 Release"
 
 OUTDIR=.\Release
@@ -44,6 +40,7 @@
 	-@erase "$(INTDIR)\commandstable.obj"
 	-@erase "$(INTDIR)\configdialog.obj"
 	-@erase "$(INTDIR)\dirlist.obj"
+	-@erase "$(INTDIR)\exportdialog.obj"
 	-@erase "$(INTDIR)\filelist.obj"
 	-@erase "$(INTDIR)\flacfile.obj"
 	-@erase "$(INTDIR)\flacframelist.obj"
@@ -65,11 +62,13 @@
 	-@erase "$(INTDIR)\main.obj"
 	-@erase "$(INTDIR)\miscconfig.obj"
 	-@erase "$(INTDIR)\moc_commandstable.obj"
+	-@erase "$(INTDIR)\moc_exportdialog.obj"
 	-@erase "$(INTDIR)\moc_filelist.obj"
 	-@erase "$(INTDIR)\moc_formatbox.obj"
 	-@erase "$(INTDIR)\moc_freedbclient.obj"
 	-@erase "$(INTDIR)\moc_freedbdialog.obj"
 	-@erase "$(INTDIR)\moc_id3form.obj"
+	-@erase "$(INTDIR)\moc_importdialog.obj"
 	-@erase "$(INTDIR)\moc_importselector.obj"
 	-@erase "$(INTDIR)\moc_kid3.obj"
 	-@erase "$(INTDIR)\moc_mp3framelist.obj"
@@ -81,6 +80,7 @@
 	-@erase "$(INTDIR)\musicbrainzclient.obj"
 	-@erase "$(INTDIR)\musicbrainzconfig.obj"
 	-@erase "$(INTDIR)\musicbrainzdialog.obj"
+	-@erase "$(INTDIR)\numbertracksdialog.obj"
 	-@erase "$(INTDIR)\oggfile.obj"
 	-@erase "$(INTDIR)\oggframelist.obj"
 	-@erase "$(INTDIR)\rendirdialog.obj"
@@ -93,8 +93,42 @@
 "$(OUTDIR)" :
     if not exist "$(OUTDIR)/$(NULL)" mkdir "$(OUTDIR)"
 
+CPP=cl.exe
 CPP_PROJ=/nologo /MD /W3 /GR /GX /O1 /I "$(QTDIR)\include" /I "$(INCDIR)" /I ".." /D "WIN32" /D "NDEBUG" /D "_WINDOWS" /D "_MBCS" /D "QT_DLL" /D "UNICODE" /D "QT_THREAD_SUPPORT" /D "NO_DEBUG" /D ID3LIB_LINKOPTION=3 /D "FLAC__NO_DLL" /Fo"$(INTDIR)\\" /Fd"$(INTDIR)\\" /FD /c 
+
+.c{$(INTDIR)}.obj::
+   $(CPP) @<<
+   $(CPP_PROJ) $< 
+<<
+
+.cpp{$(INTDIR)}.obj::
+   $(CPP) @<<
+   $(CPP_PROJ) $< 
+<<
+
+.cxx{$(INTDIR)}.obj::
+   $(CPP) @<<
+   $(CPP_PROJ) $< 
+<<
+
+.c{$(INTDIR)}.sbr::
+   $(CPP) @<<
+   $(CPP_PROJ) $< 
+<<
+
+.cpp{$(INTDIR)}.sbr::
+   $(CPP) @<<
+   $(CPP_PROJ) $< 
+<<
+
+.cxx{$(INTDIR)}.sbr::
+   $(CPP) @<<
+   $(CPP_PROJ) $< 
+<<
+
+MTL=midl.exe
 MTL_PROJ=/nologo /D "NDEBUG" /mktyplib203 /win32 
+RSC=rc.exe
 RSC_PROJ=/l 0x409 /fo"$(INTDIR)\kid3win.res" /d "NDEBUG" 
 BSC32=bscmake.exe
 BSC32_FLAGS=/nologo /o"$(OUTDIR)\kid3.bsc" 
@@ -106,6 +140,7 @@
 	"$(INTDIR)\commandstable.obj" \
 	"$(INTDIR)\configdialog.obj" \
 	"$(INTDIR)\dirlist.obj" \
+	"$(INTDIR)\exportdialog.obj" \
 	"$(INTDIR)\filelist.obj" \
 	"$(INTDIR)\flacfile.obj" \
 	"$(INTDIR)\flacframelist.obj" \
@@ -126,11 +161,13 @@
 	"$(INTDIR)\main.obj" \
 	"$(INTDIR)\miscconfig.obj" \
 	"$(INTDIR)\moc_commandstable.obj" \
+	"$(INTDIR)\moc_exportdialog.obj" \
 	"$(INTDIR)\moc_filelist.obj" \
 	"$(INTDIR)\moc_formatbox.obj" \
 	"$(INTDIR)\moc_freedbclient.obj" \
 	"$(INTDIR)\moc_freedbdialog.obj" \
 	"$(INTDIR)\moc_id3form.obj" \
+	"$(INTDIR)\moc_importdialog.obj" \
 	"$(INTDIR)\moc_importselector.obj" \
 	"$(INTDIR)\moc_kid3.obj" \
 	"$(INTDIR)\moc_mp3framelist.obj" \
@@ -142,6 +179,7 @@
 	"$(INTDIR)\musicbrainzclient.obj" \
 	"$(INTDIR)\musicbrainzconfig.obj" \
 	"$(INTDIR)\musicbrainzdialog.obj" \
+	"$(INTDIR)\numbertracksdialog.obj" \
 	"$(INTDIR)\oggfile.obj" \
 	"$(INTDIR)\oggframelist.obj" \
 	"$(INTDIR)\rendirdialog.obj" \
@@ -163,7 +201,7 @@
 OutDir=.\Debug
 # End Custom Macros
 
-ALL : "$(OUTDIR)\kid3.exe" "$(OUTDIR)\kid3.bsc"
+ALL : "..\config.h" "$(OUTDIR)\kid3.exe" "$(OUTDIR)\kid3.bsc"
 
 
 CLEAN :
@@ -173,6 +211,8 @@
 	-@erase "$(INTDIR)\configdialog.sbr"
 	-@erase "$(INTDIR)\dirlist.obj"
 	-@erase "$(INTDIR)\dirlist.sbr"
+	-@erase "$(INTDIR)\exportdialog.obj"
+	-@erase "$(INTDIR)\exportdialog.sbr"
 	-@erase "$(INTDIR)\filelist.obj"
 	-@erase "$(INTDIR)\filelist.sbr"
 	-@erase "$(INTDIR)\flacfile.obj"
@@ -214,6 +254,8 @@
 	-@erase "$(INTDIR)\miscconfig.sbr"
 	-@erase "$(INTDIR)\moc_commandstable.obj"
 	-@erase "$(INTDIR)\moc_commandstable.sbr"
+	-@erase "$(INTDIR)\moc_exportdialog.obj"
+	-@erase "$(INTDIR)\moc_exportdialog.sbr"
 	-@erase "$(INTDIR)\moc_filelist.obj"
 	-@erase "$(INTDIR)\moc_filelist.sbr"
 	-@erase "$(INTDIR)\moc_formatbox.obj"
@@ -224,6 +266,8 @@
 	-@erase "$(INTDIR)\moc_freedbdialog.sbr"
 	-@erase "$(INTDIR)\moc_id3form.obj"
 	-@erase "$(INTDIR)\moc_id3form.sbr"
+	-@erase "$(INTDIR)\moc_importdialog.obj"
+	-@erase "$(INTDIR)\moc_importdialog.sbr"
 	-@erase "$(INTDIR)\moc_importselector.obj"
 	-@erase "$(INTDIR)\moc_importselector.sbr"
 	-@erase "$(INTDIR)\moc_kid3.obj"
@@ -246,6 +290,8 @@
 	-@erase "$(INTDIR)\musicbrainzconfig.sbr"
 	-@erase "$(INTDIR)\musicbrainzdialog.obj"
 	-@erase "$(INTDIR)\musicbrainzdialog.sbr"
+	-@erase "$(INTDIR)\numbertracksdialog.obj"
+	-@erase "$(INTDIR)\numbertracksdialog.sbr"
 	-@erase "$(INTDIR)\oggfile.obj"
 	-@erase "$(INTDIR)\oggfile.sbr"
 	-@erase "$(INTDIR)\oggframelist.obj"
@@ -264,12 +310,47 @@
 	-@erase "$(OUTDIR)\kid3.exe"
 	-@erase "$(OUTDIR)\kid3.ilk"
 	-@erase "$(OUTDIR)\kid3.pdb"
+	-@erase "..\config.h"
 
 "$(OUTDIR)" :
     if not exist "$(OUTDIR)/$(NULL)" mkdir "$(OUTDIR)"
 
+CPP=cl.exe
 CPP_PROJ=/nologo /MD /W3 /Gm /GR /GX /ZI /Od /I "$(QTDIR)\include" /I "$(INCDIR)" /I ".." /D "WIN32" /D "_DEBUG" /D "_WINDOWS" /D "_MBCS" /D "QT_DLL" /D "UNICODE" /D "QT_THREAD_SUPPORT" /D ID3LIB_LINKOPTION=3 /D "FLAC__NO_DLL" /FR"$(INTDIR)\\" /Fo"$(INTDIR)\\" /Fd"$(INTDIR)\\" /FD /GZ /c 
+
+.c{$(INTDIR)}.obj::
+   $(CPP) @<<
+   $(CPP_PROJ) $< 
+<<
+
+.cpp{$(INTDIR)}.obj::
+   $(CPP) @<<
+   $(CPP_PROJ) $< 
+<<
+
+.cxx{$(INTDIR)}.obj::
+   $(CPP) @<<
+   $(CPP_PROJ) $< 
+<<
+
+.c{$(INTDIR)}.sbr::
+   $(CPP) @<<
+   $(CPP_PROJ) $< 
+<<
+
+.cpp{$(INTDIR)}.sbr::
+   $(CPP) @<<
+   $(CPP_PROJ) $< 
+<<
+
+.cxx{$(INTDIR)}.sbr::
+   $(CPP) @<<
+   $(CPP_PROJ) $< 
+<<
+
+MTL=midl.exe
 MTL_PROJ=/nologo /D "_DEBUG" /mktyplib203 /win32 
+RSC=rc.exe
 RSC_PROJ=/l 0x409 /fo"$(INTDIR)\kid3win.res" /d "_DEBUG" 
 BSC32=bscmake.exe
 BSC32_FLAGS=/nologo /o"$(OUTDIR)\kid3.bsc" 
@@ -277,6 +358,7 @@
 	"$(INTDIR)\commandstable.sbr" \
 	"$(INTDIR)\configdialog.sbr" \
 	"$(INTDIR)\dirlist.sbr" \
+	"$(INTDIR)\exportdialog.sbr" \
 	"$(INTDIR)\filelist.sbr" \
 	"$(INTDIR)\flacfile.sbr" \
 	"$(INTDIR)\flacframelist.sbr" \
@@ -297,11 +379,13 @@
 	"$(INTDIR)\main.sbr" \
 	"$(INTDIR)\miscconfig.sbr" \
 	"$(INTDIR)\moc_commandstable.sbr" \
+	"$(INTDIR)\moc_exportdialog.sbr" \
 	"$(INTDIR)\moc_filelist.sbr" \
 	"$(INTDIR)\moc_formatbox.sbr" \
 	"$(INTDIR)\moc_freedbclient.sbr" \
 	"$(INTDIR)\moc_freedbdialog.sbr" \
 	"$(INTDIR)\moc_id3form.sbr" \
+	"$(INTDIR)\moc_importdialog.sbr" \
 	"$(INTDIR)\moc_importselector.sbr" \
 	"$(INTDIR)\moc_kid3.sbr" \
 	"$(INTDIR)\moc_mp3framelist.sbr" \
@@ -313,6 +397,7 @@
 	"$(INTDIR)\musicbrainzclient.sbr" \
 	"$(INTDIR)\musicbrainzconfig.sbr" \
 	"$(INTDIR)\musicbrainzdialog.sbr" \
+	"$(INTDIR)\numbertracksdialog.sbr" \
 	"$(INTDIR)\oggfile.sbr" \
 	"$(INTDIR)\oggframelist.sbr" \
 	"$(INTDIR)\rendirdialog.sbr" \
@@ -331,6 +416,7 @@
 	"$(INTDIR)\commandstable.obj" \
 	"$(INTDIR)\configdialog.obj" \
 	"$(INTDIR)\dirlist.obj" \
+	"$(INTDIR)\exportdialog.obj" \
 	"$(INTDIR)\filelist.obj" \
 	"$(INTDIR)\flacfile.obj" \
 	"$(INTDIR)\flacframelist.obj" \
@@ -351,11 +437,13 @@
 	"$(INTDIR)\main.obj" \
 	"$(INTDIR)\miscconfig.obj" \
 	"$(INTDIR)\moc_commandstable.obj" \
+	"$(INTDIR)\moc_exportdialog.obj" \
 	"$(INTDIR)\moc_filelist.obj" \
 	"$(INTDIR)\moc_formatbox.obj" \
 	"$(INTDIR)\moc_freedbclient.obj" \
 	"$(INTDIR)\moc_freedbdialog.obj" \
 	"$(INTDIR)\moc_id3form.obj" \
+	"$(INTDIR)\moc_importdialog.obj" \
 	"$(INTDIR)\moc_importselector.obj" \
 	"$(INTDIR)\moc_kid3.obj" \
 	"$(INTDIR)\moc_mp3framelist.obj" \
@@ -367,6 +455,7 @@
 	"$(INTDIR)\musicbrainzclient.obj" \
 	"$(INTDIR)\musicbrainzconfig.obj" \
 	"$(INTDIR)\musicbrainzdialog.obj" \
+	"$(INTDIR)\numbertracksdialog.obj" \
 	"$(INTDIR)\oggfile.obj" \
 	"$(INTDIR)\oggframelist.obj" \
 	"$(INTDIR)\rendirdialog.obj" \
@@ -382,36 +471,6 @@
 
 !ENDIF 
 
-.c{$(INTDIR)}.obj::
-   $(CPP) @<<
-   $(CPP_PROJ) $< 
-<<
-
-.cpp{$(INTDIR)}.obj::
-   $(CPP) @<<
-   $(CPP_PROJ) $< 
-<<
-
-.cxx{$(INTDIR)}.obj::
-   $(CPP) @<<
-   $(CPP_PROJ) $< 
-<<
-
-.c{$(INTDIR)}.sbr::
-   $(CPP) @<<
-   $(CPP_PROJ) $< 
-<<
-
-.cpp{$(INTDIR)}.sbr::
-   $(CPP) @<<
-   $(CPP_PROJ) $< 
-<<
-
-.cxx{$(INTDIR)}.sbr::
-   $(CPP) @<<
-   $(CPP_PROJ) $< 
-<<
-
 
 !IF "$(NO_EXTERNAL_DEPS)" != "1"
 !IF EXISTS("kid3.dep")
@@ -434,7 +493,7 @@
 !ELSEIF  "$(CFG)" == "kid3 - Win32 Debug"
 
 
-"$(INTDIR)\commandstable.obj"	"$(INTDIR)\commandstable.sbr" : $(SOURCE) "$(INTDIR)" "..\config.h" ".\commandstable.h"
+"$(INTDIR)\commandstable.obj"	"$(INTDIR)\commandstable.sbr" : $(SOURCE) "$(INTDIR)"
 
 
 !ENDIF 
@@ -444,13 +503,13 @@
 !IF  "$(CFG)" == "kid3 - Win32 Release"
 
 
-"$(INTDIR)\configdialog.obj" : $(SOURCE) "$(INTDIR)" "..\config.h" ".\commandstable.h" ".\formatbox.h"
+"$(INTDIR)\configdialog.obj" : $(SOURCE) "$(INTDIR)" ".\formatbox.h" ".\commandstable.h" "..\config.h"
 
 
 !ELSEIF  "$(CFG)" == "kid3 - Win32 Debug"
 
 
-"$(INTDIR)\configdialog.obj"	"$(INTDIR)\configdialog.sbr" : $(SOURCE) "$(INTDIR)" ".\formatbox.h" ".\commandstable.h" "..\config.h"
+"$(INTDIR)\configdialog.obj"	"$(INTDIR)\configdialog.sbr" : $(SOURCE) "$(INTDIR)"
 
 
 !ENDIF 
@@ -471,6 +530,22 @@
 
 !ENDIF 
 
+SOURCE=.\exportdialog.cpp
+
+!IF  "$(CFG)" == "kid3 - Win32 Release"
+
+
+"$(INTDIR)\exportdialog.obj" : $(SOURCE) "$(INTDIR)" ".\exportdialog.h" "..\config.h"
+
+
+!ELSEIF  "$(CFG)" == "kid3 - Win32 Debug"
+
+
+"$(INTDIR)\exportdialog.obj"	"$(INTDIR)\exportdialog.sbr" : $(SOURCE) "$(INTDIR)"
+
+
+!ENDIF 
+
 SOURCE=.\filelist.cpp
 
 !IF  "$(CFG)" == "kid3 - Win32 Release"
@@ -482,7 +557,7 @@
 !ELSEIF  "$(CFG)" == "kid3 - Win32 Debug"
 
 
-"$(INTDIR)\filelist.obj"	"$(INTDIR)\filelist.sbr" : $(SOURCE) "$(INTDIR)" ".\filelist.h" "..\config.h"
+"$(INTDIR)\filelist.obj"	"$(INTDIR)\filelist.sbr" : $(SOURCE) "$(INTDIR)"
 
 
 !ENDIF 
@@ -498,7 +573,7 @@
 !ELSEIF  "$(CFG)" == "kid3 - Win32 Debug"
 
 
-"$(INTDIR)\flacfile.obj"	"$(INTDIR)\flacfile.sbr" : $(SOURCE) "$(INTDIR)" "..\config.h"
+"$(INTDIR)\flacfile.obj"	"$(INTDIR)\flacfile.sbr" : $(SOURCE) "$(INTDIR)"
 
 
 !ENDIF 
@@ -514,7 +589,7 @@
 !ELSEIF  "$(CFG)" == "kid3 - Win32 Debug"
 
 
-"$(INTDIR)\flacframelist.obj"	"$(INTDIR)\flacframelist.sbr" : $(SOURCE) "$(INTDIR)" "..\config.h"
+"$(INTDIR)\flacframelist.obj"	"$(INTDIR)\flacframelist.sbr" : $(SOURCE) "$(INTDIR)"
 
 
 !ENDIF 
@@ -524,13 +599,13 @@
 !IF  "$(CFG)" == "kid3 - Win32 Release"
 
 
-"$(INTDIR)\formatbox.obj" : $(SOURCE) "$(INTDIR)" "..\config.h" ".\formatbox.h"
+"$(INTDIR)\formatbox.obj" : $(SOURCE) "$(INTDIR)" ".\formatbox.h" "..\config.h"
 
 
 !ELSEIF  "$(CFG)" == "kid3 - Win32 Debug"
 
 
-"$(INTDIR)\formatbox.obj"	"$(INTDIR)\formatbox.sbr" : $(SOURCE) "$(INTDIR)" ".\formatbox.h" "..\config.h"
+"$(INTDIR)\formatbox.obj"	"$(INTDIR)\formatbox.sbr" : $(SOURCE) "$(INTDIR)"
 
 
 !ENDIF 
@@ -546,7 +621,7 @@
 !ELSEIF  "$(CFG)" == "kid3 - Win32 Debug"
 
 
-"$(INTDIR)\formatconfig.obj"	"$(INTDIR)\formatconfig.sbr" : $(SOURCE) "$(INTDIR)" "..\config.h"
+"$(INTDIR)\formatconfig.obj"	"$(INTDIR)\formatconfig.sbr" : $(SOURCE) "$(INTDIR)"
 
 
 !ENDIF 
@@ -562,7 +637,7 @@
 !ELSEIF  "$(CFG)" == "kid3 - Win32 Debug"
 
 
-"$(INTDIR)\framelist.obj"	"$(INTDIR)\framelist.sbr" : $(SOURCE) "$(INTDIR)" "..\config.h"
+"$(INTDIR)\framelist.obj"	"$(INTDIR)\framelist.sbr" : $(SOURCE) "$(INTDIR)"
 
 
 !ENDIF 
@@ -578,7 +653,7 @@
 !ELSEIF  "$(CFG)" == "kid3 - Win32 Debug"
 
 
-"$(INTDIR)\freedbclient.obj"	"$(INTDIR)\freedbclient.sbr" : $(SOURCE) "$(INTDIR)" "..\config.h" ".\freedbclient.h"
+"$(INTDIR)\freedbclient.obj"	"$(INTDIR)\freedbclient.sbr" : $(SOURCE) "$(INTDIR)"
 
 
 !ENDIF 
@@ -594,7 +669,7 @@
 !ELSEIF  "$(CFG)" == "kid3 - Win32 Debug"
 
 
-"$(INTDIR)\freedbconfig.obj"	"$(INTDIR)\freedbconfig.sbr" : $(SOURCE) "$(INTDIR)" "..\config.h"
+"$(INTDIR)\freedbconfig.obj"	"$(INTDIR)\freedbconfig.sbr" : $(SOURCE) "$(INTDIR)"
 
 
 !ENDIF 
@@ -604,13 +679,13 @@
 !IF  "$(CFG)" == "kid3 - Win32 Release"
 
 
-"$(INTDIR)\freedbdialog.obj" : $(SOURCE) "$(INTDIR)" ".\freedbclient.h" "..\config.h" ".\freedbdialog.h"
+"$(INTDIR)\freedbdialog.obj" : $(SOURCE) "$(INTDIR)" "..\config.h" ".\freedbclient.h" ".\freedbdialog.h"
 
 
 !ELSEIF  "$(CFG)" == "kid3 - Win32 Debug"
 
 
-"$(INTDIR)\freedbdialog.obj"	"$(INTDIR)\freedbdialog.sbr" : $(SOURCE) "$(INTDIR)" "..\config.h" ".\freedbdialog.h" ".\freedbclient.h"
+"$(INTDIR)\freedbdialog.obj"	"$(INTDIR)\freedbdialog.sbr" : $(SOURCE) "$(INTDIR)"
 
 
 !ENDIF 
@@ -626,7 +701,7 @@
 !ELSEIF  "$(CFG)" == "kid3 - Win32 Debug"
 
 
-"$(INTDIR)\generalconfig.obj"	"$(INTDIR)\generalconfig.sbr" : $(SOURCE) "$(INTDIR)" "..\config.h"
+"$(INTDIR)\generalconfig.obj"	"$(INTDIR)\generalconfig.sbr" : $(SOURCE) "$(INTDIR)"
 
 
 !ENDIF 
@@ -658,7 +733,7 @@
 !ELSEIF  "$(CFG)" == "kid3 - Win32 Debug"
 
 
-"$(INTDIR)\id3form.obj"	"$(INTDIR)\id3form.sbr" : $(SOURCE) "$(INTDIR)" ".\kid3.h" ".\id3form.h" ".\filelist.h" "..\config.h"
+"$(INTDIR)\id3form.obj"	"$(INTDIR)\id3form.sbr" : $(SOURCE) "$(INTDIR)"
 
 
 !ENDIF 
@@ -674,7 +749,7 @@
 !ELSEIF  "$(CFG)" == "kid3 - Win32 Debug"
 
 
-"$(INTDIR)\importconfig.obj"	"$(INTDIR)\importconfig.sbr" : $(SOURCE) "$(INTDIR)" "..\config.h"
+"$(INTDIR)\importconfig.obj"	"$(INTDIR)\importconfig.sbr" : $(SOURCE) "$(INTDIR)"
 
 
 !ENDIF 
@@ -684,13 +759,13 @@
 !IF  "$(CFG)" == "kid3 - Win32 Release"
 
 
-"$(INTDIR)\importdialog.obj" : $(SOURCE) "$(INTDIR)" "..\config.h" ".\importselector.h"
+"$(INTDIR)\importdialog.obj" : $(SOURCE) "$(INTDIR)" ".\importselector.h" ".\importdialog.h" "..\config.h"
 
 
 !ELSEIF  "$(CFG)" == "kid3 - Win32 Debug"
 
 
-"$(INTDIR)\importdialog.obj"	"$(INTDIR)\importdialog.sbr" : $(SOURCE) "$(INTDIR)" ".\importselector.h" "..\config.h"
+"$(INTDIR)\importdialog.obj"	"$(INTDIR)\importdialog.sbr" : $(SOURCE) "$(INTDIR)"
 
 
 !ENDIF 
@@ -716,13 +791,13 @@
 !IF  "$(CFG)" == "kid3 - Win32 Release"
 
 
-"$(INTDIR)\importselector.obj" : $(SOURCE) "$(INTDIR)" ".\importselector.h" ".\freedbdialog.h" "..\config.h"
+"$(INTDIR)\importselector.obj" : $(SOURCE) "$(INTDIR)" ".\importselector.h" "..\config.h" ".\freedbdialog.h"
 
 
 !ELSEIF  "$(CFG)" == "kid3 - Win32 Debug"
 
 
-"$(INTDIR)\importselector.obj"	"$(INTDIR)\importselector.sbr" : $(SOURCE) "$(INTDIR)" "..\config.h" ".\importselector.h" ".\freedbdialog.h"
+"$(INTDIR)\importselector.obj"	"$(INTDIR)\importselector.sbr" : $(SOURCE) "$(INTDIR)"
 
 
 !ENDIF 
@@ -732,13 +807,13 @@
 !IF  "$(CFG)" == "kid3 - Win32 Release"
 
 
-"$(INTDIR)\kid3.obj" : $(SOURCE) "$(INTDIR)" ".\id3form.h" "..\config.h" ".\mp3framelist.h" ".\filelist.h" ".\rendirdialog.h" ".\kid3.h"
+"$(INTDIR)\kid3.obj" : $(SOURCE) "$(INTDIR)" ".\filelist.h" ".\mp3framelist.h" ".\kid3.h" "..\config.h" ".\rendirdialog.h" ".\exportdialog.h" ".\id3form.h" ".\importdialog.h"
 
 
 !ELSEIF  "$(CFG)" == "kid3 - Win32 Debug"
 
 
-"$(INTDIR)\kid3.obj"	"$(INTDIR)\kid3.sbr" : $(SOURCE) "$(INTDIR)" ".\rendirdialog.h" "..\config.h" ".\mp3framelist.h" ".\filelist.h" ".\id3form.h" ".\kid3.h"
+"$(INTDIR)\kid3.obj"	"$(INTDIR)\kid3.sbr" : $(SOURCE) "$(INTDIR)"
 
 
 !ENDIF 
@@ -760,7 +835,7 @@
 !ELSEIF  "$(CFG)" == "kid3 - Win32 Debug"
 
 
-"$(INTDIR)\main.obj"	"$(INTDIR)\main.sbr" : $(SOURCE) "$(INTDIR)" ".\kid3.h" "..\config.h"
+"$(INTDIR)\main.obj"	"$(INTDIR)\main.sbr" : $(SOURCE) "$(INTDIR)"
 
 
 !ENDIF 
@@ -770,13 +845,13 @@
 !IF  "$(CFG)" == "kid3 - Win32 Release"
 
 
-"$(INTDIR)\miscconfig.obj" : $(SOURCE) "$(INTDIR)" ".\filelist.h" "..\config.h" ".\rendirdialog.h"
+"$(INTDIR)\miscconfig.obj" : $(SOURCE) "$(INTDIR)" ".\rendirdialog.h" "..\config.h" ".\filelist.h"
 
 
 !ELSEIF  "$(CFG)" == "kid3 - Win32 Debug"
 
 
-"$(INTDIR)\miscconfig.obj"	"$(INTDIR)\miscconfig.sbr" : $(SOURCE) "$(INTDIR)" "..\config.h" ".\rendirdialog.h" ".\filelist.h"
+"$(INTDIR)\miscconfig.obj"	"$(INTDIR)\miscconfig.sbr" : $(SOURCE) "$(INTDIR)"
 
 
 !ENDIF 
@@ -792,7 +867,23 @@
 !ELSEIF  "$(CFG)" == "kid3 - Win32 Debug"
 
 
-"$(INTDIR)\moc_commandstable.obj"	"$(INTDIR)\moc_commandstable.sbr" : $(SOURCE) "$(INTDIR)" ".\commandstable.h"
+"$(INTDIR)\moc_commandstable.obj"	"$(INTDIR)\moc_commandstable.sbr" : $(SOURCE) "$(INTDIR)"
+
+
+!ENDIF 
+
+SOURCE=.\moc_exportdialog.cpp
+
+!IF  "$(CFG)" == "kid3 - Win32 Release"
+
+
+"$(INTDIR)\moc_exportdialog.obj" : $(SOURCE) "$(INTDIR)" ".\exportdialog.h"
+
+
+!ELSEIF  "$(CFG)" == "kid3 - Win32 Debug"
+
+
+"$(INTDIR)\moc_exportdialog.obj"	"$(INTDIR)\moc_exportdialog.sbr" : $(SOURCE) "$(INTDIR)"
 
 
 !ENDIF 
@@ -808,7 +899,7 @@
 !ELSEIF  "$(CFG)" == "kid3 - Win32 Debug"
 
 
-"$(INTDIR)\moc_filelist.obj"	"$(INTDIR)\moc_filelist.sbr" : $(SOURCE) "$(INTDIR)" ".\filelist.h"
+"$(INTDIR)\moc_filelist.obj"	"$(INTDIR)\moc_filelist.sbr" : $(SOURCE) "$(INTDIR)"
 
 
 !ENDIF 
@@ -824,7 +915,7 @@
 !ELSEIF  "$(CFG)" == "kid3 - Win32 Debug"
 
 
-"$(INTDIR)\moc_formatbox.obj"	"$(INTDIR)\moc_formatbox.sbr" : $(SOURCE) "$(INTDIR)" ".\formatbox.h"
+"$(INTDIR)\moc_formatbox.obj"	"$(INTDIR)\moc_formatbox.sbr" : $(SOURCE) "$(INTDIR)"
 
 
 !ENDIF 
@@ -834,13 +925,13 @@
 !IF  "$(CFG)" == "kid3 - Win32 Release"
 
 
-"$(INTDIR)\moc_freedbclient.obj" : $(SOURCE) "$(INTDIR)" ".\freedbclient.h" "..\config.h"
+"$(INTDIR)\moc_freedbclient.obj" : $(SOURCE) "$(INTDIR)" "..\config.h" ".\freedbclient.h"
 
 
 !ELSEIF  "$(CFG)" == "kid3 - Win32 Debug"
 
 
-"$(INTDIR)\moc_freedbclient.obj"	"$(INTDIR)\moc_freedbclient.sbr" : $(SOURCE) "$(INTDIR)" "..\config.h" ".\freedbclient.h"
+"$(INTDIR)\moc_freedbclient.obj"	"$(INTDIR)\moc_freedbclient.sbr" : $(SOURCE) "$(INTDIR)"
 
 
 !ENDIF 
@@ -856,7 +947,7 @@
 !ELSEIF  "$(CFG)" == "kid3 - Win32 Debug"
 
 
-"$(INTDIR)\moc_freedbdialog.obj"	"$(INTDIR)\moc_freedbdialog.sbr" : $(SOURCE) "$(INTDIR)" ".\freedbdialog.h" "..\config.h"
+"$(INTDIR)\moc_freedbdialog.obj"	"$(INTDIR)\moc_freedbdialog.sbr" : $(SOURCE) "$(INTDIR)"
 
 
 !ENDIF 
@@ -866,13 +957,29 @@
 !IF  "$(CFG)" == "kid3 - Win32 Release"
 
 
-"$(INTDIR)\moc_id3form.obj" : $(SOURCE) "$(INTDIR)" ".\id3form.h" ".\filelist.h"
-
-
-!ELSEIF  "$(CFG)" == "kid3 - Win32 Debug"
-
-
-"$(INTDIR)\moc_id3form.obj"	"$(INTDIR)\moc_id3form.sbr" : $(SOURCE) "$(INTDIR)" ".\id3form.h" ".\filelist.h"
+"$(INTDIR)\moc_id3form.obj" : $(SOURCE) "$(INTDIR)" ".\filelist.h" ".\id3form.h"
+
+
+!ELSEIF  "$(CFG)" == "kid3 - Win32 Debug"
+
+
+"$(INTDIR)\moc_id3form.obj"	"$(INTDIR)\moc_id3form.sbr" : $(SOURCE) "$(INTDIR)"
+
+
+!ENDIF 
+
+SOURCE=.\moc_importdialog.cpp
+
+!IF  "$(CFG)" == "kid3 - Win32 Release"
+
+
+"$(INTDIR)\moc_importdialog.obj" : $(SOURCE) "$(INTDIR)" ".\importdialog.h" "..\config.h"
+
+
+!ELSEIF  "$(CFG)" == "kid3 - Win32 Debug"
+
+
+"$(INTDIR)\moc_importdialog.obj"	"$(INTDIR)\moc_importdialog.sbr" : $(SOURCE) "$(INTDIR)"
 
 
 !ENDIF 
@@ -888,7 +995,7 @@
 !ELSEIF  "$(CFG)" == "kid3 - Win32 Debug"
 
 
-"$(INTDIR)\moc_importselector.obj"	"$(INTDIR)\moc_importselector.sbr" : $(SOURCE) "$(INTDIR)" ".\importselector.h"
+"$(INTDIR)\moc_importselector.obj"	"$(INTDIR)\moc_importselector.sbr" : $(SOURCE) "$(INTDIR)"
 
 
 !ENDIF 
@@ -904,7 +1011,7 @@
 !ELSEIF  "$(CFG)" == "kid3 - Win32 Debug"
 
 
-"$(INTDIR)\moc_kid3.obj"	"$(INTDIR)\moc_kid3.sbr" : $(SOURCE) "$(INTDIR)" ".\kid3.h" "..\config.h"
+"$(INTDIR)\moc_kid3.obj"	"$(INTDIR)\moc_kid3.sbr" : $(SOURCE) "$(INTDIR)"
 
 
 !ENDIF 
@@ -920,7 +1027,7 @@
 !ELSEIF  "$(CFG)" == "kid3 - Win32 Debug"
 
 
-"$(INTDIR)\moc_mp3framelist.obj"	"$(INTDIR)\moc_mp3framelist.sbr" : $(SOURCE) "$(INTDIR)" ".\mp3framelist.h"
+"$(INTDIR)\moc_mp3framelist.obj"	"$(INTDIR)\moc_mp3framelist.sbr" : $(SOURCE) "$(INTDIR)"
 
 
 !ENDIF 
@@ -930,13 +1037,13 @@
 !IF  "$(CFG)" == "kid3 - Win32 Release"
 
 
-"$(INTDIR)\moc_musicbrainzclient.obj" : $(SOURCE) "$(INTDIR)" "..\config.h" ".\musicbrainzclient.h"
+"$(INTDIR)\moc_musicbrainzclient.obj" : $(SOURCE) "$(INTDIR)" ".\musicbrainzclient.h" "..\config.h"
 
 
 !ELSEIF  "$(CFG)" == "kid3 - Win32 Debug"
 
 
-"$(INTDIR)\moc_musicbrainzclient.obj"	"$(INTDIR)\moc_musicbrainzclient.sbr" : $(SOURCE) "$(INTDIR)" "..\config.h" ".\musicbrainzclient.h"
+"$(INTDIR)\moc_musicbrainzclient.obj"	"$(INTDIR)\moc_musicbrainzclient.sbr" : $(SOURCE) "$(INTDIR)"
 
 
 !ENDIF 
@@ -952,7 +1059,7 @@
 !ELSEIF  "$(CFG)" == "kid3 - Win32 Debug"
 
 
-"$(INTDIR)\moc_musicbrainzdialog.obj"	"$(INTDIR)\moc_musicbrainzdialog.sbr" : $(SOURCE) "$(INTDIR)" "..\config.h" ".\musicbrainzdialog.h"
+"$(INTDIR)\moc_musicbrainzdialog.obj"	"$(INTDIR)\moc_musicbrainzdialog.sbr" : $(SOURCE) "$(INTDIR)"
 
 
 !ENDIF 
@@ -968,7 +1075,7 @@
 !ELSEIF  "$(CFG)" == "kid3 - Win32 Debug"
 
 
-"$(INTDIR)\moc_rendirdialog.obj"	"$(INTDIR)\moc_rendirdialog.sbr" : $(SOURCE) "$(INTDIR)" ".\rendirdialog.h"
+"$(INTDIR)\moc_rendirdialog.obj"	"$(INTDIR)\moc_rendirdialog.sbr" : $(SOURCE) "$(INTDIR)"
 
 
 !ENDIF 
@@ -984,7 +1091,7 @@
 !ELSEIF  "$(CFG)" == "kid3 - Win32 Debug"
 
 
-"$(INTDIR)\mp3file.obj"	"$(INTDIR)\mp3file.sbr" : $(SOURCE) "$(INTDIR)" ".\mp3framelist.h" "..\config.h"
+"$(INTDIR)\mp3file.obj"	"$(INTDIR)\mp3file.sbr" : $(SOURCE) "$(INTDIR)"
 
 
 !ENDIF 
@@ -1000,7 +1107,7 @@
 !ELSEIF  "$(CFG)" == "kid3 - Win32 Debug"
 
 
-"$(INTDIR)\mp3framelist.obj"	"$(INTDIR)\mp3framelist.sbr" : $(SOURCE) "$(INTDIR)" ".\mp3framelist.h" "..\config.h"
+"$(INTDIR)\mp3framelist.obj"	"$(INTDIR)\mp3framelist.sbr" : $(SOURCE) "$(INTDIR)"
 
 
 !ENDIF 
@@ -1016,7 +1123,7 @@
 !ELSEIF  "$(CFG)" == "kid3 - Win32 Debug"
 
 
-"$(INTDIR)\musicbrainzclient.obj"	"$(INTDIR)\musicbrainzclient.sbr" : $(SOURCE) "$(INTDIR)" "..\config.h" ".\musicbrainzclient.h"
+"$(INTDIR)\musicbrainzclient.obj"	"$(INTDIR)\musicbrainzclient.sbr" : $(SOURCE) "$(INTDIR)"
 
 
 !ENDIF 
@@ -1032,7 +1139,7 @@
 !ELSEIF  "$(CFG)" == "kid3 - Win32 Debug"
 
 
-"$(INTDIR)\musicbrainzconfig.obj"	"$(INTDIR)\musicbrainzconfig.sbr" : $(SOURCE) "$(INTDIR)" "..\config.h"
+"$(INTDIR)\musicbrainzconfig.obj"	"$(INTDIR)\musicbrainzconfig.sbr" : $(SOURCE) "$(INTDIR)"
 
 
 !ENDIF 
@@ -1048,7 +1155,23 @@
 !ELSEIF  "$(CFG)" == "kid3 - Win32 Debug"
 
 
-"$(INTDIR)\musicbrainzdialog.obj"	"$(INTDIR)\musicbrainzdialog.sbr" : $(SOURCE) "$(INTDIR)" "..\config.h" ".\musicbrainzdialog.h"
+"$(INTDIR)\musicbrainzdialog.obj"	"$(INTDIR)\musicbrainzdialog.sbr" : $(SOURCE) "$(INTDIR)"
+
+
+!ENDIF 
+
+SOURCE=.\numbertracksdialog.cpp
+
+!IF  "$(CFG)" == "kid3 - Win32 Release"
+
+
+"$(INTDIR)\numbertracksdialog.obj" : $(SOURCE) "$(INTDIR)" "..\config.h"
+
+
+!ELSEIF  "$(CFG)" == "kid3 - Win32 Debug"
+
+
+"$(INTDIR)\numbertracksdialog.obj"	"$(INTDIR)\numbertracksdialog.sbr" : $(SOURCE) "$(INTDIR)"
 
 
 !ENDIF 
@@ -1064,7 +1187,7 @@
 !ELSEIF  "$(CFG)" == "kid3 - Win32 Debug"
 
 
-"$(INTDIR)\oggfile.obj"	"$(INTDIR)\oggfile.sbr" : $(SOURCE) "$(INTDIR)" "..\config.h"
+"$(INTDIR)\oggfile.obj"	"$(INTDIR)\oggfile.sbr" : $(SOURCE) "$(INTDIR)"
 
 
 !ENDIF 
@@ -1080,7 +1203,7 @@
 !ELSEIF  "$(CFG)" == "kid3 - Win32 Debug"
 
 
-"$(INTDIR)\oggframelist.obj"	"$(INTDIR)\oggframelist.sbr" : $(SOURCE) "$(INTDIR)" "..\config.h"
+"$(INTDIR)\oggframelist.obj"	"$(INTDIR)\oggframelist.sbr" : $(SOURCE) "$(INTDIR)"
 
 
 !ENDIF 
@@ -1090,13 +1213,13 @@
 !IF  "$(CFG)" == "kid3 - Win32 Release"
 
 
-"$(INTDIR)\rendirdialog.obj" : $(SOURCE) "$(INTDIR)" "..\config.h" ".\rendirdialog.h"
+"$(INTDIR)\rendirdialog.obj" : $(SOURCE) "$(INTDIR)" ".\rendirdialog.h" "..\config.h"
 
 
 !ELSEIF  "$(CFG)" == "kid3 - Win32 Debug"
 
 
-"$(INTDIR)\rendirdialog.obj"	"$(INTDIR)\rendirdialog.sbr" : $(SOURCE) "$(INTDIR)" "..\config.h" ".\rendirdialog.h"
+"$(INTDIR)\rendirdialog.obj"	"$(INTDIR)\rendirdialog.sbr" : $(SOURCE) "$(INTDIR)"
 
 
 !ENDIF 
@@ -1128,7 +1251,7 @@
 !ELSEIF  "$(CFG)" == "kid3 - Win32 Debug"
 
 
-"$(INTDIR)\taggedfile.obj"	"$(INTDIR)\taggedfile.sbr" : $(SOURCE) "$(INTDIR)" ".\filelist.h" "..\config.h"
+"$(INTDIR)\taggedfile.obj"	"$(INTDIR)\taggedfile.sbr" : $(SOURCE) "$(INTDIR)"
 
 
 !ENDIF 
@@ -1144,7 +1267,7 @@
 !ELSEIF  "$(CFG)" == "kid3 - Win32 Debug"
 
 
-"$(INTDIR)\vcedit.obj"	"$(INTDIR)\vcedit.sbr" : $(SOURCE) "$(INTDIR)" "..\config.h"
+"$(INTDIR)\vcedit.obj"	"$(INTDIR)\vcedit.sbr" : $(SOURCE) "$(INTDIR)"
 
 
 !ENDIF 
@@ -1175,6 +1298,32 @@
 
 !ENDIF 
 
+SOURCE=.\exportdialog.h
+
+!IF  "$(CFG)" == "kid3 - Win32 Release"
+
+InputPath=.\exportdialog.h
+
+".\moc_exportdialog.cpp" : $(SOURCE) "$(INTDIR)" "$(OUTDIR)"
+	<<tempfile.bat 
+	@echo off 
+	%QTDIR%\bin\moc.exe $(InputPath) -o .\moc_exportdialog.cpp
+<< 
+	
+
+!ELSEIF  "$(CFG)" == "kid3 - Win32 Debug"
+
+InputPath=.\exportdialog.h
+
+".\moc_exportdialog.cpp" : $(SOURCE) "$(INTDIR)" "$(OUTDIR)"
+	<<tempfile.bat 
+	@echo off 
+	%QTDIR%\bin\moc.exe $(InputPath) -o .\moc_exportdialog.cpp
+<< 
+	
+
+!ENDIF 
+
 SOURCE=.\filelist.h
 
 !IF  "$(CFG)" == "kid3 - Win32 Release"
@@ -1305,6 +1454,32 @@
 
 !ENDIF 
 
+SOURCE=.\importdialog.h
+
+!IF  "$(CFG)" == "kid3 - Win32 Release"
+
+InputPath=.\importdialog.h
+
+".\moc_importdialog.cpp" : $(SOURCE) "$(INTDIR)" "$(OUTDIR)"
+	<<tempfile.bat 
+	@echo off 
+	%QTDIR%\bin\moc.exe $(InputPath) -o .\moc_importdialog.cpp
+<< 
+	
+
+!ELSEIF  "$(CFG)" == "kid3 - Win32 Debug"
+
+InputPath=.\importdialog.h
+
+".\moc_importdialog.cpp" : $(SOURCE) "$(INTDIR)" "$(OUTDIR)"
+	<<tempfile.bat 
+	@echo off 
+	%QTDIR%\bin\moc.exe $(InputPath) -o .\moc_importdialog.cpp
+<< 
+	
+
+!ENDIF 
+
 SOURCE=.\importselector.h
 
 !IF  "$(CFG)" == "kid3 - Win32 Release"
@@ -1487,32 +1662,6 @@
 
 !ENDIF 
 
-SOURCE=.\kid3.h.qtonly
-
-!IF  "$(CFG)" == "kid3 - Win32 Release"
-
-InputPath=.\kid3.h.qtonly
-
-".\kid3.h" : $(SOURCE) "$(INTDIR)" "$(OUTDIR)"
-	<<tempfile.bat 
-	@echo off 
-	copy kid3.h.qtonly kid3.h
-<< 
-	
-
-!ELSEIF  "$(CFG)" == "kid3 - Win32 Debug"
-
-InputPath=.\kid3.h.qtonly
-
-".\kid3.h" : $(SOURCE) "$(INTDIR)" "$(OUTDIR)"
-	<<tempfile.bat 
-	@echo off 
-	copy kid3.h.qtonly kid3.h
-<< 
-	
-
-!ENDIF 
-
 
 !ENDIF 
 

=== modified file 'kid3/kid3ui.rc'
--- kid3/kid3ui.rc	2004-09-26 00:22:06 +0000
+++ kid3/kid3ui.rc	2006-07-14 12:25:16 +0000
@@ -1,13 +1,23 @@
-<!DOCTYPE kpartgui>
-<kpartgui name="kid3" version="0.1">
+<!DOCTYPE kpartgui SYSTEM "kpartgui.dtd">
+<kpartgui name="kid3" version="4">
 <MenuBar>
   <Menu name="file"><text>&amp;File</text>
     <Action name="import"/>
+    <Action name="import_freedb"/>
+    <Action name="import_musicbrainz"/>
+    <Action name="export"/>
     <Action name="create_playlist"/>
   </Menu>
   <Menu name="tools"><text>&amp;Tools</text>
-    <Action name="apply_format"/>
+    <Action name="apply_filename_format"/>
+    <Action name="apply_id3_format"/>
     <Action name="rename_directory"/>
+    <Action name="number_tracks"/>
+  </Menu>
+  <Menu name="settings"><text>&amp;Settings</text>
+    <Action name="hide_v1" append="show_merge"/>
+    <Action name="hide_v2" append="show_merge"/>
+    <DefineGroup name="show_merge"/>
   </Menu>
 </MenuBar>
 </kpartgui>

=== modified file 'kid3/main.cpp'
--- kid3/main.cpp	2005-11-24 12:16:38 +0000
+++ kid3/main.cpp	2006-07-14 12:25:16 +0000
@@ -8,6 +8,7 @@
  */
 
 #include "config.h"
+#include <qfile.h>
 #ifdef CONFIG_USE_KDE
 
 #include <kapp.h>
@@ -41,7 +42,7 @@
 	KAboutData aboutData(
 	    "kid3", I18N_NOOP("Kid3"),
 	    VERSION, description, KAboutData::License_GPL,
-	    "(c) 2003-2005 Urs Fleisch", 0, "http://kid3.sourceforge.net",
+	    "(c) 2003-2006 Urs Fleisch", 0, "http://kid3.sourceforge.net",
 	    "ufleisch@users.sourceforge.net");
 	aboutData.addAuthor("Urs Fleisch",0, "ufleisch@users.sourceforge.net");
 	KCmdLineArgs::init(argc, argv, &aboutData);
@@ -59,7 +60,7 @@
 			KCmdLineArgs *args = KCmdLineArgs::parsedArgs();
 
 			if (args->count()) {
-				kid3->openDirectory(args->arg(0));
+				kid3->openDirectory(QFile::decodeName(args->arg(0)));
 			}
 			args->clear();
 		}
@@ -103,7 +104,7 @@
 		kid3->show();
 		app.setMainWidget(kid3);
 		if (argc > 1) {
-			kid3->openDirectory(argv[1]);
+			kid3->openDirectory(QFile::decodeName(argv[1]));
 		}
 	}
 	return app.exec();

=== modified file 'kid3/miscconfig.cpp'
--- kid3/miscconfig.cpp	2005-11-24 12:16:38 +0000
+++ kid3/miscconfig.cpp	2006-07-14 12:25:16 +0000
@@ -80,17 +80,22 @@
  *
  * @param group configuration group
  */
-MiscConfig::MiscConfig(const QString &group) : GeneralConfig(group)
+MiscConfig::MiscConfig(const QString &group) :
+	GeneralConfig(group),
+	m_enableTotalNumberOfTracks(false),
+	m_preserveTime(false),
+	m_commentName(defaultCommentName),
+	nameFilter(defaultNameFilter),
+	formatText(defaultFnFmtList[0]),
+	formatItem(0),
+	dirFormatText(defaultDirFmtList[0]),
+	dirFormatItem(0),
+	m_hideV1(false),
+	m_hideV2(false)
+#ifndef CONFIG_USE_KDE
+	, windowWidth(-1), windowHeight(-1)
+#endif
 {
-	formatWhileEditing = false;
-	m_enableTotalNumberOfTracks = false;
-	m_preserveTime = false;
-	m_commentName = defaultCommentName;
-	nameFilter = defaultNameFilter;
-	formatItem = 0;
-	formatText = defaultFnFmtList[0];
-	dirFormatItem = 0;
-	dirFormatText = defaultDirFmtList[0];
 }
 
 /**
@@ -119,7 +124,6 @@
 	config->writeEntry("FormatText2", formatText);
 	config->writeEntry("DirFormatItem", dirFormatItem);
 	config->writeEntry("DirFormatText", dirFormatText);
-	config->writeEntry("FormatWhileEditing", formatWhileEditing);
 	config->writeEntry("EnableTotalNumberOfTracks", m_enableTotalNumberOfTracks);
 	config->writeEntry("PreserveTime", m_preserveTime);
 	config->writeEntry("CommentName", m_commentName);
@@ -128,6 +132,9 @@
 #endif
 	config->writeEntry("SplitterSizes", splitterSizes);
 	config->writeEntry("VSplitterSizes", m_vSplitterSizes);
+	config->writeEntry("CustomGenres", m_customGenres);
+	config->writeEntry("HideV1", m_hideV1);
+	config->writeEntry("HideV2", m_hideV2);
 #else
 	config->beginGroup("/" + group);
 	config->writeEntry("/NameFilter2", nameFilter);
@@ -135,7 +142,6 @@
 	config->writeEntry("/FormatText2", formatText);
 	config->writeEntry("/DirFormatItem", dirFormatItem);
 	config->writeEntry("/DirFormatText", dirFormatText);
-	config->writeEntry("/FormatWhileEditing", formatWhileEditing);
 	config->writeEntry("/EnableTotalNumberOfTracks", m_enableTotalNumberOfTracks);
 	config->writeEntry("/PreserveTime", m_preserveTime);
 	config->writeEntry("/CommentName", m_commentName);
@@ -157,6 +163,9 @@
 		 ++it, ++i) {
 		config->writeEntry("/VSplitterSize" + QString::number(i), *it);
 	}
+	config->writeEntry("/CustomGenres", m_customGenres);
+	config->writeEntry("/HideV1", m_hideV1);
+	config->writeEntry("/HideV2", m_hideV2);
 	config->writeEntry("/WindowWidth", windowWidth);
 	config->writeEntry("/WindowHeight", windowHeight);
 	config->endGroup();
@@ -185,7 +194,6 @@
 	    config->readNumEntry("FormatItem", 0);
 	dirFormatItem =
 	    config->readNumEntry("DirFormatItem", 0);
-	formatWhileEditing = config->readBoolEntry("FormatWhileEditing", formatWhileEditing);
 	m_enableTotalNumberOfTracks = config->readBoolEntry("EnableTotalNumberOfTracks", m_enableTotalNumberOfTracks);
 	m_preserveTime = config->readBoolEntry("PreserveTime", m_preserveTime);
 	m_commentName = config->readEntry("CommentName", defaultCommentName);
@@ -202,6 +210,9 @@
 #endif
 	splitterSizes = config->readIntListEntry("SplitterSizes");
 	m_vSplitterSizes = config->readIntListEntry("VSplitterSizes");
+	m_customGenres = config->readListEntry("CustomGenres");
+	m_hideV1 = config->readBoolEntry("HideV1", m_hideV1);
+	m_hideV2 = config->readBoolEntry("HideV2", m_hideV2);
 #else
 	config->beginGroup("/" + group);
 	nameFilter =
@@ -210,7 +221,6 @@
 	    config->readNumEntry("/FormatItem", 0);
 	dirFormatItem =
 	    config->readNumEntry("/DirFormatItem", 0);
-	formatWhileEditing = config->readBoolEntry("/FormatWhileEditing", formatWhileEditing);
 	m_enableTotalNumberOfTracks = config->readBoolEntry("/EnableTotalNumberOfTracks", m_enableTotalNumberOfTracks);
 	m_preserveTime = config->readBoolEntry("/PreserveTime", m_preserveTime);
 	m_commentName = config->readEntry("/CommentName", defaultCommentName);
@@ -251,6 +261,9 @@
 			break;
 		}
 	}
+	m_customGenres = config->readListEntry("/CustomGenres");
+	m_hideV1 = config->readBoolEntry("/HideV1", m_hideV1);
+	m_hideV2 = config->readBoolEntry("/HideV2", m_hideV2);
 	windowWidth = config->readNumEntry("/WindowWidth", -1);
 	windowHeight = config->readNumEntry("/WindowHeight", -1);
 	config->endGroup();

=== modified file 'kid3/miscconfig.h'
--- kid3/miscconfig.h	2005-11-24 12:16:38 +0000
+++ kid3/miscconfig.h	2006-07-14 12:25:16 +0000
@@ -57,8 +57,6 @@
 #endif
 		);
 
-	/** true to enable formating in line edits */
-	bool formatWhileEditing;
 	/** true to write total number of tracks into track fields */
 	bool m_enableTotalNumberOfTracks;
 	/** true to preserve file time stamps */
@@ -81,6 +79,12 @@
 	QValueList<int> m_vSplitterSizes;
 	/** commands available in context menu */
 	QStringList m_contextMenuCommands;
+	/** custom genres for ID3v2.3 */
+	QStringList m_customGenres;
+	/** true to hide ID3v1.1 controls */
+	bool m_hideV1;
+	/** true to hide ID3v2.3 controls */
+	bool m_hideV2;
 #ifndef CONFIG_USE_KDE
 	/** mainwindow width */
 	int windowWidth;

=== modified file 'kid3/mp3framelist.cpp'
--- kid3/mp3framelist.cpp	2005-11-24 12:16:38 +0000
+++ kid3/mp3framelist.cpp	2006-07-14 12:25:16 +0000
@@ -616,7 +616,8 @@
  * Constructor.
  */
 
-Mp3FrameList::Mp3FrameList() : tags(0), selected_enc(ID3TE_NONE)
+Mp3FrameList::Mp3FrameList() : tags(0), selected_enc(ID3TE_NONE),
+															 m_copyFrame(0)
 {
 	fieldcontrols.setAutoDelete(TRUE);
 }
@@ -624,7 +625,12 @@
 /**
  * Destructor.
  */
-Mp3FrameList::~Mp3FrameList() {}
+Mp3FrameList::~Mp3FrameList()
+{
+	if (m_copyFrame) {
+		delete m_copyFrame;
+	}
+}
 
 /**
  * Fill listbox with frame descriptions.
@@ -737,163 +743,177 @@
 }
 
 /**
- * Create dialog to edit the selected frame and update the fields if Ok is
+ * Create dialog to edit a frame and update the fields if Ok is
  * returned.
  *
+ * @param frame frame to edit
+ *
  * @return TRUE if Ok selected in dialog.
  */
-
-bool Mp3FrameList::editFrame(void)
+bool Mp3FrameList::editFrame(ID3_Frame* frame)
 {
 	bool result = FALSE;
-	ID3_Frame *frame = getSelectedFrame();
-	if (frame) {
-		ID3_Frame::Iterator* iter = frame->CreateIterator();
-		ID3_Field *field;
-		while ((field = iter->GetNext()) != NULL) {
-			ID3_FieldID id = field->GetID();
-			ID3_FieldType type = field->GetType();
-			if (type == ID3FTY_INTEGER) {
-				if (id == ID3FN_TEXTENC) {
-					static const char *strlst[] = {
-						I18N_NOOP("ISO-8859-1"),
-						I18N_NOOP("Unicode"),
-						I18N_NOOP("UTF16BE"),
-						I18N_NOOP("UTF8"),
-						NULL
-					};
-					IntComboBoxControl *cbox =
-						new IntComboBoxControl(this, id, field, strlst);
-					if (cbox) {
-						fieldcontrols.append(cbox);
-					}
-				}
-				else if (id == ID3FN_PICTURETYPE) {
-					static const char *strlst[] = {
-						I18N_NOOP("Other"),
-						I18N_NOOP("32x32 pixels PNG file icon"),
-						I18N_NOOP("Other file icon"),
-						I18N_NOOP("Cover (front)"),
-						I18N_NOOP("Cover (back)"),
-						I18N_NOOP("Leaflet page"),
-						I18N_NOOP("Media"),
-						I18N_NOOP("Lead artist/lead performer/soloist"),
-						I18N_NOOP("Artist/performer"),
-						I18N_NOOP("Conductor"),
-						I18N_NOOP("Band/Orchestra"),
-						I18N_NOOP("Composer"),
-						I18N_NOOP("Lyricist/text writer"),
-						I18N_NOOP("Recording Location"),
-						I18N_NOOP("During recording"),
-						I18N_NOOP("During performance"),
-						I18N_NOOP("Movie/video screen capture"),
-						I18N_NOOP("A bright coloured fish"),
-						I18N_NOOP("Illustration"),
-						I18N_NOOP("Band/artist logotype"),
-						I18N_NOOP("Publisher/Studio logotype"),
-						NULL
-					};
-					IntComboBoxControl *cbox =
-						new IntComboBoxControl(this, id, field, strlst);
-					if (cbox) {
-						fieldcontrols.append(cbox);
-					}
-				}
-				else if (id == ID3FN_TIMESTAMPFORMAT) {
-					static const char *strlst[] = {
-						I18N_NOOP("Other"),
-						I18N_NOOP("MPEG frames as unit"),
-						I18N_NOOP("Milliseconds as unit"),
-						NULL
-					};
-					IntComboBoxControl *cbox =
-						new IntComboBoxControl(this, id, field, strlst);
-					if (cbox) {
-						fieldcontrols.append(cbox);
-					}
-				}
-				else if (id == ID3FN_CONTENTTYPE) {
-					static const char *strlst[] = {
-						I18N_NOOP("Other"),
-						I18N_NOOP("Lyrics"),
-						I18N_NOOP("Text transcription"),
-						I18N_NOOP("Movement/part name"),
-						I18N_NOOP("Events"),
-						I18N_NOOP("Chord"),
-						I18N_NOOP("Trivia/pop up"),
-						NULL
-					};
-					IntComboBoxControl *cbox =
-						new IntComboBoxControl(this, id, field, strlst);
-					if (cbox) {
-						fieldcontrols.append(cbox);
-					}
-				}
-				else {
-					IntFieldControl *intctl =
-						new IntFieldControl(this, id, field);
-					if (intctl) {
-						fieldcontrols.append(intctl);
-					}
-				}
-			}
-			else if (type == ID3FTY_BINARY) {
-				BinFieldControl *binctl =
-					new BinFieldControl(this, id, field);
-				if (binctl) {
-					fieldcontrols.append(binctl);
-				}
-			}
-			else if (type == ID3FTY_TEXTSTRING) {
-				ID3_TextEnc enc = field->GetEncoding();
-				if (id == ID3FN_TEXT ||
+	ID3_Frame::Iterator* iter = frame->CreateIterator();
+	ID3_Field *field;
+	while ((field = iter->GetNext()) != NULL) {
+		ID3_FieldID id = field->GetID();
+		ID3_FieldType type = field->GetType();
+		if (type == ID3FTY_INTEGER) {
+			if (id == ID3FN_TEXTENC) {
+				static const char *strlst[] = {
+					I18N_NOOP("ISO-8859-1"),
+					I18N_NOOP("Unicode"),
+					I18N_NOOP("UTF16BE"),
+					I18N_NOOP("UTF8"),
+					NULL
+				};
+				IntComboBoxControl *cbox =
+					new IntComboBoxControl(this, id, field, strlst);
+				if (cbox) {
+					fieldcontrols.append(cbox);
+				}
+			}
+			else if (id == ID3FN_PICTURETYPE) {
+				static const char *strlst[] = {
+					I18N_NOOP("Other"),
+					I18N_NOOP("32x32 pixels PNG file icon"),
+					I18N_NOOP("Other file icon"),
+					I18N_NOOP("Cover (front)"),
+					I18N_NOOP("Cover (back)"),
+					I18N_NOOP("Leaflet page"),
+					I18N_NOOP("Media"),
+					I18N_NOOP("Lead artist/lead performer/soloist"),
+					I18N_NOOP("Artist/performer"),
+					I18N_NOOP("Conductor"),
+					I18N_NOOP("Band/Orchestra"),
+					I18N_NOOP("Composer"),
+					I18N_NOOP("Lyricist/text writer"),
+					I18N_NOOP("Recording Location"),
+					I18N_NOOP("During recording"),
+					I18N_NOOP("During performance"),
+					I18N_NOOP("Movie/video screen capture"),
+					I18N_NOOP("A bright coloured fish"),
+					I18N_NOOP("Illustration"),
+					I18N_NOOP("Band/artist logotype"),
+					I18N_NOOP("Publisher/Studio logotype"),
+					NULL
+				};
+				IntComboBoxControl *cbox =
+					new IntComboBoxControl(this, id, field, strlst);
+				if (cbox) {
+					fieldcontrols.append(cbox);
+				}
+			}
+			else if (id == ID3FN_TIMESTAMPFORMAT) {
+				static const char *strlst[] = {
+					I18N_NOOP("Other"),
+					I18N_NOOP("MPEG frames as unit"),
+					I18N_NOOP("Milliseconds as unit"),
+					NULL
+				};
+				IntComboBoxControl *cbox =
+					new IntComboBoxControl(this, id, field, strlst);
+				if (cbox) {
+					fieldcontrols.append(cbox);
+				}
+			}
+			else if (id == ID3FN_CONTENTTYPE) {
+				static const char *strlst[] = {
+					I18N_NOOP("Other"),
+					I18N_NOOP("Lyrics"),
+					I18N_NOOP("Text transcription"),
+					I18N_NOOP("Movement/part name"),
+					I18N_NOOP("Events"),
+					I18N_NOOP("Chord"),
+					I18N_NOOP("Trivia/pop up"),
+					NULL
+				};
+				IntComboBoxControl *cbox =
+					new IntComboBoxControl(this, id, field, strlst);
+				if (cbox) {
+					fieldcontrols.append(cbox);
+				}
+			}
+			else {
+				IntFieldControl *intctl =
+					new IntFieldControl(this, id, field);
+				if (intctl) {
+					fieldcontrols.append(intctl);
+				}
+			}
+		}
+		else if (type == ID3FTY_BINARY) {
+			BinFieldControl *binctl =
+				new BinFieldControl(this, id, field);
+			if (binctl) {
+				fieldcontrols.append(binctl);
+			}
+		}
+		else if (type == ID3FTY_TEXTSTRING) {
+			ID3_TextEnc enc = field->GetEncoding();
+			if (id == ID3FN_TEXT ||
 					// (ID3TE_IS_DOUBLE_BYTE_ENC(enc))
 					enc == ID3TE_UTF16 || enc == ID3TE_UTF16BE) {
-					// Large textedit for text fields
-					TextFieldControl *textctl =
-						new TextFieldControl(this, id, field);
-					if (textctl) {
-						fieldcontrols.append(textctl);
-					}
+				// Large textedit for text fields
+				TextFieldControl *textctl =
+					new TextFieldControl(this, id, field);
+				if (textctl) {
+					fieldcontrols.append(textctl);
 				}
-				else {
-					LineFieldControl *textctl =
-						new LineFieldControl(this, id, field);
-					if (textctl) {
-						fieldcontrols.append(textctl);
-					}
+			}
+			else {
+				LineFieldControl *textctl =
+					new LineFieldControl(this, id, field);
+				if (textctl) {
+					fieldcontrols.append(textctl);
 				}
 			}
 		}
+	}
 #ifdef WIN32
-		/* allocated in Windows DLL => must be freed in the same DLL */
-		ID3TagIterator_Delete(reinterpret_cast<ID3TagIterator*>(iter));
+	/* allocated in Windows DLL => must be freed in the same DLL */
+	ID3TagIterator_Delete(reinterpret_cast<ID3TagIterator*>(iter));
 #else
-		delete iter;
+	delete iter;
 #endif
-		const char *idstr = getIdString(frame->GetID());
-		QString caption = idstr ? i18n(idstr) : QString(frame->GetTextID());
-		EditMp3FrameDialog *dialog =
-			new EditMp3FrameDialog(NULL, caption, fieldcontrols);
-		if (dialog && dialog->exec() == QDialog::Accepted) {
-			FieldControl *fld_ctl = fieldcontrols.first();
-			// will be set if there is an encoding selector
-			setSelectedEncoding(ID3TE_NONE);
-			while (fld_ctl != NULL) {
-				fld_ctl->updateTag();
-				fld_ctl = fieldcontrols.next();
-			}
-			if (m_file) {
-				m_file->changedV2 = TRUE;
-			}
-			result = TRUE;
-		}
-		fieldcontrols.clear();
+	const char *idstr = getIdString(frame->GetID());
+	QString caption = idstr ? i18n(idstr) : QString(frame->GetTextID());
+	EditMp3FrameDialog *dialog =
+		new EditMp3FrameDialog(NULL, caption, fieldcontrols);
+	if (dialog && dialog->exec() == QDialog::Accepted) {
+		FieldControl *fld_ctl = fieldcontrols.first();
+		// will be set if there is an encoding selector
+		setSelectedEncoding(ID3TE_NONE);
+		while (fld_ctl != NULL) {
+			fld_ctl->updateTag();
+			fld_ctl = fieldcontrols.next();
+		}
+		if (m_file) {
+			m_file->changedV2 = TRUE;
+		}
+		result = TRUE;
 	}
+	fieldcontrols.clear();
 	return result;
 }
 
 /**
+ * Create dialog to edit the selected frame and update the fields if Ok is
+ * returned.
+ *
+ * @return TRUE if Ok selected in dialog.
+ */
+
+bool Mp3FrameList::editFrame(void)
+{
+	ID3_Frame* frame = getSelectedFrame();
+	if (frame) {
+		return editFrame(frame);
+	}
+	return false;
+}
+
+/**
  * Delete selected frame.
  *
  * @return FALSE if frame not found.
@@ -928,10 +948,11 @@
  * Add a new frame.
  *
  * @param frameId ID of frame to add
+ * @param edit    true to edit frame after adding it
  * @return TRUE if frame added.
  */
 
-bool Mp3FrameList::addFrame(int frameId)
+bool Mp3FrameList::addFrame(int frameId, bool edit)
 {
 	if (frameId < 0 || frameId > ID3FID_LASTFRAMEID) {
 		return false;
@@ -944,17 +965,22 @@
 	ID3_Frame *frame = new ID3_Frame(id);
 	if (frame) {
 		if (tags) {
+			if (edit && !editFrame(frame)) {
+				delete frame;
+				return false;
+			}
 			tags->AttachFrame(frame);
 			readTags(); // refresh listbox
 			const int lastIndex = listbox->count() - 1;
 			if (lastIndex >= 0) {
 				listbox->setSelected(lastIndex, true);
 			}
-		}
-		if (m_file) {
-			m_file->changedV2 = TRUE;
-		}
-		return TRUE;
+			if (m_file) {
+				m_file->changedV2 = TRUE;
+			}
+			return TRUE;
+		}
+		delete frame;
 	}
 	return FALSE;
 }
@@ -1163,3 +1189,39 @@
 	}
 	return -1;
 }
+
+/**
+ * Copy the selected frame to the copy buffer.
+ *
+ * @return true if frame copied.
+ */
+bool Mp3FrameList::copyFrame() {
+	ID3_Frame *frame = getSelectedFrame();
+	if (frame) {
+		if (m_copyFrame) {
+			delete m_copyFrame;
+		}
+		m_copyFrame = new ID3_Frame(*frame);
+		return true;
+	}
+	return false;
+}
+
+/**
+ * Paste the selected frame from the copy buffer.
+ *
+ * @return true if frame pasted.
+ */
+bool Mp3FrameList::pasteFrame() {
+	if (m_copyFrame && tags) {
+		ID3_Frame* frame = new ID3_Frame(*m_copyFrame);
+		if (frame) {
+			tags->AttachFrame(frame);
+			if (m_file) {
+				m_file->changedV2 = true;
+			}
+			return true;
+		}
+	}
+	return false;
+}

=== modified file 'kid3/mp3framelist.h'
--- kid3/mp3framelist.h	2005-11-24 12:16:38 +0000
+++ kid3/mp3framelist.h	2006-07-14 12:25:16 +0000
@@ -126,9 +126,22 @@
 	 * Add a new frame.
 	 *
 	 * @param frameId ID of frame to add
+	 * @param edit    true to edit frame after adding it
 	 * @return TRUE if frame added.
 	 */
-	virtual bool addFrame(int frameId);
+	virtual bool addFrame(int frameId, bool edit = false);
+	/**
+	 * Copy the selected frame to the copy buffer.
+	 *
+	 * @return true if frame copied.
+	 */
+	virtual bool copyFrame();
+	/**
+	 * Paste the selected frame from the copy buffer.
+	 *
+	 * @return true if frame pasted.
+	 */
+	virtual bool pasteFrame();
 	/**
 	 * Display a dialog to select a frame type.
 	 *
@@ -176,6 +189,15 @@
 	 */
 	void readTags(void);
 	/**
+	 * Create dialog to edit a frame and update the fields if Ok is
+	 * returned.
+	 *
+	 * @param frame frame to edit
+	 *
+	 * @return TRUE if Ok selected in dialog.
+	 */
+	bool editFrame(ID3_Frame* frame);
+	/**
 	 * Get description of frame.
 	 *
 	 * @param id ID of frame
@@ -195,6 +217,9 @@
 #endif
 	/** Encoding selected in frame dialog */
 	ID3_TextEnc selected_enc;
+	/** Frame storage for copy-paste */
+	ID3_Frame* m_copyFrame;
+
 	/** Alphabetically sorted list of frame descriptions */
 	static const char *frameid_str[num_frameid];
 	/** Frame IDs corresponding to frameid_str[] */

=== modified file 'kid3/musicbrainzclient.cpp'
--- kid3/musicbrainzclient.cpp	2005-11-24 12:16:38 +0000
+++ kid3/musicbrainzclient.cpp	2006-07-14 12:25:16 +0000
@@ -19,6 +19,7 @@
 #include <qfile.h>
 #include "musicbrainzconfig.h"
 #include "freedbclient.h"
+#include "importtrackdata.h"
 
 /**
  * Constructor.
@@ -29,8 +30,15 @@
 MusicBrainzClient::MusicBrainzClient(ImportTrackDataVector& trackDataList) :
 	m_trackDataVector(trackDataList), m_tp(0), m_ids(0), m_numFiles(0)
 {
-	m_tp = tp_New("kid3", "0.6");
+	m_tp = tp_New("kid3", VERSION);
+#ifdef WIN32
+	tp_WSAInit(m_tp);
+#endif
+#if HAVE_TUNEPIMP >= 4
+	tp_SetID3Encoding(m_tp, eUTF8);
+#else
 	tp_SetUseUTF8(m_tp, 1);
+#endif
 	tp_SetAutoFileLookup(m_tp, 1);
 	tp_SetRenameFiles(m_tp, 0);
 	tp_SetMoveFiles(m_tp, 0);
@@ -47,6 +55,9 @@
 {
 	removeFiles();
 	if (m_tp) {
+#ifdef WIN32
+		tp_WSAStop(m_tp);
+#endif
 		tp_Delete(m_tp);
 	}
 }
@@ -93,6 +104,9 @@
 {
 	static const struct id_str_s { TPFileStatus id; const char *str; }
 	id_str[] = {
+#if HAVE_TUNEPIMP >= 4
+    { eMetadataRead,  I18N_NOOP("Metadata Read") },
+#endif
     { eUnrecognized,  I18N_NOOP("Unrecognized") },
     { eRecognized,    I18N_NOOP("Recognized") },
     { ePending,       I18N_NOOP("Pending") },
@@ -124,7 +138,13 @@
 {
 	TPCallbackEnum type;
 	int id;
-	while (tp_GetNotification(m_tp, &type, &id)) {
+#if HAVE_TUNEPIMP >= 4
+	TPFileStatus statusCode;
+	while (tp_GetNotification(m_tp, &type, &id, &statusCode))
+#else
+	while (tp_GetNotification(m_tp, &type, &id))
+#endif
+	{
 		QString fn = getFilename(id);
 		int index = getIndexOfId(id);
 		switch (type) {
@@ -136,12 +156,33 @@
 				break;
 			case tpFileChanged:
 			{
+#if HAVE_TUNEPIMP >= 4
+				if (statusCode == eUnrecognized) {
+					char trm[255];
+					trm[0] = '\0';
+					track_t track = tp_GetTrack(m_tp, id);
+					if (track) {
+						tr_Lock(track);
+						tr_GetTRM(track, trm, sizeof(trm));
+						if (trm[0] == '\0') {
+							tr_SetStatus(track, ePending);
+							tp_Wake(m_tp, track);
+						}
+						tr_Unlock(track);
+						tp_ReleaseTrack(m_tp, track);
+					}
+				}
+#else
+				TPFileStatus statusCode = eLastStatus;
 				track_t track = tp_GetTrack(m_tp, id);
 				if (track) {
 					tr_Lock(track);
-					TPFileStatus statusCode = tr_GetStatus(track);
+					statusCode = tr_GetStatus(track);
 					tr_Unlock(track);
 					tp_ReleaseTrack(m_tp, track);
+				}
+#endif
+				if (statusCode != eLastStatus) {
 					const char* statusText = getFileStatusText(statusCode);
 					emit statusChanged(index, i18n(statusText));
 					if (statusCode == eRecognized) {
@@ -211,7 +252,11 @@
 			 it = m_trackDataVector.begin();
 			 it != m_trackDataVector.end();
 			 ++it) {
+#if HAVE_TUNEPIMP >= 4
+		m_ids[i++] = tp_AddFile(m_tp, QFile::encodeName((*it).getAbsFilename()), 0);
+#else
 		m_ids[i++] = tp_AddFile(m_tp, QFile::encodeName((*it).getAbsFilename()));
+#endif
 	}
 }
 
@@ -290,10 +335,16 @@
 					albumtrackresult_t* res = *albumTrackResults++;
 					ImportTrackData trackData;
 					trackData.title = QString::fromUtf8(res->name);
+#if HAVE_TUNEPIMP >= 4
+					trackData.artist = QString::fromUtf8(res->artist.name);
+					trackData.album = QString::fromUtf8(res->album.name);
+					trackData.year = res->album.releaseYear;
+#else
 					trackData.artist = QString::fromUtf8(res->artist->name);
 					trackData.album = QString::fromUtf8(res->album->name);
+					trackData.year = res->album->releaseYear;
+#endif
 					trackData.track = res->trackNum;
-					trackData.year = res->album->releaseYear;
 					// year does not seem to work, so at least we should not
 					// overwrite it with 0
 					if (trackData.year == 0) {

=== modified file 'kid3/musicbrainzclient.h'
--- kid3/musicbrainzclient.h	2005-11-24 12:16:38 +0000
+++ kid3/musicbrainzclient.h	2006-07-14 12:25:16 +0000
@@ -12,7 +12,6 @@
 
 #include "config.h"
 
-#include "importtrackdata.h"
 #include <qobject.h>
 
 #ifdef HAVE_TUNEPIMP
@@ -20,6 +19,8 @@
 #endif // HAVE_TUNEPIMP
 
 class MusicBrainzConfig;
+class ImportTrackData;
+class ImportTrackDataVector;
 
 /**
  * MusicBrainz client.

=== modified file 'kid3/musicbrainzdialog.cpp'
--- kid3/musicbrainzdialog.cpp	2005-11-24 12:16:38 +0000
+++ kid3/musicbrainzdialog.cpp	2006-07-14 12:25:16 +0000
@@ -83,14 +83,9 @@
 		connect(m_proxyLineEdit, SIGNAL(returnPressed()),
 						this, SLOT(setClientConfig()));
 	}
-#if QT_VERSION >= 300
-	unsigned numRows = m_trackDataVector.size();
-	m_trackResults.resize(numRows);
-#else
-	unsigned numRows = m_trackDataVector.count();
-#endif
-	m_albumTable = new QTable(numRows, 2, this);
+	m_albumTable = new QTable(this, "albumTable");
 	if (m_albumTable) {
+		m_albumTable->setNumCols(2);
 #if QT_VERSION >= 300
 		m_albumTable->setColumnReadOnly(1, true);
 		m_albumTable->setFocusStyle(QTable::FollowStyle);
@@ -104,16 +99,7 @@
 		m_albumTable->adjustColumn(1);
 		hHeader->setLabel(0, i18n("Track Title/Artist - Album"));
 		hHeader->setLabel(1, i18n("State"));
-		for (unsigned i = 0; i < numRows; ++i) {
-#if QT_VERSION >= 300
-			QComboTableItem* cti = new QComboTableItem(
-				m_albumTable, QStringList(i18n("No result")));
-			m_albumTable->setItem(i, 0, cti);
-			m_albumTable->setText(i, 1, i18n("Unknown"));
-#else
-			m_albumTable->setText(i, 0, i18n("Unknown"));
-#endif
-		}
+		initTable();
 		vlayout->addWidget(m_albumTable);
 	}
 
@@ -148,6 +134,31 @@
 }
 
 /**
+ * Initialize the table.
+ * Has to be called before reusing the dialog with new track data.
+ */
+void MusicBrainzDialog::initTable()
+{
+#if QT_VERSION >= 300
+	unsigned numRows = m_trackDataVector.size();
+#else
+	unsigned numRows = m_trackDataVector.count();
+#endif
+	m_trackResults.resize(numRows);
+	m_albumTable->setNumRows(numRows);
+	for (unsigned i = 0; i < numRows; ++i) {
+#if QT_VERSION >= 300
+		QComboTableItem* cti = new QComboTableItem(
+			m_albumTable, QStringList(i18n("No result")));
+		m_albumTable->setItem(i, 0, cti);
+		m_albumTable->setText(i, 1, i18n("Unknown"));
+#else
+		m_albumTable->setText(i, 0, i18n("Unknown"));
+#endif
+	}
+}
+
+/**
  * Clear all results.
  */
 void MusicBrainzDialog::clearResults()

=== modified file 'kid3/musicbrainzdialog.h'
--- kid3/musicbrainzdialog.h	2005-11-24 12:16:38 +0000
+++ kid3/musicbrainzdialog.h	2006-07-14 12:25:16 +0000
@@ -53,6 +53,12 @@
 
 #ifdef HAVE_TUNEPIMP
 	/**
+	 * Initialize the table.
+	 * Has to be called before reusing the dialog with new track data.
+	 */
+	void initTable();
+
+	/**
 	 * Get string with server and port.
 	 *
 	 * @return "servername:port".

=== added file 'kid3/numbertracksdialog.cpp'
--- kid3/numbertracksdialog.cpp	1970-01-01 00:00:00 +0000
+++ kid3/numbertracksdialog.cpp	2006-07-14 12:25:16 +0000
@@ -0,0 +1,107 @@
+/**
+ * \file numbertracksdialog.cpp
+ * Number tracks dialog.
+ *
+ * \b Project: Kid3
+ * \author Urs Fleisch
+ * \date 25 May 2006
+ */
+
+#include "numbertracksdialog.h"
+#include "config.h"
+#ifdef CONFIG_USE_KDE
+#include <klocale.h>
+#include <kconfig.h>
+#else
+#define i18n(s) tr(s)
+#define I18N_NOOP(s) QT_TR_NOOP(s)
+#endif
+
+#include <qlayout.h>
+#include <qpushbutton.h>
+#include <qlabel.h>
+#include <qspinbox.h>
+#include <qstring.h>
+#include <qcombobox.h>
+
+/**
+ * Constructor.
+ *
+ * @param parent parent widget
+ */
+NumberTracksDialog::NumberTracksDialog(QWidget* parent) :
+	QDialog(parent, "numbertracks", true)
+{
+	setCaption(i18n("Number Tracks"));
+
+	QVBoxLayout* vlayout = new QVBoxLayout(this, 6, 6, "vlayout");
+	if (vlayout) {
+		QHBoxLayout* trackLayout = new QHBoxLayout(vlayout, 6, "trackLayout");
+		if (trackLayout) {
+			QLabel* trackLabel = new QLabel(i18n("&Start number:"), this, "trackLabel");
+			m_trackSpinBox = new QSpinBox(0, 999, 1, this, "trackSpinBox");
+			if (trackLabel && m_trackSpinBox) {
+				m_trackSpinBox->setValue(1);
+				trackLayout->addWidget(trackLabel);
+				trackLayout->addWidget(m_trackSpinBox);
+				trackLabel->setBuddy(m_trackSpinBox);
+			}
+			QSpacerItem* trackSpacer = new QSpacerItem(16, 0, QSizePolicy::Expanding,
+																								 QSizePolicy::Minimum);
+			trackLayout->addItem(trackSpacer);
+
+			QLabel* destLabel = new QLabel(i18n("&Destination:"), this, "destLabel");
+			m_destComboBox = new QComboBox(false, this, "destComboBox");
+			if (destLabel && m_destComboBox) {
+				m_destComboBox->insertItem("ID3v1", DestV1);
+				m_destComboBox->insertItem("ID3v2", DestV2);
+				trackLayout->addWidget(destLabel);
+				trackLayout->addWidget(m_destComboBox);
+				destLabel->setBuddy(m_destComboBox);
+			}
+		}
+
+		QHBoxLayout* hlayout = new QHBoxLayout(vlayout, 6, "hlayout");
+		if (hlayout) {
+			QSpacerItem* hspacer = new QSpacerItem(16, 0, QSizePolicy::Expanding,
+																						 QSizePolicy::Minimum);
+			hlayout->addItem(hspacer);
+
+			QPushButton* okButton = new QPushButton(i18n("&OK"), this);
+			if (okButton) {
+				hlayout->addWidget(okButton);
+				connect(okButton, SIGNAL(clicked()), this, SLOT(accept()));
+			}
+			QPushButton* cancelButton = new QPushButton(i18n("&Cancel"), this);
+			if (cancelButton) {
+				hlayout->addWidget(cancelButton);
+				connect(cancelButton, SIGNAL(clicked()), this, SLOT(reject()));
+			}
+		}
+	}
+}
+
+/**
+ * Destructor.
+ */
+NumberTracksDialog::~NumberTracksDialog()
+{}
+
+/**
+ * Get start number.
+ */
+int NumberTracksDialog::getStartNumber() const
+{
+	return m_trackSpinBox->value();
+}
+
+/**
+ * Get destination.
+ *
+ * @return true if ID3v1 is destination,
+ *         false if ID3v2.
+ */
+bool NumberTracksDialog::getDestV1() const
+{
+	return (m_destComboBox->currentItem() == DestV1);
+}

=== added file 'kid3/numbertracksdialog.h'
--- kid3/numbertracksdialog.h	1970-01-01 00:00:00 +0000
+++ kid3/numbertracksdialog.h	2006-07-14 12:25:16 +0000
@@ -0,0 +1,58 @@
+/**
+ * \file numbertracksdialog.h
+ * Number tracks dialog.
+ *
+ * \b Project: Kid3
+ * \author Urs Fleisch
+ * \date 25 May 2006
+ */
+
+#ifndef NUMBERTRACKSDIALOG_H
+#define NUMBERTRACKSDIALOG_H
+
+#include <qdialog.h>
+
+class QSpinBox;
+class QComboBox;
+
+/**
+ * Number tracks dialog.
+ */
+class NumberTracksDialog : public QDialog {
+public:
+	/**
+	 * Constructor.
+	 *
+	 * @param parent parent widget
+	 */
+	NumberTracksDialog(QWidget* parent);
+
+	/**
+	 * Destructor.
+	 */
+	~NumberTracksDialog();
+
+	/**
+	 * Get start number.
+	 */
+	int getStartNumber() const;
+
+	/**
+	 * Get destination.
+	 *
+	 * @return true if ID3v1 is destination,
+	 *         false if ID3v2.
+	 */
+	bool getDestV1() const;
+
+private:
+	/** Destinations */
+	enum Destination { DestV1, DestV2 };
+
+	/** spinbox with starting track number */
+	QSpinBox* m_trackSpinBox;
+	/** combobox with destination */
+	QComboBox* m_destComboBox;
+};
+
+#endif

=== modified file 'kid3/oggfile.cpp'
--- kid3/oggfile.cpp	2005-11-24 12:16:38 +0000
+++ kid3/oggfile.cpp	2006-07-14 12:25:16 +0000
@@ -208,6 +208,7 @@
 		if (new_filename == filename) {
 			QDir(dirname).remove(tempFilename);
 		} else {
+			QDir(dirname).remove(filename);
 			*renamed = true;
 		}
 	} else if (new_filename != filename) {
@@ -469,8 +470,9 @@
  */
 void OggFile::setGenreNumV2(int num)
 {
-	if (num >= 0) {
-		m_comments.setValue("GENRE", Genres::getName(num));
+	if (m_fileRead && num >= 0 &&
+			m_comments.setValue("GENRE", Genres::getName(num))) {
+		changedV2 = true;
 	}
 }
 

=== modified file 'kid3/oggframelist.cpp'
--- kid3/oggframelist.cpp	2005-11-24 12:16:38 +0000
+++ kid3/oggframelist.cpp	2006-07-14 12:25:16 +0000
@@ -160,6 +160,28 @@
 }
 
 /**
+ * Create dialog to edit a frame and update the fields
+ * if Ok is returned.
+ *
+ * @param frame frame to edit
+ *
+ * @return true if Ok selected in dialog.
+ */
+bool OggFrameList::editFrame(OggFile::CommentField& frame)
+{
+	EditOggFrameDialog *dialog =
+		new EditOggFrameDialog(NULL, frame.getName(), frame.getValue());
+	if (dialog && dialog->exec() == QDialog::Accepted) {
+		frame.setValue(dialog->getText());
+		if (m_file) {
+			m_file->changedV2 = true;
+		}
+		return true;
+	}
+	return false;
+}
+
+/**
  * Create dialog to edit the selected frame and update the fields
  * if Ok is returned.
  *
@@ -167,7 +189,6 @@
  */
 bool OggFrameList::editFrame()
 {
-	bool result = false;
 	int selectedIndex = listbox->currentItem();
 	if (selectedIndex != -1 && m_tags) {
 #if QT_VERSION >= 300
@@ -177,17 +198,9 @@
 #endif
 			it = m_tags->at(selectedIndex);
 
-		EditOggFrameDialog *dialog =
-			new EditOggFrameDialog(NULL, (*it).getName(), (*it).getValue());
-		if (dialog && dialog->exec() == QDialog::Accepted) {
-			(*it).setValue(dialog->getText());
-			if (m_file) {
-				m_file->changedV2 = true;
-			}
-			result = true;
-		}
+		return editFrame(*it);
 	}
-	return result;
+	return false;
 }
 
 /**
@@ -227,18 +240,23 @@
  * Add a new frame.
  *
  * @param frameId ID of frame to add, from selectFrameId()
+ * @param edit    true to edit frame after adding it
  * @return true if frame added.
  */
-bool OggFrameList::addFrame(int frameId)
+bool OggFrameList::addFrame(int frameId, bool edit)
 {
 	if (frameId != 0) {
 		return false;
 	}
 	if (m_tags) {
+		OggFile::CommentField frame(m_selectedName, "");
+		if (edit && !editFrame(frame)) {
+			return false;
+		}
 #if QT_VERSION >= 300
-		m_tags->push_back(OggFile::CommentField(m_selectedName, ""));
+		m_tags->push_back(frame);
 #else
-		m_tags->append(OggFile::CommentField(m_selectedName, ""));
+		m_tags->append(frame);
 #endif
 		readTags(); // refresh listbox
 		const int lastIndex = listbox->count() - 1;
@@ -329,4 +347,47 @@
 	return -1;
 }
 
+/**
+ * Copy the selected frame to the copy buffer.
+ *
+ * @return true if frame copied.
+ */
+bool OggFrameList::copyFrame() {
+	int selectedIndex = listbox->currentItem();
+	if (selectedIndex != -1 && m_tags) {
+#if QT_VERSION >= 300
+		OggFile::CommentList::iterator
+#else
+		OggFile::CommentList::Iterator
+#endif
+			it = m_tags->at(selectedIndex);
+		if (it != m_tags->end()) {
+			m_copyFrame = *it;
+		}
+		return true;
+	}
+	return false;
+}
+
+/**
+ * Paste the selected frame from the copy buffer.
+ *
+ * @return true if frame pasted.
+ */
+bool OggFrameList::pasteFrame() {
+	if (!(m_copyFrame.getName().isEmpty() && m_copyFrame.getValue().isEmpty()) &&
+			m_tags) {
+#if QT_VERSION >= 300
+		m_tags->push_back(m_copyFrame);
+#else
+		m_tags->append(m_copyFrame);
+#endif
+		if (m_file) {
+			m_file->changedV2 = true;
+		}
+		return true;
+	}
+	return false;
+}
+
 #endif // HAVE_VORBIS || defined HAVE_FLAC

=== modified file 'kid3/oggframelist.h'
--- kid3/oggframelist.h	2005-11-24 12:16:38 +0000
+++ kid3/oggframelist.h	2006-07-14 12:25:16 +0000
@@ -59,9 +59,24 @@
 	 * Add a new frame.
 	 *
 	 * @param frameId ID of frame to add, from selectFrameId()
+	 * @param edit    true to edit frame after adding it
 	 * @return true if frame added.
 	 */
-	virtual bool addFrame(int frameId);
+	virtual bool addFrame(int frameId, bool edit = false);
+
+	/**
+	 * Copy the selected frame to the copy buffer.
+	 *
+	 * @return true if frame copied.
+	 */
+	virtual bool copyFrame();
+
+	/**
+	 * Paste the selected frame from the copy buffer.
+	 *
+	 * @return true if frame pasted.
+	 */
+	virtual bool pasteFrame();
 
 	/**
 	 * Display a dialog to select a frame type.
@@ -79,8 +94,19 @@
 	 */
 	void readTags();
 
+	/**
+	 * Create dialog to edit a frame and update the fields
+	 * if Ok is returned.
+	 *
+	 * @param frame frame to edit
+	 *
+	 * @return true if Ok selected in dialog.
+	 */
+	bool editFrame(OggFile::CommentField& frame);
+
 	OggFile::CommentList* m_tags;
 	QString m_selectedName;
+	OggFile::CommentField m_copyFrame;
 };
 
 #endif // HAVE_VORBIS

=== modified file 'kid3/standardtags.cpp'
--- kid3/standardtags.cpp	2005-11-24 12:16:38 +0000
+++ kid3/standardtags.cpp	2006-07-14 12:25:16 +0000
@@ -40,7 +40,7 @@
 	if (track != st.track) {
 		track = -1;
 	}
-	if (genre != st.genre) {
+	if (genre != st.genre || genreStr != st.genreStr) {
 		genre = -1;
 	}
 }
@@ -56,6 +56,7 @@
 	album = QString::null;
 	comment = QString::null;
 	year = track = genre = -1;
+	genreStr = QString::null;
 }
 
 /**
@@ -71,8 +72,10 @@
 	if (comment != QString::null) dest.comment = comment;
 	if (year != -1) dest.year = year;
 	if (track != -1) dest.track = track;
-	if (genre != -1) dest.genre = genre;
-
+	if (genre != -1) {
+		dest.genre = genre;
+		dest.genreStr = genreStr;
+	}
 }
 
 /**
@@ -88,6 +91,7 @@
 	year = 0;
 	track = 0;
 	genre = 0xff;
+	genreStr = "";
 }
 
 /**

=== modified file 'kid3/standardtags.h'
--- kid3/standardtags.h	2005-11-24 12:16:38 +0000
+++ kid3/standardtags.h	2006-07-14 12:25:16 +0000
@@ -53,6 +53,9 @@
 	int track;
 	/** Genre, empty if 0xff, inactive if -1 */
 	int genre;
+	/** Genre without number, inactive if QString::null or genre != 0xff,
+			empty if "" */
+	QString genreStr;
 };
 
 /**

=== modified file 'kid3/taggedfile.cpp'
--- kid3/taggedfile.cpp	2005-11-24 12:16:38 +0000
+++ kid3/taggedfile.cpp	2006-07-14 12:25:16 +0000
@@ -458,6 +458,7 @@
 	st->year = getYearV1();
 	st->track = getTrackNumV1();
 	st->genre = getGenreNumV1();
+	st->genreStr = QString::null;
 }
 
 /**
@@ -475,6 +476,7 @@
 	st->year = getYearV2();
 	st->track = getTrackNumV2();
 	st->genre = getGenreNumV2();
+	st->genreStr = st->genre == 0xff ? getGenreV2() : QString::null;
 }
 
 /**
@@ -542,8 +544,13 @@
 	if (flt.m_enableTrack && st->track != oldst.track) {
 		setTrackNumV2(st->track);
 	}
-	if (flt.m_enableGenre && st->genre != oldst.genre) {
-		setGenreNumV2(st->genre);
+	if (flt.m_enableGenre &&
+			(st->genre != oldst.genre || st->genreStr != oldst.genreStr)) {
+		if (st->genre != 0xff) {
+			setGenreNumV2(st->genre);
+		} else {
+			setGenreV2(st->genreStr);
+		}
 	}
 }
 

=== modified file 'kid3_de.html'
--- kid3_de.html	2005-11-24 12:16:38 +0000
+++ kid3_de.html	2006-07-14 12:25:16 +0000
@@ -1,26 +1,32 @@
-<html><head><meta http-equiv="Content-Type" content="text/html; charset=ISO-8859-1"><title>Das Kid3 Handbuch</title><meta name="generator" content="DocBook XSL Stylesheets V1.48"><meta name="keywords" content="KDE, kdemultimedia, MP3, ID3, ID3v1, ID3v2, Ogg, Vorbis, FLAC"></head><body bgcolor="white" text="black" link="#0000FF" vlink="#840084" alink="#0000FF"><div class="book"><div class="titlepage"><div><h1 class="title"><a name="id2385546"></a>Das Kid3 Handbuch</h1></div><div><h3 class="author">Urs Fleisch</h3><div class="affiliation"><div class="address"><p><tt>&lt;<a href="mailto:ufleisch at users.sourceforge.net">ufleisch at users.sourceforge.net</a>&gt;</tt></p></div></div></div><div><p class="releaseinfo">0.6</p></div><div><p class="copyright">Copyright  2005 Urs Fleisch</p></div><div><div class="legalnotice"><p>Es ist erlaubt, dieses Dokument zu kopieren, zu vertreiben 
+<html><head><meta http-equiv="Content-Type" content="text/html; charset=ISO-8859-1"><title>Das Kid3 Handbuch</title><meta name="generator" content="DocBook XSL Stylesheets V1.67.2"><meta name="description" content="
+Kid3 ist eine Anwendung zum effizienten Editieren von ID3v1 und ID3v2 Tags
+in MP3 Dateien. Auch die Tags in Ogg/Vorbis und FLAC Dateien werden
+untersttzt. Es ist einfach, Tags in mehreren Dateien auf die gleichen Werte
+zu setzen (z.B. Album, Interpret, Jahr und Stil in allen Dateien eines Albums),
+Tags aus den Dateinamen zu generieren oder umgekehrt.
+"><meta name="keywords" content="KDE, kdemultimedia, MP3, ID3, ID3v1, ID3v2, Ogg, Vorbis, FLAC"></head><body bgcolor="white" text="black" link="#0000FF" vlink="#840084" alink="#0000FF"><div class="book" lang="de"><div class="titlepage"><div><div><h1 class="title"><a name="id2452574"></a>Das Kid3 Handbuch</h1></div><div><div class="authorgroup"><div class="author"><h3 class="author"><span class="firstname">Urs</span> <span class="surname">Fleisch</span></h3><div class="affiliation"><div class="address"><p><code class="email">&lt;<a href="mailto:ufleisch at users.sourceforge.net">ufleisch at users.sourceforge.net</a>&gt;</code></p></div></div></div></div></div><div><p class="releaseinfo">0.7</p></div><div><p class="copyright">Copyright  2006 Urs Fleisch</p></div><div><div class="legalnotice"><a name="id2458468"></a><p>Es ist erlaubt, dieses Dokument zu kopieren, zu vertreiben 
 und/oder zu ndern gem den Bedingungen der 
 GNU Free Documentation Licence, Version 1.1 oder irgend einer 
 spteren Version, wie sie von der Free Software Foundation 
 verffentlicht wurde; ohne die invarianten Abschnitte, ohne Texte auf der vorderen Umschlagseite, 
-und ohne Texte auf der hinteren Umschlagseite. Eine Kopie der Lizenz findet sich im <a href="#gnu-fdl">Abschnitt "GNU Free Documentation License"</a>.</p></div></div><div><div class="abstract"><p><b>Zusammenfassung</b></p><p>
-Kid3 ist eine Anwendung zum effizienten Editieren von ID3v1 und ID3v2 Tags
+und ohne Texte auf der hinteren Umschlagseite. Eine Kopie der Lizenz findet sich im <a href="#gnu-fdl">Abschnitt "GNU Free Documentation License"</a>.</p></div></div><div><div class="abstract"><p class="title"><b>Zusammenfassung</b></p><p>
+<span class="application">Kid3</span> ist eine Anwendung zum effizienten Editieren von ID3v1 und ID3v2 Tags
 in MP3 Dateien. Auch die Tags in Ogg/Vorbis und FLAC Dateien werden
 untersttzt. Es ist einfach, Tags in mehreren Dateien auf die gleichen Werte
 zu setzen (z.B. Album, Interpret, Jahr und Stil in allen Dateien eines Albums),
 Tags aus den Dateinamen zu generieren oder umgekehrt.
-</p></div></div><hr></div><div class="toc"><p><b>Inhaltsverzeichnis</b></p><dl><dt>1. <a href="#introduction">Einleitung</a></dt><dt>2. <a href="#using-kid3">Benutzen von Kid3</a></dt><dd><dl><dt><a href="#kid3-features">Funktionsmerkmale von Kid3</a></dt><dt><a href="#example-usage">Arbeiten anhand eines Beispiels</a></dt></dl></dd><dt>3. <a href="#commands">Meneintrge</a></dt><dd><dl><dt><a href="#kid3-window">Das Kid3 Fenster</a></dt><dd><dl><dt><a href="#id2448077">Die Elemente der Benutzeroberflche</a></dt><dt><a href="#id2387384">Das Men Datei</a></dt><dt><a href="#id2447589">Das Men Extras</a></dt><dt><a href="#id2447766">Das Men Einstellungen</a></dt><dt><a href="#id2448823">Das Men Hilfe</a></dt></dl></dd></dl></dd><dt>4. <a href="#credits">Danksagungen und Lizenz</a></dt><dt>A. <a href="#installation">Installation</a></dt><dd><dl><dt><a href="#getting-kid3">Bezugsquellen</a></dt><dt><a href="#requirements">Anforderungen</a></dt><dt><a href="#compilation">Kompilieren und Installation</a></dt><dt><a href="#configuration">Konfiguration</a></dt></dl></dd></dl></div><div class="chapter"><div class="titlepage"><div><h2 class="title"><a name="introduction"></a>Kapitel 1. Einleitung</h2></div></div><p>
-Kid3 ist eine Anwendung zum effizienten Editieren von ID3v1 und ID3v2 Tags
+</p></div></div></div><hr></div><div class="toc"><p><b>Inhaltsverzeichnis</b></p><dl><dt><span class="chapter"><a href="#introduction">1. Einleitung</a></span></dt><dt><span class="chapter"><a href="#using-kid3">2. Benutzen von Kid3</a></span></dt><dd><dl><dt><span class="sect1"><a href="#kid3-features">Funktionsmerkmale von Kid3</a></span></dt><dt><span class="sect1"><a href="#example-usage">Arbeiten anhand eines Beispiels</a></span></dt></dl></dd><dt><span class="chapter"><a href="#commands">3. Meneintrge</a></span></dt><dd><dl><dt><span class="sect1"><a href="#kid3-window">Das Kid3 Fenster</a></span></dt><dd><dl><dt><span class="sect2"><a href="#id2500706">Die Elemente der Benutzeroberflche</a></span></dt><dt><span class="sect2"><a href="#id2453242">Das Men Datei</a></span></dt><dt><span class="sect2"><a href="#id2501404">Das Men Extras</a></span></dt><dt><span class="sect2"><a href="#id2501665">Das Men Einstellungen</a></span></dt><dt><span class="sect2"><a href="#id2501998">Das Men Hilfe</a></span></dt></dl></dd></dl></dd><dt><span class="chapter"><a href="#credits">4. Danksagungen und Lizenz</a></span></dt><dt><span class="appendix"><a href="#installation">A. Installation</a></span></dt><dd><dl><dt><span class="sect1"><a href="#getting-kid3">Bezugsquellen</a></span></dt><dt><span class="sect1"><a href="#requirements">Anforderungen</a></span></dt><dt><span class="sect1"><a href="#compilation">Kompilieren und Installation</a></span></dt><dt><span class="sect1"><a href="#configuration">Konfiguration</a></span></dt></dl></dd></dl></div><div class="chapter" lang="de"><div class="titlepage"><div><div><h2 class="title"><a name="introduction"></a>Kapitel 1. Einleitung</h2></div></div></div><p>
+<span class="application">Kid3</span> ist eine Anwendung zum effizienten Editieren von ID3v1 und ID3v2 Tags
 in MP3 Dateien. Diese Tags knnen zwar mit den meisten MP3 Player
 Programmen editiert werden, jedoch nicht auf eine sehr komfortable und
 effiziente Art. Darber hinaus werden auch die Tags in Ogg/Vorbis und FLAC
 Dateien untersttzt.
 </p><p>
-Kid3 kann weder MP3 grabben noch codieren oder abspielen, es ist darauf
+<span class="application">Kid3</span> kann weder MP3 grabben noch codieren oder abspielen, es ist darauf
 ausgelegt, die ID3 Tags von allen Dateien eines Albums auf eine mglichst
 effiziente Art zu editieren, d.h. mit so wenig Mausklicks und Tastendrcken
 wie mglich. Whrend die meisten anderen Programme entweder ID3v1 oder
-ID3v2 Tags editieren knnen, hat Kid3 volle Kontrolle ber die Tags
+ID3v2 Tags editieren knnen, hat <span class="application">Kid3</span> volle Kontrolle ber die Tags
 beider Versionen, es kann zwischen den beiden Formaten konvertieren und hat
 Zugang zu allen ID3v2 Frames. Tags mehrerer Dateien knnen gleichzeitig
 auf dieselben Werte gesetzt werden, so beispielsweise Interpret, Album,
@@ -41,55 +47,57 @@
 </p><p>
 Probleme und Vorschlge fr neue Funktionen knnen dem Autor gemeldet
 werden.
-</p></div><div class="chapter"><div class="titlepage"><div><h2 class="title"><a name="using-kid3"></a>Kapitel 2. Benutzen von Kid3</h2></div></div><div class="sect1"><div class="titlepage"><div><h2 class="title" style="clear: both"><a name="kid3-features"></a>Funktionsmerkmale von Kid3</h2></div></div><div class="itemizedlist"><ul type="disc"><li><p>Editieren von ID3v1.1 Tags</p></li><li><p>Editieren von allen ID3v2.3 Frames</p></li><li><p>Editieren der Tags von mehreren Dateien</p></li><li><p>Konvertieren zwischen ID3v1.1 und ID3v2.3 Tags</p></li><li><p>Editieren von Ogg/Vorbis Tags</p></li><li><p>Editieren von FLAC Tags</p></li><li><p>Generieren der Tags aus dem Dateinamen</p></li><li><p>Generieren des Dateinamens aus den Tags</p></li><li><p>Generieren und ndern des Verzeichnisnamens aus den Tags</p></li><li><p>Generieren von Stcklisten</p></li><li><p>Automatische Gro-/Kleinschreibung und Zeichenersetzung</p></li><li><p>Import von <a href="http://freedb.org" target="_top">freedb.org</a>,
+</p></div><div class="chapter" lang="de"><div class="titlepage"><div><div><h2 class="title"><a name="using-kid3"></a>Kapitel 2. Benutzen von Kid3</h2></div></div></div><div class="toc"><p><b>Inhaltsverzeichnis</b></p><dl><dt><span class="sect1"><a href="#kid3-features">Funktionsmerkmale von Kid3</a></span></dt><dt><span class="sect1"><a href="#example-usage">Arbeiten anhand eines Beispiels</a></span></dt></dl></div><div class="sect1" lang="de"><div class="titlepage"><div><div><h2 class="title" style="clear: both"><a name="kid3-features"></a>Funktionsmerkmale von Kid3</h2></div></div></div><div class="itemizedlist"><ul type="disc"><li><p>Editieren von ID3v1.1 Tags</p></li><li><p>Editieren von allen ID3v2.3 Frames</p></li><li><p>Editieren der Tags von mehreren Dateien</p></li><li><p>Konvertieren zwischen ID3v1.1 und ID3v2.3 Tags</p></li><li><p>Editieren von Ogg/Vorbis Tags</p></li><li><p>Editieren von FLAC Tags</p></li><li><p>Generieren der Tags aus dem Dateinamen</p></li><li><p>Generieren des Dateinamens aus den Tags</p></li><li><p>Generieren und ndern des Verzeichnisnamens aus den Tags</p></li><li><p>Generieren von Stcklisten</p></li><li><p>Automatische Gro-/Kleinschreibung und Zeichenersetzung</p></li><li><p>Import von <a href="http://freedb.org" target="_top">freedb.org</a>,
 <a href="http://musicbrainz.org" target="_top">MusicBrainz</a>
-und anderen Quellen</p></li></ul></div></div><div class="sect1"><div class="titlepage"><div><h2 class="title" style="clear: both"><a name="example-usage"></a>Arbeiten anhand eines Beispiels</h2></div></div><p>
-Dieser Abschnitt beschreibt eine typische Sitzung mit Kid3. Nehmen wir an,
+und anderen Quellen</p></li><li><p>Export als CSV, HTML, Stckliste, Kover XML oder in
+anderen Formaten. Exportierte CSV-Dateien knnen wieder importiert
+werden.</p></li></ul></div></div><div class="sect1" lang="de"><div class="titlepage"><div><div><h2 class="title" style="clear: both"><a name="example-usage"></a>Arbeiten anhand eines Beispiels</h2></div></div></div><p>
+Dieser Abschnitt beschreibt eine typische Sitzung mit <span class="application">Kid3</span>. Nehmen wir an,
 wir haben ein Verzeichnis mit MP3 Dateien der Stcke aus dem Album "Let's Tag"
 von der Gruppe "One Hit Wonder". Das Verzeichnis ist im "Interpret - Album"
-Format benannt, in unserem Fall also <tt>One Hit Wonder - Let's
-Tag</tt>. Das Verzeichnis enthlt die Stcke im "Nummer Titel.mp3"
+Format benannt, in unserem Fall also <code class="filename">One Hit Wonder - Let's
+Tag</code>. Das Verzeichnis enthlt die Stcke im "Nummer Titel.mp3"
 Format, was auch Sinn macht, weil die Dateinamen kurz werden (wichtig bei
 den kleinen Anzeigen mobiler MP3 Player) und alphabetisch in der richtigen
 Reihenfolge geordnet werden (wichtig falls ein Hardware MP3 Player die
 Stcke in alphabetischer Reihenfolge abspielt oder in der Reihenfolge, wie
-sie auf CD gebrannt wurde - diese Reihenfolge ist bei <b>mkisofs</b>
+sie auf CD gebrannt wurde - diese Reihenfolge ist bei <span><strong class="command">mkisofs</strong></span>
 alphabetisch). Darber hinaus sind Interpret und Album bereits im
 Verzeichnisnamen enthalten und brauchen nicht im Dateinamen wiederholt zu
 werden. Doch zurck zu unserem Beispiel - das Verzeichnis sieht
 folgendermaen aus:
-</p><p><tt>01 Intro.mp3</tt></p><p><tt>02 We Only Got This One.mp3</tt></p><p><tt>03 Outro.mp3</tt></p><p>
-Diese Dateien haben noch keine Tags, wir werden diese mit Kid3 erzeugen.
-Wir benutzen ffnen (Datei Men
+</p><p><code class="filename">01 Intro.mp3</code></p><p><code class="filename">02 We Only Got This One.mp3</code></p><p><code class="filename">03 Outro.mp3</code></p><p>
+Diese Dateien haben noch keine Tags, wir werden diese mit <span class="application">Kid3</span> erzeugen.
+Wir benutzen <span class="guimenuitem">ffnen</span> (<span class="guimenu">Datei</span> Men
 oder Werzeugleiste) und whlen eine der Dateien in diesem Verzeichnis. Alle
 Dateien werden im Dateilistenfeld angezeigt. Aus Bequemlichkeit wollen
 wir die Tags aus den Dateinamen erzeugen. Daher whlen wir alle Dateien im
-Listenfeld aus und klicken auf Von  Dateiname in der
-ID3v1.1 Sektion. Dadurch werden Titel, Interpret,
+Listenfeld aus und klicken auf <span class="guibutton">Von  Dateiname</span> in der
+<span class="guilabel">ID3v1.1</span> Sektion. Dadurch werden Titel, Interpret,
 Album und Nummer in allen Dateien gesetzt. Um die Werte fr Jahr und Stil
 in allen Dateien zu setzen, lassen wir alle Dateien selektiert und tippen
-"2002" in das Feld Jahr und whlen "Pop" im
-Stil Auswahlfeld. Um einzig diese zwei Werte zu
+"2002" in das Feld <span class="guilabel">Jahr</span> und whlen "Pop" im
+<span class="guilabel">Stil</span> Auswahlfeld. Um einzig diese zwei Werte zu
 verndern, werden ihre Markierungsfelder aktiviert, und alle anderen Markierungsfelder
 bleiben leer. Wird nun durch Klick auf die erste Datei die Auswahl
 verndert, so sieht man, dass die Tags fr die erste Datei die korrekten
 Werte enthalten. Die Tags der anderen Dateien knnen auch berprft werden,
 indem eine nach der andern selektiert wird. Wenn wir mit den Tags
-zufrieden sind, knnen die nderungen mit Speichern
-(Datei Men oder Werkzeugleiste) bernommen werden. Whlen von
-Stckliste erstellen im Datei
-Men erzeugt die Datei <tt>One Hit Wonder - Let's Tag.m3u</tt>
+zufrieden sind, knnen die nderungen mit <span class="guimenuitem">Speichern</span>
+(<span class="guimenu">Datei</span> Men oder Werkzeugleiste) bernommen werden. Whlen von
+<span class="guimenuitem">Stckliste erstellen</span> im <span class="guimenu">Datei</span>
+Men erzeugt die Datei <code class="filename">One Hit Wonder - Let's Tag.m3u</code>
 im Verzeichnis.
-</p></div></div><div class="chapter"><div class="titlepage"><div><h2 class="title"><a name="commands"></a>Kapitel 3. Meneintrge</h2></div></div><div class="sect1"><div class="titlepage"><div><h2 class="title" style="clear: both"><a name="kid3-window"></a>Das Kid3 Fenster</h2></div></div><div class="sect2"><div class="titlepage"><div><h3 class="title"><a name="id2448077"></a>Die Elemente der Benutzeroberflche</h3></div></div><p>
-Die Kid3 Benutzeroberflche ist in fnf Sektionen aufgeteilt: Links finden sich das
+</p></div></div><div class="chapter" lang="de"><div class="titlepage"><div><div><h2 class="title"><a name="commands"></a>Kapitel 3. Meneintrge</h2></div></div></div><div class="toc"><p><b>Inhaltsverzeichnis</b></p><dl><dt><span class="sect1"><a href="#kid3-window">Das Kid3 Fenster</a></span></dt><dd><dl><dt><span class="sect2"><a href="#id2500706">Die Elemente der Benutzeroberflche</a></span></dt><dt><span class="sect2"><a href="#id2453242">Das Men Datei</a></span></dt><dt><span class="sect2"><a href="#id2501404">Das Men Extras</a></span></dt><dt><span class="sect2"><a href="#id2501665">Das Men Einstellungen</a></span></dt><dt><span class="sect2"><a href="#id2501998">Das Men Hilfe</a></span></dt></dl></dd></dl></div><div class="sect1" lang="de"><div class="titlepage"><div><div><h2 class="title" style="clear: both"><a name="kid3-window"></a>Das Kid3 Fenster</h2></div></div></div><div class="sect2" lang="de"><div class="titlepage"><div><div><h3 class="title"><a name="id2500706"></a>Die Elemente der Benutzeroberflche</h3></div></div></div><p>
+Die <span class="application">Kid3</span> Benutzeroberflche ist in fnf Sektionen aufgeteilt: Links finden sich das
 Dateilistenfeld und das Verzeichnislistenfeld, die rechte Seite enthlt
-die Dateiname, 
-ID3v1.1 und ID3v2.3
+die <span class="guilabel">Dateiname</span>, 
+<span class="guilabel">ID3v1.1</span> und <span class="guilabel">ID3v2.3</span>
 Sektionen.
 </p><div class="variablelist"><dl><dt><span class="term">Dateiliste</span></dt><dd><p>
 Die Dateiliste enthlt die Namen aller Dateien im geffneten Verzeichnis,
-welche den gewhlten Dateinamenfilter (typischerweise <tt>*.mp3
-*.ogg *.flac</tt>)
+welche den gewhlten Dateinamenfilter (typischerweise <code class="filename">*.mp3
+*.ogg *.flac</code>)
 erfllen. Eine einzelne oder mehrere Dateien knnen ausgewhlt werden. Um
 keine Datei auszuwhlen, kann in den leeren Bereich unterhalb der
 Dateieintrge geklickt werden. Die Auswahl bestimmt die Dateien, welche
@@ -101,17 +109,17 @@
 wurde die Datei noch nicht eingelesen).
 </p></dd><dt><span class="term">Verzeichnisliste</span></dt><dd><p>
 Die Verzeichnisliste enthlt die Verzeichnisse, welche das geffnete
-Verzeichnis enthlt, sowie das aktuelle (<tt>.</tt>) und das
-bergeordnete (<tt>..</tt>) Verzeichnis. Sie erlaubt den raschen
+Verzeichnis enthlt, sowie das aktuelle (<code class="filename">.</code>) und das
+bergeordnete (<code class="filename">..</code>) Verzeichnis. Sie erlaubt den raschen
 Wechsel zwischen Verzeichnissen, ohne den Umweg ber die
-ffnen... Funktion oder "Drag and Drop".
-</p></dd><dt><span class="term">Dateiname</span></dt><dd><p>
-Das Name Editierfeld enthlt den Dateiname wenn nur
+<span class="guimenuitem">ffnen...</span> Funktion oder "Drag and Drop".
+</p></dd><dt><span class="term"><span class="guilabel">Dateiname</span></span></dt><dd><p>
+Das <span class="guilabel">Name</span> Editierfeld enthlt den Dateiname wenn nur
 eine einzelne Datei ausgewhlt ist. Wird dieses Feld verndert, so wird
-die Datei umbenannt, wenn Speichern ausgefhrt
+die Datei umbenannt, wenn <span class="guimenuitem">Speichern</span> ausgefhrt
 wird.
 </p><p>
-Das Format Auswahl- und Editierfeld enthlt das Format,
+Das <span class="guilabel">Format</span> Auswahl- und Editierfeld enthlt das Format,
 welches verwendet wird, wenn der Dateiname aus den ID3v1.1 oder ID3v2.3
 Tags erzeugt wird. Der Dateiname kann beliebige Zeichen enthalten, es kann
 sogar ein Verzeichnisteil abgetrennt durch einen Schrgstrich angegeben
@@ -127,39 +135,39 @@
 ber das Auswahlfeld verfgbar, aber es ist auch mglich, ein eigenes Format
 in das Eingabefeld einzutragen.
 </p><p>
-Von ID3v1: Setzt den Dateinamen gem dem
+<span class="guibutton">Von ID3v1</span>: Setzt den Dateinamen gem dem
 ausgewhlten Format und den ID3v1.1 Tags.
 </p><p>
-Von ID3v2: Setzt den Dateinamen gem dem
+<span class="guibutton">Von ID3v2</span>: Setzt den Dateinamen gem dem
 ausgewhlten Format und den ID3v2.3 Tags.
 </p><p>
-Info: Zeigt Informationen ber Codierung (MP3,
+<span class="guibutton">Info</span>: Zeigt Informationen ber Codierung (MP3,
 Ogg, FLAC), Bit- und Samplerate, Kanle und die Lnge der Datei an.
-</p></dd><dt><span class="term">ID3v1.1</span></dt><dd><p>
-Die Eingabefelder fr Titel,
-Interpret,
-Album, Kommentar,
-Jahr, Nummer und
-Stil werden benutzt um die entsprechenden Werte in den
+</p></dd><dt><span class="term"><span class="guilabel">ID3v1.1</span></span></dt><dd><p>
+Die Eingabefelder fr <span class="guilabel">Titel</span>,
+<span class="guilabel">Interpret</span>,
+<span class="guilabel">Album</span>, <span class="guilabel">Kommentar</span>,
+<span class="guilabel">Jahr</span>, <span class="guilabel">Nummer</span> und
+<span class="guilabel">Stil</span> werden benutzt um die entsprechenden Werte in den
 ID3v1.1 Tags der ausgewhlten Dateien zu editieren. Die Werte werden
 verndert, wenn die Dateiauswahl gendert wird oder vor Operationen wie
-Speichern und
-Beenden und wenn die entsprechenden
+<span class="guimenuitem">Speichern</span> und
+<span class="guimenuitem">Beenden</span> und wenn die entsprechenden
 Markierungsfelder links aktiviert sind. Dies ist ntzlich, um nur bestimmte
 Werte zu verndern und die brigen Werte nicht anzurhren.
 </p><p>
 Wenn eine einzelne Datei ausgewhlt ist, werden alle Markierungsfelder
 aktiviert und die Eingabefelder enthalten die Werte aus den Tags in der
 Datei. Wenn ein Tag nicht vorhanden ist, werden die leeren Werte angezeigt,
-d.h. eine leere Zeichenkette fr die Felder Titel,
-Interpret, Album und
-Kommentar, 0 fr Jahr und
-Nummer und ein leerer Auswahleintrag bei
-Stil. Die Werte knnen editiert werden und werden
+d.h. eine leere Zeichenkette fr die Felder <span class="guilabel">Titel</span>,
+<span class="guilabel">Interpret</span>, <span class="guilabel">Album</span> und
+<span class="guilabel">Kommentar</span>, 0 fr <span class="guilabel">Jahr</span> und
+<span class="guilabel">Nummer</span> und ein leerer Auswahleintrag bei
+<span class="guilabel">Stil</span>. Die Werte knnen editiert werden und werden
 fr die ausgewhlte Datei beim ndern der Auswahl gesetzt, sofern das
 entsprechende Markierungsfeld aktiviert ist. Die Datei wird dann durch
 ein Disketten-Symbol als modifiziert gekennzeichnet, doch die eigentliche Datei
-bleibt unverndert, bis Speichern ausgefhrt
+bleibt unverndert, bis <span class="guimenuitem">Speichern</span> ausgefhrt
 wird.
 </p><p>
 Wenn mehrere Dateien ausgewhlt werden, dann werden nur diejenigen Werte
@@ -169,7 +177,7 @@
 zu verhindern. Soll ein Wert fr alle selektierten Dateien verndert
 werden, so kann er editiert werden, und das entsprechende Markierungsfeld
 wird gesetzt. Der Wert wird dann fr alle ausgewhlten Dateien verndert
-wenn die Auswahl gendert wird und kann mit Speichern
+wenn die Auswahl gendert wird und kann mit <span class="guimenuitem">Speichern</span>
 gesichert werden.
 </p><p>
 Die Markierungsfelder bestimmen auch, auf welche Felder die meisten anderen
@@ -179,78 +187,85 @@
 Markierungsfelder inaktiv sind, verhalten sich diese Befehle wenn alle
 Markierungsfelder inaktiv sind gleich als wren alle markiert. 
 </p><p>
-Von Dateiname: Die Tags werden anhand des
-Dateinamens gesetzt. Dabei wird zuerst das in Format
+<span class="guibutton">Von Dateiname</span>: Die Tags werden anhand des
+Dateinamens gesetzt. Dabei wird zuerst das in <span class="guilabel">Format</span>
 ausgewhlte Dateinamenformat probiert. Falls der vorhandene Dateinamen nicht
 diesem Format entspricht, werden noch folgende Formate versucht:
-<div class="itemizedlist"><ul type="disc"><li><p><tt>Interpret - Album/Nummer Titel</tt></p></li><li><p><tt>Album/Nummer - Interpret - Titel</tt></p></li><li><p><tt>/Interpret - Album - Nummer - Titel</tt></p></li><li><p><tt>Album/Interpret - Nummer - Titel</tt></p></li><li><p><tt>Album/Interpret - Titel</tt></p></li><li><p><tt>Artist/Album/Track Song</tt></p></li></ul></div>
+</p><div class="itemizedlist"><ul type="disc"><li><p><code class="filename">Interpret - Album/Nummer Titel</code></p></li><li><p><code class="filename">Album/Nummer - Interpret - Titel</code></p></li><li><p><code class="filename">/Interpret - Album - Nummer - Titel</code></p></li><li><p><code class="filename">Album/Interpret - Nummer - Titel</code></p></li><li><p><code class="filename">Album/Interpret - Titel</code></p></li><li><p><code class="filename">Artist/Album/Track Song</code></p></li></ul></div><p>
 Wenn eine einzelne Datei ausgewhlt wurde, werden die Eingabefelder mit den
 aus dem Dateinamen extrahierten Werten gefllt. Bei Mehrfachselektion
 werden die Werte direkt gem den Dateinamen gesetzt.
 </p><p>
-Von ID3v2: Die ID3v1.1 Tags werden auf die gleichen
+<span class="guibutton">Von ID3v2</span>: Die ID3v1.1 Tags werden auf die gleichen
 Werte gesetzt wie die entsprechenden ID3v2.3 Tags. Bei Mehrfachselektion
 werden die Tags der Dateien direkt gesetzt.
 </p><p>
-Kopieren: Die Kopierablage wird mit den ID3v1.1 Werten
+<span class="guibutton">Kopieren</span>: Die Kopierablage wird mit den ID3v1.1 Werten
 gefllt. Bei folgenden Einfge-Operationen werden nur solche Werte gesetzt,
 bei welchen hier das Markierungsfeld aktiviert war.
 </p><p>
-Einfgen: Fgt die Werte aus der Kopierablage in die
+<span class="guibutton">Einfgen</span>: Fgt die Werte aus der Kopierablage in die
 Eingabefelder ein.
 </p><p>
-Lschen: Diese Funktion setzt alle Editierfelder auf
+<span class="guibutton">Lschen</span>: Diese Funktion setzt alle Editierfelder auf
 die leeren Werte, entfernt also alle Werte. Die gespeicherte Datei enthlt
 dann keine ID3v1.1 Tags mehr.
-</p></dd><dt><span class="term">ID3v2.3</span></dt><dd><p>
-Die Eingabefelder funktionieren gleich wie bei ID3v1.1
+</p></dd><dt><span class="term"><span class="guilabel">ID3v2.3</span></span></dt><dd><p>
+Die Eingabefelder funktionieren gleich wie bei <span class="guilabel">ID3v1.1</span>
 beschrieben, die Lnge der Zeichenketten ist jedoch nicht begrenzt.
 </p><p>
-Elemente: Die ID3v2.3 Tags knnen nicht blo
+Beim <span class="guilabel">Stil</span> knnen nebst den vorgegebenen auch eigene Namen
+verwendet werden - eine Eingabe ins Editierfeld gengt. Soll solch ein eigener
+Stil knftig in der Liste erscheinen, so ist noch <span><strong class="keycap">Enter</strong></span> zu
+drcken.
+</p><p>
+<span class="guilabel">Elemente</span>: Die ID3v2.3 Tags knnen nicht blo
 dieselben Werte enthalten wie die ID3v1.1 Tags, das Format ist vielmehr auf
 flexible Art aus mehreren Elementen aufgebaut, welche wiederum aus
 verschiedenen Feldern bestehen. Das Elemente Listenfeld zeigt alle Elemente
 an, welche in der ausgewhlten Datei vorhanden sind.
 </p><p>
-Editieren: Ein Fenster wird geffnet, in welchem
+<span class="guibutton">Editieren</span>: Ein Fenster wird geffnet, in welchem
 alle Felder des gewhlten Elementes editiert werden knnen. Dies kann auch
 durch Doppelklick auf den Elementeintrag erreicht werden.</p><p>
-Hinzufgen: Ein Auswahlfenster mit allen
-untersttzten Elementtypen wird angezeigt und ein Element des gewhlten
-Typs wird zu der Datei hinzugefgt.
+<span class="guibutton">Hinzufgen</span>: Ein Auswahlfenster mit allen
+untersttzten Elementtypen wird angezeigt und  ein Element des gewhlten
+Typs kann editiert und zu der Datei hinzugefgt werden. Dies funktioniert
+auch, wenn mehrere Dateien ausgewhlt sind; das Element wird dann bei allen
+ausgewhlten Dateien hinzugefgt. 
 </p><p>
-Lschen: Lscht das ausgewhlte Element.
-</p></dd></dl></div></div><div class="sect2"><div class="titlepage"><div><h3 class="title"><a name="id2387384"></a>Das Men Datei</h3></div></div><p>
-<div class="variablelist"><dl><dt><span class="term">Datei-&gt;ffnen... (<b><b>Ctrl</b>-<b>O</b></b>)</span></dt><dd><p>Ein Verzeichnis wird geffnet, und alle Dateien,
+<span class="guibutton">Lschen</span>: Lscht das ausgewhlte Element.
+</p></dd></dl></div></div><div class="sect2" lang="de"><div class="titlepage"><div><div><h3 class="title"><a name="id2453242"></a>Das Men Datei</h3></div></div></div><p>
+</p><div class="variablelist"><dl><dt><span class="term"><span class="guimenu">Datei</span>-&gt;<span class="guimenuitem">ffnen...</span> (<span><strong class="shortcut"><span><strong class="keycap">Ctrl</strong></span>-<span><strong class="keycap">O</strong></span></strong></span>)</span></dt><dd><p><span class="action">Ein Verzeichnis wird geffnet</span>, und alle Dateien,
 welche den gewhlten Dateinamenfilter erfllen, werden im Dateilistenfeld
-angezeigt.</p></dd><dt><span class="term">Datei-&gt;Zuletzt geffnete Dateien</span></dt><dd><p>Ein krzlich geffnetes Verzeichnis wird geffnet.
-</p></dd><dt><span class="term">Datei-&gt;Speichern (<b><b>Ctrl</b>-<b>S</b></b>)</span></dt><dd><p>Speichert alle vernderten Dateien im Verzeichnis.
-Die vernderten Dateien sind durch einen Stern gekennzeichnet. Wenn
+angezeigt.</p></dd><dt><span class="term"><span class="guimenu">Datei</span>-&gt;<span class="guimenuitem">Zuletzt geffnete Dateien</span></span></dt><dd><p><span class="action">Ein krzlich geffnetes Verzeichnis wird geffnet.
+</span></p></dd><dt><span class="term"><span class="guimenu">Datei</span>-&gt;<span class="guimenuitem">Speichern</span> (<span><strong class="shortcut"><span><strong class="keycap">Ctrl</strong></span>-<span><strong class="keycap">S</strong></span></strong></span>)</span></dt><dd><p><span class="action">Speichert alle vernderten Dateien im Verzeichnis.</span>
+Die vernderten Dateien sind durch ein Diskettensymbol gekennzeichnet. Wenn
 Dateinamen verndert wurden, so werden die entsprechenden Dateien
-umbenannt.</p></dd><dt><span class="term">Datei-&gt;Zuletzt gespeicherte Fassung</span></dt><dd><p>Macht die nderungen an einer oder mehreren Dateien
-rckgngig. Wenn keine Dateien im Dateilistenfeld selektiert sind, so
+umbenannt.</p></dd><dt><span class="term"><span class="guimenu">Datei</span>-&gt;<span class="guimenuitem">Zuletzt gespeicherte Fassung</span></span></dt><dd><p><span class="action">Macht die nderungen an einer oder mehreren Dateien
+rckgngig.</span> Wenn keine Dateien im Dateilistenfeld selektiert sind, so
 werden die nderungen an allen Dateien rckgngig gemacht, ansonsten nur an
-den ausgewhlten Dateien.</p></dd><dt><span class="term">Datei-&gt;Importieren...</span></dt><dd><p>Der Import Dialog wird verwendet, um Daten
+den ausgewhlten Dateien.</p></dd><dt><span class="term"><span class="guimenu">Datei</span>-&gt;<span class="guimenuitem">Importieren...</span></span></dt><dd><p>Der <span class="action">Import Dialog</span> wird verwendet, um Daten
 direkt von einem freedb.org Server, von der Web-Schnittstelle von <a href="http://freedb.org" target="_top">freedb.org</a>, von einem MusicBrainz Server oder
 anderen Quellen mit Albumtitellisten zu importieren.
 </p><p>
-Zum Importieren von einem freedb.org Server wird Von
-freedb.org gewhlt. Die zu suchenden Begriffe (z.B. Interpret
+Zum Importieren von einem freedb.org Server wird <span class="guibutton">Von
+freedb.org</span> gewhlt. Die zu suchenden Begriffe (z.B. Interpret
 und Album) knnen eingegeben werden, und die gefundenen Alben werden nach
-Klick auf Suchen dargestellt, sobald sie von <a href="http://www.freedb.org" target="_top">www.freedb.org</a> empfangen werden. Wenn
+Klick auf <span class="guibutton">Suchen</span> dargestellt, sobald sie von <a href="http://www.freedb.org" target="_top">www.freedb.org</a> empfangen werden. Wenn
 mehrere Eintrge fr dasselbe Album vorhanden sind, wird fr
 den zweiten Eintrag 2, dann 3, usw. geschrieben. Die Track Daten eines Albums
 werden nach Auswahl geladen, der verwendete freedb.org Server kann
 gewhlt werden, ebenso der CGI Pfad und ein Proxy, falls ntig. Die
 importierten Daten werden in der Vorschau des Import Dialogfensters
 dargestellt. Um wieder in jenem Fenster zu arbeiten, muss der freedb.org
-Dialog beendet werden - spter kann er wieder mit Von
-freedb.org geffnet werden, und sein Inhalt wird
+Dialog beendet werden - spter kann er wieder mit <span class="guibutton">Von
+freedb.org</span> geffnet werden, und sein Inhalt wird
 wiederhergestellt. Wenn man mit den Daten in der Vorschau zufrieden ist,
-knnen sie mit OK importiert werden.
+knnen sie mit <span class="guibutton">OK</span> importiert werden.
 </p><p>
 Zum Importieren von einem MusicBrainz Server dient der Dialog, der nach
-Klicken auf Von MusicBrainz erscheint. Wie bei freedb
+Klicken auf <span class="guibutton">Von MusicBrainz</span> erscheint. Wie bei freedb
 knnen auch hier Server und Proxy ausgewhlt werden. Unten ist eine Tabelle,
 welche die importierten Track Daten darstellt. Die rechte Spalte zeigt dabei
 den Zustand der MusicBrainz-Abfrage, welche gleich mit dem ffnen des Dialogs
@@ -261,29 +276,39 @@
 in den Tags zu speichern. Wenn ein Resultat gefunden wurde, so endet die Suche
 im Zustand "Erkannt", andernfalls wurde nichts gefunden oder gleich mehrere
 mgliche Resultate, von den der Benutzer eines auswhlen kann.
-OK und Anwenden bernehmen die
-importierten Daten, Abbrechen schliet den
+<span class="guibutton">OK</span> und <span class="guibutton">Anwenden</span> bernehmen die
+importierten Daten, <span class="guibutton">Abbrechen</span> schliet den
 Dialog. Das Schlieen des Dialogs kann eine Weile dauern, da noch die ganze
 MusicBrainz-Maschinerie runtergefahren werden muss.
 </p><p>
 Zum Importieren von Albumdaten in Textform stehen mehrere vorkonfigurierte
-Formate zur Verfgung. Das erste, "freedb HTML
+Formate zur Verfgung. Die ersten zwei, "CSV unquoted" und "CSV quoted",
+dienen dazu, Daten welche ber die Export Funktion exportiert wurden, wieder
+zu importieren. Diese Daten knnen natrlich von einer Tabellenkalkulation
+bearbeitet werden. CSV-Daten aus einer Tabellenkalkulation mssen mit
+Tabulator als Trennzeichen geschrieben werden und sollten sich ber "CSV
+quoted" einlesen lassen. Dieses ist flexibler als "CSV unquoted", dafr drfen
+die enthaltenen Felder keine Anfhrungszeichen enthalten. Falls nur von <span class="application">Kid3</span>
+exportiert und wieder importiert wird, so sollte dies problemlos mit "CSV
+unquoted" mglich sein.
+</p><p>
+Das nchste Format, "freedb HTML
 text", kann benutzt werden, um Informationen aus einer HTML-Seite von
 <a href="http://freedb.org" target="_top">freedb.org</a> zu kopieren. Dazu sucht man
 sich in freedb das Album, und wenn die gewnschte Information im Browser
 angezeigt wird, kann sie selektiert und in die Zwischenablage kopiert
-werden. Nach einem Klick auf Von Zwischenablage werden
+werden. Nach einem Klick auf <span class="guibutton">Von Zwischenablage</span> werden
 die importierten Daten in der Tabelle angezeigt und knnen mit
-OK bernommen werden. Das Ziel
-(ID3v1 oder ID3v2) kann mit einem
+<span class="guibutton">OK</span> bernommen werden. Das Ziel
+(<span class="guilabel">ID3v1</span> oder <span class="guilabel">ID3v2</span>) kann mit einem
 Auswahlfeld festgelegt werden. Die Titel in der Dateiliste sollten in der
 korrekten Reihenfolge angezeigt sein um die richtigen Tags zu kriegen. Dies
 ist kein Problem, wenn sie nummeriert sind.
 </p><p>
-Das zweite vorkonfigurierte Format, "freedb HTML source", kann dann benutzt
+Das nchste vorkonfigurierte Format, "freedb HTML source", kann dann benutzt
 werden, wenn die Import-Daten als HTML-Dokument vorliegen. Solch eine Datei
-kann im Datei Dialog, welcher nach Klick auf Von
-Datei erscheint, ausgewhlt werden. Natrlich knnen die Daten auch
+kann im Datei Dialog, welcher nach Klick auf <span class="guibutton">Von
+Datei</span> erscheint, ausgewhlt werden. Natrlich knnen die Daten auch
 in einem Editor kopiert und dann ber die Zwischenablage bernommen
 werden. Dieses Format kann fr Offline Import ntzlich sein, obschon die
 HTML-Datei auch von einem Browser angezeigt und im ersten Format ber
@@ -298,43 +323,111 @@
 um Titeldaten zu kriegen, also Nummer und Titel. In den regulren Ausdrcken
 knnen alle von Qt untersttzten Funktionen eingesetzt werden; also das meiste
 von dem, was Perl bietet. Klammerkonstrukte "(..)" werden bentzt, um
-Felddaten zu extrahieren und werden von einem Kid3-spezifischen Feldcode
+Felddaten zu extrahieren und werden von einem <span class="application">Kid3</span>-spezifischen Feldcode
 eingeleitet. Die Codes sind dieselben wie beim Dateinamenformat:
 </p><div class="itemizedlist"><ul type="disc"><li><p>%s Titel (Song)</p></li><li><p>%a Interpret (Artist)</p></li><li><p>%l Album</p></li><li><p>%c Kommentar (Comment)</p></li><li><p>%y Jahr (Year)</p></li><li><p>%t Nummer (Track)</p></li><li><p>%g Stil (Genre)</p></li><li><p>%d Lnge (Dauer)</p></li></ul></div><p>
 Beispiel: Ein regulrer Ausdruck fr die zweite Zeile, um Titel aus einer .m3u
 Stckliste zu holen, knnte "%t(\d+)\s+%s(\S[^\r\n]*)\.mp3[\r\n]"
 sein. Alle Formate knnen gendert werden, indem der Name und die regulren
-Ausdrcke editiert werden und dann der Dialog mit OK
-beendet wird. Gespeichert werden sie in der Datei <tt>kid3rc</tt>
+Ausdrcke editiert werden und dann der Dialog mit <span class="guibutton">OK</span>
+beendet wird. Gespeichert werden sie in der Datei <code class="filename">kid3rc</code>
 im Konfigurationsverzeichnis. Diese Datei kann auch direkt verndert werden,
 um mehr Importformate zu haben, oder man kann sie lschen, um wieder zu den
 Standardeinstellungen zu kommen.
 </p><p>
 Um zu prfen, ob die importierten Stcke den vorhandenen Dateien entsprechen,
 knnen die Lngen verglichen werden. Diese Option kann mit dem Markierungsfeld
-Teste maximal erlaubten Zeitunterschied eingeschaltet
+<span class="guibutton">Teste maximal erlaubten Zeitunterschied</span> eingeschaltet
 werden und der maximal erlaubten Zeitunterschied kann in Sekunden eingestellt
 werden. Wird eine berschreitung dieser Toleranzschwelle festgestellt,
 so wird die entsprechende Lnge in der Vorschau rot dargestellt.
-</p></dd><dt><span class="term">Datei-&gt;Stckliste erstellen</span></dt><dd><p>Erzeugt eine M3U Stckliste. Die Datei wird im
+</p><p>
+Falls nun die vorhandenen Dateien in einer anderen Reihenfolge als die
+importierten Stcke vorliegen, so sollte die Zuordnung korrigiert
+werden. Diese Arbeit wird durch die <span class="guilabel">Zuordnen mit</span>
+Knpfe <span class="guibutton">Lnge</span>, <span class="guibutton">Nummer</span>
+und <span class="guibutton">Titel</span> erleichtert, welche die Stcke dem jeweiligen
+Feld entsprechend zuordnen. Sollte die Zuordnung noch manuell korrigiert
+werden mssen, so kann ein Track nach Drcken der Steuerungs-Taste
+(<span><strong class="keycap">Ctrl</strong></span>/<span><strong class="keycap">Strg</strong></span>) mit der linken Maustaste gefasst
+und dann an die gewnschte Stelle gezogen werden.
+</p></dd><dt><span class="term"><span class="guimenu">Datei</span>-&gt;<span class="guimenuitem">Importieren von freedb.org...</span></span></dt><dd><p><span class="action">Importieren von einem freedb.org Server.</span>
+Dieser Menpunkt ffnet denselben Import Dialog
+wie <span class="guimenuitem">Importieren...</span>, ffnet jedoch direkt auch
+den <span class="guibutton">Von freedb.org</span> Dialog.</p></dd><dt><span class="term"><span class="guimenu">Datei</span>-&gt;<span class="guimenuitem">Importieren von MusicBrainz...</span></span></dt><dd><p><span class="action">Importieren von einem MusicBrainz Server.</span>
+Dieser Menpunkt ffnet denselben Import Dialog
+wie <span class="guimenuitem">Importieren...</span>, ffnet jedoch direkt auch
+den <span class="guibutton">Von MusicBrainz</span> Dialog.</p></dd><dt><span class="term"><span class="guimenu">Datei</span>-&gt;<span class="guimenuitem">Exportieren...</span></span></dt><dd><p>
+Der <span class="action">Export Dialog</span> wird verwendet, um die Daten aus den Tags in
+einer Datei oder der Zwischenablage zu speichern. Das oberste Editierfeld
+stellt einen einfachen Editor zur Verfgung, welcher eine Vorschau der zu
+exportierenden Daten bietet. Zustzlich lassen sich die Daten darin noch
+modifizieren, denn es wird der Inhalt dieses Editierfeldes gespeichert. Die
+Daten werden aus den Tags der Dateien im aktuellen Verzeichnis generiert, und
+zwar gemss dem unten eingestellten Format.
+</p><p>
+Diese Formateinstellung ist gleich aufgebaut wie im Import Dialog: Im obersten
+Feld ist der Titel (z.B. "CSV unquoted"), dann folgt der Header - dieser wird
+nur am Anfang der Datei generiert. Nun folgt das Track-Format, es wird fr
+jeden Track angewendet. Schlielich gibt es noch einen Trailer, welcher die
+Datei noch abschliet.
+</p><p>
+Die Formatfelder enthalten keine regulren Ausdrcke wie im Import Dialog,
+sondern blo Ausgabeformate, bei denen spezielle %-Ausdrcke durch Werte aus
+den Tags ersetzt werden. Das ganze verhlt sich also gleich wie beim
+Dateinamenformat, es werden auch dieselben Codes verwendet, plus ein paar
+zustzliche.
+</p><div class="itemizedlist"><ul type="disc"><li><p>%s Titel (Song)</p></li><li><p>%a Interpret (Artist)</p></li><li><p>%l Album</p></li><li><p>%c Kommentar (Comment)</p></li><li><p>%y Jahr (Year)</p></li><li><p>%t Nummer (Track)</p></li><li><p>%T Nummer (Track), ohne fhrende Null</p></li><li><p>%g Stil (Genre)</p></li><li><p>%f Dateiname (File name)</p></li><li><p>%p Pfadname</p></li><li><p>%u URL</p></li><li><p>%d Dauer in Minuten:Sekunden</p></li><li><p>%D Dauer in Sekunden</p></li><li><p>%n Anzahl Tracks im Album</p></li></ul></div><p>
+Mit diesen Formatcodes sind bereits einige Formate vordefiniert. "CSV
+unquoted" trennt die einzelnen Felder durch Tabulatoren. Daten in diesem
+Format knnen einfach wieder ber das gleichnamige Importformat in <span class="application">Kid3</span>
+importiert werden. "CSV quoted" setzt die Felder zustzlich noch in
+Anfhrungszeichen, was den Import in Tabellenkalkulationen erleichtert. Dafr
+sollten in den Feldern keine Anfhrungszeichen vorkommen. "Extended M3U" und
+"Extended PLS" erzeugen Stcklisten mit Zusatzinformationen und absoluten
+Pfadnamen. "HTML" dient dazu, eine HTML-Seite mit verlinkten Tracks zu
+erstellen. "Kover XML" generiert eine XML-Datei, welche vom
+Cover-Druck-Programm Kover gelesen werden kann. "Custom Format" schlielich
+ist frei fr ein eigenes Format. Natrlich knnen auch die anderen Formate
+beliebig angepasst werden, oder es knnen noch mehr Formate in der Datei
+<code class="filename">kid3rc</code> im Konfigurationsverzeichnis hinzugefgt werden.
+</p><p>
+Die Quelle der Daten (<span class="guilabel">ID3v1</span>
+oder <span class="guilabel">ID3v2</span>) kann mit einem Auswahlfeld festgelegt
+werden. Ein Klick auf <span class="guibutton">In Datei</span> bzw.
+<span class="guibutton">In Zwischenablage</span> speichert die Daten in einer Datei
+oder der Zwischenablage. <span class="guibutton">OK</span>
+und <span class="guibutton">Abbrechen</span> beenden den Dialog,
+wobei <span class="guibutton">OK</span> die aktuellen Einstellungen bernimmt.
+</p></dd><dt><span class="term"><span class="guimenu">Datei</span>-&gt;<span class="guimenuitem">Stckliste erstellen</span></span></dt><dd><p><span class="action">Erzeugt eine M3U Stckliste.</span> Die Datei wird im
 geffneten Verzeichnis gespeichert und trgt denselben Namen wie das
 Verzeichnis, gefolgt von einer .m3u Erweiterung. Diese Datei enthlt blo
 die Namen der im Dateilistenfeld angezeigten Dateien, keine speziellen
 EXTM3U oder EXTINFO Zeilen werden generiert. Wenn alle Dateien eines Albums
 in einem separaten Verzeichnis gespeichert werden, kann mit dieser Funktion
-eine Stckliste fr das Album erstellt werden.</p></dd><dt><span class="term">Datei-&gt;Beenden (<b><b>Ctrl</b>-<b>Q</b></b>)</span></dt><dd><p>Beendet die Anwendung.</p></dd></dl></div>
-</p></div><div class="sect2"><div class="titlepage"><div><h3 class="title"><a name="id2447589"></a>Das Men Extras</h3></div></div><p>
-<div class="variablelist"><dl><dt><span class="term">Extras-&gt;Format anwenden</span></dt><dd><p>Wenn Whrend des Editierens formatieren
-im Konfigurationsdialog deaktiviert ist, kann man mit diesem Menpunkt
-die Formatierung auf die ausgewhlten Dateien anwenden.
+eine Stckliste fr das Album erstellt werden.</p></dd><dt><span class="term"><span class="guimenu">Datei</span>-&gt;<span class="guimenuitem">Beenden</span> (<span><strong class="shortcut"><span><strong class="keycap">Ctrl</strong></span>-<span><strong class="keycap">Q</strong></span></strong></span>)</span></dt><dd><p><span class="action">Beendet die Anwendung.</span></p></dd></dl></div><p>
+</p></div><div class="sect2" lang="de"><div class="titlepage"><div><div><h3 class="title"><a name="id2501404"></a>Das Men Extras</h3></div></div></div><p>
+</p><div class="variablelist"><dl><dt><span class="term"><span class="guimenu">Extras</span>-&gt;<span class="guimenuitem">Dateinamenformat anwenden</span></span></dt><dd><p>Wenn <span class="guilabel">Whrend des Editierens formatieren</span>
+im Konfigurationsdialog beim Dateinamenformat deaktiviert ist, kann man mit diesem Menpunkt
+<span class="action">die Formatierung auf die Namen der ausgewhlten Dateien anwenden</span>.
 Diese Funktion kann auch angewendet werden, um zu testen, ob die Dateinamen
-und Tags dem eingestellten Format entsprechen. Hierzu sollten alle Dateien
-gespeichert werden; nach Anwendung des Formates sind dann nur diejenigen
-Dateien verndert (in der Dateiliste mit einem Stern versehen), welche nicht
-dem eingestellten Format entsprechen. Ungewollte nderungen knnen
-mit Zuletzt gespeicherte Fassung
-rckgngig gemacht werden.
-</p></dd><dt><span class="term">Extras-&gt;Verzeichnis umbenennen...</span></dt><dd><p>Dieser Dialog bietet die Mglichkeit, automatisch das aktuelle
+dem eingestellten Format entsprechen. Hierzu sollten alle Dateien
+gespeichert werden; nach Anwendung des Formates sind dann nur diejenigen
+Dateien verndert (in der Dateiliste mit einem Diskettensymbol versehen), welche nicht
+dem eingestellten Format entsprechen. Ungewollte nderungen knnen
+mit <span class="guilabel">Zuletzt gespeicherte Fassung</span>
+rckgngig gemacht werden.
+</p></dd><dt><span class="term"><span class="guimenu">Extras</span>-&gt;<span class="guimenuitem">ID3 Format anwenden</span></span></dt><dd><p>Wenn <span class="guilabel">Whrend des Editierens formatieren</span>
+im Konfigurationsdialog beim ID3 Format deaktiviert ist, kann man mit diesem Menpunkt
+<span class="action">die Formatierung auf die Tags der ausgewhlten Dateien anwenden</span>.
+Diese Funktion kann auch angewendet werden, um zu testen, ob die Tags dem
+eingestellten Format entsprechen. Hierzu sollten alle Dateien
+gespeichert werden; nach Anwendung des Formates sind dann nur diejenigen
+Dateien verndert (in der Dateiliste mit einem Diskettensymbol versehen), welche nicht
+dem eingestellten Format entsprechen. Ungewollte nderungen knnen
+mit <span class="guilabel">Zuletzt gespeicherte Fassung</span>
+rckgngig gemacht werden.
+</p></dd><dt><span class="term"><span class="guimenu">Extras</span>-&gt;<span class="guimenuitem">Verzeichnis umbenennen...</span></span></dt><dd><p>Dieser Dialog bietet die Mglichkeit, automatisch das aktuelle
 Verzeichnis gem den Tags umzubenennen. Verschiedene Formate sind
 vordefiniert und Informationen ber Interpret, Album und Jahr in den
 Verzeichnisnamen zu bernehmen. Es ist auch mglich, ein eigenes Format zu
@@ -343,92 +436,100 @@
 </p><div class="itemizedlist"><ul type="disc"><li><p>%s Titel (Song)</p></li><li><p>%a Interpret (Artist)</p></li><li><p>%l Album</p></li><li><p>%c Kommentar (Comment)</p></li><li><p>%y Jahr (Year)</p></li><li><p>%t Nummer (Track)</p></li><li><p>%g Stil (Genre)</p></li></ul></div><p>
 Wenn ein Verzeichnis-Trennzeichen "/" im Format gefunden wird, werden mehrere
 Verzeichnisse erstellt. Will man ein neues Verzeichnis erstellen statt das
-aktuelle Verzeichnis umbenennen, so whlt man Verzeichnis
-erstellen statt Verzeichnis umbenennen. Die
-Quelle der Tag-Information kann zwischen Von ID3v1 und
-Von ID3v2 ausgewhlt werden. Die voraussichtliche
+aktuelle Verzeichnis umbenennen, so whlt man <span class="guilabel">Verzeichnis
+erstellen</span> statt <span class="guilabel">Verzeichnis umbenennen</span>. Die
+Quelle der Tag-Information kann zwischen <span class="guilabel">Von ID3v1</span> und
+<span class="guilabel">Von ID3v2</span> ausgewhlt werden. Die voraussichtliche
 Verzeichnisnamensnderung fr die erste Datei kann in den Abschnitten
-Von und Nach des Dialogs gesehen
+<span class="guilabel">Von</span> und <span class="guilabel">Nach</span> des Dialogs gesehen
 werden.
-</p></dd></dl></div>
-</p></div><div class="sect2"><div class="titlepage"><div><h3 class="title"><a name="id2447766"></a>Das Men Einstellungen</h3></div></div><p>
-<div class="variablelist"><dl><dt><span class="term">Einstellungen-&gt;Werkzeugleiste anzeigen</span></dt><dd><p>Schaltet die Anzeige der Werkzeugleiste, welche
+</p></dd><dt><span class="term"><span class="guimenu">Extras</span>-&gt;<span class="guimenuitem">Tracks nummerieren...</span></span></dt><dd><p>
+Falls die Track-Nummern in den Tags nicht vorhanden oder falsch sind, so
+lassen sich mit dieser Funktion <span class="action">die Tracks automatisch aufsteigend
+nummerieren</span>. Im Dialog kann die <span class="guilabel">Startnummer</span>
+angegeben werden. Falls nur ein Teil der Tracks nummeriert werden soll, so
+sind diese vorgngig auszuwhlen.
+</p></dd></dl></div><p>
+</p></div><div class="sect2" lang="de"><div class="titlepage"><div><div><h3 class="title"><a name="id2501665"></a>Das Men Einstellungen</h3></div></div></div><p>
+</p><div class="variablelist"><dl><dt><span class="term"><span class="guimenu">Einstellungen</span>-&gt;<span class="guimenuitem">ID3v1.1 ausblenden</span></span></dt><dd><p><span class="action">Schaltet die Anzeige der ID3v1.1 Sektion ein und aus.
+</span></p></dd><dt><span class="term"><span class="guimenu">Einstellungen</span>-&gt;<span class="guimenuitem">ID3v2.3 ausblenden</span></span></dt><dd><p><span class="action">Schaltet die Anzeige der ID3v2.3 Sektion ein und aus.
+</span></p></dd><dt><span class="term"><span class="guimenu">Einstellungen</span>-&gt;<span class="guimenuitem">Werkzeugleiste anzeigen</span></span></dt><dd><p><span class="action">Schaltet die Anzeige der Werkzeugleiste, welche
 Symbole zum ffnen und Speichern eines Verzeichnisses enthlt, ein und aus.
-</p></dd><dt><span class="term">Einstellungen-&gt;Statusleiste anzeigen</span></dt><dd><p>Schaltet die Anzeige der Statusleiste, welche
+</span></p></dd><dt><span class="term"><span class="guimenu">Einstellungen</span>-&gt;<span class="guimenuitem">Statusleiste anzeigen</span></span></dt><dd><p><span class="action">Schaltet die Anzeige der Statusleiste, welche
 lngere Aktionen wie ffnen und Speichern eines Verzeichnisses anzeigt, ein
-und aus.</p></dd><dt><span class="term">Einstellungen-&gt;Kid3 einrichten...</span></dt><dd><p>ffnet den Konfigurationsdialog, 
+und aus.</span></p></dd><dt><span class="term"><span class="guimenu">Einstellungen</span>-&gt;<span class="guimenuitem">Kid3 einrichten...</span></span></dt><dd><p>ffnet den <span class="action">Konfigurationsdialog</span>, 
 der aus zwei Seiten besteht, einer fr allgemeine Einstellungen und einer,
 mit welcher das Format der Dateinamen und Tag-Felder gesetzt werden kann.
 </p><p>
-Auf der Seite Allgemein, kann mit dem Markierungsfeld
-Datei-Zeitstempel nicht verndern eingestellt werden,
+Auf der Seite <span class="guilabel">Allgemein</span>, kann mit dem Markierungsfeld
+<span class="guilabel">Datei-Zeitstempel nicht verndern</span> eingestellt werden,
 dass die Modifikationszeit der Datei nicht verndert wird. Das Markierungsfeld
-Benutze Format Nummer/Anzahl Stcke bewirkt, dass im
+<span class="guilabel">Benutze Format Nummer/Anzahl Stcke</span> bewirkt, dass im
 Tracknummer-Feld bei den ID3v2 Tags nicht blo die Tracknummer gespeichert
 wird, sondern auch die Gesamtzahl der Stcke im Verzeichnis. Das Auswahlfeld
-Name des Kommentar-Feldes ist fr Ogg/Vorbis und
+<span class="guilabel">Name des Kommentar-Feldes</span> ist fr Ogg/Vorbis und
 FLAC-Dateien relevant und bestimmt den Namen des Feldes, welches fr
 Kommentare verwendet wird. Hier scheinen verschiedene Anwendungen
 unterschiedliche Namen zu verwenden, "COMMENT" wird beispielsweise von xmms
 benutzt, whrend amaroK "DESCRIPTION" verwendet.
-Die Tabelle Kontext Men Befehle enthlt die Befehle,
+Die Tabelle <span class="guilabel">Kontext Men Befehle</span> enthlt die Befehle,
 welche ber das Kontext Men der Dateiliste ausgewhlt werden knnen. Bei
 kritischen Operationen, beispielsweise dem Lschen von Dateien, empfiehlt es
-sich, Nachfragen zu markieren, damit vor dem Ausfhren
+sich, <span class="guilabel">Nachfragen</span> zu markieren, damit vor dem Ausfhren
 des Befehls eine Besttigung verlangt wird. Zum Lschen und Hinzufgen von
 Eintrgen steht in dieser Tabelle ein Kontext Men zur Verfgung.
 </p><p>
-Die Seite Format enthlt Einstellungen fr das Format der
+Die Seite <span class="guilabel">Format</span> enthlt Einstellungen fr das Format der
 Dateinamen und Tags.
-Wenn Whrend dem Editieren formatieren aktiviert ist,
-wird die Eingabe whrend dem Editieren automatisch formatiert. Das Format kann
-separat fr Dateinamen und ID3 Tags eingestellt werden.
-Gro/Kleinschreibung kann auf Keine
-nderungen, Alles Kleinbuchstaben,
-Alles Grobuchstaben, Den ersten Buchstaben
-gro oder Alle ersten Buchstaben gro
+Das Format kann separat fr Dateinamen und ID3 Tags eingestellt werden.
+Wenn <span class="guilabel">Whrend dem Editieren formatieren</span> aktiviert ist,
+wird die Eingabe whrend dem Editieren automatisch formatiert. 
+<span class="guilabel">Gro/Kleinschreibung</span> kann auf <span class="guilabel">Keine
+nderungen</span>, <span class="guilabel">Alles Kleinbuchstaben</span>,
+<span class="guilabel">Alles Grobuchstaben</span>, <span class="guilabel">Den ersten Buchstaben
+gro</span> oder <span class="guilabel">Alle ersten Buchstaben gro</span>
 gesetzt werden.
-Die Zeichen ersetzen Liste kann mit beliebigen Zuordnungen
+Die <span class="guilabel">Zeichen ersetzen</span> Liste kann mit beliebigen Zuordnungen
 von Zeichenketten gefllt werden. Eine neue Zuordnung kann
-hinzugefgt werden, indem in der Von Zelle einer
+hinzugefgt werden, indem in der <span class="guilabel">Von</span> Zelle einer
 Zeile der zu ersetzende Text eingegeben wird und dann in der
-Nach Spalte der Ersetzungstext. Zum Lschen einer
-Zuordnung wird die Von Zelle auf einen leeren Wert
+<span class="guilabel">Nach</span> Spalte der Ersetzungstext. Zum Lschen einer
+Zuordnung wird die <span class="guilabel">Von</span> Zelle auf einen leeren Wert
 gesetzt (z.B. indem man zuerst einen Leerschlag eingibt und diesen dann wieder
 lscht). Einfgen und Lschen von Zeilen ist auch ber das
 Kontext-Men mglich, welches erscheint, wenn man die rechte
 Maustaste drckt. Ersetzungen werden nur durchgefhrt, wenn das
-Zeichen ersetzen Markierungsfeld aktiviert ist.
-</p></dd><dt><span class="term">Einstellungen-&gt;Kurzbefehle festlegen...</span></dt><dd><p>ffnet einen Dialog, um den meisten Programm-Funktionen
+<span class="guilabel">Zeichen ersetzen</span> Markierungsfeld aktiviert ist.
+</p></dd><dt><span class="term"><span class="guimenu">Einstellungen</span>-&gt;<span class="guimenuitem">Kurzbefehle festlegen...</span></span></dt><dd><p>ffnet einen Dialog, um den meisten Programm-Funktionen
 ein Tastatur-Krzel zuzuordnen. Es gibt sogar einige Funktionen ohne
 entsprechenden Menpunkt oder Knopf, z.B. nchste Datei, vorangehende Datei,
 alles auswhlen.
 </p><p>
-</p></dd></dl></div>
-</p></div><div class="sect2"><div class="titlepage"><div><h3 class="title"><a name="id2448823"></a>Das Men Hilfe</h3></div></div><p>
-<div class="variablelist"><dl><dt><span class="term">Hilfe-&gt;Handbuch zu Kid3</span></dt><dd><p>ffnet dieses Handbuch.</p></dd><dt><span class="term">Hilfe-&gt;ber Kid3</span></dt><dd><p>Zeigt eine kurze Information ber Kid3 an.
-</p></dd></dl></div>
-</p></div></div></div><div class="chapter"><div class="titlepage"><div><h2 class="title"><a name="credits"></a>Kapitel 4. Danksagungen und Lizenz</h2></div></div><p>
-Kid3
+</p></dd></dl></div><p>
+</p></div><div class="sect2" lang="de"><div class="titlepage"><div><div><h3 class="title"><a name="id2501998"></a>Das Men Hilfe</h3></div></div></div><p>
+</p><div class="variablelist"><dl><dt><span class="term"><span class="guimenu">Hilfe</span>-&gt;<span class="guimenuitem">Handbuch zu Kid3</span></span></dt><dd><p><span class="action">ffnet dieses Handbuch.</span></p></dd><dt><span class="term"><span class="guimenu">Hilfe</span>-&gt;<span class="guimenuitem">ber Kid3</span></span></dt><dd><p><span class="action">Zeigt eine kurze Information ber Kid3 an.
+</span></p></dd></dl></div><p>
+</p></div></div></div><div class="chapter" lang="de"><div class="titlepage"><div><div><h2 class="title"><a name="credits"></a>Kapitel 4. Danksagungen und Lizenz</h2></div></div></div><p>
+<span class="application">Kid3</span>
 </p><p>
-Programmiert von Urs Fleisch <tt>&lt;<a href="mailto:ufleisch at users.sourceforge.net">ufleisch at users.sourceforge.net</a>&gt;</tt>
+Programmiert von Urs Fleisch <code class="email">&lt;<a href="mailto:ufleisch at users.sourceforge.net">ufleisch at users.sourceforge.net</a>&gt;</code>
 </p><p><a name="gnu-fdl"></a>Diese Dokumentation ist unter den Bedingungen der <a href="http://www.gnu.org/licenses/licenses.html#FDL" target="_top">GNU Free Documentation License</a> 
-verffentlicht.</p><p>Dieses Programm ist unter den Bedingungen der <a href="http://www.gnu.org/licenses/licenses.html#GPL" target="_top">GNU General Public License</a> verffentlicht.</p></div><div class="appendix"><div class="titlepage"><div><h2 class="title"><a name="installation"></a>Anhang A. Installation</h2></div></div><div class="sect1"><div class="titlepage"><div><h2 class="title" style="clear: both"><a name="getting-kid3"></a>Bezugsquellen</h2></div></div><p>
-Kid3 ist zu finden unter
+verffentlicht.</p><p>Dieses Programm ist unter den Bedingungen der <a href="http://www.gnu.org/licenses/licenses.html#GPL" target="_top">GNU General Public License</a> verffentlicht.</p></div><div class="appendix" lang="de"><div class="titlepage"><div><div><h2 class="title"><a name="installation"></a>Anhang A. Installation</h2></div></div></div><div class="toc"><p><b>Inhaltsverzeichnis</b></p><dl><dt><span class="sect1"><a href="#getting-kid3">Bezugsquellen</a></span></dt><dt><span class="sect1"><a href="#requirements">Anforderungen</a></span></dt><dt><span class="sect1"><a href="#compilation">Kompilieren und Installation</a></span></dt><dt><span class="sect1"><a href="#configuration">Konfiguration</a></span></dt></dl></div><div class="sect1" lang="de"><div class="titlepage"><div><div><h2 class="title" style="clear: both"><a name="getting-kid3"></a>Bezugsquellen</h2></div></div></div><p>
+<span class="application">Kid3</span> ist zu finden unter
 <a href="http://kid3.sourceforge.net" target="_top">http://kid3.sourceforge.net</a>.
-</p></div><div class="sect1"><div class="titlepage"><div><h2 class="title" style="clear: both"><a name="requirements"></a>Anforderungen</h2></div></div><p>
-Kid3 braucht <a href="http://id3lib.sourceforge.net" target="_top">id3lib</a> und
+</p></div><div class="sect1" lang="de"><div class="titlepage"><div><div><h2 class="title" style="clear: both"><a name="requirements"></a>Anforderungen</h2></div></div></div><p>
+<span class="application">Kid3</span> braucht <a href="http://id3lib.sourceforge.net" target="_top">id3lib</a> und
 <a href="http://www.trolltech.com/qt/" target="_top">Qt</a>. <a href="http://www.kde.org" target="_top">KDE</a> ist empfohlen aber nicht notwendig,
-denn Kid3 kann auch als reine Qt Applikation kompiliert werden. Kid3
-luft auf Systemen, wo diese Libraries vorhanden sind, z.B. auf GNU/Linux und
-Windows.
+denn <span class="application">Kid3</span> kann auch als reine Qt Applikation kompiliert werden. <span class="application">Kid3</span>
+luft auf Systemen, wo diese Programmbibliotheken vorhanden sind,
+z.B. auf GNU/Linux und Windows.
 Um Ogg/Vorbis Dateien zu taggen werden libogg, libvorbis und libvorbisfile
 bentigt, fr FLAC Dateien libFLAC++ und libFLAC. Fr MusicBrainz
 Untersttzung wird libtunepimp verwendet. Da momentan kein Tunepimp SDK fr
 Windows existiert, wurde die Windows Version ohne MusicBrainz Import
 kompiliert.
 </p><p>
-Kid3 wurde getestet unter
+<span class="application">Kid3</span> wurde getestet unter
 </p><p>
 SuSE Linux 7.3: id3lib 3.8.0pre1, id3lib 3.8.0, id3lib 3.8.2, KDE 2.2.2,
 KDE 3.0.4, Qt 2.3.2, Qt 3.0.5
@@ -445,42 +546,52 @@
 Ubuntu 5.10: id3lib 3.8.3, KDE 3.4.3, Qt 3.3.4, libvorbis 1.1.0,
 libogg 1.1.2, libflac++ 1.1.2, libtunepimp 0.3.0
 </p><p>
+Ubuntu 6.06: id3lib 3.8.3, KDE 3.4.3, Qt 3.3.6, libvorbis 1.1.2,
+libogg 1.1.3, libflac++ 1.1.2, libtunepimp 0.3.0 und 0.4.2
+</p><p>
+Leider ist das MP3 Format beim MusicBrainz Import in Ubuntu nicht
+untersttzt, da dort libtunepimp ohne libmad kompiliert ist.
+</p><p>
 Windows NT 4.0: id3lib 3.8.0, id3lib 3.8.2, id3lib 3.8.3, non-commercial Qt Version 2.3.0
 </p><p>
 Windows 2000, XP: id3lib 3.8.3, non-commercial Qt Version 2.3.0,
 non-commercial Qt Version 3.2.1, libvorbis 1.1.0, libogg 1.1.2, FLAC 1.1.2
-</p></div><div class="sect1"><div class="titlepage"><div><h2 class="title" style="clear: both"><a name="compilation"></a>Kompilieren und Installation</h2></div></div><p>
-Man kann Kid3 mit oder ohne KDE kompilieren. Ohne KDE ist Kid3 eine reine
+</p></div><div class="sect1" lang="de"><div class="titlepage"><div><div><h2 class="title" style="clear: both"><a name="compilation"></a>Kompilieren und Installation</h2></div></div></div><p>
+Man kann <span class="application">Kid3</span> mit oder ohne KDE kompilieren. Ohne KDE ist <span class="application">Kid3</span> eine reine
 Qt Applikation und es fehlen einige Konfigurations- und Session-Funktionen.
 </p><p>
 Im obersten Verzeichnis wird getippt:
-<pre class="screen">
-<tt>%</tt> <b><tt>./configure</tt></b>
-<tt>%</tt> <b><tt>make</tt></b>
-<tt>%</tt> <b><tt>make install</tt></b>
-</pre>
+</p><pre class="screen">
+<code class="prompt">%</code> <strong class="userinput"><code>./configure</code></strong>
+<code class="prompt">%</code> <strong class="userinput"><code>make</code></strong>
+<code class="prompt">%</code> <strong class="userinput"><code>make install</code></strong>
+</pre><p>
 </p><p>
 Um fr andere Versionen von Qt oder KDE zu kompilieren, werden die
-jeweiligen <b><tt>configure</tt></b>-Optionen gesetzt.
+jeweiligen <strong class="userinput"><code>configure</code></strong>-Optionen gesetzt.
 </p><p>
-Um die Kompilation etwas zu beschleunigen, kann Kid3 mit GCC 3.4 eine
+Um die Kompilation etwas zu beschleunigen, kann <span class="application">Kid3</span> mit GCC 3.4 eine
 vorkompilierte Include-Datei verwenden. Dazu wird
-<b><tt>configure</tt></b> mit der Option
-<b><tt>--enable-gcc-pch</tt></b> (und Zuweisen von gcc und g++ von GCC
+<strong class="userinput"><code>configure</code></strong> mit der Option
+<strong class="userinput"><code>--enable-gcc-pch</code></strong> (und Zuweisen von gcc und g++ von GCC
 3.4 zu CC und CXX falls GCC 3.4 nicht der Default Compiler ist) gestartet. Das
-vorkompilierte System-Include wird dann mit <b><tt>make pch</tt></b>
+vorkompilierte System-Include wird dann mit <strong class="userinput"><code>make pch</code></strong>
 generiert.
 </p><p>
+Fr die Erzeugung von RPM-Paketen ist die Datei <code class="filename">kid3.spec</code>
+vorhanden, fr Debian-Pakete steht ein <code class="filename">debian</code> Verzeichnis
+zur Verfgung.
+</p><p>
 Die Qt Anwendung kann auch unter Windows kompiliert werden.
 Im kid3 Verzeichnis wird getippt:
-<pre class="screen">
-<tt>&gt;</tt> <b><tt>nmake /f kid3.mak</tt></b>
-</pre>
-</p></div><div class="sect1"><div class="titlepage"><div><h2 class="title" style="clear: both"><a name="configuration"></a>Konfiguration</h2></div></div><p>Mit KDE werden der Dateinamenfilter, das Dateinamenformat, die
+</p><pre class="screen">
+<code class="prompt">&gt;</code> <strong class="userinput"><code>nmake /f kid3.mak</code></strong>
+</pre><p>
+</p></div><div class="sect1" lang="de"><div class="titlepage"><div><div><h2 class="title" style="clear: both"><a name="configuration"></a>Konfiguration</h2></div></div></div><p>Mit KDE werden der Dateinamenfilter, das Dateinamenformat, die
 Importformate, die Dateinamen- und ID3-Formate, die
 Einstellungen fr die Werkzeug- und Statusleiste sowie die Fenstergre im
-Standardverzeichnis in der Datei <tt>kid3rc</tt> gespeichert.
-Als Qt-Anwendung liegt diese Datei im Verzeichnis <tt>.qt</tt>,
-bei lteren Qt-Versionen wird eine Datei <tt>kid3.cfg</tt>
+Standardverzeichnis in der Datei <code class="filename">kid3rc</code> gespeichert.
+Als Qt-Anwendung liegt diese Datei im Verzeichnis <code class="filename">.qt</code>,
+bei lteren Qt-Versionen wird eine Datei <code class="filename">kid3.cfg</code>
 erstellt.
 </p></div></div></div></body></html>

=== modified file 'kid3_de.qm'
Binary files kid3_de.qm and kid3_de.qm differ
=== modified file 'kid3_en.html'
--- kid3_en.html	2005-11-24 12:16:38 +0000
+++ kid3_en.html	2006-07-14 12:25:16 +0000
@@ -1,24 +1,30 @@
-<html><head><meta http-equiv="Content-Type" content="text/html; charset=ISO-8859-1"><title>The Kid3 Handbook</title><meta name="generator" content="DocBook XSL Stylesheets V1.48"><meta name="keywords" content="KDE, kdemultimedia, MP3, ID3, ID3v1, ID3v2, Ogg, Vorbis, FLAC"></head><body bgcolor="white" text="black" link="#0000FF" vlink="#840084" alink="#0000FF"><div class="book"><div class="titlepage"><div><h1 class="title"><a name="id2385546"></a>The Kid3 Handbook</h1></div><div><h3 class="author">Urs Fleisch</h3><div class="affiliation"><div class="address"><p><tt>&lt;<a href="mailto:ufleisch at users.sourceforge.net">ufleisch at users.sourceforge.net</a>&gt;</tt></p></div></div></div><div><p class="releaseinfo">0.6</p></div><div><p class="copyright">Copyright  2005 Urs Fleisch</p></div><div><div class="legalnotice"><p>Permission is granted to copy, distribute and/or modify this
+<html><head><meta http-equiv="Content-Type" content="text/html; charset=ISO-8859-1"><title>The Kid3 Handbook</title><meta name="generator" content="DocBook XSL Stylesheets V1.67.2"><meta name="description" content="
+Kid3 is an application to edit the ID3v1 and ID3v2 tags in MP3 files in
+an efficient way. Also tags in Ogg/Vorbis and FLAC files are supported.
+It is easy to set tags of multiple files to the same
+values (e.g. album, artist, year and genre in all files of the same album) and
+generate the tags from the file name or vice versa.
+"><meta name="keywords" content="KDE, kdemultimedia, MP3, ID3, ID3v1, ID3v2, Ogg, Vorbis, FLAC"></head><body bgcolor="white" text="black" link="#0000FF" vlink="#840084" alink="#0000FF"><div class="book" lang="en"><div class="titlepage"><div><div><h1 class="title"><a name="id2452574"></a>The Kid3 Handbook</h1></div><div><div class="authorgroup"><div class="author"><h3 class="author"><span class="firstname">Urs</span> <span class="surname">Fleisch</span></h3><div class="affiliation"><div class="address"><p><code class="email">&lt;<a href="mailto:ufleisch at users.sourceforge.net">ufleisch at users.sourceforge.net</a>&gt;</code></p></div></div></div></div></div><div><p class="releaseinfo">0.7</p></div><div><p class="copyright">Copyright  2006 Urs Fleisch</p></div><div><div class="legalnotice"><a name="id2458463"></a><p>Permission is granted to copy, distribute and/or modify this
 document under the terms of the GNU Free Documentation License,
 Version 1.1 or any later version published by the Free Software
 Foundation; with no Invariant Sections, with no Front-Cover Texts, and
-with no Back-Cover Texts.  A copy of the license is included in <a href="#gnu-fdl">the section entitled "GNU Free Documentation License"</a>.</p></div></div><div><div class="abstract"><p><b>Abstract</b></p><p>
-Kid3 is an application to edit the ID3v1 and ID3v2 tags in MP3 files in
+with no Back-Cover Texts.  A copy of the license is included in <a href="#gnu-fdl">the section entitled "GNU Free Documentation License"</a>.</p></div></div><div><div class="abstract"><p class="title"><b>Abstract</b></p><p>
+<span class="application">Kid3</span> is an application to edit the ID3v1 and ID3v2 tags in MP3 files in
 an efficient way. Also tags in Ogg/Vorbis and FLAC files are supported.
 It is easy to set tags of multiple files to the same
 values (e.g. album, artist, year and genre in all files of the same album) and
 generate the tags from the file name or vice versa.
-</p></div></div><hr></div><div class="toc"><p><b>Table of Contents</b></p><dl><dt>1. <a href="#introduction">Introduction</a></dt><dt>2. <a href="#using-kid3">Using Kid3</a></dt><dd><dl><dt><a href="#kid3-features">Kid3 features</a></dt><dt><a href="#example-usage">Example Usage</a></dt></dl></dd><dt>3. <a href="#commands">Command Reference</a></dt><dd><dl><dt><a href="#kid3-window">The Kid3 Window</a></dt><dd><dl><dt><a href="#id2448050">The GUI Elements</a></dt><dt><a href="#id2387342">The File Menu</a></dt><dt><a href="#id2447531">The Tools Menu</a></dt><dt><a href="#id2447699">The Settings Menu</a></dt><dt><a href="#id2448757">The Help Menu</a></dt></dl></dd></dl></dd><dt>4. <a href="#credits">Credits and License</a></dt><dt>A. <a href="#installation">Installation</a></dt><dd><dl><dt><a href="#getting-kid3">How to obtain Kid3</a></dt><dt><a href="#requirements">Requirements</a></dt><dt><a href="#compilation">Compilation and Installation</a></dt><dt><a href="#configuration">Configuration</a></dt></dl></dd></dl></div><div class="chapter"><div class="titlepage"><div><h2 class="title"><a name="introduction"></a>Chapter 1. Introduction</h2></div></div><p>
-Kid3 is an application to edit the ID3v1 and ID3v2 tags in MP3 files in
+</p></div></div></div><hr></div><div class="toc"><p><b>Table of Contents</b></p><dl><dt><span class="chapter"><a href="#introduction">1. Introduction</a></span></dt><dt><span class="chapter"><a href="#using-kid3">2. Using Kid3</a></span></dt><dd><dl><dt><span class="sect1"><a href="#kid3-features">Kid3 features</a></span></dt><dt><span class="sect1"><a href="#example-usage">Example Usage</a></span></dt></dl></dd><dt><span class="chapter"><a href="#commands">3. Command Reference</a></span></dt><dd><dl><dt><span class="sect1"><a href="#kid3-window">The Kid3 Window</a></span></dt><dd><dl><dt><span class="sect2"><a href="#id2500686">The GUI Elements</a></span></dt><dt><span class="sect2"><a href="#id2453190">The File Menu</a></span></dt><dt><span class="sect2"><a href="#id2501275">The Tools Menu</a></span></dt><dt><span class="sect2"><a href="#id2501508">The Settings Menu</a></span></dt><dt><span class="sect2"><a href="#id2501828">The Help Menu</a></span></dt></dl></dd></dl></dd><dt><span class="chapter"><a href="#credits">4. Credits and License</a></span></dt><dt><span class="appendix"><a href="#installation">A. Installation</a></span></dt><dd><dl><dt><span class="sect1"><a href="#getting-kid3">How to obtain Kid3</a></span></dt><dt><span class="sect1"><a href="#requirements">Requirements</a></span></dt><dt><span class="sect1"><a href="#compilation">Compilation and Installation</a></span></dt><dt><span class="sect1"><a href="#configuration">Configuration</a></span></dt></dl></dd></dl></div><div class="chapter" lang="en"><div class="titlepage"><div><div><h2 class="title"><a name="introduction"></a>Chapter1.Introduction</h2></div></div></div><p>
+<span class="application">Kid3</span> is an application to edit the ID3v1 and ID3v2 tags in MP3 files in
 an efficient way. These tags can be edited by most MP3 players, but not in
 a very comfortable and efficient way. Moreover the tags in Ogg/Vorbis and FLAC
 files are supported too.
 </p><p>
-Kid3 does not grab, encode nor play
+<span class="application">Kid3</span> does not grab, encode nor play
 MP3 files, but it is targeted to edit the ID3 tags of all files of an album
 in an efficient way, i.e. with as few mouse clicks and key strokes as
 possible. Where most other programs can edit either ID3v1 or ID3v2 tags,
-Kid3 has full control over both versions, can convert tags between the
+<span class="application">Kid3</span> has full control over both versions, can convert tags between the
 two formats and has access to all ID3v2 tags. Tags of multiple files can be
 set to the same value, e.g. the artist, album, year and genre of all files
 of an album typically have the same values and can be set together. If the
@@ -36,49 +42,50 @@
 track lists. The import format is freely configurable by regular expressions.
 </p><p>
 Please report any problems or feature requests to the author.
-</p></div><div class="chapter"><div class="titlepage"><div><h2 class="title"><a name="using-kid3"></a>Chapter 2. Using Kid3</h2></div></div><div class="sect1"><div class="titlepage"><div><h2 class="title" style="clear: both"><a name="kid3-features"></a>Kid3 features</h2></div></div><div class="itemizedlist"><ul type="disc"><li><p>Edit ID3v1.1 tags</p></li><li><p>Edit all ID3v2.3 frames</p></li><li><p>Edit tags of multiple files</p></li><li><p>Convert between ID3v1.1 and ID3v2.3 tags</p></li><li><p>Edit Ogg/Vorbis tags</p></li><li><p>Edit FLAC tags</p></li><li><p>Generate tags from filename</p></li><li><p>Generate filename from tags</p></li><li><p>Generate and change directory names from tags</p></li><li><p>Generate playlist file</p></li><li><p>Automatic case conversion and string translation</p></li><li><p>Import from <a href="http://freedb.org" target="_top">freedb.org</a>,
+</p></div><div class="chapter" lang="en"><div class="titlepage"><div><div><h2 class="title"><a name="using-kid3"></a>Chapter2.Using Kid3</h2></div></div></div><div class="toc"><p><b>Table of Contents</b></p><dl><dt><span class="sect1"><a href="#kid3-features">Kid3 features</a></span></dt><dt><span class="sect1"><a href="#example-usage">Example Usage</a></span></dt></dl></div><div class="sect1" lang="en"><div class="titlepage"><div><div><h2 class="title" style="clear: both"><a name="kid3-features"></a>Kid3 features</h2></div></div></div><div class="itemizedlist"><ul type="disc"><li><p>Edit ID3v1.1 tags</p></li><li><p>Edit all ID3v2.3 frames</p></li><li><p>Edit tags of multiple files</p></li><li><p>Convert between ID3v1.1 and ID3v2.3 tags</p></li><li><p>Edit Ogg/Vorbis tags</p></li><li><p>Edit FLAC tags</p></li><li><p>Generate tags from filename</p></li><li><p>Generate filename from tags</p></li><li><p>Generate and change directory names from tags</p></li><li><p>Generate playlist file</p></li><li><p>Automatic case conversion and string translation</p></li><li><p>Import from <a href="http://freedb.org" target="_top">freedb.org</a>,
 <a href="http://musicbrainz.org" target="_top">MusicBrainz</a>
-and other data sources</p></li></ul></div></div><div class="sect1"><div class="titlepage"><div><h2 class="title" style="clear: both"><a name="example-usage"></a>Example Usage</h2></div></div><p>
-This section describes a typical session with Kid3.
+and other data sources</p></li><li><p>Export as CSV, HTML, playlist, Kover XML and other
+formats. Exported CSV files can be imported again.</p></li></ul></div></div><div class="sect1" lang="en"><div class="titlepage"><div><div><h2 class="title" style="clear: both"><a name="example-usage"></a>Example Usage</h2></div></div></div><p>
+This section describes a typical session with <span class="application">Kid3</span>.
 Let's assume we have a directory containing MP3 files with the tracks from
 the album "Let's Tag" from the band "One Hit Wonder". The directory is
-named in the "artist - album" format, in our case <tt>One Hit Wonder - Let's
-Tag</tt>. The directory contains the tracks in the "track title.mp3"
+named in the "artist - album" format, in our case <code class="filename">One Hit Wonder - Let's
+Tag</code>. The directory contains the tracks in the "track title.mp3"
 format, which I think is useful because the filenames are short
 (important when using mobile MP3 players with small displays) and in the
 correct order when sorted alphabetically (important when using hardware MP3
 players which play the tracks in alphabetical order or in the order in
 which they are burnt on CD and that order is alphabetical when using
-<b>mkisofs</b>). Besides this, the artist and album information
+<span><strong class="command">mkisofs</strong></span>). Besides this, the artist and album information
 is already in the directory name and does not have to be repeated in the filename.
 But back to our example, the directory listing looks like this:
-</p><p><tt>01 Intro.mp3</tt></p><p><tt>02 We Only Got This One.mp3</tt></p><p><tt>03 Outro.mp3</tt></p><p>
-These files have no tags yet and we want to generate them using Kid3. We use
-Open (File menu or toolbar) and
+</p><p><code class="filename">01 Intro.mp3</code></p><p><code class="filename">02 We Only Got This One.mp3</code></p><p><code class="filename">03 Outro.mp3</code></p><p>
+These files have no tags yet and we want to generate them using <span class="application">Kid3</span>. We use
+<span class="guimenuitem">Open</span> (<span class="guimenu">File</span> menu or toolbar) and
 select one of the files in this directory. All files will be displayed in the
 file listbox. Lazy as we are, we want to use the information in the directory
 and file names to generate tags. Therefore we select all files, then click the
-From Filename button in the ID3v1.1
+<span class="guibutton">From Filename</span> button in the <span class="guilabel">ID3v1.1</span>
 section. This will set the title, artist, album and track values in all files.
 To set the year and genre values of all files, we keep all files selected and
-type in "2002" for the Year and select "Pop" from the
-Genre combobox. To set only these two values, we check their
+type in "2002" for the <span class="guilabel">Year</span> and select "Pop" from the
+<span class="guilabel">Genre</span> combobox. To set only these two values, we check their
 checkboxes and leave all other checkboxes unchecked. Now we change the
 selection by only selecting the first file and we see that all tags contain
 the correct values. The tags of the other files can be verified too by
 selecting them one by one. When we are satisfied with the tags, we use
-Save (File menu or toolbar).
-Selecting Create Playlist from the
-File menu will generate a file
-<tt>One Hit Wonder - Let's Tag.m3u</tt> in the directory.
-</p></div></div><div class="chapter"><div class="titlepage"><div><h2 class="title"><a name="commands"></a>Chapter 3. Command Reference</h2></div></div><div class="sect1"><div class="titlepage"><div><h2 class="title" style="clear: both"><a name="kid3-window"></a>The Kid3 Window</h2></div></div><div class="sect2"><div class="titlepage"><div><h3 class="title"><a name="id2448050"></a>The GUI Elements</h3></div></div><p>
-The Kid3 GUI is separated in five sections: At the left are the file
-and directory listboxes, the right side contains the Filename,
-ID3v1.1 and ID3v2.3 sections.
+<span class="guimenuitem">Save</span> (<span class="guimenu">File</span> menu or toolbar).
+Selecting <span class="guimenuitem">Create Playlist</span> from the
+<span class="guimenu">File</span> menu will generate a file
+<code class="filename">One Hit Wonder - Let's Tag.m3u</code> in the directory.
+</p></div></div><div class="chapter" lang="en"><div class="titlepage"><div><div><h2 class="title"><a name="commands"></a>Chapter3.Command Reference</h2></div></div></div><div class="toc"><p><b>Table of Contents</b></p><dl><dt><span class="sect1"><a href="#kid3-window">The Kid3 Window</a></span></dt><dd><dl><dt><span class="sect2"><a href="#id2500686">The GUI Elements</a></span></dt><dt><span class="sect2"><a href="#id2453190">The File Menu</a></span></dt><dt><span class="sect2"><a href="#id2501275">The Tools Menu</a></span></dt><dt><span class="sect2"><a href="#id2501508">The Settings Menu</a></span></dt><dt><span class="sect2"><a href="#id2501828">The Help Menu</a></span></dt></dl></dd></dl></div><div class="sect1" lang="en"><div class="titlepage"><div><div><h2 class="title" style="clear: both"><a name="kid3-window"></a>The Kid3 Window</h2></div></div></div><div class="sect2" lang="en"><div class="titlepage"><div><div><h3 class="title"><a name="id2500686"></a>The GUI Elements</h3></div></div></div><p>
+The <span class="application">Kid3</span> GUI is separated in five sections: At the left are the file
+and directory listboxes, the right side contains the <span class="guilabel">Filename</span>,
+<span class="guilabel">ID3v1.1</span> and <span class="guilabel">ID3v2.3</span> sections.
 </p><div class="variablelist"><dl><dt><span class="term">Filelist</span></dt><dd><p>
 The file list contains the names of all the files in the opened
 directory which match the selected file name filter (typically
-<tt>*.mp3 *.ogg *.flac</tt>). A single or multiple files can be selected. To
+<code class="filename">*.mp3 *.ogg *.flac</code>). A single or multiple files can be selected. To
 select no file, click into the empty area after the listbox entries. The
 selection determines the files which are affected by the operations which
 are available by using the buttons described below.
@@ -88,14 +95,14 @@
 V1V2 or NO TAG, no icon is displayed if the file has not been read in yet).
 </p></dd><dt><span class="term">Directory List</span></dt><dd><p>
 The directory list contains the names of the directories in the opened
-directory, as well as the current (<tt>.</tt>) and the parent
-(<tt>..</tt>) directory. It allows to quickly change the directory
-without using the Open... command or drag and drop.
-</p></dd><dt><span class="term">Filename</span></dt><dd><p>The Name line edit contains the name of the file
+directory, as well as the current (<code class="filename">.</code>) and the parent
+(<code class="filename">..</code>) directory. It allows to quickly change the directory
+without using the <span class="guimenuitem">Open...</span> command or drag and drop.
+</p></dd><dt><span class="term"><span class="guilabel">Filename</span></span></dt><dd><p>The <span class="guilabel">Name</span> line edit contains the name of the file
 (if only a single file is selected). If this name is changed, the file will
 be renamed when the Save command is used.
 </p><p>
-The Format combo box and line edit contains the format
+The <span class="guilabel">Format</span> combo box and line edit contains the format
 to be used when the filename is generated from the ID3v1.1 or ID3v2.3 tags.
 The filename can contain arbitrary characters, even a directory part separated
 by a slash from the file name, but that directory must already exist for the
@@ -109,39 +116,39 @@
 Some commonly used filename formats are already available in the combo box,
 but it is also possible to type in some special format into the line edit.
 </p><p>
-From ID3v1: Sets the filename using the selected format
+<span class="guibutton">From ID3v1</span>: Sets the filename using the selected format
 and the ID3v1.1
 tags.
 </p><p>
-From ID3v2: Sets the filename using the selected format
+<span class="guibutton">From ID3v2</span>: Sets the filename using the selected format
 and the ID3v2.3
 tags.
 </p><p>
-Info: Shows information about the encoding (MP3, Ogg, FLAC),
+<span class="guibutton">Info</span>: Shows information about the encoding (MP3, Ogg, FLAC),
 bitrate, sample rate, channels and the length of the file.
-</p></dd><dt><span class="term">ID3v1.1</span></dt><dd><p>
-The line edit widgets for Title,
-Artist,
-Album, Comment,
-Year, Track and
-Genre are used to edit the corresponding value in the
+</p></dd><dt><span class="term"><span class="guilabel">ID3v1.1</span></span></dt><dd><p>
+The line edit widgets for <span class="guilabel">Title</span>,
+<span class="guilabel">Artist</span>,
+<span class="guilabel">Album</span>, <span class="guilabel">Comment</span>,
+<span class="guilabel">Year</span>, <span class="guilabel">Track</span> and
+<span class="guilabel">Genre</span> are used to edit the corresponding value in the
 ID3v1.1 tags of the selected files. The value will be changed when the file
-selection is altered or before operations like Save
-and Quit and when the corresponding
+selection is altered or before operations like <span class="guimenuitem">Save</span>
+and <span class="guimenuitem">Quit</span> and when the corresponding
 check box at the left of the field name is checked. This is useful to
 change only some values and leave the other values unchanged.
 </p><p>
 If a single file is selected, all check boxes are checked and the line edit
 widgets contain the values found in the tags of this file. If a tag is not
 found in the file, the corresponding empty value is displayed, which is an
-empty string for the Title, Artist,
-Album and Comment line edits, 0 for the
-numerical Year and Track edits and
-an empty selected value for the Genre
+empty string for the <span class="guilabel">Title</span>, <span class="guilabel">Artist</span>,
+<span class="guilabel">Album</span> and <span class="guilabel">Comment</span> line edits, 0 for the
+numerical <span class="guilabel">Year</span> and <span class="guilabel">Track</span> edits and
+an empty selected value for the <span class="guilabel">Genre</span>
 combo box. The values can be changed and if the corresponding check box is
 checked, they will be set for the selected file after the selection is
 changed. The file is then marked as modified by a disk symbol in the file
-listbox but remains unchanged until the Save
+listbox but remains unchanged until the <span class="guimenuitem">Save</span>
 command is used.
 </p><p>
 If multiple files are selected, only the values which are identical in all
@@ -150,7 +157,7 @@
 unwanted changes. If a value has to be set for all selected files, it can
 be edited and the checkbox has to be set. The values will be set for all
 selected files when the selection is changed and can be saved using the
-Save command.
+<span class="guimenuitem">Save</span> command.
 </p><p>
 The check boxes also control the operation of most commands affecting the
 tags, such as copy, paste and transfer between V1 and V2 tags. To make it
@@ -158,61 +165,67 @@
 commands behave in the same way when all check boxes are checked and when all
 check boxes are unchecked.
 </p><p>
-From Filename: The tags are set from the filename.
-First, the format specified in Format is used. If the
+<span class="guibutton">From Filename</span>: The tags are set from the filename.
+First, the format specified in <span class="guilabel">Format</span> is used. If the
 existing filename does not match this format, the following formats
 are tried:
-<div class="itemizedlist"><ul type="disc"><li><p><tt>Artist - Album/Track Song</tt></p></li><li><p><tt>Album/Track - Artist - Song</tt></p></li><li><p><tt>/Artist - Album - Track - Song</tt></p></li><li><p><tt>Album/Artist - Track - Song</tt></p></li><li><p><tt>Album/Artist - Song</tt></p></li><li><p><tt>Artist/Album/Track Song</tt></p></li></ul></div>
+</p><div class="itemizedlist"><ul type="disc"><li><p><code class="filename">Artist - Album/Track Song</code></p></li><li><p><code class="filename">Album/Track - Artist - Song</code></p></li><li><p><code class="filename">/Artist - Album - Track - Song</code></p></li><li><p><code class="filename">Album/Artist - Track - Song</code></p></li><li><p><code class="filename">Album/Artist - Song</code></p></li><li><p><code class="filename">Artist/Album/Track Song</code></p></li></ul></div><p>
 If a single file is selected, the GUI controls are filled with the values
 extracted from the filename. If multiple files are selected, the tags of the
 files are directly set according to the filenames.
 </p><p>
-From ID3v2: The ID3v1.1 tags are set from the
+<span class="guibutton">From ID3v2</span>: The ID3v1.1 tags are set from the
 corresponding values in the ID3v2.3 tags.
 If a single file is selected, the GUI controls are filled with the values
 from the ID3v2.3 tags. If multiple files are selected, the tags of the
 files are directly set.
 </p><p>
-Copy: The copy buffer is filled with the ID3v1.1 values.
+<span class="guibutton">Copy</span>: The copy buffer is filled with the ID3v1.1 values.
 Only values with checked checkbox will be used in subsequent Paste commands.
 </p><p>
-Paste: Pastes the values from the copy buffer into the
+<span class="guibutton">Paste</span>: Pastes the values from the copy buffer into the
 GUI controls.
 </p><p>
-Remove: This will set all GUI controls to their empty
+<span class="guibutton">Remove</span>: This will set all GUI controls to their empty
 values which results in removing all values. The saved file will then contain
 no ID3v1.1 tags.
-</p></dd><dt><span class="term">ID3v2.3</span></dt><dd><p>
+</p></dd><dt><span class="term"><span class="guilabel">ID3v2.3</span></span></dt><dd><p>
 The GUI controls function in the same way as described for the
-ID3v1.1 section, but the size of the strings is not limited.
-</p><p>
-Frames: The ID3v2.3 tags can not only contain the same values
+<span class="guilabel">ID3v1.1</span> section, but the size of the strings is not limited.
+</p><p>
+For the ID3v2.3 <span class="guilabel">Genre</span> you can also use your own names
+besides the genres listed in the combo box, just type the name into the line
+edit. If such a custom genre shall be present in the combo box list in the
+future, type <span><strong class="keycap">Enter</strong></span>.
+</p><p>
+<span class="guilabel">Frames</span>: The ID3v2.3 tags can not only contain the same values
 as the ID3v1.1 tags, the format is built in a flexible way from several frames
 which are themselves composed of several fields. The frames list box shows
 all the frames which are available in the selected file.
 </p><p>
-Edit: This will open a window which allows to edit all fields
+<span class="guibutton">Edit</span>: This will open a window which allows to edit all fields
 of the selected frame. This is equivalent to double clicking on the selected frame.
 </p><p>
-Add: A requester to select the frame type will appear
-and a frame of the selected type is added to the file.
+<span class="guibutton">Add</span>: A requester to select the frame type will appear
+and a frame of the selected type can be edited and added to the file. This
+works also to add a frame to multiple selected files.
 </p><p>
-Delete: Deletes the selected frame.
-</p></dd></dl></div></div><div class="sect2"><div class="titlepage"><div><h3 class="title"><a name="id2387342"></a>The File Menu</h3></div></div><p>
-<div class="variablelist"><dl><dt><span class="term">File-&gt;Open... (<b><b>Ctrl</b>-<b>O</b></b>)</span></dt><dd><p>Opens a directory. All files matching the selected
-file name filter will be displayed in the file listbox.</p></dd><dt><span class="term">File-&gt;Open Recent</span></dt><dd><p>Opens a recently opened directory.</p></dd><dt><span class="term">File-&gt;Save (<b><b>Ctrl</b>-<b>S</b></b>)</span></dt><dd><p>Saves all changed files in the directory. The
-changed files are marked with an asterisk in the file listbox. If any file
-names have been changed, those files will be renamed.</p></dd><dt><span class="term">File-&gt;Revert</span></dt><dd><p>Reverts the changes of one or multiple files. If no
+<span class="guibutton">Delete</span>: Deletes the selected frame.
+</p></dd></dl></div></div><div class="sect2" lang="en"><div class="titlepage"><div><div><h3 class="title"><a name="id2453190"></a>The File Menu</h3></div></div></div><p>
+</p><div class="variablelist"><dl><dt><span class="term"><span class="guimenu">File</span>-&gt;<span class="guimenuitem">Open...</span> (<span><strong class="shortcut"><span><strong class="keycap">Ctrl</strong></span>-<span><strong class="keycap">O</strong></span></strong></span>)</span></dt><dd><p><span class="action">Opens a directory.</span> All files matching the selected
+file name filter will be displayed in the file listbox.</p></dd><dt><span class="term"><span class="guimenu">File</span>-&gt;<span class="guimenuitem">Open Recent</span></span></dt><dd><p><span class="action">Opens a recently opened directory.</span></p></dd><dt><span class="term"><span class="guimenu">File</span>-&gt;<span class="guimenuitem">Save</span> (<span><strong class="shortcut"><span><strong class="keycap">Ctrl</strong></span>-<span><strong class="keycap">S</strong></span></strong></span>)</span></dt><dd><p><span class="action">Saves all changed files in the directory.</span> The
+changed files are marked with a disk symbol in the file listbox. If any file
+names have been changed, those files will be renamed.</p></dd><dt><span class="term"><span class="guimenu">File</span>-&gt;<span class="guimenuitem">Revert</span></span></dt><dd><p><span class="action">Reverts the changes of one or multiple files.</span> If no
 files are selected in the file listbox, the changes of all files will be
 reverted, else only the changes of the selected files are reverted.
-</p></dd><dt><span class="term">File-&gt;Import...</span></dt><dd><p>The Import dialog can be used to import data
+</p></dd><dt><span class="term"><span class="guimenu">File</span>-&gt;<span class="guimenuitem">Import...</span></span></dt><dd><p>The <span class="action">Import dialog</span> can be used to import data
 directly from a freedb.org server, from the Web-interface of <a href="http://freedb.org" target="_top">freedb.org</a>, from a MusicBrainz server or other
 sources of album track lists in textual format.
 </p><p>
 Import from a freedb.org server is possible using a dialog which appears when
-From freedb.org is selected. The words to search for
+<span class="guibutton">From freedb.org</span> is selected. The words to search for
 (e.g. artist and album name) can be entered there, the albums which match the
-query will be displayed when Find is clicked and the
+query will be displayed when <span class="guibutton">Find</span> is clicked and the
 results from <a href="http://www.freedb.org" target="_top">www.freedb.org</a> are
 received. If multiple entries for one album are found, the second entry is
 displayed as 2, then 3 and so on. Importing the track data for an album is
@@ -220,13 +233,13 @@
 can be selected as well as the CGI path and a proxy, if necessary.  The
 imported data is displayed in the preview table of the import dialog. To work
 in that dialog again, the freedb.org dialog has to be closed - it can be
-reopened later by clicking From freedb.org again and
+reopened later by clicking <span class="guibutton">From freedb.org</span> again and
 its contents will be restored. When satisfied with the displayed tracks, they
 can be imported by terminating the import dialog with
-OK.
+<span class="guibutton">OK</span>.
 </p><p>
 Import from a MusicBrainz server is possible using the dialog which appears when
-From MusicBrainz is selected. Server and proxy can be
+<span class="guibutton">From MusicBrainz</span> is selected. Server and proxy can be
 selected as in the freedb import dialog. Below is a table displaying the
 imported track data. The right column shows the state of the MusicBrainz
 query, which starts with "Pending" when the dialog is opened. Then the TRM
@@ -236,27 +249,35 @@
 tags before the import. If a result was found, the search ends in the state
 "Recognized", otherwise nothing was found or multiple ambiguous results and one
 of them has to be selected by the user.
-OK and Apply use the imported
-data, Cancel closes the dialog. The closing can take a
+<span class="guibutton">OK</span> and <span class="guibutton">Apply</span> use the imported
+data, <span class="guibutton">Cancel</span> closes the dialog. The closing can take a
 while since the whole MusicBrainz machinery has to be shut down.
 </p><p>
 For the import of textual data, several preconfigured import formats are
-available. The first, "freedb HTML 
+available. The first two, "CSV unquoted" and "CSV quoted" can be used to
+import data which was exported by the Export dialog. The CSV data can be
+edited with a spreadsheet, and shall be written using tabs as
+delimiters. Import should then be possible using "CSV quoted", which is more
+flexible than "CSV unquoted". However, its fields cannot contain any double
+quotes. If you only export from <span class="application">Kid3</span> and import later, "CSV unquoted" can be
+used as a simple format for this purpose.
+</p><p>
+The next format, "freedb HTML 
 text", can be used to copy information from an HTML page of
 <a href="http://freedb.org" target="_top">freedb.org</a>. Search an album in freedb
 and if the desired information is displayed in the web browser, copy the
-contents to the clipboard. Then click the From
-Clipboard button and the imported tracks will be displayed in the
+contents to the clipboard. Then click the <span class="guibutton">From
+Clipboard</span> button and the imported tracks will be displayed in the
 preview table at the top of the dialog. If you are satisfied with the imported
-data, terminate the dialog with OK, which will insert
+data, terminate the dialog with <span class="guibutton">OK</span>, which will insert
 the data into the tags of the current directory. The destination
-(ID3v1 or ID3v2) can be selected
+(<span class="guilabel">ID3v1</span> or <span class="guilabel">ID3v2</span>) can be selected
 with a combo box. The files in the current directory should be in the correct
 track order to get their tags assigned. This is the case if they are numbered.
 </p><p>
-The second preconfigured import format, "freedb HTML source", can be used, if
+The next preconfigured import format, "freedb HTML source", can be used, if
 the data is available as an HTML document. Import is possible using the
-From File button, which opens a file selector, or
+<span class="guibutton">From File</span> button, which opens a file selector, or
 copying its contents from an editor and then importing from clipboard. This
 format can be useful for offline import, although the HTML document could also
 be opened in a browser and then be imported in the first format via the clipboard.
@@ -269,38 +290,97 @@
 from the start of the document to the end to get track data, usually number
 and title. The regular expressions include all the features offered by Qt,
 which is most of the what Perl offers. Bracketing constructs "(..)" create
-capture buffers for the fields to import and are preceded by Kid3 specific
+capture buffers for the fields to import and are preceded by <span class="application">Kid3</span> specific
 codes to specify which field to capture. The codes are the same as used for
 the filename format:
 </p><div class="itemizedlist"><ul type="disc"><li><p>%s Title (Song)</p></li><li><p>%a Artist</p></li><li><p>%l Album</p></li><li><p>%c Comment</p></li><li><p>%y Year</p></li><li><p>%t Track</p></li><li><p>%g Genre</p></li><li><p>%d Duration</p></li></ul></div><p>
 For example, a track regular expression (second line) to import from an 
 .m3u playlist could be "%t(\d+)\s+%s(\S[^\r\n]*)\.mp3[\r\n]". All formats can
 be changed by editing the regular expressions and the name and then clicking
-OK. They will be stored in the
-<tt>kid3rc</tt> file in the configuration directory. This file can
+<span class="guibutton">OK</span>. They will be stored in the
+<code class="filename">kid3rc</code> file in the configuration directory. This file can
 be directly edited to have more import formats or it can be deleted to revert
 to the default formats.
 </p><p>
 To check whether the imported tracks match the current set of files, the
 duration of the imported tracks can be compared with the duration of the
-files. This option can be enabled with the checkbox Check maximum
-allowable time difference and the maximum tolerated difference in
+files. This option can be enabled with the checkbox <span class="guibutton">Check maximum
+allowable time difference</span> and the maximum tolerated difference in
 time can be set in seconds. If a mismatch in a length is detected, the length
 is displayed with a red background in the preview table.
-</p></dd><dt><span class="term">File-&gt;Create Playlist</span></dt><dd><p>Creates an M3U playlist. The file will be stored in
+</p><p>
+It the files are ordered differently than the imported tracks, their assigned
+tracks have to be changed. This task can be facilitated using
+the <span class="guilabel">Match with</span>
+buttons <span class="guibutton">Length</span>, <span class="guibutton">Track</span>,
+and <span class="guibutton">Title</span>, which will reorder the tracks according to
+the corresponding field. To correct the assignments manually, a track can be
+dragged with the left mouse button and the <span><strong class="keycap">Ctrl</strong></span> key hold
+down, and then dropped at the new location.
+</p></dd><dt><span class="term"><span class="guimenu">File</span>-&gt;<span class="guimenuitem">Import from freedb.org...</span></span></dt><dd><p><span class="action">Import from a freedb.org server.</span> This menu
+item opens the same import dialog as <span class="guimenuitem">Import...</span>, but
+opens directly the <span class="guibutton">From freedb.org</span>
+dialog.</p></dd><dt><span class="term"><span class="guimenu">File</span>-&gt;<span class="guimenuitem">Import from MusicBrainz...</span></span></dt><dd><p><span class="action">Import from a MusicBrainz server.</span> This menu
+item opens the same import dialog as <span class="guimenuitem">Import...</span>, but
+opens directly the <span class="guibutton">From MusicBrainz</span>
+dialog.</p></dd><dt><span class="term"><span class="guimenu">File</span>-&gt;<span class="guimenuitem">Export...</span></span></dt><dd><p>
+The <span class="action">Export Dialog</span> is used to store data from the tags in a
+file or the clipboard. The editor at the top shows a preview of the data to
+export. The data can be edited before exporting, as it is exactly the contents
+of the editor which will be stored. The data will be generated from the tags
+in the current directory according to the configured format.
+</p><p>
+The format settings are similar as in the Import dialog: The topmost field
+contains the title (e.g. "CSV unquoted"), followed by the header, which will
+be generated at the begin of the file. The track data follows; it is used for
+every track. Finally, the trailer can be used to generate some finishing
+text.
+</p><p>
+The format fields do not contain regular expressions as in the Import dialog,
+but only output format expressions with special %-expressions, which will be
+replaced by values from the tags. The whole thing works like the file name
+format, and the same codes are used plus some additional codes.
+</p><div class="itemizedlist"><ul type="disc"><li><p>%s Title (Song)</p></li><li><p>%a Artist</p></li><li><p>%l Album</p></li><li><p>%c Comment</p></li><li><p>%y Year</p></li><li><p>%t Track</p></li><li><p>%T Track, without leading zeroes</p></li><li><p>%g Genre</p></li><li><p>%f File name</p></li><li><p>%p Path</p></li><li><p>%u URL</p></li><li><p>%d Duration in minutes:seconds</p></li><li><p>%D Duration in seconds</p></li><li><p>%n Number of tracks of the album</p></li></ul></div><p>
+A few formats are predefined. "CSV unquoted" separates the fields by
+tabs. Data in this format can be imported again into <span class="application">Kid3</span> using the import
+format with the same name. "CSV quoted" additionally encloses the fields by
+double quotes, which eases the import into spreadsheet applications. However,
+the fields shall not contain any double quotes when this format is used.
+"Extended M3U" and "Extended PLS" generate playlists with extended attributes
+and absolute path names. "HTML" can be used to generate an HTML page with
+hyperlinks to the tracks. "Kover XML" creates a file which can be imported by
+the cover printing program Kover. Finally, "Custom Format" is left empty for
+definition of a custom format. You can define more formats of your own by
+adding lines in the file <code class="filename">kid3rc</code> in the configuration
+directory. The other formats can be adapted to your needs.
+</p><p>
+The source of the tags to generate the export data (<span class="guilabel">ID3v1</span>
+or <span class="guilabel">ID3v2</span>) can be selected with a combo
+box. Pushing <span class="guibutton">To File</span> or
+<span class="guibutton">To Clipboard</span> stores the data in a file or on the
+clipboard. <span class="guibutton">OK</span> and <span class="guibutton">Cancel</span> close
+the dialog, whereat <span class="guibutton">OK</span> accepts the current dialog
+settings.
+</p></dd><dt><span class="term"><span class="guimenu">File</span>-&gt;<span class="guimenuitem">Create Playlist</span></span></dt><dd><p><span class="action">Creates an M3U playlist.</span> The file will be stored in
 the opened directory and have the same name as the directory, followed by
 an .m3u extension. The file simply contains the names of the files displayed
 in the file listbox, no special EXTM3U or EXTINFO lines are generated.
 If all files of an album are stored in a separate directory, this function
-can be used to generate a playlist for an album.</p></dd><dt><span class="term">File-&gt;Quit (<b><b>Ctrl</b>-<b>Q</b></b>)</span></dt><dd><p>Quits the application.</p></dd></dl></div>
-</p></div><div class="sect2"><div class="titlepage"><div><h3 class="title"><a name="id2447531"></a>The Tools Menu</h3></div></div><p>
-<div class="variablelist"><dl><dt><span class="term">Tools-&gt;Apply Format</span></dt><dd><p>When Format while editing is switched off
-in the configuration dialog, this menu item can be used to apply
-the configured format to the selected files. This can also be used
-to check whether the file and tag names conform with the configured format
-by applying the format to all saved files and then checking if any files were
-changed (and therefore marked with an asterisk in the file listbox).
-</p></dd><dt><span class="term">Tools-&gt;Rename Directory...</span></dt><dd><p>This dialog offers the possibility to automatically rename the
+can be used to generate a playlist for an album.</p></dd><dt><span class="term"><span class="guimenu">File</span>-&gt;<span class="guimenuitem">Quit</span> (<span><strong class="shortcut"><span><strong class="keycap">Ctrl</strong></span>-<span><strong class="keycap">Q</strong></span></strong></span>)</span></dt><dd><p><span class="action">Quits the application.</span></p></dd></dl></div><p>
+</p></div><div class="sect2" lang="en"><div class="titlepage"><div><div><h3 class="title"><a name="id2501275"></a>The Tools Menu</h3></div></div></div><p>
+</p><div class="variablelist"><dl><dt><span class="term"><span class="guimenu">Tools</span>-&gt;<span class="guimenuitem">Apply Filename Format</span></span></dt><dd><p>When <span class="guilabel">Format while editing</span> is switched off
+for the filename format in the configuration dialog, this menu item can be used to <span class="action">apply
+the configured format to the names of the selected files</span>. This can also be used
+to check whether the file names conform with the configured format
+by applying the format to all saved files and then checking if any files were
+changed (and therefore marked with a disk symbol in the file listbox).
+</p></dd><dt><span class="term"><span class="guimenu">Tools</span>-&gt;<span class="guimenuitem">Apply ID3 Format</span></span></dt><dd><p>When <span class="guilabel">Format while editing</span> is switched off
+for the ID3 format in the configuration dialog, this menu item can be used to <span class="action">apply
+the configured format to the tags of the selected files</span>. This can also be used
+to check whether the tags conform with the configured format
+by applying the format to all saved files and then checking if any files were
+changed (and therefore marked with a disk symbol in the file listbox).
+</p></dd><dt><span class="term"><span class="guimenu">Tools</span>-&gt;<span class="guimenuitem">Rename Directory...</span></span></dt><dd><p>This dialog offers the possibility to automatically rename the
 currently open directory according to the tags in the files. Several formats
 are preconfigured to include information about artist, album and year in the
 directory name. It is also possible to set a custom format, the following
@@ -308,80 +388,87 @@
 </p><div class="itemizedlist"><ul type="disc"><li><p>%s Title (Song)</p></li><li><p>%a Artist</p></li><li><p>%l Album</p></li><li><p>%c Comment</p></li><li><p>%y Year</p></li><li><p>%t Track</p></li><li><p>%g Genre</p></li></ul></div><p>
 If a directory separator "/" is found in the format, multiple directories are
 created. If you want to create a new directory instead of renaming the current
-directory, select Create Directory instead of
-Rename Directory. The source of the tag information can
-be chosen between From ID3v1 and From
-ID3v2. A preview for the rename operation performed on the first
-file can be seen in the From and To
+directory, select <span class="guilabel">Create Directory</span> instead of
+<span class="guilabel">Rename Directory</span>. The source of the tag information can
+be chosen between <span class="guilabel">From ID3v1</span> and <span class="guilabel">From
+ID3v2</span>. A preview for the rename operation performed on the first
+file can be seen in the <span class="guilabel">From</span> and <span class="guilabel">To</span>
 sections of the dialog.
-</p></dd></dl></div>
-</p></div><div class="sect2"><div class="titlepage"><div><h3 class="title"><a name="id2447699"></a>The Settings Menu</h3></div></div><p>
-<div class="variablelist"><dl><dt><span class="term">Settings-&gt;Show Toolbar</span></dt><dd><p>Toggles displaying of the toolbar, which contains
-icons to open and save a directory.</p></dd><dt><span class="term">Settings-&gt;Show Statusbar</span></dt><dd><p>Toggles displaying of the statusbar, which displays
-longer actions such as opening or saving a directory.</p></dd><dt><span class="term">Settings-&gt;Configure Kid3...</span></dt><dd><p>Opens the configuration dialog, which
+</p></dd><dt><span class="term"><span class="guimenu">Tools</span>-&gt;<span class="guimenuitem">Number Tracks...</span></span></dt><dd><p>
+If the track numbers in the tags are not set or have the wrong values, this
+function can <span class="action">number the tracks automatically in ascending
+order</span>. The start number can be set in the dialog. If only part of the
+tracks have to be numbered, they must be selected.
+</p></dd></dl></div><p>
+</p></div><div class="sect2" lang="en"><div class="titlepage"><div><div><h3 class="title"><a name="id2501508"></a>The Settings Menu</h3></div></div></div><p>
+</p><div class="variablelist"><dl><dt><span class="term"><span class="guimenu">Settings</span>-&gt;<span class="guimenuitem">Hide ID3v1.1</span></span></dt><dd><p><span class="action">Toggles displaying of the ID3v1.1 section.</span>
+</p></dd><dt><span class="term"><span class="guimenu">Settings</span>-&gt;<span class="guimenuitem">Hide ID3v2.3</span></span></dt><dd><p><span class="action">Toggles displaying of the ID3v2.3 section.</span>
+</p></dd><dt><span class="term"><span class="guimenu">Settings</span>-&gt;<span class="guimenuitem">Show Toolbar</span></span></dt><dd><p><span class="action">Toggles displaying of the toolbar</span>, which contains
+icons to open and save a directory.</p></dd><dt><span class="term"><span class="guimenu">Settings</span>-&gt;<span class="guimenuitem">Show Statusbar</span></span></dt><dd><p><span class="action">Toggles displaying of the statusbar</span>, which displays
+longer actions such as opening or saving a directory.</p></dd><dt><span class="term"><span class="guimenu">Settings</span>-&gt;<span class="guimenuitem">Configure Kid3...</span></span></dt><dd><p>Opens the <span class="action">configuration dialog</span>, which
 consists of two pages, one for general settings and one, which is used
 to set the format for the strings in the tag fields and the filename.
 </p><p>
-On the page General the check box Preserve file
-timestamp can be marked to preserve the file modification time
-stamp. The check box Use track/total number of tracks
-format controls whether the track number field of ID3v2 tags
+On the page <span class="guilabel">General</span> the check box <span class="guilabel">Preserve file
+timestamp</span> can be marked to preserve the file modification time
+stamp. The check box <span class="guilabel">Use track/total number of tracks
+format</span> controls whether the track number field of ID3v2 tags
 contains simply the track number or additionally the total number of tracks in
-the directory. The combo box Comment Field Name is only
+the directory. The combo box <span class="guilabel">Comment Field Name</span> is only
 relevant for Ogg/Vorbis and FLAC files and sets the name of the field used for
 comments. Different applications seem to use different names, "COMMENT" for
 instance is used by xmms, whereas amaroK uses "DESCRIPTION".
-The Context Menu Commands table contains the commands
+The <span class="guilabel">Context Menu Commands</span> table contains the commands
 which can be used from the context menu of the file list. For critical
 operations such as deleting files, it is advisable to mark
-Confirm to pop up a confirmation dialog before executing
+<span class="guilabel">Confirm</span> to pop up a confirmation dialog before executing
 the command. To add and delete entries in this table, a context menu can be
 used.
 </p><p>
-The page Format contains options for the format of
+The page <span class="guilabel">Format</span> contains options for the format of
 filenames and tags.
-When Format while editing is checked, the format
-configuration is automatically used while editing text in the line edits. The
-format can be set separately for filenames and ID3 tags.
-The Case Conversion can be set to No
-changes, All lowercase, All
-uppercase, First letter uppercase or
-All first letters uppercase. 
+The format can be set separately for filenames and ID3 tags.
+When <span class="guilabel">Format while editing</span> is checked, the format
+configuration is automatically used while editing text in the line edits.
+The <span class="guilabel">Case Conversion</span> can be set to <span class="guilabel">No
+changes</span>, <span class="guilabel">All lowercase</span>, <span class="guilabel">All
+uppercase</span>, <span class="guilabel">First letter uppercase</span> or
+<span class="guilabel">All first letters uppercase</span>. 
 The string replacement list can be set to arbitrary string mappings. To add a
-new mapping, select the From cell of a row and insert the
-text to replace, then go to the To column and enter the
-replacement text. To remove a mapping set the From cell
+new mapping, select the <span class="guilabel">From</span> cell of a row and insert the
+text to replace, then go to the <span class="guilabel">To</span> column and enter the
+replacement text. To remove a mapping set the <span class="guilabel">From</span> cell
 to an empty value (e.g. by first typing space and then backspace). Inserting
 and deleting rows is also possible using a context menu which appears when the
 right mouse button is clicked.  Replacement is only active, if the
-String Replacement checkbox is checked.
-</p></dd><dt><span class="term">Settings-&gt;Configure Shortcuts...</span></dt><dd><p>Opens a dialog to assign keyboard shortcuts for most of the
+<span class="guilabel">String Replacement</span> checkbox is checked.
+</p></dd><dt><span class="term"><span class="guimenu">Settings</span>-&gt;<span class="guimenuitem">Configure Shortcuts...</span></span></dt><dd><p>Opens a dialog to assign keyboard shortcuts for most of the
 program functions. There are even functions without corresponding menu or
 button available, e.g. next file, previous file, select all.
 </p><p>
-</p></dd></dl></div>
-</p></div><div class="sect2"><div class="titlepage"><div><h3 class="title"><a name="id2448757"></a>The Help Menu</h3></div></div><p>
-<div class="variablelist"><dl><dt><span class="term">Help-&gt;Kid3 Handbook</span></dt><dd><p>Opens this handbook.</p></dd><dt><span class="term">Help-&gt;About Kid3</span></dt><dd><p>Displays a short information about Kid3.
-</p></dd></dl></div>
-</p></div></div></div><div class="chapter"><div class="titlepage"><div><h2 class="title"><a name="credits"></a>Chapter 4. Credits and License</h2></div></div><p>
-Kid3
+</p></dd></dl></div><p>
+</p></div><div class="sect2" lang="en"><div class="titlepage"><div><div><h3 class="title"><a name="id2501828"></a>The Help Menu</h3></div></div></div><p>
+</p><div class="variablelist"><dl><dt><span class="term"><span class="guimenu">Help</span>-&gt;<span class="guimenuitem">Kid3 Handbook</span></span></dt><dd><p><span class="action">Opens this handbook.</span></p></dd><dt><span class="term"><span class="guimenu">Help</span>-&gt;<span class="guimenuitem">About Kid3</span></span></dt><dd><p><span class="action">Displays a short information about Kid3;.
+</span></p></dd></dl></div><p>
+</p></div></div></div><div class="chapter" lang="en"><div class="titlepage"><div><div><h2 class="title"><a name="credits"></a>Chapter4.Credits and License</h2></div></div></div><p>
+<span class="application">Kid3</span>
 </p><p>
-Program written by Urs Fleisch <tt>&lt;<a href="mailto:ufleisch at users.sourceforge.net">ufleisch at users.sourceforge.net</a>&gt;</tt>
+Program written by Urs Fleisch <code class="email">&lt;<a href="mailto:ufleisch at users.sourceforge.net">ufleisch at users.sourceforge.net</a>&gt;</code>
 </p><p><a name="gnu-fdl"></a>This documentation is licensed under the terms of the <a href="http://www.gnu.org/licenses/licenses.html#FDL" target="_top">GNU Free Documentation
-License</a>.</p><p>This program is licensed under the terms of the <a href="http://www.gnu.org/licenses/licenses.html#GPL" target="_top">GNU General Public License</a>.</p></div><div class="appendix"><div class="titlepage"><div><h2 class="title"><a name="installation"></a>Appendix A. Installation</h2></div></div><div class="sect1"><div class="titlepage"><div><h2 class="title" style="clear: both"><a name="getting-kid3"></a>How to obtain Kid3</h2></div></div><p>
-Kid3 can be found at
+License</a>.</p><p>This program is licensed under the terms of the <a href="http://www.gnu.org/licenses/licenses.html#GPL" target="_top">GNU General Public License</a>.</p></div><div class="appendix" lang="en"><div class="titlepage"><div><div><h2 class="title"><a name="installation"></a>AppendixA.Installation</h2></div></div></div><div class="toc"><p><b>Table of Contents</b></p><dl><dt><span class="sect1"><a href="#getting-kid3">How to obtain Kid3</a></span></dt><dt><span class="sect1"><a href="#requirements">Requirements</a></span></dt><dt><span class="sect1"><a href="#compilation">Compilation and Installation</a></span></dt><dt><span class="sect1"><a href="#configuration">Configuration</a></span></dt></dl></div><div class="sect1" lang="en"><div class="titlepage"><div><div><h2 class="title" style="clear: both"><a name="getting-kid3"></a>How to obtain Kid3</h2></div></div></div><p>
+<span class="application">Kid3</span> can be found at
 <a href="http://kid3.sourceforge.net" target="_top">http://kid3.sourceforge.net</a>.
-</p></div><div class="sect1"><div class="titlepage"><div><h2 class="title" style="clear: both"><a name="requirements"></a>Requirements</h2></div></div><p>
-Kid3 needs <a href="http://id3lib.sourceforge.net" target="_top">id3lib</a> and
+</p></div><div class="sect1" lang="en"><div class="titlepage"><div><div><h2 class="title" style="clear: both"><a name="requirements"></a>Requirements</h2></div></div></div><p>
+<span class="application">Kid3</span> needs <a href="http://id3lib.sourceforge.net" target="_top">id3lib</a> and
 <a href="http://www.trolltech.com/qt/" target="_top">Qt</a>. <a href="http://www.kde.org" target="_top">KDE</a> is recommended but not necessary, as
-Kid3 can also be compiled as a Qt application. Kid3 can be compiled for
+<span class="application">Kid3</span> can also be compiled as a Qt application. <span class="application">Kid3</span> can be compiled for
 systems where these libraries are available, e.g. for GNU/Linux and Windows.
 To tag Ogg/Vorbis files, libogg, libvorbis and libvorbisfile are
 required, for FLAC files libFLAC++ and libFLAC. For MusicBrainz support,
 libtunepimp is used. As there does not exist a tunepimp SDK for Windows at the
 moment, the Windows version is compiled without MusicBrainz import.
 </p><p>
-Kid3 was tested with
+<span class="application">Kid3</span> was tested with
 </p><p>
 SuSE Linux 7.3: id3lib 3.8.0pre1, id3lib 3.8.0, id3lib 3.8.2, KDE 2.2.2,
 KDE 3.0.4, Qt 2.3.2, Qt 3.0.5
@@ -398,39 +485,49 @@
 Ubuntu 5.10: id3lib 3.8.3, KDE 3.4.3, Qt 3.3.4, libvorbis 1.1.0,
 libogg 1.1.2, libflac++ 1.1.2, libtunepimp 0.3.0
 </p><p>
+Ubuntu 6.06: id3lib 3.8.3, KDE 3.4.3, Qt 3.3.6, libvorbis 1.1.2,
+libogg 1.1.3, libflac++ 1.1.2, libtunepimp 0.3.0 and 0.4.2
+</p><p>
+Note that the MP3 format is not supported in the MusicBrainz import on Ubuntu
+as libtunepimp is built without libmad.
+</p><p>
 Windows NT 4.0: id3lib 3.8.0, id3lib 3.8.2, id3lib 3.8.3, non-commercial Qt version 2.3.0
 </p><p>
 Windows 2000, XP: id3lib 3.8.3, non-commercial Qt Version 2.3.0,
 non-commercial Qt Version 3.2.1, libvorbis 1.1.0, libogg 1.1.2, FLAC 1.1.2
-</p></div><div class="sect1"><div class="titlepage"><div><h2 class="title" style="clear: both"><a name="compilation"></a>Compilation and Installation</h2></div></div><p>
-You can compile Kid3 with or without KDE. Without KDE, Kid3 is a
+</p></div><div class="sect1" lang="en"><div class="titlepage"><div><div><h2 class="title" style="clear: both"><a name="compilation"></a>Compilation and Installation</h2></div></div></div><p>
+You can compile <span class="application">Kid3</span> with or without KDE. Without KDE, <span class="application">Kid3</span> is a
 simple Qt application and lacks some configuration and session features.
 </p><p>
 Go into the top directory and type 
-<pre class="screen">
-<tt>%</tt> <b><tt>./configure</tt></b>
-<tt>%</tt> <b><tt>make</tt></b>
-<tt>%</tt> <b><tt>make install</tt></b>
-</pre>
+</p><pre class="screen">
+<code class="prompt">%</code> <strong class="userinput"><code>./configure</code></strong>
+<code class="prompt">%</code> <strong class="userinput"><code>make</code></strong>
+<code class="prompt">%</code> <strong class="userinput"><code>make install</code></strong>
+</pre><p>
 </p><p>
 To compile for different versions of Qt or KDE, set the corresponding
-<b><tt>configure</tt></b> options.
+<strong class="userinput"><code>configure</code></strong> options.
 </p><p>
-To speed up compilation, Kid3 can use precompiled headers with GCC
-3.4. Start <b><tt>configure</tt></b> with the option
-<b><tt>--enable-gcc-pch</tt></b> (and setting CC and CXX to gcc and g++
+To speed up compilation, <span class="application">Kid3</span> can use precompiled headers with GCC
+3.4. Start <strong class="userinput"><code>configure</code></strong> with the option
+<strong class="userinput"><code>--enable-gcc-pch</code></strong> (and setting CC and CXX to gcc and g++
 of GCC 3.4 if it is not the default compiler). The create a precompiled system
-include file with <b><tt>make pch</tt></b>.
+include file with <strong class="userinput"><code>make pch</code></strong>.
+</p><p>
+Generation of RPM-Packages is supported by the
+file <code class="filename">kid3.spec</code>, for Debian-Packages,
+a <code class="filename">debian</code> directory is available.
 </p><p>
 The Qt application can also be compiled for Windows.
 In the kid3 directory, type
-<pre class="screen">
-<tt>&gt;</tt> <b><tt>nmake /f kid3.mak</tt></b>
-</pre>
-</p></div><div class="sect1"><div class="titlepage"><div><h2 class="title" style="clear: both"><a name="configuration"></a>Configuration</h2></div></div><p>With KDE, the file name filter and format, the import formats, the
+</p><pre class="screen">
+<code class="prompt">&gt;</code> <strong class="userinput"><code>nmake /f kid3.mak</code></strong>
+</pre><p>
+</p></div><div class="sect1" lang="en"><div class="titlepage"><div><div><h2 class="title" style="clear: both"><a name="configuration"></a>Configuration</h2></div></div></div><p>With KDE, the file name filter and format, the import formats, the
 filename and ID3 formats, the toolbar and statusbar
 settings as well as the window size will be be saved in the standard
-location in file <tt>kid3rc</tt>.
-As a Qt application, this file is in the <tt>.qt</tt> directory,
-with older releases of Qt, a file <tt>kid3.cfg</tt> is created.
+location in file <code class="filename">kid3rc</code>.
+As a Qt application, this file is in the <code class="filename">.qt</code> directory,
+with older releases of Qt, a file <code class="filename">kid3.cfg</code> is created.
 </p></div></div></div></body></html>

=== modified file 'kid3_es.qm'
Binary files kid3_es.qm and kid3_es.qm differ
=== modified file 'kid3_ru.qm'
Binary files kid3_ru.qm and kid3_ru.qm differ
=== modified file 'po/Makefile.in'
--- po/Makefile.in	2005-11-24 12:16:38 +0000
+++ po/Makefile.in	2006-07-14 12:25:16 +0000
@@ -297,7 +297,7 @@
 #>+ 3
 	cd $(top_srcdir) && \
 	  $(AUTOMAKE) --gnu  po/Makefile
-	cd $(top_srcdir) && perl admin/am_edit -padmin kid3-0.6/po/Makefile.in
+	cd $(top_srcdir) && perl admin/am_edit -padmin kid3-0.7/po/Makefile.in
 Makefile:  $(srcdir)/Makefile.in  $(top_builddir)/config.status
 	cd $(top_builddir) && $(SHELL) ./config.status $(subdir)/$@ $(am__depfiles_maybe)
 
@@ -452,9 +452,6 @@
 .NOEXPORT:
 
 
-
-
-
 #>+ 2
 KDE_DIST=ru.gmo de.po de.gmo es.po es.gmo kid3.pot ru.po Makefile.in 
 
@@ -514,7 +511,7 @@
 force-reedit:
 		cd $(top_srcdir) && \
 	  $(AUTOMAKE) --gnu  po/Makefile
-	cd $(top_srcdir) && perl admin/am_edit -padmin kid3-0.6/po/Makefile.in
+	cd $(top_srcdir) && perl admin/am_edit -padmin kid3-0.7/po/Makefile.in
 
 
 #>+ 21

=== modified file 'po/de.gmo'
Binary files po/de.gmo and po/de.gmo differ
=== modified file 'po/de.po'
--- po/de.po	2005-11-24 12:16:38 +0000
+++ po/de.po	2006-07-14 12:25:16 +0000
@@ -1,22 +1,20 @@
-# translation of de.po to 
-# translation of de.po to German
-# translation of kid3.po to German
+# translation of de.po to
 # Kid3 German Translation.
-# Copyright (C) 2003, 2004, 2005 Free Software Foundation, Inc.
-# Urs Fleisch <ufleisch@users.sourceforge.net>, 2003, 2004, 2005.
+# Copyright (C) 2003, 2004, 2005, 2006 Free Software Foundation, Inc.
 #
+# Urs Fleisch <ufleisch@users.sourceforge.net>, 2003, 2004, 2005, 2006.
 msgid ""
 msgstr ""
 "Project-Id-Version: de\n"
 "Report-Msgid-Bugs-To: \n"
-"POT-Creation-Date: 2005-10-13 21:53+0200\n"
-"PO-Revision-Date: 2005-10-13 22:34+0200\n"
+"POT-Creation-Date: 2006-06-20 22:13+0200\n"
+"PO-Revision-Date: 2006-06-20 22:18+0200\n"
 "Last-Translator: Urs Fleisch <ufleisch@users.sourceforge.net>\n"
 "Language-Team:  <en@li.org>\n"
 "MIME-Version: 1.0\n"
 "Content-Type: text/plain; charset=UTF-8\n"
 "Content-Transfer-Encoding: 8bit\n"
-"X-Generator: KBabel 1.9.1\n"
+"X-Generator: KBabel 1.11.2\n"
 
 #: _translatorinfo.cpp:1
 msgid ""
@@ -38,11 +36,11 @@
 msgid "Command"
 msgstr "Befehl"
 
-#: commandstable.cpp:119 formatbox.cpp:146
+#: commandstable.cpp:119 formatbox.cpp:149
 msgid "&Insert row"
 msgstr "Zeile &einfügen"
 
-#: commandstable.cpp:123 formatbox.cpp:150
+#: commandstable.cpp:123 formatbox.cpp:153
 msgid "&Delete row"
 msgstr "Zeile &löschen"
 
@@ -83,25 +81,37 @@
 msgstr "All&gemein"
 
 #: configdialog.cpp:103
-msgid "Format while &editing:"
-msgstr "Während des &Editierens formatieren:"
-
-#: configdialog.cpp:107
 msgid "&Filename Format"
 msgstr "&Dateinamenformat"
 
-#: configdialog.cpp:109
+#: configdialog.cpp:105
 msgid "&ID3 Format"
 msgstr "&ID3 Format:"
 
-#: configdialog.cpp:117 importselector.cpp:170
+#: configdialog.cpp:113 importselector.cpp:170
 msgid "Format"
 msgstr "Format"
 
-#: configdialog.cpp:119
+#: configdialog.cpp:115
 msgid "F&ormat"
 msgstr "F&ormat"
 
+#: exportdialog.cpp:58
+msgid "&Format"
+msgstr "&Format"
+
+#: exportdialog.cpp:75
+msgid "To F&ile"
+msgstr "In Date&i"
+
+#: exportdialog.cpp:81
+msgid "To Clip&board"
+msgstr "In Zwischena&blage"
+
+#: exportdialog.cpp:91
+msgid "&Source:"
+msgstr "&Quelle:"
+
 #: filelist.cpp:225
 msgid "Execute Command"
 msgstr "Befehl ausführen"
@@ -110,43 +120,47 @@
 msgid "Execute "
 msgstr "Ausführen von "
 
-#: formatbox.cpp:38
+#: formatbox.cpp:37
+msgid "Format while editing"
+msgstr "Während des Editierens formatieren"
+
+#: formatbox.cpp:41
 msgid "Case Conversion:"
 msgstr "Groß/Kleinschreibung:"
 
-#: formatbox.cpp:42
+#: formatbox.cpp:45
 msgid "No changes"
 msgstr "Keine Änderungen"
 
-#: formatbox.cpp:44
+#: formatbox.cpp:47
 msgid "All lowercase"
 msgstr "Alles Kleinbuchstaben"
 
-#: formatbox.cpp:46
+#: formatbox.cpp:49
 msgid "All uppercase"
 msgstr "Alles Großbuchstaben"
 
-#: formatbox.cpp:48
+#: formatbox.cpp:51
 msgid "First letter uppercase"
 msgstr "Den ersten Buchstaben groß"
 
-#: formatbox.cpp:50
+#: formatbox.cpp:53
 msgid "All first letters uppercase"
 msgstr "Alle ersten Buchstaben groß"
 
-#: formatbox.cpp:54
+#: formatbox.cpp:57
 msgid "String Replacement:"
 msgstr "Zeichen ersetzen:"
 
-#: formatbox.cpp:58
+#: formatbox.cpp:61
 msgid "From"
 msgstr "Von"
 
-#: formatbox.cpp:59
+#: formatbox.cpp:62
 msgid "To"
 msgstr "Nach"
 
-#: formatbox.cpp:154
+#: formatbox.cpp:157
 msgid "&Clear cell"
 msgstr "&Zelle löschen"
 
@@ -154,8 +168,8 @@
 msgid "View Picture"
 msgstr "Bild anzeigen"
 
-#: freedbclient.cpp:50 freedbclient.cpp:199 kid3.cpp:402 kid3.cpp:460
-#: kid3.cpp:877 kid3.cpp:905 kid3.cpp:921 kid3.cpp:1057 kid3.cpp:1152
+#: freedbclient.cpp:50 freedbclient.cpp:199 kid3.cpp:499 kid3.cpp:557
+#: kid3.cpp:985 kid3.cpp:1014 kid3.cpp:1030 kid3.cpp:1172 kid3.cpp:1290
 msgid "Ready."
 msgstr "Bereit."
 
@@ -195,19 +209,19 @@
 msgid "&Find"
 msgstr "&Suchen"
 
-#: freedbdialog.cpp:97 musicbrainzdialog.cpp:52
+#: freedbdialog.cpp:105 musicbrainzdialog.cpp:52
 msgid "&Server:"
 msgstr "&Server:"
 
-#: freedbdialog.cpp:99
+#: freedbdialog.cpp:107
 msgid "C&GI Path:"
 msgstr "C&GI Pfad:"
 
-#: freedbdialog.cpp:129 musicbrainzdialog.cpp:76
+#: freedbdialog.cpp:137 musicbrainzdialog.cpp:76
 msgid "&Proxy:"
 msgstr "&Proxy:"
 
-#: id3form.cpp:120 main.cpp:42
+#: id3form.cpp:120 main.cpp:43
 msgid "Kid3"
 msgstr "Kid3"
 
@@ -219,8 +233,8 @@
 msgid "Name:"
 msgstr "Name:"
 
-#: id3form.cpp:147 id3form.cpp:272 kid3.cpp:247 kid3.cpp:261
-#: rendirdialog.cpp:60
+#: id3form.cpp:147 id3form.cpp:272 kid3.cpp:283 kid3.cpp:297
+#: rendirdialog.cpp:61
 msgid "From ID3v1"
 msgstr "Von ID3v1"
 
@@ -228,8 +242,8 @@
 msgid "Format:"
 msgstr "Format:"
 
-#: id3form.cpp:158 id3form.cpp:194 kid3.cpp:237 kid3.cpp:263
-#: rendirdialog.cpp:61
+#: id3form.cpp:158 id3form.cpp:194 kid3.cpp:273 kid3.cpp:299
+#: rendirdialog.cpp:62
 msgid "From ID3v2"
 msgstr "Von ID3v2"
 
@@ -245,7 +259,7 @@
 msgid "Title:"
 msgstr "Titel:"
 
-#: id3form.cpp:182 id3form.cpp:261 kid3.cpp:235 kid3.cpp:245
+#: id3form.cpp:182 id3form.cpp:261 kid3.cpp:271 kid3.cpp:281
 msgid "From Filename"
 msgstr "Von Dateiname"
 
@@ -277,7 +291,7 @@
 msgid "ID3v&2.3"
 msgstr "ID3v&2.3"
 
-#: id3form.cpp:323 kid3.cpp:255 kid3.cpp:257 kid3.cpp:259
+#: id3form.cpp:326 kid3.cpp:291 kid3.cpp:293 kid3.cpp:295
 msgid "Frames:"
 msgstr "Elemente:"
 
@@ -333,155 +347,227 @@
 msgid "D&estination:"
 msgstr "Zi&el:"
 
-#: importselector.cpp:209
+#: importselector.cpp:207
 msgid "Check maximum allowable time &difference (sec):"
 msgstr "Teste maximal erlaubten Zeitunterschie&d (s):"
 
-#: kid3.cpp:107
+#: importselector.cpp:216
+msgid "Match with:"
+msgstr "Zuordnen mit:"
+
+#: importselector.cpp:218
+msgid "&Length"
+msgstr "&Länge"
+
+#: importselector.cpp:220
+msgid "T&rack"
+msgstr "Numme&r"
+
+#: importselector.cpp:222
+msgid "&Title"
+msgstr "&Titel"
+
+#: kid3.cpp:110
 msgid "&Back"
 msgstr "&Zurück"
 
-#: kid3.cpp:108
+#: kid3.cpp:111
 msgid "&Forward"
 msgstr "Nach &vorne"
 
-#: kid3.cpp:202 kid3.cpp:277
+#: kid3.cpp:204
+msgid "Enables/disables the toolbar"
+msgstr "Werkzeugleiste anzeigen"
+
+#: kid3.cpp:205
+msgid "Enables/disables the statusbar"
+msgstr "Statusleiste anzeigen"
+
+#: kid3.cpp:215 kid3.cpp:313
 msgid "Opens a directory"
 msgstr "Öffnet ein Verzeichnis"
 
-#: kid3.cpp:203
+#: kid3.cpp:216
 msgid "Opens a recently used directory"
 msgstr "Öffnet ein kürzlich benutztes Verzeichnis"
 
-#: kid3.cpp:205 kid3.cpp:294
+#: kid3.cpp:218 kid3.cpp:330
 msgid "Reverts the changes of all or the selected files"
 msgstr "Macht die Änderungen an allen oder den ausgewählten Dateien rückgängig"
 
-#: kid3.cpp:206 kid3.cpp:285
+#: kid3.cpp:219 kid3.cpp:321
 msgid "Saves the changed files"
 msgstr "Speichert die veränderten Dateien"
 
-#: kid3.cpp:207 kid3.cpp:315
+#: kid3.cpp:220 kid3.cpp:374
 msgid "Quits the application"
 msgstr "Beendet die Anwendung"
 
-#: kid3.cpp:208
-msgid "Enables/disables the toolbar"
-msgstr "Werkzeugleiste anzeigen"
-
-#: kid3.cpp:209
-msgid "Enables/disables the statusbar"
-msgstr "Statusleiste anzeigen"
-
-#: kid3.cpp:210
+#: kid3.cpp:221
 msgid "Configure Shortcuts"
 msgstr "Kurzbefehle festlegen"
 
-#: kid3.cpp:211
+#: kid3.cpp:222
 msgid "Preferences dialog"
 msgstr "Einstellungen"
 
-#: kid3.cpp:213 kid3.cpp:302
+#: kid3.cpp:224 kid3.cpp:338
 msgid "&Import..."
 msgstr "&Importieren..."
 
-#: kid3.cpp:216 kid3.cpp:309
+#: kid3.cpp:227 kid3.cpp:345
+msgid "Import from &freedb.org..."
+msgstr "Importieren von &freedb.org..."
+
+#: kid3.cpp:231 kid3.cpp:353
+msgid "Import from &MusicBrainz..."
+msgstr "Importieren von &MusicBrainz..."
+
+#: kid3.cpp:235 kid3.cpp:361
+msgid "&Export..."
+msgstr "&Exportieren..."
+
+#: kid3.cpp:238 kid3.cpp:368
 msgid "&Create Playlist"
 msgstr "Stü&ckliste erstellen"
 
-#: kid3.cpp:219 kid3.cpp:345
-msgid "&Apply Format"
-msgstr "Format &anwenden"
-
-#: kid3.cpp:222 kid3.cpp:352
+#: kid3.cpp:241 kid3.cpp:404
+msgid "Apply &Filename Format"
+msgstr "Dateinamen&format anwenden"
+
+#: kid3.cpp:244 kid3.cpp:411
+msgid "Apply &ID3 Format"
+msgstr "&ID3 Format anwenden"
+
+#: kid3.cpp:247 kid3.cpp:418
 msgid "&Rename Directory..."
 msgstr "Verzeichnis &umbenennen..."
 
-#: kid3.cpp:226
+#: kid3.cpp:250 kid3.cpp:425
+msgid "&Number Tracks..."
+msgstr "Tracks &nummerieren..."
+
+#: kid3.cpp:254 kid3.cpp:432 kid3.cpp:1424 kid3.cpp:1427
+msgid "Hide ID3v&1.1"
+msgstr "ID3v&1.1 ausblenden"
+
+#: kid3.cpp:258 kid3.cpp:439 kid3.cpp:1450 kid3.cpp:1453
+msgid "Hide ID3v&2.3"
+msgstr "ID3v&2.3 ausblenden"
+
+#: kid3.cpp:262
 msgid "Select &All"
 msgstr "A&lles auswählen"
 
-#: kid3.cpp:229
+#: kid3.cpp:265
 msgid "&Next File"
 msgstr "&Nächste Datei"
 
-#: kid3.cpp:232
+#: kid3.cpp:268
 msgid "&Previous File"
 msgstr "&Vorangehende Datei"
 
-#: kid3.cpp:261 kid3.cpp:263 kid3.cpp:265 mp3framelist.cpp:344
+#: kid3.cpp:297 kid3.cpp:299 kid3.cpp:301 mp3framelist.cpp:344
 msgid "Filename"
 msgstr "Dateiname"
 
-#: kid3.cpp:265 kid3.cpp:267 kid3.cpp:269
+#: kid3.cpp:301 kid3.cpp:303 kid3.cpp:305
 msgid "Focus"
 msgstr "Fokus"
 
-#: kid3.cpp:295
+#: kid3.cpp:331
 msgid "Re&vert"
 msgstr "&Zuletzt gespeicherte Fassung"
 
-#: kid3.cpp:301
+#: kid3.cpp:337
 msgid "Import from file or clipboard"
 msgstr "Von Datei oder Zwischenablage importieren"
 
-#: kid3.cpp:308
+#: kid3.cpp:344
+msgid "Import from freedb.org"
+msgstr "Import von freedb.org"
+
+#: kid3.cpp:352
+msgid "Import from MusicBrainz"
+msgstr "Import von MusicBrainz"
+
+#: kid3.cpp:360
+msgid "Export to file or clipboard"
+msgstr "In Datei oder Zwischenablage exportieren"
+
+#: kid3.cpp:367
 msgid "Create M3U Playlist"
 msgstr "Erstelle M3U Stückliste"
 
-#: kid3.cpp:323 kid3.cpp:948
+#: kid3.cpp:382 kid3.cpp:1063
 msgid "Kid3 Handbook"
 msgstr "Handbuch zu Kid3"
 
-#: kid3.cpp:324
+#: kid3.cpp:383
 msgid "Kid3 &Handbook"
 msgstr "&Handbuch zu Kid3"
 
-#: kid3.cpp:330
+#: kid3.cpp:389
 msgid "About Kid3"
 msgstr "Über Kid3"
 
-#: kid3.cpp:331
+#: kid3.cpp:390
 msgid "&About Kid3"
 msgstr "&Über Kid3"
 
-#: kid3.cpp:337
+#: kid3.cpp:396
 msgid "About Qt"
 msgstr "Über Qt"
 
-#: kid3.cpp:338
+#: kid3.cpp:397
 msgid "About &Qt"
 msgstr "Über &Qt"
 
-#: kid3.cpp:344
-msgid "Apply Format"
-msgstr "Format anwenden"
-
-#: kid3.cpp:351 kid3.cpp:1236 rendirdialog.cpp:56
+#: kid3.cpp:403
+msgid "Apply Filename Format"
+msgstr "Dateinamenformat anwenden"
+
+#: kid3.cpp:410
+msgid "Apply ID3 Format"
+msgstr "ID3 Format anwenden"
+
+#: kid3.cpp:417 kid3.cpp:1572 rendirdialog.cpp:57
 msgid "Rename Directory"
 msgstr "Verzeichnis umbenennen"
 
-#: kid3.cpp:358
+#: kid3.cpp:424 numbertracksdialog.cpp:35
+msgid "Number Tracks"
+msgstr "Tracks nummerieren"
+
+#: kid3.cpp:431 kid3.cpp:1426
+msgid "Hide ID3v1.1"
+msgstr "ID3v1.1 ausblenden"
+
+#: kid3.cpp:438 kid3.cpp:1452
+msgid "Hide ID3v2.3"
+msgstr "ID3v2.3 ausblenden"
+
+#: kid3.cpp:445
 msgid "Configure Kid3"
 msgstr "Kid3 einrichten"
 
-#: kid3.cpp:359
+#: kid3.cpp:446
 msgid "&Configure Kid3..."
 msgstr "Kid3 einr&ichten..."
 
-#: kid3.cpp:446
+#: kid3.cpp:543
 msgid "Opening directory..."
 msgstr "Öffne Verzeichnis..."
 
-#: kid3.cpp:641 kid3.cpp:1261
+#: kid3.cpp:749 kid3.cpp:1597
 msgid "File Error"
 msgstr "Datei Fehler"
 
-#: kid3.cpp:642
+#: kid3.cpp:750
 msgid "Error while writing file:\n"
 msgstr "Fehler während dem Schreiben in Datei:\n"
 
-#: kid3.cpp:668 kid3.cpp:678
+#: kid3.cpp:776 kid3.cpp:786
 msgid ""
 "The current directory has been modified.\n"
 "Do you want to save it?"
@@ -489,55 +575,71 @@
 "Das aktuelle Verzeichnis wurde verändert.\n"
 "Soll es gespeichert werden?"
 
-#: kid3.cpp:677
+#: kid3.cpp:785
 msgid "Warning - Kid3"
 msgstr "Warnung - Kid3"
 
-#: kid3.cpp:796
+#: kid3.cpp:904
 msgid "All Files (*)"
 msgstr "Alle Dateien (*)"
 
-#: kid3.cpp:874
+#: kid3.cpp:982
 msgid "Saving directory..."
 msgstr "Speichere Verzeichnis..."
 
-#: kid3.cpp:887
+#: kid3.cpp:995
 msgid "Exiting..."
 msgstr "Beende..."
 
-#: kid3.cpp:898
+#: kid3.cpp:1007
 msgid "Toggling toolbar..."
 msgstr "Schalte Werkzeugleiste um..."
 
-#: kid3.cpp:914
+#: kid3.cpp:1023
 msgid "Toggle the statusbar..."
 msgstr "Schalte Statusleiste um..."
 
-#: kid3.cpp:1047
+#: kid3.cpp:1162
 msgid "Creating playlist..."
 msgstr "Erstelle Stückliste..."
 
-#: kid3.cpp:1110
+#: kid3.cpp:1247
 msgid "Import..."
 msgstr "Importieren..."
 
-#: kid3.cpp:1165
+#: kid3.cpp:1415 kid3.cpp:1418
+msgid "Show ID3v&1.1"
+msgstr "ID3v&1.1 anzeigen"
+
+#: kid3.cpp:1417
+msgid "Show ID3v1.1"
+msgstr "ID3v1.1 anzeigen"
+
+#: kid3.cpp:1441 kid3.cpp:1444
+msgid "Show ID3v&2.3"
+msgstr "ID3v&2.3 anzeigen"
+
+#: kid3.cpp:1443
+msgid "Show ID3v2.3"
+msgstr "ID3v2.3 anzeigen"
+
+#: kid3.cpp:1486
 msgid "Configure - Kid3"
 msgstr "Kid3 einrichten"
 
-#: kid3.cpp:1262
+#: kid3.cpp:1598
 msgid "Error while renaming:\n"
 msgstr "Fehler beim Umbenennen:\n"
 
-#: kid3.cpp:1331
+#: kid3.cpp:1706
 msgid " [modified]"
 msgstr " [Geändert]"
 
-#: main.cpp:21
+#: main.cpp:22
 msgid "Kid3 ID3 Tagger"
 msgstr "Kid3 ID3 Tagger"
 
-#: main.cpp:26
+#: main.cpp:27
 msgid "directory to open"
 msgstr "Zu öffnendes Verzeichnis"
 
@@ -637,495 +739,499 @@
 msgid "Content Type"
 msgstr "Stil"
 
-#: mp3framelist.cpp:759
+#: mp3framelist.cpp:764
 msgid "ISO-8859-1"
 msgstr "ISO-8859-1"
 
-#: mp3framelist.cpp:760
+#: mp3framelist.cpp:765
 msgid "Unicode"
 msgstr "Unicode"
 
-#: mp3framelist.cpp:761
+#: mp3framelist.cpp:766
 msgid "UTF16BE"
 msgstr "UTF16BE"
 
-#: mp3framelist.cpp:762
+#: mp3framelist.cpp:767
 msgid "UTF8"
 msgstr "UTF8"
 
-#: mp3framelist.cpp:773 mp3framelist.cpp:804 mp3framelist.cpp:817
+#: mp3framelist.cpp:778 mp3framelist.cpp:809 mp3framelist.cpp:822
 msgid "Other"
 msgstr "Anderes"
 
-#: mp3framelist.cpp:774
+#: mp3framelist.cpp:779
 msgid "32x32 pixels PNG file icon"
 msgstr "32x32 Pixels PNG Datei Icon"
 
-#: mp3framelist.cpp:775
+#: mp3framelist.cpp:780
 msgid "Other file icon"
 msgstr "Anderes Datei Icon"
 
-#: mp3framelist.cpp:776
+#: mp3framelist.cpp:781
 msgid "Cover (front)"
 msgstr "Cover (Vorderseite)"
 
-#: mp3framelist.cpp:777
+#: mp3framelist.cpp:782
 msgid "Cover (back)"
 msgstr "Cover (Rückseite)"
 
-#: mp3framelist.cpp:778
+#: mp3framelist.cpp:783
 msgid "Leaflet page"
 msgstr "Booklet Seite"
 
-#: mp3framelist.cpp:779
+#: mp3framelist.cpp:784
 msgid "Media"
 msgstr "Medium"
 
-#: mp3framelist.cpp:780
+#: mp3framelist.cpp:785
 msgid "Lead artist/lead performer/soloist"
 msgstr "Haupt-Künstler/Interpret/Solist"
 
-#: mp3framelist.cpp:781
+#: mp3framelist.cpp:786
 msgid "Artist/performer"
 msgstr "Künster/Interpret"
 
-#: mp3framelist.cpp:782
+#: mp3framelist.cpp:787
 msgid "Conductor"
 msgstr "Leiter"
 
-#: mp3framelist.cpp:783
+#: mp3framelist.cpp:788
 msgid "Band/Orchestra"
 msgstr "Band/Orchester"
 
-#: mp3framelist.cpp:784
+#: mp3framelist.cpp:789
 msgid "Composer"
 msgstr "Komponist"
 
-#: mp3framelist.cpp:785
+#: mp3framelist.cpp:790
 msgid "Lyricist/text writer"
 msgstr "Texter"
 
-#: mp3framelist.cpp:786
+#: mp3framelist.cpp:791
 msgid "Recording Location"
 msgstr "Aufnahmeort"
 
-#: mp3framelist.cpp:787
+#: mp3framelist.cpp:792
 msgid "During recording"
 msgstr "Während Aufnahme"
 
-#: mp3framelist.cpp:788
+#: mp3framelist.cpp:793
 msgid "During performance"
 msgstr "Während Aufführung"
 
-#: mp3framelist.cpp:789
+#: mp3framelist.cpp:794
 msgid "Movie/video screen capture"
 msgstr "Bild aus Video"
 
-#: mp3framelist.cpp:790
+#: mp3framelist.cpp:795
 msgid "A bright coloured fish"
 msgstr "Ein hell leuchtender Fisch"
 
-#: mp3framelist.cpp:791
+#: mp3framelist.cpp:796
 msgid "Illustration"
 msgstr "Illustration"
 
-#: mp3framelist.cpp:792
+#: mp3framelist.cpp:797
 msgid "Band/artist logotype"
 msgstr "Band/Künster Logo"
 
-#: mp3framelist.cpp:793
+#: mp3framelist.cpp:798
 msgid "Publisher/Studio logotype"
 msgstr "Herausgeber/Studio Logo"
 
-#: mp3framelist.cpp:805
+#: mp3framelist.cpp:810
 msgid "MPEG frames as unit"
 msgstr "MPEG Frames als Einheit"
 
-#: mp3framelist.cpp:806
+#: mp3framelist.cpp:811
 msgid "Milliseconds as unit"
 msgstr "Millisekunden als Einheit"
 
-#: mp3framelist.cpp:818
+#: mp3framelist.cpp:823
 msgid "Lyrics"
 msgstr "Text"
 
-#: mp3framelist.cpp:819
+#: mp3framelist.cpp:824
 msgid "Text transcription"
 msgstr "Text Abschrift"
 
-#: mp3framelist.cpp:820
+#: mp3framelist.cpp:825
 msgid "Movement/part name"
 msgstr "Name des Teils"
 
-#: mp3framelist.cpp:821
+#: mp3framelist.cpp:826
 msgid "Events"
 msgstr "Ereignis"
 
-#: mp3framelist.cpp:822
+#: mp3framelist.cpp:827
 msgid "Chord"
 msgstr "Saite"
 
-#: mp3framelist.cpp:823
+#: mp3framelist.cpp:828
 msgid "Trivia/pop up"
 msgstr "Trivia/Pop Up"
 
-#: mp3framelist.cpp:964
+#: mp3framelist.cpp:990
 msgid "AENC - Audio encryption"
 msgstr "AENC - Audio Codierung"
 
-#: mp3framelist.cpp:965
+#: mp3framelist.cpp:991
 msgid "APIC - Attached picture"
 msgstr "APIC - Dazugehöriges Bild"
 
-#: mp3framelist.cpp:966
+#: mp3framelist.cpp:992
 msgid "CDM  - Compressed data meta frame"
 msgstr "CDM  - Komprimiertes Data Meta Frame"
 
-#: mp3framelist.cpp:967
+#: mp3framelist.cpp:993
 msgid "COMM - Comments"
 msgstr "COMM - Kommentar"
 
-#: mp3framelist.cpp:968
+#: mp3framelist.cpp:994
 msgid "COMR - Commercial"
 msgstr "COMR - Kommerzielle Information"
 
-#: mp3framelist.cpp:969
+#: mp3framelist.cpp:995
 msgid "CRM  - Encrypted meta frame"
 msgstr "CRM  - Verschlüsseltes Meta Frame"
 
-#: mp3framelist.cpp:970
+#: mp3framelist.cpp:996
 msgid "ENCR - Encryption method registration"
 msgstr "ENCR - Verschlüsselungsmethode"
 
-#: mp3framelist.cpp:971
+#: mp3framelist.cpp:997
 msgid "EQUA - Equalization"
 msgstr "EQUA - Equalization"
 
-#: mp3framelist.cpp:972
+#: mp3framelist.cpp:998
 msgid "ETCO - Event timing codes"
 msgstr "ETCO - Ereignis Zeit Codes"
 
-#: mp3framelist.cpp:973
+#: mp3framelist.cpp:999
 msgid "GEOB - General encapsulated object"
 msgstr "GEOB - Allgemeines gekapseltes Objekt"
 
-#: mp3framelist.cpp:974
+#: mp3framelist.cpp:1000
 msgid "GRID - Group identification registration"
 msgstr "GRID - Gruppierungs Identifikation"
 
-#: mp3framelist.cpp:975
+#: mp3framelist.cpp:1001
 msgid "IPLS - Involved people list"
 msgstr "IPLS - Liste beteiligter Personen"
 
-#: mp3framelist.cpp:976
+#: mp3framelist.cpp:1002
 msgid "LINK - Linked information"
 msgstr "LINK - Verknüpfungsinformation"
 
-#: mp3framelist.cpp:977
+#: mp3framelist.cpp:1003
 msgid "MCDI - Music CD identifier"
 msgstr "MCDI - Musik CD Indentifikation"
 
-#: mp3framelist.cpp:978
+#: mp3framelist.cpp:1004
 msgid "MLLT - MPEG location lookup table"
 msgstr "MLLT - MPEG Positions Nachschlage Tabelle"
 
-#: mp3framelist.cpp:979
+#: mp3framelist.cpp:1005
 msgid "OWNE - Ownership frame"
 msgstr "OWNE - Besitzer"
 
-#: mp3framelist.cpp:980
+#: mp3framelist.cpp:1006
 msgid "PRIV - Private frame"
 msgstr "PRIV - Privat"
 
-#: mp3framelist.cpp:981
+#: mp3framelist.cpp:1007
 msgid "PCNT - Play counter"
 msgstr "PCNT - Abspielzähler"
 
-#: mp3framelist.cpp:982
+#: mp3framelist.cpp:1008
 msgid "POPM - Popularimeter"
 msgstr "POPM - Beliebtheitsmessung"
 
-#: mp3framelist.cpp:983
+#: mp3framelist.cpp:1009
 msgid "POSS - Position synchronisation frame"
 msgstr "POSS - Positionssynchronisierung"
 
-#: mp3framelist.cpp:984
+#: mp3framelist.cpp:1010
 msgid "RBUF - Recommended buffer size"
 msgstr "RBUF - Empfohlene Buffergröße"
 
-#: mp3framelist.cpp:985
+#: mp3framelist.cpp:1011
 msgid "RVAD - Relative volume adjustment"
 msgstr "RVAD - Relative Lautstärkenanpassung"
 
-#: mp3framelist.cpp:986
+#: mp3framelist.cpp:1012
 msgid "RVRB - Reverb"
 msgstr "RVRB - Echo"
 
-#: mp3framelist.cpp:987
+#: mp3framelist.cpp:1013
 msgid "SYLT - Synchronized lyric/text"
 msgstr "SYLT - Synchronisierter Text"
 
-#: mp3framelist.cpp:988
+#: mp3framelist.cpp:1014
 msgid "SYTC - Synchronized tempo codes"
 msgstr "SYTC - Synchronisierte Tempo Codes"
 
-#: mp3framelist.cpp:989
+#: mp3framelist.cpp:1015
 msgid "TALB - Album/Movie/Show title"
 msgstr "TALB - Album/Film/Show Titel"
 
-#: mp3framelist.cpp:990
+#: mp3framelist.cpp:1016
 msgid "TBPM - BPM (beats per minute)"
 msgstr "TBPM - BPM (beats per minute)"
 
-#: mp3framelist.cpp:991
+#: mp3framelist.cpp:1017
 msgid "TCOM - Composer"
 msgstr "TCOM - Komponist"
 
-#: mp3framelist.cpp:992
+#: mp3framelist.cpp:1018
 msgid "TCON - Content type"
 msgstr "TCON - Stil"
 
-#: mp3framelist.cpp:993
+#: mp3framelist.cpp:1019
 msgid "TCOP - Copyright message"
 msgstr "TCOP - Copyright Information"
 
-#: mp3framelist.cpp:994
+#: mp3framelist.cpp:1020
 msgid "TDAT - Date"
 msgstr "TDAT - Datum"
 
-#: mp3framelist.cpp:995
+#: mp3framelist.cpp:1021
 msgid "TDLY - Playlist delay"
 msgstr "TDLY - Stücklisten Verzögerung"
 
-#: mp3framelist.cpp:996
+#: mp3framelist.cpp:1022
 msgid "TENC - Encoded by"
 msgstr "TENC - Codiert von"
 
-#: mp3framelist.cpp:997
+#: mp3framelist.cpp:1023
 msgid "TEXT - Lyricist/Text writer"
 msgstr "TEXT - Texter"
 
-#: mp3framelist.cpp:998
+#: mp3framelist.cpp:1024
 msgid "TFLT - File type"
 msgstr "TFLT - Datei Typ"
 
-#: mp3framelist.cpp:999
+#: mp3framelist.cpp:1025
 msgid "TIME - Time"
 msgstr "TIME - Zeit"
 
-#: mp3framelist.cpp:1000
+#: mp3framelist.cpp:1026
 msgid "TIT1 - Content group description"
 msgstr "TIT1 - Beschreibung der Stilkategorie"
 
-#: mp3framelist.cpp:1001
+#: mp3framelist.cpp:1027
 msgid "TIT2 - Title/songname/content description"
 msgstr "TIT2 - Titel/Name/Inhaltsbezeichnung"
 
-#: mp3framelist.cpp:1002
+#: mp3framelist.cpp:1028
 msgid "TIT3 - Subtitle/Description refinement"
 msgstr "TIT3 - Untergeordneter Titel/Genauere Beschreibung"
 
-#: mp3framelist.cpp:1003
+#: mp3framelist.cpp:1029
 msgid "TKEY - Initial key"
 msgstr "TKEY - Anfangstonart"
 
-#: mp3framelist.cpp:1004
+#: mp3framelist.cpp:1030
 msgid "TLAN - Language(s)"
 msgstr "TLAN - Sprache(n)"
 
-#: mp3framelist.cpp:1005
+#: mp3framelist.cpp:1031
 msgid "TLEN - Length"
 msgstr "TLEN - Länge"
 
-#: mp3framelist.cpp:1006
+#: mp3framelist.cpp:1032
 msgid "TMED - Media type"
 msgstr "TMED - Mediumtyp"
 
-#: mp3framelist.cpp:1007
+#: mp3framelist.cpp:1033
 msgid "TOAL - Original album/movie/show title"
 msgstr "TOAL - Original Album/Film/Show Titel"
 
-#: mp3framelist.cpp:1008
+#: mp3framelist.cpp:1034
 msgid "TOFN - Original filename"
 msgstr "TOFN - Original Dateiname"
 
-#: mp3framelist.cpp:1009
+#: mp3framelist.cpp:1035
 msgid "TOLY - Original lyricist(s)/text writer(s)"
 msgstr "TOLY - Original Texter"
 
-#: mp3framelist.cpp:1010
+#: mp3framelist.cpp:1036
 msgid "TOPE - Original artist(s)/performer(s)"
 msgstr "TOPE - Original Künstler/Interpret"
 
-#: mp3framelist.cpp:1011
+#: mp3framelist.cpp:1037
 msgid "TORY - Original release year"
 msgstr "TORY - Original Erscheinungsjahr"
 
-#: mp3framelist.cpp:1012
+#: mp3framelist.cpp:1038
 msgid "TOWN - File owner/licensee"
 msgstr "TOWN - Original Dateibesitzer"
 
-#: mp3framelist.cpp:1013
+#: mp3framelist.cpp:1039
 msgid "TPE1 - Lead performer(s)/Soloist(s)"
 msgstr "TPE1 - Hauptinterpret(en)/-solist(en)"
 
-#: mp3framelist.cpp:1014
+#: mp3framelist.cpp:1040
 msgid "TPE2 - Band/orchestra/accompaniment"
 msgstr "TPE2 - Band/Orchester/Begleitung"
 
-#: mp3framelist.cpp:1015
+#: mp3framelist.cpp:1041
 msgid "TPE3 - Conductor/performer refinement"
 msgstr "TPE3 - Leiter"
 
-#: mp3framelist.cpp:1016
+#: mp3framelist.cpp:1042
 msgid "TPE4 - Interpreted, remixed, or otherwise modified by"
 msgstr "TPE4 - Interpretiert, remixed oder auf andere Weise modifiziert durch"
 
-#: mp3framelist.cpp:1017
+#: mp3framelist.cpp:1043
 msgid "TPOS - Part of a set"
 msgstr "TPOS - Teil einer Menge"
 
-#: mp3framelist.cpp:1018
+#: mp3framelist.cpp:1044
 msgid "TPUB - Publisher"
 msgstr "TPUB - Herausgeber"
 
-#: mp3framelist.cpp:1019
+#: mp3framelist.cpp:1045
 msgid "TRCK - Track number/Position in set"
 msgstr "TRCK - Stücknummer/Position in einer Menge"
 
-#: mp3framelist.cpp:1020
+#: mp3framelist.cpp:1046
 msgid "TRDA - Recording dates"
 msgstr "TRDA - Aufnahmedaten"
 
-#: mp3framelist.cpp:1021
+#: mp3framelist.cpp:1047
 msgid "TRSN - Internet radio station name"
 msgstr "TRSN - Internetradiostation"
 
-#: mp3framelist.cpp:1022
+#: mp3framelist.cpp:1048
 msgid "TRSO - Internet radio station owner"
 msgstr "TRSO - Internetradiostationsbesitzer"
 
-#: mp3framelist.cpp:1023
+#: mp3framelist.cpp:1049
 msgid "TSIZ - Size"
 msgstr "TSIZ - Größe"
 
-#: mp3framelist.cpp:1024
+#: mp3framelist.cpp:1050
 msgid "TSRC - ISRC (international standard recording code)"
 msgstr "TSRC - ISRC (Internationaler Standardaufnahmecode)"
 
-#: mp3framelist.cpp:1025
+#: mp3framelist.cpp:1051
 msgid "TSSE - Software/Hardware and settings used for encoding"
 msgstr "TSSE - Software/Hardware und Einstellungen der Codierung"
 
-#: mp3framelist.cpp:1026
+#: mp3framelist.cpp:1052
 msgid "TXXX - User defined text information"
 msgstr "TXXX - Benutzerdefinierte Textinformation"
 
-#: mp3framelist.cpp:1027
+#: mp3framelist.cpp:1053
 msgid "TYER - Year"
 msgstr "TYER - Jahr"
 
-#: mp3framelist.cpp:1028
+#: mp3framelist.cpp:1054
 msgid "UFID - Unique file identifier"
 msgstr "UFID - Eindeutige Dateiidentifikation"
 
-#: mp3framelist.cpp:1029
+#: mp3framelist.cpp:1055
 msgid "USER - Terms of use"
 msgstr "USER - Benutzungsbedingungen"
 
-#: mp3framelist.cpp:1030
+#: mp3framelist.cpp:1056
 msgid "USLT - Unsynchronized lyric/text transcription"
 msgstr "USLT - Unsynchronisierte Textabschrift"
 
-#: mp3framelist.cpp:1031
+#: mp3framelist.cpp:1057
 msgid "WCOM - Commercial information"
 msgstr "WCOM - Kommerzielle Information"
 
-#: mp3framelist.cpp:1032
+#: mp3framelist.cpp:1058
 msgid "WCOP - Copyright/Legal information"
 msgstr "WCOP - Copyright/Gesetzliche Information"
 
-#: mp3framelist.cpp:1033
+#: mp3framelist.cpp:1059
 msgid "WOAF - Official audio file webpage"
 msgstr "WOAF - Offizielle Webseite der Audio-Datei"
 
-#: mp3framelist.cpp:1034
+#: mp3framelist.cpp:1060
 msgid "WOAR - Official artist/performer webpage"
 msgstr "WOAR - Offizielle Webseite des Künstlers/Interpreten"
 
-#: mp3framelist.cpp:1035
+#: mp3framelist.cpp:1061
 msgid "WOAS - Official audio source webpage"
 msgstr "WOAS - Offizielle Webseite der Audio-Quelle"
 
-#: mp3framelist.cpp:1036
+#: mp3framelist.cpp:1062
 msgid "WORS - Official internet radio station homepage"
 msgstr "WORS - Offizielle Webseite der Internetradiostation"
 
-#: mp3framelist.cpp:1037
+#: mp3framelist.cpp:1063
 msgid "WPAY - Payment"
 msgstr "WPAY - Bezahlung"
 
-#: mp3framelist.cpp:1038
+#: mp3framelist.cpp:1064
 msgid "WPUB - Official publisher webpage"
 msgstr "WPUB - Offizielle Webseite des Herausgebers"
 
-#: mp3framelist.cpp:1039
+#: mp3framelist.cpp:1065
 msgid "WXXX - User defined URL link"
 msgstr "WXXX - Benutzerdefinierte URL"
 
-#: mp3framelist.cpp:1156 oggframelist.cpp:323
+#: mp3framelist.cpp:1182 oggframelist.cpp:341
 msgid "Add Frame"
 msgstr "Element hinzufügen"
 
-#: mp3framelist.cpp:1157 oggframelist.cpp:324
+#: mp3framelist.cpp:1183 oggframelist.cpp:342
 msgid "Select the frame ID"
 msgstr "Element ID auswählen"
 
-#: musicbrainzclient.cpp:96
+#: musicbrainzclient.cpp:108
+msgid "Metadata Read"
+msgstr "Lese Metadaten"
+
+#: musicbrainzclient.cpp:110
 msgid "Unrecognized"
 msgstr "Nicht erkannt"
 
-#: musicbrainzclient.cpp:97
+#: musicbrainzclient.cpp:111
 msgid "Recognized"
 msgstr "Erkannt"
 
-#: musicbrainzclient.cpp:98 musicbrainzclient.cpp:132
+#: musicbrainzclient.cpp:112 musicbrainzclient.cpp:152
 msgid "Pending"
 msgstr "Suche läuft"
 
-#: musicbrainzclient.cpp:99
+#: musicbrainzclient.cpp:113
 msgid "TRM Lookup"
 msgstr "TRM Suche"
 
-#: musicbrainzclient.cpp:100
+#: musicbrainzclient.cpp:114
 msgid "TRM Collision"
 msgstr "TRM Kollision"
 
-#: musicbrainzclient.cpp:101
+#: musicbrainzclient.cpp:115
 msgid "File Lookup"
 msgstr "Lese Datei"
 
-#: musicbrainzclient.cpp:102
+#: musicbrainzclient.cpp:116
 msgid "User Selection"
 msgstr "Auswahl"
 
-#: musicbrainzclient.cpp:103
+#: musicbrainzclient.cpp:117
 msgid "Verified"
 msgstr "Überprüft"
 
-#: musicbrainzclient.cpp:104
+#: musicbrainzclient.cpp:118
 msgid "Saved"
 msgstr "Gespeichert"
 
-#: musicbrainzclient.cpp:105
+#: musicbrainzclient.cpp:119
 msgid "Deleted"
 msgstr "Gelöscht"
 
-#: musicbrainzclient.cpp:135
+#: musicbrainzclient.cpp:155
 msgid "Removed"
 msgstr "Entfernt"
 
-#: musicbrainzclient.cpp:162
+#: musicbrainzclient.cpp:203
 msgid "Written"
 msgstr "Geschrieben"
 
@@ -1133,67 +1239,76 @@
 msgid "MusicBrainz"
 msgstr "MusicBrainz"
 
-#: musicbrainzdialog.cpp:105
+#: musicbrainzdialog.cpp:100
 msgid "Track Title/Artist - Album"
 msgstr "Nummer Titel/Interpret - Album"
 
-#: musicbrainzdialog.cpp:106
+#: musicbrainzdialog.cpp:101
 msgid "State"
 msgstr "Zustand"
 
-#: musicbrainzdialog.cpp:110 musicbrainzdialog.cpp:332
+#: musicbrainzdialog.cpp:152 musicbrainzdialog.cpp:343
 msgid "No result"
 msgstr "Kein Resultat"
 
-#: musicbrainzdialog.cpp:112 musicbrainzdialog.cpp:114
-#: musicbrainzdialog.cpp:162
+#: musicbrainzdialog.cpp:154 musicbrainzdialog.cpp:156
+#: musicbrainzdialog.cpp:173
 msgid "Unknown"
 msgstr "Unbekannt"
 
-#: musicbrainzdialog.cpp:332
+#: musicbrainzdialog.cpp:343
 msgid "No result selected"
 msgstr "Kein Resultat ausgewählt"
 
-#: rendirdialog.cpp:57
+#: numbertracksdialog.cpp:41
+msgid "&Start number:"
+msgstr "&Startnummer:"
+
+#: numbertracksdialog.cpp:53
+msgid "&Destination:"
+msgstr "Zi&el:"
+
+#: rendirdialog.cpp:58
 msgid "Create Directory"
 msgstr "Verzeichnis erstellen"
 
-#: rendirdialog.cpp:66
+#: rendirdialog.cpp:67
 msgid "&Format:"
 msgstr "&Format:"
 
-#: rendirdialog.cpp:92
+#: rendirdialog.cpp:86
 msgid "From:"
 msgstr "Von:"
 
-#: rendirdialog.cpp:94
+#: rendirdialog.cpp:88
 msgid "To:"
 msgstr "Nach:"
 
-#: rendirdialog.cpp:163
+#: rendirdialog.cpp:157
 msgid "Create directory %1 failed\n"
 msgstr "Fehler beim Erstellen des Verzeichnisses %1\n"
 
-#: rendirdialog.cpp:184
+#: rendirdialog.cpp:178
 msgid "File %1 already exists\n"
 msgstr "Datei %1 existiert bereits\n"
 
-#: rendirdialog.cpp:190
+#: rendirdialog.cpp:184
 msgid "%1 is not a directory\n"
 msgstr "%1 ist kein Verzeichnis\n"
 
-#: rendirdialog.cpp:198 rendirdialog.cpp:236
+#: rendirdialog.cpp:192 rendirdialog.cpp:230
 msgid "Rename %1 to %2 failed\n"
 msgstr "Fehler beim Umbenennen von %1 nach %2\n"
 
-#: rendirdialog.cpp:222
+#: rendirdialog.cpp:216
 msgid "%1 already exists\n"
 msgstr "%1 existiert bereits\n"
 
-#: rendirdialog.cpp:228
+#: rendirdialog.cpp:222
 msgid "%1 is not a file\n"
 msgstr "%1 ist keine Datei\n"
 
-#: rendirdialog.cpp:397
+#: rendirdialog.cpp:391
 msgid "New directory name is too different\n"
 msgstr "Der neue Verzeichnisname ist zu verschieden\n"
+

=== modified file 'po/es.gmo'
Binary files po/es.gmo and po/es.gmo differ
=== modified file 'po/es.po'
--- po/es.po	2005-11-24 12:16:38 +0000
+++ po/es.po	2006-07-14 12:25:16 +0000
@@ -1,20 +1,21 @@
+# translation of es.po to
 # Kid3 Spanish Translation.
-# Copyright (C) 2003, 2004 Free Software Foundation, Inc.
+# Copyright (C) 2003, 2004, 2006 Free Software Foundation, Inc.
+#
 # Sergio Cambra García <sergio.cambra@hispalinux.es>, 2004.
-# Urs Fleisch <ufleisch@users.sourceforge.net>, 2005.
-#
+# Urs Fleisch <ufleisch@users.sourceforge.net>, 2005, 2006.
 msgid ""
 msgstr ""
 "Project-Id-Version: es\n"
 "Report-Msgid-Bugs-To: \n"
-"POT-Creation-Date: 2005-10-13 21:53+0200\n"
-"PO-Revision-Date: 2005-10-14 18:20+0200\n"
+"POT-Creation-Date: 2006-06-20 22:13+0200\n"
+"PO-Revision-Date: 2006-06-20 22:17+0200\n"
 "Last-Translator: Urs Fleisch <ufleisch@users.sourceforge.net>\n"
-"Language-Team: German <ufleisch@users.sourceforge.net>\n"
+"Language-Team:  <en@li.org>\n"
 "MIME-Version: 1.0\n"
 "Content-Type: text/plain; charset=UTF-8\n"
 "Content-Transfer-Encoding: 8bit\n"
-"X-Generator: KBabel 1.9.1\n"
+"X-Generator: KBabel 1.11.2\n"
 
 #: _translatorinfo.cpp:1
 msgid ""
@@ -36,11 +37,11 @@
 msgid "Command"
 msgstr "Comando"
 
-#: commandstable.cpp:119 formatbox.cpp:146
+#: commandstable.cpp:119 formatbox.cpp:149
 msgid "&Insert row"
 msgstr "&Insertar fila"
 
-#: commandstable.cpp:123 formatbox.cpp:150
+#: commandstable.cpp:123 formatbox.cpp:153
 msgid "&Delete row"
 msgstr "&Eliminar fila"
 
@@ -81,25 +82,37 @@
 msgstr "&General"
 
 #: configdialog.cpp:103
-msgid "Format while &editing:"
-msgstr "Formatear mientras se &edita:"
-
-#: configdialog.cpp:107
 msgid "&Filename Format"
 msgstr "Formato de &nombre de archivo"
 
-#: configdialog.cpp:109
+#: configdialog.cpp:105
 msgid "&ID3 Format"
 msgstr "Formato de &ID3"
 
-#: configdialog.cpp:117 importselector.cpp:170
+#: configdialog.cpp:113 importselector.cpp:170
 msgid "Format"
 msgstr "Formato"
 
-#: configdialog.cpp:119
+#: configdialog.cpp:115
 msgid "F&ormat"
 msgstr "F&ormato"
 
+#: exportdialog.cpp:58
+msgid "&Format"
+msgstr "&Formato"
+
+#: exportdialog.cpp:75
+msgid "To F&ile"
+msgstr "En Arch&ivo"
+
+#: exportdialog.cpp:81
+msgid "To Clip&board"
+msgstr "Al &portapapeles"
+
+#: exportdialog.cpp:91
+msgid "&Source:"
+msgstr "&Origen:"
+
 #: filelist.cpp:225
 msgid "Execute Command"
 msgstr "Ejecutar comando"
@@ -108,43 +121,47 @@
 msgid "Execute "
 msgstr "Ejecutar "
 
-#: formatbox.cpp:38
+#: formatbox.cpp:37
+msgid "Format while editing"
+msgstr "Formatear mientras se edita"
+
+#: formatbox.cpp:41
 msgid "Case Conversion:"
 msgstr "Mayúsculas / minúsculas:"
 
-#: formatbox.cpp:42
+#: formatbox.cpp:45
 msgid "No changes"
 msgstr "Sin cambios"
 
-#: formatbox.cpp:44
+#: formatbox.cpp:47
 msgid "All lowercase"
 msgstr "Todas minúsculas"
 
-#: formatbox.cpp:46
+#: formatbox.cpp:49
 msgid "All uppercase"
 msgstr "Todas mayúsculas"
 
-#: formatbox.cpp:48
+#: formatbox.cpp:51
 msgid "First letter uppercase"
 msgstr "Primera letra mayúscula"
 
-#: formatbox.cpp:50
+#: formatbox.cpp:53
 msgid "All first letters uppercase"
 msgstr "Todas las primeras letras mayúsculas"
 
-#: formatbox.cpp:54
+#: formatbox.cpp:57
 msgid "String Replacement:"
 msgstr "Reemplazar cadenas:"
 
-#: formatbox.cpp:58
+#: formatbox.cpp:61
 msgid "From"
 msgstr "De"
 
-#: formatbox.cpp:59
+#: formatbox.cpp:62
 msgid "To"
 msgstr "A"
 
-#: formatbox.cpp:154
+#: formatbox.cpp:157
 msgid "&Clear cell"
 msgstr "&Borrar celda"
 
@@ -152,8 +169,8 @@
 msgid "View Picture"
 msgstr "Ver Imagen"
 
-#: freedbclient.cpp:50 freedbclient.cpp:199 kid3.cpp:402 kid3.cpp:460
-#: kid3.cpp:877 kid3.cpp:905 kid3.cpp:921 kid3.cpp:1057 kid3.cpp:1152
+#: freedbclient.cpp:50 freedbclient.cpp:199 kid3.cpp:499 kid3.cpp:557
+#: kid3.cpp:985 kid3.cpp:1014 kid3.cpp:1030 kid3.cpp:1172 kid3.cpp:1290
 msgid "Ready."
 msgstr "Listo."
 
@@ -193,19 +210,19 @@
 msgid "&Find"
 msgstr "&Buscar"
 
-#: freedbdialog.cpp:97 musicbrainzdialog.cpp:52
+#: freedbdialog.cpp:105 musicbrainzdialog.cpp:52
 msgid "&Server:"
 msgstr "&Servidor:"
 
-#: freedbdialog.cpp:99
+#: freedbdialog.cpp:107
 msgid "C&GI Path:"
 msgstr "Ruta de C&GI:"
 
-#: freedbdialog.cpp:129 musicbrainzdialog.cpp:76
+#: freedbdialog.cpp:137 musicbrainzdialog.cpp:76
 msgid "&Proxy:"
 msgstr "&Proxy:"
 
-#: id3form.cpp:120 main.cpp:42
+#: id3form.cpp:120 main.cpp:43
 msgid "Kid3"
 msgstr "Kid3"
 
@@ -217,8 +234,8 @@
 msgid "Name:"
 msgstr "Nombre:"
 
-#: id3form.cpp:147 id3form.cpp:272 kid3.cpp:247 kid3.cpp:261
-#: rendirdialog.cpp:60
+#: id3form.cpp:147 id3form.cpp:272 kid3.cpp:283 kid3.cpp:297
+#: rendirdialog.cpp:61
 msgid "From ID3v1"
 msgstr "De ID3v1"
 
@@ -226,8 +243,8 @@
 msgid "Format:"
 msgstr "Formato:"
 
-#: id3form.cpp:158 id3form.cpp:194 kid3.cpp:237 kid3.cpp:263
-#: rendirdialog.cpp:61
+#: id3form.cpp:158 id3form.cpp:194 kid3.cpp:273 kid3.cpp:299
+#: rendirdialog.cpp:62
 msgid "From ID3v2"
 msgstr "De ID3v2"
 
@@ -243,7 +260,7 @@
 msgid "Title:"
 msgstr "Título:"
 
-#: id3form.cpp:182 id3form.cpp:261 kid3.cpp:235 kid3.cpp:245
+#: id3form.cpp:182 id3form.cpp:261 kid3.cpp:271 kid3.cpp:281
 msgid "From Filename"
 msgstr "Desde nombre de archivo"
 
@@ -275,7 +292,7 @@
 msgid "ID3v&2.3"
 msgstr "ID3v&2.3"
 
-#: id3form.cpp:323 kid3.cpp:255 kid3.cpp:257 kid3.cpp:259
+#: id3form.cpp:326 kid3.cpp:291 kid3.cpp:293 kid3.cpp:295
 msgid "Frames:"
 msgstr "Campos:"
 
@@ -331,155 +348,227 @@
 msgid "D&estination:"
 msgstr "D&estino:"
 
-#: importselector.cpp:209
+#: importselector.cpp:207
 msgid "Check maximum allowable time &difference (sec):"
 msgstr "Comprobar máxima &diferencia de tiempo permitida (seg):"
 
-#: kid3.cpp:107
+#: importselector.cpp:216
+msgid "Match with:"
+msgstr "Concuerda con:"
+
+#: importselector.cpp:218
+msgid "&Length"
+msgstr "&Longitud"
+
+#: importselector.cpp:220
+msgid "T&rack"
+msgstr "&Pista"
+
+#: importselector.cpp:222
+msgid "&Title"
+msgstr "&Título"
+
+#: kid3.cpp:110
 msgid "&Back"
 msgstr "&Atrás"
 
-#: kid3.cpp:108
+#: kid3.cpp:111
 msgid "&Forward"
 msgstr "A&delante"
 
-#: kid3.cpp:202 kid3.cpp:277
+#: kid3.cpp:204
+msgid "Enables/disables the toolbar"
+msgstr "Activa/desactiva la barra de herramientas"
+
+#: kid3.cpp:205
+msgid "Enables/disables the statusbar"
+msgstr "Activa/desactiva la barra de estado"
+
+#: kid3.cpp:215 kid3.cpp:313
 msgid "Opens a directory"
 msgstr "Abre un directorio"
 
-#: kid3.cpp:203
+#: kid3.cpp:216
 msgid "Opens a recently used directory"
 msgstr "Abre un directorio usado recientemente"
 
-#: kid3.cpp:205 kid3.cpp:294
+#: kid3.cpp:218 kid3.cpp:330
 msgid "Reverts the changes of all or the selected files"
 msgstr "Deshace los cambios de los archivos seleccionados o de todos"
 
-#: kid3.cpp:206 kid3.cpp:285
+#: kid3.cpp:219 kid3.cpp:321
 msgid "Saves the changed files"
 msgstr "Guarda los archivos cambiados"
 
-#: kid3.cpp:207 kid3.cpp:315
+#: kid3.cpp:220 kid3.cpp:374
 msgid "Quits the application"
 msgstr "Sale del programa"
 
-#: kid3.cpp:208
-msgid "Enables/disables the toolbar"
-msgstr "Activa/desactiva la barra de herramientas"
-
-#: kid3.cpp:209
-msgid "Enables/disables the statusbar"
-msgstr "Activa/desactiva la barra de estado"
-
-#: kid3.cpp:210
+#: kid3.cpp:221
 msgid "Configure Shortcuts"
 msgstr "Configura los atajos de teclado"
 
-#: kid3.cpp:211
+#: kid3.cpp:222
 msgid "Preferences dialog"
 msgstr "Diálogo de preferencias"
 
-#: kid3.cpp:213 kid3.cpp:302
+#: kid3.cpp:224 kid3.cpp:338
 msgid "&Import..."
 msgstr "&Importar..."
 
-#: kid3.cpp:216 kid3.cpp:309
+#: kid3.cpp:227 kid3.cpp:345
+msgid "Import from &freedb.org..."
+msgstr "Importar de &freedb.org..."
+
+#: kid3.cpp:231 kid3.cpp:353
+msgid "Import from &MusicBrainz..."
+msgstr "Importar de &MusicBrainz..."
+
+#: kid3.cpp:235 kid3.cpp:361
+msgid "&Export..."
+msgstr "&Exportar..."
+
+#: kid3.cpp:238 kid3.cpp:368
 msgid "&Create Playlist"
 msgstr "&Crear lista de reproducción"
 
-#: kid3.cpp:219 kid3.cpp:345
-msgid "&Apply Format"
-msgstr "&Aplicar formato"
-
-#: kid3.cpp:222 kid3.cpp:352
+#: kid3.cpp:241 kid3.cpp:404
+msgid "Apply &Filename Format"
+msgstr "Aplicar formato de &nombre de archivo"
+
+#: kid3.cpp:244 kid3.cpp:411
+msgid "Apply &ID3 Format"
+msgstr "Aplicar formato de &ID3"
+
+#: kid3.cpp:247 kid3.cpp:418
 msgid "&Rename Directory..."
 msgstr "&Renombrar un directorio..."
 
-#: kid3.cpp:226
+#: kid3.cpp:250 kid3.cpp:425
+msgid "&Number Tracks..."
+msgstr "&Asignar números de pista por orden..."
+
+#: kid3.cpp:254 kid3.cpp:432 kid3.cpp:1424 kid3.cpp:1427
+msgid "Hide ID3v&1.1"
+msgstr "Ocultar ID3v&1.1"
+
+#: kid3.cpp:258 kid3.cpp:439 kid3.cpp:1450 kid3.cpp:1453
+msgid "Hide ID3v&2.3"
+msgstr "Ocultar ID3v&2.3"
+
+#: kid3.cpp:262
 msgid "Select &All"
 msgstr "Seleccionar &todo"
 
-#: kid3.cpp:229
+#: kid3.cpp:265
 msgid "&Next File"
 msgstr "&Siguiente archivo"
 
-#: kid3.cpp:232
+#: kid3.cpp:268
 msgid "&Previous File"
 msgstr "&Anterior archivo"
 
-#: kid3.cpp:261 kid3.cpp:263 kid3.cpp:265 mp3framelist.cpp:344
+#: kid3.cpp:297 kid3.cpp:299 kid3.cpp:301 mp3framelist.cpp:344
 msgid "Filename"
 msgstr "Nombre de archivo"
 
-#: kid3.cpp:265 kid3.cpp:267 kid3.cpp:269
+#: kid3.cpp:301 kid3.cpp:303 kid3.cpp:305
 msgid "Focus"
 msgstr "Foco"
 
-#: kid3.cpp:295
+#: kid3.cpp:331
 msgid "Re&vert"
 msgstr "&Deshacer"
 
-#: kid3.cpp:301
+#: kid3.cpp:337
 msgid "Import from file or clipboard"
 msgstr "Importar de archivo o portapapeles"
 
-#: kid3.cpp:308
+#: kid3.cpp:344
+msgid "Import from freedb.org"
+msgstr "Importar de freedb.org"
+
+#: kid3.cpp:352
+msgid "Import from MusicBrainz"
+msgstr "Importar de MusicBrainz"
+
+#: kid3.cpp:360
+msgid "Export to file or clipboard"
+msgstr "Exportar en archivo o al portapapeles"
+
+#: kid3.cpp:367
 msgid "Create M3U Playlist"
 msgstr "Crear lista m3u"
 
-#: kid3.cpp:323 kid3.cpp:948
+#: kid3.cpp:382 kid3.cpp:1063
 msgid "Kid3 Handbook"
 msgstr "Manual de Kid3"
 
-#: kid3.cpp:324
+#: kid3.cpp:383
 msgid "Kid3 &Handbook"
 msgstr "&Manual de Kid3"
 
-#: kid3.cpp:330
+#: kid3.cpp:389
 msgid "About Kid3"
 msgstr "Acerca de Kid3"
 
-#: kid3.cpp:331
+#: kid3.cpp:390
 msgid "&About Kid3"
 msgstr "&Acerca de Kid3"
 
-#: kid3.cpp:337
+#: kid3.cpp:396
 msgid "About Qt"
 msgstr "Acerca de Qt"
 
-#: kid3.cpp:338
+#: kid3.cpp:397
 msgid "About &Qt"
 msgstr "Acerca de &Qt"
 
-#: kid3.cpp:344
-msgid "Apply Format"
-msgstr "Aplicar formato"
-
-#: kid3.cpp:351 kid3.cpp:1236 rendirdialog.cpp:56
+#: kid3.cpp:403
+msgid "Apply Filename Format"
+msgstr "Aplicar formato de nombre de archivo"
+
+#: kid3.cpp:410
+msgid "Apply ID3 Format"
+msgstr "Aplicar formato de ID3"
+
+#: kid3.cpp:417 kid3.cpp:1572 rendirdialog.cpp:57
 msgid "Rename Directory"
 msgstr "Renombrar directorio"
 
-#: kid3.cpp:358
+#: kid3.cpp:424 numbertracksdialog.cpp:35
+msgid "Number Tracks"
+msgstr "Numerar pistas"
+
+#: kid3.cpp:431 kid3.cpp:1426
+msgid "Hide ID3v1.1"
+msgstr "Ocultar ID3v1.1"
+
+#: kid3.cpp:438 kid3.cpp:1452
+msgid "Hide ID3v2.3"
+msgstr "Ocultar ID3v2.3"
+
+#: kid3.cpp:445
 msgid "Configure Kid3"
 msgstr "Configurar Kid3"
 
-#: kid3.cpp:359
+#: kid3.cpp:446
 msgid "&Configure Kid3..."
 msgstr "&Configurar Kid3..."
 
-#: kid3.cpp:446
+#: kid3.cpp:543
 msgid "Opening directory..."
 msgstr "Abrir directorio..."
 
-#: kid3.cpp:641 kid3.cpp:1261
+#: kid3.cpp:749 kid3.cpp:1597
 msgid "File Error"
 msgstr "Error en archivo"
 
-#: kid3.cpp:642
+#: kid3.cpp:750
 msgid "Error while writing file:\n"
 msgstr "Error al escribir en el archivo:\n"
 
-#: kid3.cpp:668 kid3.cpp:678
+#: kid3.cpp:776 kid3.cpp:786
 msgid ""
 "The current directory has been modified.\n"
 "Do you want to save it?"
@@ -487,55 +576,71 @@
 "El directorio actual ha sido modificado.\n"
 "¿Desea guardarlo?"
 
-#: kid3.cpp:677
+#: kid3.cpp:785
 msgid "Warning - Kid3"
 msgstr "Atención - Kid3"
 
-#: kid3.cpp:796
+#: kid3.cpp:904
 msgid "All Files (*)"
 msgstr "Todos los archivos (*)"
 
-#: kid3.cpp:874
+#: kid3.cpp:982
 msgid "Saving directory..."
 msgstr "Guardando directorio..."
 
-#: kid3.cpp:887
+#: kid3.cpp:995
 msgid "Exiting..."
 msgstr "Saliendo..."
 
-#: kid3.cpp:898
+#: kid3.cpp:1007
 msgid "Toggling toolbar..."
 msgstr "Conmutando barra de herramientas..."
 
-#: kid3.cpp:914
+#: kid3.cpp:1023
 msgid "Toggle the statusbar..."
 msgstr "Conmutando la barra de estado..."
 
-#: kid3.cpp:1047
+#: kid3.cpp:1162
 msgid "Creating playlist..."
 msgstr "Creando lista de reproducción..."
 
-#: kid3.cpp:1110
+#: kid3.cpp:1247
 msgid "Import..."
 msgstr "Importando..."
 
-#: kid3.cpp:1165
+#: kid3.cpp:1415 kid3.cpp:1418
+msgid "Show ID3v&1.1"
+msgstr "Mostrar ID3v&1.1"
+
+#: kid3.cpp:1417
+msgid "Show ID3v1.1"
+msgstr "Mostrar ID3v1.1"
+
+#: kid3.cpp:1441 kid3.cpp:1444
+msgid "Show ID3v&2.3"
+msgstr "Mostrar ID3v&2.3"
+
+#: kid3.cpp:1443
+msgid "Show ID3v2.3"
+msgstr "Mostrar ID3v2.3"
+
+#: kid3.cpp:1486
 msgid "Configure - Kid3"
 msgstr "Configurar - Kid3"
 
-#: kid3.cpp:1262
+#: kid3.cpp:1598
 msgid "Error while renaming:\n"
 msgstr "Error mientras se renombra:\n"
 
-#: kid3.cpp:1331
+#: kid3.cpp:1706
 msgid " [modified]"
 msgstr " [modificado]"
 
-#: main.cpp:21
+#: main.cpp:22
 msgid "Kid3 ID3 Tagger"
 msgstr "Editor de etiquetas ID3 Kid3"
 
-#: main.cpp:26
+#: main.cpp:27
 msgid "directory to open"
 msgstr "Directorio a abrir"
 
@@ -635,495 +740,499 @@
 msgid "Content Type"
 msgstr "Tipo de contenido"
 
-#: mp3framelist.cpp:759
+#: mp3framelist.cpp:764
 msgid "ISO-8859-1"
 msgstr "ISO-8859-1"
 
-#: mp3framelist.cpp:760
+#: mp3framelist.cpp:765
 msgid "Unicode"
 msgstr "Unicode"
 
-#: mp3framelist.cpp:761
+#: mp3framelist.cpp:766
 msgid "UTF16BE"
 msgstr "UTF16BE"
 
-#: mp3framelist.cpp:762
+#: mp3framelist.cpp:767
 msgid "UTF8"
 msgstr "UTF8"
 
-#: mp3framelist.cpp:773 mp3framelist.cpp:804 mp3framelist.cpp:817
+#: mp3framelist.cpp:778 mp3framelist.cpp:809 mp3framelist.cpp:822
 msgid "Other"
 msgstr "Otro"
 
-#: mp3framelist.cpp:774
+#: mp3framelist.cpp:779
 msgid "32x32 pixels PNG file icon"
 msgstr "Archivo de icono PNG de 32x32 pixels"
 
-#: mp3framelist.cpp:775
+#: mp3framelist.cpp:780
 msgid "Other file icon"
 msgstr "Otro archivo de icono"
 
-#: mp3framelist.cpp:776
+#: mp3framelist.cpp:781
 msgid "Cover (front)"
 msgstr "Portada (frontal)"
 
-#: mp3framelist.cpp:777
+#: mp3framelist.cpp:782
 msgid "Cover (back)"
 msgstr "Portada (trasera)"
 
-#: mp3framelist.cpp:778
+#: mp3framelist.cpp:783
 msgid "Leaflet page"
 msgstr "Página de folleto"
 
-#: mp3framelist.cpp:779
+#: mp3framelist.cpp:784
 msgid "Media"
 msgstr "Medio"
 
-#: mp3framelist.cpp:780
+#: mp3framelist.cpp:785
 msgid "Lead artist/lead performer/soloist"
 msgstr "Líder/solista"
 
-#: mp3framelist.cpp:781
+#: mp3framelist.cpp:786
 msgid "Artist/performer"
 msgstr "Artista/intérprete"
 
-#: mp3framelist.cpp:782
+#: mp3framelist.cpp:787
 msgid "Conductor"
 msgstr "Director"
 
-#: mp3framelist.cpp:783
+#: mp3framelist.cpp:788
 msgid "Band/Orchestra"
 msgstr "Banda/Orquesta"
 
-#: mp3framelist.cpp:784
+#: mp3framelist.cpp:789
 msgid "Composer"
 msgstr "Compositor"
 
-#: mp3framelist.cpp:785
+#: mp3framelist.cpp:790
 msgid "Lyricist/text writer"
 msgstr "Autor"
 
-#: mp3framelist.cpp:786
+#: mp3framelist.cpp:791
 msgid "Recording Location"
 msgstr "Localización de grabación"
 
-#: mp3framelist.cpp:787
+#: mp3framelist.cpp:792
 msgid "During recording"
 msgstr "Duración de la grabación"
 
-#: mp3framelist.cpp:788
+#: mp3framelist.cpp:793
 msgid "During performance"
 msgstr "Duración de la interpretación"
 
-#: mp3framelist.cpp:789
+#: mp3framelist.cpp:794
 msgid "Movie/video screen capture"
 msgstr "Captura de video/película"
 
-#: mp3framelist.cpp:790
+#: mp3framelist.cpp:795
 msgid "A bright coloured fish"
 msgstr "Un pez de colores brillante"
 
-#: mp3framelist.cpp:791
+#: mp3framelist.cpp:796
 msgid "Illustration"
 msgstr "Ilustración"
 
-#: mp3framelist.cpp:792
+#: mp3framelist.cpp:797
 msgid "Band/artist logotype"
 msgstr "Logotipo del artista/banda"
 
-#: mp3framelist.cpp:793
+#: mp3framelist.cpp:798
 msgid "Publisher/Studio logotype"
 msgstr "Logotipo del estudio/editorial"
 
-#: mp3framelist.cpp:805
+#: mp3framelist.cpp:810
 msgid "MPEG frames as unit"
 msgstr "Muestras MPEG como unidad"
 
-#: mp3framelist.cpp:806
+#: mp3framelist.cpp:811
 msgid "Milliseconds as unit"
 msgstr "Milisegundos como unidad"
 
-#: mp3framelist.cpp:818
+#: mp3framelist.cpp:823
 msgid "Lyrics"
 msgstr "Letras"
 
-#: mp3framelist.cpp:819
+#: mp3framelist.cpp:824
 msgid "Text transcription"
 msgstr "Transcripción del texto"
 
-#: mp3framelist.cpp:820
+#: mp3framelist.cpp:825
 msgid "Movement/part name"
 msgstr "Nombre de parte/movimiento"
 
-#: mp3framelist.cpp:821
+#: mp3framelist.cpp:826
 msgid "Events"
 msgstr "Actos"
 
-#: mp3framelist.cpp:822
+#: mp3framelist.cpp:827
 msgid "Chord"
 msgstr "Acorde"
 
-#: mp3framelist.cpp:823
+#: mp3framelist.cpp:828
 msgid "Trivia/pop up"
 msgstr "Trivia/pop up"
 
-#: mp3framelist.cpp:964
+#: mp3framelist.cpp:990
 msgid "AENC - Audio encryption"
 msgstr "AENC - Cifrado de audio"
 
-#: mp3framelist.cpp:965
+#: mp3framelist.cpp:991
 msgid "APIC - Attached picture"
 msgstr "APIC - Imagen adjunta"
 
-#: mp3framelist.cpp:966
+#: mp3framelist.cpp:992
 msgid "CDM  - Compressed data meta frame"
 msgstr "CDM  - Metadato comprimido"
 
-#: mp3framelist.cpp:967
+#: mp3framelist.cpp:993
 msgid "COMM - Comments"
 msgstr "COMM - Comentario"
 
-#: mp3framelist.cpp:968
+#: mp3framelist.cpp:994
 msgid "COMR - Commercial"
 msgstr "COMR - Comercial"
 
-#: mp3framelist.cpp:969
+#: mp3framelist.cpp:995
 msgid "CRM  - Encrypted meta frame"
 msgstr "CRM  - Metacampo encriptado"
 
-#: mp3framelist.cpp:970
+#: mp3framelist.cpp:996
 msgid "ENCR - Encryption method registration"
 msgstr "ENCR - Registro del método de cifrado"
 
-#: mp3framelist.cpp:971
+#: mp3framelist.cpp:997
 msgid "EQUA - Equalization"
 msgstr "EQUA - Ecualización"
 
-#: mp3framelist.cpp:972
+#: mp3framelist.cpp:998
 msgid "ETCO - Event timing codes"
 msgstr "ETCO - Códigos de tiempos de eventos"
 
-#: mp3framelist.cpp:973
+#: mp3framelist.cpp:999
 msgid "GEOB - General encapsulated object"
 msgstr "GEOB - Objeto encapsulado general"
 
-#: mp3framelist.cpp:974
+#: mp3framelist.cpp:1000
 msgid "GRID - Group identification registration"
 msgstr "GRID - Registro de identificación de grupo"
 
-#: mp3framelist.cpp:975
+#: mp3framelist.cpp:1001
 msgid "IPLS - Involved people list"
 msgstr "IPLS - Lista de personas involucradas"
 
-#: mp3framelist.cpp:976
+#: mp3framelist.cpp:1002
 msgid "LINK - Linked information"
 msgstr "LINK - Información enlazada"
 
-#: mp3framelist.cpp:977
+#: mp3framelist.cpp:1003
 msgid "MCDI - Music CD identifier"
 msgstr "MCDI - Identificador de CD de música"
 
-#: mp3framelist.cpp:978
+#: mp3framelist.cpp:1004
 msgid "MLLT - MPEG location lookup table"
 msgstr "MLLT - Tabla de búsqueda de localización MPEG"
 
-#: mp3framelist.cpp:979
+#: mp3framelist.cpp:1005
 msgid "OWNE - Ownership frame"
 msgstr "OWNE - Campo de propiedad"
 
-#: mp3framelist.cpp:980
+#: mp3framelist.cpp:1006
 msgid "PRIV - Private frame"
 msgstr "PRIV - Campo privado"
 
-#: mp3framelist.cpp:981
+#: mp3framelist.cpp:1007
 msgid "PCNT - Play counter"
 msgstr "PCNT - Contador de reproducción"
 
-#: mp3framelist.cpp:982
+#: mp3framelist.cpp:1008
 msgid "POPM - Popularimeter"
 msgstr "POPM - Medidor de popularidad"
 
-#: mp3framelist.cpp:983
+#: mp3framelist.cpp:1009
 msgid "POSS - Position synchronisation frame"
 msgstr "POSS - Campo de sincronización de posición"
 
-#: mp3framelist.cpp:984
+#: mp3framelist.cpp:1010
 msgid "RBUF - Recommended buffer size"
 msgstr "RBUF - Tamaño de búfer recomendado"
 
-#: mp3framelist.cpp:985
+#: mp3framelist.cpp:1011
 msgid "RVAD - Relative volume adjustment"
 msgstr "RVAD - Ajsute de volumen relativo"
 
-#: mp3framelist.cpp:986
+#: mp3framelist.cpp:1012
 msgid "RVRB - Reverb"
 msgstr "RVRB - Eco"
 
-#: mp3framelist.cpp:987
+#: mp3framelist.cpp:1013
 msgid "SYLT - Synchronized lyric/text"
 msgstr "SYLT - Texto/letras sincronizadas"
 
-#: mp3framelist.cpp:988
+#: mp3framelist.cpp:1014
 msgid "SYTC - Synchronized tempo codes"
 msgstr "SYTC - Códigos de ritmo sincronizado"
 
-#: mp3framelist.cpp:989
+#: mp3framelist.cpp:1015
 msgid "TALB - Album/Movie/Show title"
 msgstr "TALB - Título de álbum/película/espectáculo"
 
-#: mp3framelist.cpp:990
+#: mp3framelist.cpp:1016
 msgid "TBPM - BPM (beats per minute)"
 msgstr "TBPM - Ritmo"
 
-#: mp3framelist.cpp:991
+#: mp3framelist.cpp:1017
 msgid "TCOM - Composer"
 msgstr "TCOM - Compositor"
 
-#: mp3framelist.cpp:992
+#: mp3framelist.cpp:1018
 msgid "TCON - Content type"
 msgstr "TCON - Tipo de contenido"
 
-#: mp3framelist.cpp:993
+#: mp3framelist.cpp:1019
 msgid "TCOP - Copyright message"
 msgstr "TCOP - Mensaje de copyright"
 
-#: mp3framelist.cpp:994
+#: mp3framelist.cpp:1020
 msgid "TDAT - Date"
 msgstr "TDAT - Fecha"
 
-#: mp3framelist.cpp:995
+#: mp3framelist.cpp:1021
 msgid "TDLY - Playlist delay"
 msgstr "TDLY - Retraso de lista de reproducción"
 
-#: mp3framelist.cpp:996
+#: mp3framelist.cpp:1022
 msgid "TENC - Encoded by"
 msgstr "TENC - Codificado por"
 
-#: mp3framelist.cpp:997
+#: mp3framelist.cpp:1023
 msgid "TEXT - Lyricist/Text writer"
 msgstr "TEXT - Autor"
 
-#: mp3framelist.cpp:998
+#: mp3framelist.cpp:1024
 msgid "TFLT - File type"
 msgstr "TFLT - Tipo de archivo"
 
-#: mp3framelist.cpp:999
+#: mp3framelist.cpp:1025
 msgid "TIME - Time"
 msgstr "TIME - Tiempo"
 
-#: mp3framelist.cpp:1000
+#: mp3framelist.cpp:1026
 msgid "TIT1 - Content group description"
 msgstr "TIT1 - Descripción del grupo de contenido"
 
-#: mp3framelist.cpp:1001
+#: mp3framelist.cpp:1027
 msgid "TIT2 - Title/songname/content description"
 msgstr "TIT2 - Descripción del contenido/título"
 
-#: mp3framelist.cpp:1002
+#: mp3framelist.cpp:1028
 msgid "TIT3 - Subtitle/Description refinement"
 msgstr "TIT3 - Mejora de la descripción/subtítulo"
 
-#: mp3framelist.cpp:1003
+#: mp3framelist.cpp:1029
 msgid "TKEY - Initial key"
 msgstr "TKEY - Clave inicial"
 
-#: mp3framelist.cpp:1004
+#: mp3framelist.cpp:1030
 msgid "TLAN - Language(s)"
 msgstr "TLAN - Idioma(s)"
 
-#: mp3framelist.cpp:1005
+#: mp3framelist.cpp:1031
 msgid "TLEN - Length"
 msgstr "TLEN - Longitud"
 
-#: mp3framelist.cpp:1006
+#: mp3framelist.cpp:1032
 msgid "TMED - Media type"
 msgstr "TMED - Tipo de medio"
 
-#: mp3framelist.cpp:1007
+#: mp3framelist.cpp:1033
 msgid "TOAL - Original album/movie/show title"
 msgstr "TOAL - Título original de álbum/película/espectáculo"
 
-#: mp3framelist.cpp:1008
+#: mp3framelist.cpp:1034
 msgid "TOFN - Original filename"
 msgstr "TOFN - Título original del nombre de archivo"
 
-#: mp3framelist.cpp:1009
+#: mp3framelist.cpp:1035
 msgid "TOLY - Original lyricist(s)/text writer(s)"
 msgstr "TOLY - Autor original"
 
-#: mp3framelist.cpp:1010
+#: mp3framelist.cpp:1036
 msgid "TOPE - Original artist(s)/performer(s)"
 msgstr "TOPE - Artista/intérprete original"
 
-#: mp3framelist.cpp:1011
+#: mp3framelist.cpp:1037
 msgid "TORY - Original release year"
 msgstr "TORY - Año de lanzamiento original"
 
-#: mp3framelist.cpp:1012
+#: mp3framelist.cpp:1038
 msgid "TOWN - File owner/licensee"
 msgstr "TOWN - Propietario del archivo"
 
-#: mp3framelist.cpp:1013
+#: mp3framelist.cpp:1039
 msgid "TPE1 - Lead performer(s)/Soloist(s)"
 msgstr "TPE1 - Líder(es)/Solista(s)"
 
-#: mp3framelist.cpp:1014
+#: mp3framelist.cpp:1040
 msgid "TPE2 - Band/orchestra/accompaniment"
 msgstr "TPE2 - Banda/Orquesta/Acompañamiento"
 
-#: mp3framelist.cpp:1015
+#: mp3framelist.cpp:1041
 msgid "TPE3 - Conductor/performer refinement"
 msgstr "TPE3 - Director"
 
-#: mp3framelist.cpp:1016
+#: mp3framelist.cpp:1042
 msgid "TPE4 - Interpreted, remixed, or otherwise modified by"
 msgstr "TPE4 - Interpretado, remezclado o modificado de otra forma por"
 
-#: mp3framelist.cpp:1017
+#: mp3framelist.cpp:1043
 msgid "TPOS - Part of a set"
 msgstr "TPOS - Parte de un conjunto"
 
-#: mp3framelist.cpp:1018
+#: mp3framelist.cpp:1044
 msgid "TPUB - Publisher"
 msgstr "TPUB - Editorial"
 
-#: mp3framelist.cpp:1019
+#: mp3framelist.cpp:1045
 msgid "TRCK - Track number/Position in set"
 msgstr "TRCK - Número de pista/Posición en el conjunto"
 
-#: mp3framelist.cpp:1020
+#: mp3framelist.cpp:1046
 msgid "TRDA - Recording dates"
 msgstr "TRDA - Fechas de grabación"
 
-#: mp3framelist.cpp:1021
+#: mp3framelist.cpp:1047
 msgid "TRSN - Internet radio station name"
 msgstr "TRSN - Nombre de emisora de radio de Internet"
 
-#: mp3framelist.cpp:1022
+#: mp3framelist.cpp:1048
 msgid "TRSO - Internet radio station owner"
 msgstr "TRSO - Propietario de emisora de radio de internet"
 
-#: mp3framelist.cpp:1023
+#: mp3framelist.cpp:1049
 msgid "TSIZ - Size"
 msgstr "TSIZ - Tamaño"
 
-#: mp3framelist.cpp:1024
+#: mp3framelist.cpp:1050
 msgid "TSRC - ISRC (international standard recording code)"
 msgstr "TSRC - ISRC (Código de grabación estándar internacional)"
 
-#: mp3framelist.cpp:1025
+#: mp3framelist.cpp:1051
 msgid "TSSE - Software/Hardware and settings used for encoding"
 msgstr "TSSE - Software/Hardware y configuraciones usadas para codificar"
 
-#: mp3framelist.cpp:1026
+#: mp3framelist.cpp:1052
 msgid "TXXX - User defined text information"
 msgstr "TXXX - Información definida por el usuario"
 
-#: mp3framelist.cpp:1027
+#: mp3framelist.cpp:1053
 msgid "TYER - Year"
 msgstr "TYER - Año"
 
-#: mp3framelist.cpp:1028
+#: mp3framelist.cpp:1054
 msgid "UFID - Unique file identifier"
 msgstr "UFID - Identificador de archivo único"
 
-#: mp3framelist.cpp:1029
+#: mp3framelist.cpp:1055
 msgid "USER - Terms of use"
 msgstr "USER - Términos de uso"
 
-#: mp3framelist.cpp:1030
+#: mp3framelist.cpp:1056
 msgid "USLT - Unsynchronized lyric/text transcription"
 msgstr "USLT - Transcripción de texto/letras sin sincronización"
 
-#: mp3framelist.cpp:1031
+#: mp3framelist.cpp:1057
 msgid "WCOM - Commercial information"
 msgstr "WCOM - Información comercial"
 
-#: mp3framelist.cpp:1032
+#: mp3framelist.cpp:1058
 msgid "WCOP - Copyright/Legal information"
 msgstr "WCOP - Información legal/copyright"
 
-#: mp3framelist.cpp:1033
+#: mp3framelist.cpp:1059
 msgid "WOAF - Official audio file webpage"
 msgstr "WOAF - Página web oficial del archivo de audio"
 
-#: mp3framelist.cpp:1034
+#: mp3framelist.cpp:1060
 msgid "WOAR - Official artist/performer webpage"
 msgstr "WOAR - Página web oficial del artista/interpréte"
 
-#: mp3framelist.cpp:1035
+#: mp3framelist.cpp:1061
 msgid "WOAS - Official audio source webpage"
 msgstr "WOAS - Página web original del fuente del audio"
 
-#: mp3framelist.cpp:1036
+#: mp3framelist.cpp:1062
 msgid "WORS - Official internet radio station homepage"
 msgstr "WORS - Página web oficial de la emisora de radio de internet"
 
-#: mp3framelist.cpp:1037
+#: mp3framelist.cpp:1063
 msgid "WPAY - Payment"
 msgstr "WPAY - Pago"
 
-#: mp3framelist.cpp:1038
+#: mp3framelist.cpp:1064
 msgid "WPUB - Official publisher webpage"
 msgstr "WPUB - Página web de la editorial"
 
-#: mp3framelist.cpp:1039
+#: mp3framelist.cpp:1065
 msgid "WXXX - User defined URL link"
 msgstr "WXXX - URL definida por el usuario"
 
-#: mp3framelist.cpp:1156 oggframelist.cpp:323
+#: mp3framelist.cpp:1182 oggframelist.cpp:341
 msgid "Add Frame"
 msgstr "Añadir campo"
 
-#: mp3framelist.cpp:1157 oggframelist.cpp:324
+#: mp3framelist.cpp:1183 oggframelist.cpp:342
 msgid "Select the frame ID"
 msgstr "Seleccionar el identificador de campo"
 
-#: musicbrainzclient.cpp:96
+#: musicbrainzclient.cpp:108
+msgid "Metadata Read"
+msgstr "Leyendo los metadatos"
+
+#: musicbrainzclient.cpp:110
 msgid "Unrecognized"
 msgstr "Desconocido"
 
-#: musicbrainzclient.cpp:97
+#: musicbrainzclient.cpp:111
 msgid "Recognized"
 msgstr "Reconocido"
 
-#: musicbrainzclient.cpp:98 musicbrainzclient.cpp:132
+#: musicbrainzclient.cpp:112 musicbrainzclient.cpp:152
 msgid "Pending"
 msgstr "Pendiente"
 
-#: musicbrainzclient.cpp:99
+#: musicbrainzclient.cpp:113
 msgid "TRM Lookup"
 msgstr "Buscar TRM"
 
-#: musicbrainzclient.cpp:100
+#: musicbrainzclient.cpp:114
 msgid "TRM Collision"
 msgstr "Colision TRM"
 
-#: musicbrainzclient.cpp:101
+#: musicbrainzclient.cpp:115
 msgid "File Lookup"
 msgstr "Buscar archivo"
 
-#: musicbrainzclient.cpp:102
+#: musicbrainzclient.cpp:116
 msgid "User Selection"
 msgstr "Selección del usuario"
 
-#: musicbrainzclient.cpp:103
+#: musicbrainzclient.cpp:117
 msgid "Verified"
 msgstr "Verificado"
 
-#: musicbrainzclient.cpp:104
+#: musicbrainzclient.cpp:118
 msgid "Saved"
 msgstr "Guardado"
 
-#: musicbrainzclient.cpp:105
+#: musicbrainzclient.cpp:119
 msgid "Deleted"
 msgstr "Eliminado"
 
-#: musicbrainzclient.cpp:135
+#: musicbrainzclient.cpp:155
 msgid "Removed"
 msgstr "Borrado"
 
-#: musicbrainzclient.cpp:162
+#: musicbrainzclient.cpp:203
 msgid "Written"
 msgstr "Escrito"
 
@@ -1131,68 +1240,76 @@
 msgid "MusicBrainz"
 msgstr "MusicBrainz"
 
-#: musicbrainzdialog.cpp:105
+#: musicbrainzdialog.cpp:100
 msgid "Track Title/Artist - Album"
 msgstr "Número Título/Artista - Álbum"
 
-#: musicbrainzdialog.cpp:106
+#: musicbrainzdialog.cpp:101
 msgid "State"
 msgstr "Estado"
 
-#: musicbrainzdialog.cpp:110 musicbrainzdialog.cpp:332
+#: musicbrainzdialog.cpp:152 musicbrainzdialog.cpp:343
 msgid "No result"
 msgstr "Ningún resultado"
 
-#: musicbrainzdialog.cpp:112 musicbrainzdialog.cpp:114
-#: musicbrainzdialog.cpp:162
+#: musicbrainzdialog.cpp:154 musicbrainzdialog.cpp:156
+#: musicbrainzdialog.cpp:173
 msgid "Unknown"
 msgstr "Desconocido"
 
-#: musicbrainzdialog.cpp:332
+#: musicbrainzdialog.cpp:343
 msgid "No result selected"
 msgstr "Ningún resultado seleccionado"
 
-#: rendirdialog.cpp:57
+#: numbertracksdialog.cpp:41
+msgid "&Start number:"
+msgstr "&Número primero:"
+
+#: numbertracksdialog.cpp:53
+msgid "&Destination:"
+msgstr "D&estino:"
+
+#: rendirdialog.cpp:58
 msgid "Create Directory"
 msgstr "Crear directorio"
 
-#: rendirdialog.cpp:66
+#: rendirdialog.cpp:67
 msgid "&Format:"
 msgstr "&Formato:"
 
-#: rendirdialog.cpp:92
+#: rendirdialog.cpp:86
 msgid "From:"
 msgstr "De:"
 
-#: rendirdialog.cpp:94
+#: rendirdialog.cpp:88
 msgid "To:"
 msgstr "A:"
 
-#: rendirdialog.cpp:163
+#: rendirdialog.cpp:157
 msgid "Create directory %1 failed\n"
 msgstr "Fallo al crear el directorio %1\n"
 
-#: rendirdialog.cpp:184
+#: rendirdialog.cpp:178
 msgid "File %1 already exists\n"
 msgstr "El archivo %1 ya existe\n"
 
-#: rendirdialog.cpp:190
+#: rendirdialog.cpp:184
 msgid "%1 is not a directory\n"
 msgstr "%1 no es un directorio\n"
 
-#: rendirdialog.cpp:198 rendirdialog.cpp:236
+#: rendirdialog.cpp:192 rendirdialog.cpp:230
 msgid "Rename %1 to %2 failed\n"
 msgstr "Fallo al renombrar %1 a %2\n"
 
-#: rendirdialog.cpp:222
+#: rendirdialog.cpp:216
 msgid "%1 already exists\n"
 msgstr "%1 ya existe\n"
 
-#: rendirdialog.cpp:228
+#: rendirdialog.cpp:222
 msgid "%1 is not a file\n"
 msgstr "%1 no es un archivo\n"
 
-#: rendirdialog.cpp:397
+#: rendirdialog.cpp:391
 msgid "New directory name is too different\n"
 msgstr "El nuevo nombre del directorio es demasiado diferente\n"
 

=== modified file 'po/kid3.pot'
--- po/kid3.pot	2005-11-24 12:16:38 +0000
+++ po/kid3.pot	2006-07-14 12:25:16 +0000
@@ -8,7 +8,7 @@
 msgstr ""
 "Project-Id-Version: PACKAGE VERSION\n"
 "Report-Msgid-Bugs-To: \n"
-"POT-Creation-Date: 2005-10-13 21:53+0200\n"
+"POT-Creation-Date: 2006-06-20 22:13+0200\n"
 "PO-Revision-Date: YEAR-MO-DA HO:MI+ZONE\n"
 "Last-Translator: FULL NAME <EMAIL@ADDRESS>\n"
 "Language-Team: LANGUAGE <LL@li.org>\n"
@@ -36,11 +36,11 @@
 msgid "Command"
 msgstr ""
 
-#: commandstable.cpp:119 formatbox.cpp:146
+#: commandstable.cpp:119 formatbox.cpp:149
 msgid "&Insert row"
 msgstr ""
 
-#: commandstable.cpp:123 formatbox.cpp:150
+#: commandstable.cpp:123 formatbox.cpp:153
 msgid "&Delete row"
 msgstr ""
 
@@ -81,25 +81,37 @@
 msgstr ""
 
 #: configdialog.cpp:103
-msgid "Format while &editing:"
-msgstr ""
-
-#: configdialog.cpp:107
 msgid "&Filename Format"
 msgstr ""
 
-#: configdialog.cpp:109
+#: configdialog.cpp:105
 msgid "&ID3 Format"
 msgstr ""
 
-#: configdialog.cpp:117 importselector.cpp:170
+#: configdialog.cpp:113 importselector.cpp:170
 msgid "Format"
 msgstr ""
 
-#: configdialog.cpp:119
+#: configdialog.cpp:115
 msgid "F&ormat"
 msgstr ""
 
+#: exportdialog.cpp:58
+msgid "&Format"
+msgstr ""
+
+#: exportdialog.cpp:75
+msgid "To F&ile"
+msgstr ""
+
+#: exportdialog.cpp:81
+msgid "To Clip&board"
+msgstr ""
+
+#: exportdialog.cpp:91
+msgid "&Source:"
+msgstr ""
+
 #: filelist.cpp:225
 msgid "Execute Command"
 msgstr ""
@@ -108,43 +120,47 @@
 msgid "Execute "
 msgstr ""
 
-#: formatbox.cpp:38
+#: formatbox.cpp:37
+msgid "Format while editing"
+msgstr ""
+
+#: formatbox.cpp:41
 msgid "Case Conversion:"
 msgstr ""
 
-#: formatbox.cpp:42
+#: formatbox.cpp:45
 msgid "No changes"
 msgstr ""
 
-#: formatbox.cpp:44
+#: formatbox.cpp:47
 msgid "All lowercase"
 msgstr ""
 
-#: formatbox.cpp:46
+#: formatbox.cpp:49
 msgid "All uppercase"
 msgstr ""
 
-#: formatbox.cpp:48
+#: formatbox.cpp:51
 msgid "First letter uppercase"
 msgstr ""
 
-#: formatbox.cpp:50
+#: formatbox.cpp:53
 msgid "All first letters uppercase"
 msgstr ""
 
-#: formatbox.cpp:54
+#: formatbox.cpp:57
 msgid "String Replacement:"
 msgstr ""
 
-#: formatbox.cpp:58
+#: formatbox.cpp:61
 msgid "From"
 msgstr ""
 
-#: formatbox.cpp:59
+#: formatbox.cpp:62
 msgid "To"
 msgstr ""
 
-#: formatbox.cpp:154
+#: formatbox.cpp:157
 msgid "&Clear cell"
 msgstr ""
 
@@ -152,8 +168,8 @@
 msgid "View Picture"
 msgstr ""
 
-#: freedbclient.cpp:50 freedbclient.cpp:199 kid3.cpp:402 kid3.cpp:460
-#: kid3.cpp:877 kid3.cpp:905 kid3.cpp:921 kid3.cpp:1057 kid3.cpp:1152
+#: freedbclient.cpp:50 freedbclient.cpp:199 kid3.cpp:499 kid3.cpp:557
+#: kid3.cpp:985 kid3.cpp:1014 kid3.cpp:1030 kid3.cpp:1172 kid3.cpp:1290
 msgid "Ready."
 msgstr ""
 
@@ -193,19 +209,19 @@
 msgid "&Find"
 msgstr ""
 
-#: freedbdialog.cpp:97 musicbrainzdialog.cpp:52
+#: freedbdialog.cpp:105 musicbrainzdialog.cpp:52
 msgid "&Server:"
 msgstr ""
 
-#: freedbdialog.cpp:99
+#: freedbdialog.cpp:107
 msgid "C&GI Path:"
 msgstr ""
 
-#: freedbdialog.cpp:129 musicbrainzdialog.cpp:76
+#: freedbdialog.cpp:137 musicbrainzdialog.cpp:76
 msgid "&Proxy:"
 msgstr ""
 
-#: id3form.cpp:120 main.cpp:42
+#: id3form.cpp:120 main.cpp:43
 msgid "Kid3"
 msgstr ""
 
@@ -217,8 +233,8 @@
 msgid "Name:"
 msgstr ""
 
-#: id3form.cpp:147 id3form.cpp:272 kid3.cpp:247 kid3.cpp:261
-#: rendirdialog.cpp:60
+#: id3form.cpp:147 id3form.cpp:272 kid3.cpp:283 kid3.cpp:297
+#: rendirdialog.cpp:61
 msgid "From ID3v1"
 msgstr ""
 
@@ -226,8 +242,8 @@
 msgid "Format:"
 msgstr ""
 
-#: id3form.cpp:158 id3form.cpp:194 kid3.cpp:237 kid3.cpp:263
-#: rendirdialog.cpp:61
+#: id3form.cpp:158 id3form.cpp:194 kid3.cpp:273 kid3.cpp:299
+#: rendirdialog.cpp:62
 msgid "From ID3v2"
 msgstr ""
 
@@ -243,7 +259,7 @@
 msgid "Title:"
 msgstr ""
 
-#: id3form.cpp:182 id3form.cpp:261 kid3.cpp:235 kid3.cpp:245
+#: id3form.cpp:182 id3form.cpp:261 kid3.cpp:271 kid3.cpp:281
 msgid "From Filename"
 msgstr ""
 
@@ -275,7 +291,7 @@
 msgid "ID3v&2.3"
 msgstr ""
 
-#: id3form.cpp:323 kid3.cpp:255 kid3.cpp:257 kid3.cpp:259
+#: id3form.cpp:326 kid3.cpp:291 kid3.cpp:293 kid3.cpp:295
 msgid "Frames:"
 msgstr ""
 
@@ -331,209 +347,297 @@
 msgid "D&estination:"
 msgstr ""
 
-#: importselector.cpp:209
+#: importselector.cpp:207
 msgid "Check maximum allowable time &difference (sec):"
 msgstr ""
 
-#: kid3.cpp:107
+#: importselector.cpp:216
+msgid "Match with:"
+msgstr ""
+
+#: importselector.cpp:218
+msgid "&Length"
+msgstr ""
+
+#: importselector.cpp:220
+msgid "T&rack"
+msgstr ""
+
+#: importselector.cpp:222
+msgid "&Title"
+msgstr ""
+
+#: kid3.cpp:110
 msgid "&Back"
 msgstr ""
 
-#: kid3.cpp:108
+#: kid3.cpp:111
 msgid "&Forward"
 msgstr ""
 
-#: kid3.cpp:202 kid3.cpp:277
+#: kid3.cpp:204
+msgid "Enables/disables the toolbar"
+msgstr ""
+
+#: kid3.cpp:205
+msgid "Enables/disables the statusbar"
+msgstr ""
+
+#: kid3.cpp:215 kid3.cpp:313
 msgid "Opens a directory"
 msgstr ""
 
-#: kid3.cpp:203
+#: kid3.cpp:216
 msgid "Opens a recently used directory"
 msgstr ""
 
-#: kid3.cpp:205 kid3.cpp:294
+#: kid3.cpp:218 kid3.cpp:330
 msgid "Reverts the changes of all or the selected files"
 msgstr ""
 
-#: kid3.cpp:206 kid3.cpp:285
+#: kid3.cpp:219 kid3.cpp:321
 msgid "Saves the changed files"
 msgstr ""
 
-#: kid3.cpp:207 kid3.cpp:315
+#: kid3.cpp:220 kid3.cpp:374
 msgid "Quits the application"
 msgstr ""
 
-#: kid3.cpp:208
-msgid "Enables/disables the toolbar"
-msgstr ""
-
-#: kid3.cpp:209
-msgid "Enables/disables the statusbar"
-msgstr ""
-
-#: kid3.cpp:210
+#: kid3.cpp:221
 msgid "Configure Shortcuts"
 msgstr ""
 
-#: kid3.cpp:211
+#: kid3.cpp:222
 msgid "Preferences dialog"
 msgstr ""
 
-#: kid3.cpp:213 kid3.cpp:302
+#: kid3.cpp:224 kid3.cpp:338
 msgid "&Import..."
 msgstr ""
 
-#: kid3.cpp:216 kid3.cpp:309
+#: kid3.cpp:227 kid3.cpp:345
+msgid "Import from &freedb.org..."
+msgstr ""
+
+#: kid3.cpp:231 kid3.cpp:353
+msgid "Import from &MusicBrainz..."
+msgstr ""
+
+#: kid3.cpp:235 kid3.cpp:361
+msgid "&Export..."
+msgstr ""
+
+#: kid3.cpp:238 kid3.cpp:368
 msgid "&Create Playlist"
 msgstr ""
 
-#: kid3.cpp:219 kid3.cpp:345
-msgid "&Apply Format"
-msgstr ""
-
-#: kid3.cpp:222 kid3.cpp:352
+#: kid3.cpp:241 kid3.cpp:404
+msgid "Apply &Filename Format"
+msgstr ""
+
+#: kid3.cpp:244 kid3.cpp:411
+msgid "Apply &ID3 Format"
+msgstr ""
+
+#: kid3.cpp:247 kid3.cpp:418
 msgid "&Rename Directory..."
 msgstr ""
 
-#: kid3.cpp:226
+#: kid3.cpp:250 kid3.cpp:425
+msgid "&Number Tracks..."
+msgstr ""
+
+#: kid3.cpp:254 kid3.cpp:432 kid3.cpp:1424 kid3.cpp:1427
+msgid "Hide ID3v&1.1"
+msgstr ""
+
+#: kid3.cpp:258 kid3.cpp:439 kid3.cpp:1450 kid3.cpp:1453
+msgid "Hide ID3v&2.3"
+msgstr ""
+
+#: kid3.cpp:262
 msgid "Select &All"
 msgstr ""
 
-#: kid3.cpp:229
+#: kid3.cpp:265
 msgid "&Next File"
 msgstr ""
 
-#: kid3.cpp:232
+#: kid3.cpp:268
 msgid "&Previous File"
 msgstr ""
 
-#: kid3.cpp:261 kid3.cpp:263 kid3.cpp:265 mp3framelist.cpp:344
+#: kid3.cpp:297 kid3.cpp:299 kid3.cpp:301 mp3framelist.cpp:344
 msgid "Filename"
 msgstr ""
 
-#: kid3.cpp:265 kid3.cpp:267 kid3.cpp:269
+#: kid3.cpp:301 kid3.cpp:303 kid3.cpp:305
 msgid "Focus"
 msgstr ""
 
-#: kid3.cpp:295
+#: kid3.cpp:331
 msgid "Re&vert"
 msgstr ""
 
-#: kid3.cpp:301
+#: kid3.cpp:337
 msgid "Import from file or clipboard"
 msgstr ""
 
-#: kid3.cpp:308
+#: kid3.cpp:344
+msgid "Import from freedb.org"
+msgstr ""
+
+#: kid3.cpp:352
+msgid "Import from MusicBrainz"
+msgstr ""
+
+#: kid3.cpp:360
+msgid "Export to file or clipboard"
+msgstr ""
+
+#: kid3.cpp:367
 msgid "Create M3U Playlist"
 msgstr ""
 
-#: kid3.cpp:323 kid3.cpp:948
+#: kid3.cpp:382 kid3.cpp:1063
 msgid "Kid3 Handbook"
 msgstr ""
 
-#: kid3.cpp:324
+#: kid3.cpp:383
 msgid "Kid3 &Handbook"
 msgstr ""
 
-#: kid3.cpp:330
+#: kid3.cpp:389
 msgid "About Kid3"
 msgstr ""
 
-#: kid3.cpp:331
+#: kid3.cpp:390
 msgid "&About Kid3"
 msgstr ""
 
-#: kid3.cpp:337
+#: kid3.cpp:396
 msgid "About Qt"
 msgstr ""
 
-#: kid3.cpp:338
+#: kid3.cpp:397
 msgid "About &Qt"
 msgstr ""
 
-#: kid3.cpp:344
-msgid "Apply Format"
-msgstr ""
-
-#: kid3.cpp:351 kid3.cpp:1236 rendirdialog.cpp:56
+#: kid3.cpp:403
+msgid "Apply Filename Format"
+msgstr ""
+
+#: kid3.cpp:410
+msgid "Apply ID3 Format"
+msgstr ""
+
+#: kid3.cpp:417 kid3.cpp:1572 rendirdialog.cpp:57
 msgid "Rename Directory"
 msgstr ""
 
-#: kid3.cpp:358
+#: kid3.cpp:424 numbertracksdialog.cpp:35
+msgid "Number Tracks"
+msgstr ""
+
+#: kid3.cpp:431 kid3.cpp:1426
+msgid "Hide ID3v1.1"
+msgstr ""
+
+#: kid3.cpp:438 kid3.cpp:1452
+msgid "Hide ID3v2.3"
+msgstr ""
+
+#: kid3.cpp:445
 msgid "Configure Kid3"
 msgstr ""
 
-#: kid3.cpp:359
+#: kid3.cpp:446
 msgid "&Configure Kid3..."
 msgstr ""
 
-#: kid3.cpp:446
+#: kid3.cpp:543
 msgid "Opening directory..."
 msgstr ""
 
-#: kid3.cpp:641 kid3.cpp:1261
+#: kid3.cpp:749 kid3.cpp:1597
 msgid "File Error"
 msgstr ""
 
-#: kid3.cpp:642
+#: kid3.cpp:750
 msgid "Error while writing file:\n"
 msgstr ""
 
-#: kid3.cpp:668 kid3.cpp:678
+#: kid3.cpp:776 kid3.cpp:786
 msgid ""
 "The current directory has been modified.\n"
 "Do you want to save it?"
 msgstr ""
 
-#: kid3.cpp:677
+#: kid3.cpp:785
 msgid "Warning - Kid3"
 msgstr ""
 
-#: kid3.cpp:796
+#: kid3.cpp:904
 msgid "All Files (*)"
 msgstr ""
 
-#: kid3.cpp:874
+#: kid3.cpp:982
 msgid "Saving directory..."
 msgstr ""
 
-#: kid3.cpp:887
+#: kid3.cpp:995
 msgid "Exiting..."
 msgstr ""
 
-#: kid3.cpp:898
+#: kid3.cpp:1007
 msgid "Toggling toolbar..."
 msgstr ""
 
-#: kid3.cpp:914
+#: kid3.cpp:1023
 msgid "Toggle the statusbar..."
 msgstr ""
 
-#: kid3.cpp:1047
+#: kid3.cpp:1162
 msgid "Creating playlist..."
 msgstr ""
 
-#: kid3.cpp:1110
+#: kid3.cpp:1247
 msgid "Import..."
 msgstr ""
 
-#: kid3.cpp:1165
+#: kid3.cpp:1415 kid3.cpp:1418
+msgid "Show ID3v&1.1"
+msgstr ""
+
+#: kid3.cpp:1417
+msgid "Show ID3v1.1"
+msgstr ""
+
+#: kid3.cpp:1441 kid3.cpp:1444
+msgid "Show ID3v&2.3"
+msgstr ""
+
+#: kid3.cpp:1443
+msgid "Show ID3v2.3"
+msgstr ""
+
+#: kid3.cpp:1486
 msgid "Configure - Kid3"
 msgstr ""
 
-#: kid3.cpp:1262
+#: kid3.cpp:1598
 msgid "Error while renaming:\n"
 msgstr ""
 
-#: kid3.cpp:1331
+#: kid3.cpp:1706
 msgid " [modified]"
 msgstr ""
 
-#: main.cpp:21
+#: main.cpp:22
 msgid "Kid3 ID3 Tagger"
 msgstr ""
 
-#: main.cpp:26
+#: main.cpp:27
 msgid "directory to open"
 msgstr ""
 
@@ -633,495 +737,499 @@
 msgid "Content Type"
 msgstr ""
 
-#: mp3framelist.cpp:759
+#: mp3framelist.cpp:764
 msgid "ISO-8859-1"
 msgstr ""
 
-#: mp3framelist.cpp:760
+#: mp3framelist.cpp:765
 msgid "Unicode"
 msgstr ""
 
-#: mp3framelist.cpp:761
+#: mp3framelist.cpp:766
 msgid "UTF16BE"
 msgstr ""
 
-#: mp3framelist.cpp:762
+#: mp3framelist.cpp:767
 msgid "UTF8"
 msgstr ""
 
-#: mp3framelist.cpp:773 mp3framelist.cpp:804 mp3framelist.cpp:817
+#: mp3framelist.cpp:778 mp3framelist.cpp:809 mp3framelist.cpp:822
 msgid "Other"
 msgstr ""
 
-#: mp3framelist.cpp:774
+#: mp3framelist.cpp:779
 msgid "32x32 pixels PNG file icon"
 msgstr ""
 
-#: mp3framelist.cpp:775
+#: mp3framelist.cpp:780
 msgid "Other file icon"
 msgstr ""
 
-#: mp3framelist.cpp:776
+#: mp3framelist.cpp:781
 msgid "Cover (front)"
 msgstr ""
 
-#: mp3framelist.cpp:777
+#: mp3framelist.cpp:782
 msgid "Cover (back)"
 msgstr ""
 
-#: mp3framelist.cpp:778
+#: mp3framelist.cpp:783
 msgid "Leaflet page"
 msgstr ""
 
-#: mp3framelist.cpp:779
+#: mp3framelist.cpp:784
 msgid "Media"
 msgstr ""
 
-#: mp3framelist.cpp:780
+#: mp3framelist.cpp:785
 msgid "Lead artist/lead performer/soloist"
 msgstr ""
 
-#: mp3framelist.cpp:781
+#: mp3framelist.cpp:786
 msgid "Artist/performer"
 msgstr ""
 
-#: mp3framelist.cpp:782
+#: mp3framelist.cpp:787
 msgid "Conductor"
 msgstr ""
 
-#: mp3framelist.cpp:783
+#: mp3framelist.cpp:788
 msgid "Band/Orchestra"
 msgstr ""
 
-#: mp3framelist.cpp:784
+#: mp3framelist.cpp:789
 msgid "Composer"
 msgstr ""
 
-#: mp3framelist.cpp:785
+#: mp3framelist.cpp:790
 msgid "Lyricist/text writer"
 msgstr ""
 
-#: mp3framelist.cpp:786
+#: mp3framelist.cpp:791
 msgid "Recording Location"
 msgstr ""
 
-#: mp3framelist.cpp:787
+#: mp3framelist.cpp:792
 msgid "During recording"
 msgstr ""
 
-#: mp3framelist.cpp:788
+#: mp3framelist.cpp:793
 msgid "During performance"
 msgstr ""
 
-#: mp3framelist.cpp:789
+#: mp3framelist.cpp:794
 msgid "Movie/video screen capture"
 msgstr ""
 
-#: mp3framelist.cpp:790
+#: mp3framelist.cpp:795
 msgid "A bright coloured fish"
 msgstr ""
 
-#: mp3framelist.cpp:791
+#: mp3framelist.cpp:796
 msgid "Illustration"
 msgstr ""
 
-#: mp3framelist.cpp:792
+#: mp3framelist.cpp:797
 msgid "Band/artist logotype"
 msgstr ""
 
-#: mp3framelist.cpp:793
+#: mp3framelist.cpp:798
 msgid "Publisher/Studio logotype"
 msgstr ""
 
-#: mp3framelist.cpp:805
+#: mp3framelist.cpp:810
 msgid "MPEG frames as unit"
 msgstr ""
 
-#: mp3framelist.cpp:806
+#: mp3framelist.cpp:811
 msgid "Milliseconds as unit"
 msgstr ""
 
-#: mp3framelist.cpp:818
+#: mp3framelist.cpp:823
 msgid "Lyrics"
 msgstr ""
 
-#: mp3framelist.cpp:819
+#: mp3framelist.cpp:824
 msgid "Text transcription"
 msgstr ""
 
-#: mp3framelist.cpp:820
+#: mp3framelist.cpp:825
 msgid "Movement/part name"
 msgstr ""
 
-#: mp3framelist.cpp:821
+#: mp3framelist.cpp:826
 msgid "Events"
 msgstr ""
 
-#: mp3framelist.cpp:822
+#: mp3framelist.cpp:827
 msgid "Chord"
 msgstr ""
 
-#: mp3framelist.cpp:823
+#: mp3framelist.cpp:828
 msgid "Trivia/pop up"
 msgstr ""
 
-#: mp3framelist.cpp:964
+#: mp3framelist.cpp:990
 msgid "AENC - Audio encryption"
 msgstr ""
 
-#: mp3framelist.cpp:965
+#: mp3framelist.cpp:991
 msgid "APIC - Attached picture"
 msgstr ""
 
-#: mp3framelist.cpp:966
+#: mp3framelist.cpp:992
 msgid "CDM  - Compressed data meta frame"
 msgstr ""
 
-#: mp3framelist.cpp:967
+#: mp3framelist.cpp:993
 msgid "COMM - Comments"
 msgstr ""
 
-#: mp3framelist.cpp:968
+#: mp3framelist.cpp:994
 msgid "COMR - Commercial"
 msgstr ""
 
-#: mp3framelist.cpp:969
+#: mp3framelist.cpp:995
 msgid "CRM  - Encrypted meta frame"
 msgstr ""
 
-#: mp3framelist.cpp:970
+#: mp3framelist.cpp:996
 msgid "ENCR - Encryption method registration"
 msgstr ""
 
-#: mp3framelist.cpp:971
+#: mp3framelist.cpp:997
 msgid "EQUA - Equalization"
 msgstr ""
 
-#: mp3framelist.cpp:972
+#: mp3framelist.cpp:998
 msgid "ETCO - Event timing codes"
 msgstr ""
 
-#: mp3framelist.cpp:973
+#: mp3framelist.cpp:999
 msgid "GEOB - General encapsulated object"
 msgstr ""
 
-#: mp3framelist.cpp:974
+#: mp3framelist.cpp:1000
 msgid "GRID - Group identification registration"
 msgstr ""
 
-#: mp3framelist.cpp:975
+#: mp3framelist.cpp:1001
 msgid "IPLS - Involved people list"
 msgstr ""
 
-#: mp3framelist.cpp:976
+#: mp3framelist.cpp:1002
 msgid "LINK - Linked information"
 msgstr ""
 
-#: mp3framelist.cpp:977
+#: mp3framelist.cpp:1003
 msgid "MCDI - Music CD identifier"
 msgstr ""
 
-#: mp3framelist.cpp:978
+#: mp3framelist.cpp:1004
 msgid "MLLT - MPEG location lookup table"
 msgstr ""
 
-#: mp3framelist.cpp:979
+#: mp3framelist.cpp:1005
 msgid "OWNE - Ownership frame"
 msgstr ""
 
-#: mp3framelist.cpp:980
+#: mp3framelist.cpp:1006
 msgid "PRIV - Private frame"
 msgstr ""
 
-#: mp3framelist.cpp:981
+#: mp3framelist.cpp:1007
 msgid "PCNT - Play counter"
 msgstr ""
 
-#: mp3framelist.cpp:982
+#: mp3framelist.cpp:1008
 msgid "POPM - Popularimeter"
 msgstr ""
 
-#: mp3framelist.cpp:983
+#: mp3framelist.cpp:1009
 msgid "POSS - Position synchronisation frame"
 msgstr ""
 
-#: mp3framelist.cpp:984
+#: mp3framelist.cpp:1010
 msgid "RBUF - Recommended buffer size"
 msgstr ""
 
-#: mp3framelist.cpp:985
+#: mp3framelist.cpp:1011
 msgid "RVAD - Relative volume adjustment"
 msgstr ""
 
-#: mp3framelist.cpp:986
+#: mp3framelist.cpp:1012
 msgid "RVRB - Reverb"
 msgstr ""
 
-#: mp3framelist.cpp:987
+#: mp3framelist.cpp:1013
 msgid "SYLT - Synchronized lyric/text"
 msgstr ""
 
-#: mp3framelist.cpp:988
+#: mp3framelist.cpp:1014
 msgid "SYTC - Synchronized tempo codes"
 msgstr ""
 
-#: mp3framelist.cpp:989
+#: mp3framelist.cpp:1015
 msgid "TALB - Album/Movie/Show title"
 msgstr ""
 
-#: mp3framelist.cpp:990
+#: mp3framelist.cpp:1016
 msgid "TBPM - BPM (beats per minute)"
 msgstr ""
 
-#: mp3framelist.cpp:991
+#: mp3framelist.cpp:1017
 msgid "TCOM - Composer"
 msgstr ""
 
-#: mp3framelist.cpp:992
+#: mp3framelist.cpp:1018
 msgid "TCON - Content type"
 msgstr ""
 
-#: mp3framelist.cpp:993
+#: mp3framelist.cpp:1019
 msgid "TCOP - Copyright message"
 msgstr ""
 
-#: mp3framelist.cpp:994
+#: mp3framelist.cpp:1020
 msgid "TDAT - Date"
 msgstr ""
 
-#: mp3framelist.cpp:995
+#: mp3framelist.cpp:1021
 msgid "TDLY - Playlist delay"
 msgstr ""
 
-#: mp3framelist.cpp:996
+#: mp3framelist.cpp:1022
 msgid "TENC - Encoded by"
 msgstr ""
 
-#: mp3framelist.cpp:997
+#: mp3framelist.cpp:1023
 msgid "TEXT - Lyricist/Text writer"
 msgstr ""
 
-#: mp3framelist.cpp:998
+#: mp3framelist.cpp:1024
 msgid "TFLT - File type"
 msgstr ""
 
-#: mp3framelist.cpp:999
+#: mp3framelist.cpp:1025
 msgid "TIME - Time"
 msgstr ""
 
-#: mp3framelist.cpp:1000
+#: mp3framelist.cpp:1026
 msgid "TIT1 - Content group description"
 msgstr ""
 
-#: mp3framelist.cpp:1001
+#: mp3framelist.cpp:1027
 msgid "TIT2 - Title/songname/content description"
 msgstr ""
 
-#: mp3framelist.cpp:1002
+#: mp3framelist.cpp:1028
 msgid "TIT3 - Subtitle/Description refinement"
 msgstr ""
 
-#: mp3framelist.cpp:1003
+#: mp3framelist.cpp:1029
 msgid "TKEY - Initial key"
 msgstr ""
 
-#: mp3framelist.cpp:1004
+#: mp3framelist.cpp:1030
 msgid "TLAN - Language(s)"
 msgstr ""
 
-#: mp3framelist.cpp:1005
+#: mp3framelist.cpp:1031
 msgid "TLEN - Length"
 msgstr ""
 
-#: mp3framelist.cpp:1006
+#: mp3framelist.cpp:1032
 msgid "TMED - Media type"
 msgstr ""
 
-#: mp3framelist.cpp:1007
+#: mp3framelist.cpp:1033
 msgid "TOAL - Original album/movie/show title"
 msgstr ""
 
-#: mp3framelist.cpp:1008
+#: mp3framelist.cpp:1034
 msgid "TOFN - Original filename"
 msgstr ""
 
-#: mp3framelist.cpp:1009
+#: mp3framelist.cpp:1035
 msgid "TOLY - Original lyricist(s)/text writer(s)"
 msgstr ""
 
-#: mp3framelist.cpp:1010
+#: mp3framelist.cpp:1036
 msgid "TOPE - Original artist(s)/performer(s)"
 msgstr ""
 
-#: mp3framelist.cpp:1011
+#: mp3framelist.cpp:1037
 msgid "TORY - Original release year"
 msgstr ""
 
-#: mp3framelist.cpp:1012
+#: mp3framelist.cpp:1038
 msgid "TOWN - File owner/licensee"
 msgstr ""
 
-#: mp3framelist.cpp:1013
+#: mp3framelist.cpp:1039
 msgid "TPE1 - Lead performer(s)/Soloist(s)"
 msgstr ""
 
-#: mp3framelist.cpp:1014
+#: mp3framelist.cpp:1040
 msgid "TPE2 - Band/orchestra/accompaniment"
 msgstr ""
 
-#: mp3framelist.cpp:1015
+#: mp3framelist.cpp:1041
 msgid "TPE3 - Conductor/performer refinement"
 msgstr ""
 
-#: mp3framelist.cpp:1016
+#: mp3framelist.cpp:1042
 msgid "TPE4 - Interpreted, remixed, or otherwise modified by"
 msgstr ""
 
-#: mp3framelist.cpp:1017
+#: mp3framelist.cpp:1043
 msgid "TPOS - Part of a set"
 msgstr ""
 
-#: mp3framelist.cpp:1018
+#: mp3framelist.cpp:1044
 msgid "TPUB - Publisher"
 msgstr ""
 
-#: mp3framelist.cpp:1019
+#: mp3framelist.cpp:1045
 msgid "TRCK - Track number/Position in set"
 msgstr ""
 
-#: mp3framelist.cpp:1020
+#: mp3framelist.cpp:1046
 msgid "TRDA - Recording dates"
 msgstr ""
 
-#: mp3framelist.cpp:1021
+#: mp3framelist.cpp:1047
 msgid "TRSN - Internet radio station name"
 msgstr ""
 
-#: mp3framelist.cpp:1022
+#: mp3framelist.cpp:1048
 msgid "TRSO - Internet radio station owner"
 msgstr ""
 
-#: mp3framelist.cpp:1023
+#: mp3framelist.cpp:1049
 msgid "TSIZ - Size"
 msgstr ""
 
-#: mp3framelist.cpp:1024
+#: mp3framelist.cpp:1050
 msgid "TSRC - ISRC (international standard recording code)"
 msgstr ""
 
-#: mp3framelist.cpp:1025
+#: mp3framelist.cpp:1051
 msgid "TSSE - Software/Hardware and settings used for encoding"
 msgstr ""
 
-#: mp3framelist.cpp:1026
+#: mp3framelist.cpp:1052
 msgid "TXXX - User defined text information"
 msgstr ""
 
-#: mp3framelist.cpp:1027
+#: mp3framelist.cpp:1053
 msgid "TYER - Year"
 msgstr ""
 
-#: mp3framelist.cpp:1028
+#: mp3framelist.cpp:1054
 msgid "UFID - Unique file identifier"
 msgstr ""
 
-#: mp3framelist.cpp:1029
+#: mp3framelist.cpp:1055
 msgid "USER - Terms of use"
 msgstr ""
 
-#: mp3framelist.cpp:1030
+#: mp3framelist.cpp:1056
 msgid "USLT - Unsynchronized lyric/text transcription"
 msgstr ""
 
-#: mp3framelist.cpp:1031
+#: mp3framelist.cpp:1057
 msgid "WCOM - Commercial information"
 msgstr ""
 
-#: mp3framelist.cpp:1032
+#: mp3framelist.cpp:1058
 msgid "WCOP - Copyright/Legal information"
 msgstr ""
 
-#: mp3framelist.cpp:1033
+#: mp3framelist.cpp:1059
 msgid "WOAF - Official audio file webpage"
 msgstr ""
 
-#: mp3framelist.cpp:1034
+#: mp3framelist.cpp:1060
 msgid "WOAR - Official artist/performer webpage"
 msgstr ""
 
-#: mp3framelist.cpp:1035
+#: mp3framelist.cpp:1061
 msgid "WOAS - Official audio source webpage"
 msgstr ""
 
-#: mp3framelist.cpp:1036
+#: mp3framelist.cpp:1062
 msgid "WORS - Official internet radio station homepage"
 msgstr ""
 
-#: mp3framelist.cpp:1037
+#: mp3framelist.cpp:1063
 msgid "WPAY - Payment"
 msgstr ""
 
-#: mp3framelist.cpp:1038
+#: mp3framelist.cpp:1064
 msgid "WPUB - Official publisher webpage"
 msgstr ""
 
-#: mp3framelist.cpp:1039
+#: mp3framelist.cpp:1065
 msgid "WXXX - User defined URL link"
 msgstr ""
 
-#: mp3framelist.cpp:1156 oggframelist.cpp:323
+#: mp3framelist.cpp:1182 oggframelist.cpp:341
 msgid "Add Frame"
 msgstr ""
 
-#: mp3framelist.cpp:1157 oggframelist.cpp:324
+#: mp3framelist.cpp:1183 oggframelist.cpp:342
 msgid "Select the frame ID"
 msgstr ""
 
-#: musicbrainzclient.cpp:96
+#: musicbrainzclient.cpp:108
+msgid "Metadata Read"
+msgstr ""
+
+#: musicbrainzclient.cpp:110
 msgid "Unrecognized"
 msgstr ""
 
-#: musicbrainzclient.cpp:97
+#: musicbrainzclient.cpp:111
 msgid "Recognized"
 msgstr ""
 
-#: musicbrainzclient.cpp:98 musicbrainzclient.cpp:132
+#: musicbrainzclient.cpp:112 musicbrainzclient.cpp:152
 msgid "Pending"
 msgstr ""
 
-#: musicbrainzclient.cpp:99
+#: musicbrainzclient.cpp:113
 msgid "TRM Lookup"
 msgstr ""
 
-#: musicbrainzclient.cpp:100
+#: musicbrainzclient.cpp:114
 msgid "TRM Collision"
 msgstr ""
 
-#: musicbrainzclient.cpp:101
+#: musicbrainzclient.cpp:115
 msgid "File Lookup"
 msgstr ""
 
-#: musicbrainzclient.cpp:102
+#: musicbrainzclient.cpp:116
 msgid "User Selection"
 msgstr ""
 
-#: musicbrainzclient.cpp:103
+#: musicbrainzclient.cpp:117
 msgid "Verified"
 msgstr ""
 
-#: musicbrainzclient.cpp:104
+#: musicbrainzclient.cpp:118
 msgid "Saved"
 msgstr ""
 
-#: musicbrainzclient.cpp:105
+#: musicbrainzclient.cpp:119
 msgid "Deleted"
 msgstr ""
 
-#: musicbrainzclient.cpp:135
+#: musicbrainzclient.cpp:155
 msgid "Removed"
 msgstr ""
 
-#: musicbrainzclient.cpp:162
+#: musicbrainzclient.cpp:203
 msgid "Written"
 msgstr ""
 
@@ -1129,67 +1237,75 @@
 msgid "MusicBrainz"
 msgstr ""
 
-#: musicbrainzdialog.cpp:105
+#: musicbrainzdialog.cpp:100
 msgid "Track Title/Artist - Album"
 msgstr ""
 
-#: musicbrainzdialog.cpp:106
+#: musicbrainzdialog.cpp:101
 msgid "State"
 msgstr ""
 
-#: musicbrainzdialog.cpp:110 musicbrainzdialog.cpp:332
+#: musicbrainzdialog.cpp:152 musicbrainzdialog.cpp:343
 msgid "No result"
 msgstr ""
 
-#: musicbrainzdialog.cpp:112 musicbrainzdialog.cpp:114
-#: musicbrainzdialog.cpp:162
+#: musicbrainzdialog.cpp:154 musicbrainzdialog.cpp:156
+#: musicbrainzdialog.cpp:173
 msgid "Unknown"
 msgstr ""
 
-#: musicbrainzdialog.cpp:332
+#: musicbrainzdialog.cpp:343
 msgid "No result selected"
 msgstr ""
 
-#: rendirdialog.cpp:57
+#: numbertracksdialog.cpp:41
+msgid "&Start number:"
+msgstr ""
+
+#: numbertracksdialog.cpp:53
+msgid "&Destination:"
+msgstr ""
+
+#: rendirdialog.cpp:58
 msgid "Create Directory"
 msgstr ""
 
-#: rendirdialog.cpp:66
+#: rendirdialog.cpp:67
 msgid "&Format:"
 msgstr ""
 
-#: rendirdialog.cpp:92
+#: rendirdialog.cpp:86
 msgid "From:"
 msgstr ""
 
-#: rendirdialog.cpp:94
+#: rendirdialog.cpp:88
 msgid "To:"
 msgstr ""
 
-#: rendirdialog.cpp:163
+#: rendirdialog.cpp:157
 msgid "Create directory %1 failed\n"
 msgstr ""
 
+#: rendirdialog.cpp:178
+msgid "File %1 already exists\n"
+msgstr ""
+
 #: rendirdialog.cpp:184
-msgid "File %1 already exists\n"
-msgstr ""
-
-#: rendirdialog.cpp:190
 msgid "%1 is not a directory\n"
 msgstr ""
 
-#: rendirdialog.cpp:198 rendirdialog.cpp:236
+#: rendirdialog.cpp:192 rendirdialog.cpp:230
 msgid "Rename %1 to %2 failed\n"
 msgstr ""
 
+#: rendirdialog.cpp:216
+msgid "%1 already exists\n"
+msgstr ""
+
 #: rendirdialog.cpp:222
-msgid "%1 already exists\n"
-msgstr ""
-
-#: rendirdialog.cpp:228
 msgid "%1 is not a file\n"
 msgstr ""
 
-#: rendirdialog.cpp:397
+#: rendirdialog.cpp:391
 msgid "New directory name is too different\n"
 msgstr ""

=== modified file 'po/ru.gmo'
Binary files po/ru.gmo and po/ru.gmo differ
=== modified file 'po/ru.po'
--- po/ru.po	2005-11-24 12:16:38 +0000
+++ po/ru.po	2006-07-14 12:25:16 +0000
@@ -1,21 +1,21 @@
-# translation of kid3.po to Русский
+# translation of ru.po to
 # Kid3 Russian Translation.
-# Copyright (C) 2003, 2004 Free Software Foundation, Inc.
-# Urs Fleisch <ufleisch@users.sourceforge.net>, 2003, 2004, 2005.
+# Copyright (C) 2003, 2004, 2006 Free Software Foundation, Inc.
+#
+# Urs Fleisch <ufleisch@users.sourceforge.net>, 2003, 2004, 2005, 2006.
 # "Egor S. Orlov" <Egor.Orlov@avalon.ru>, 2003.
-#
 msgid ""
 msgstr ""
 "Project-Id-Version: ru\n"
 "Report-Msgid-Bugs-To: \n"
-"POT-Creation-Date: 2005-10-13 21:53+0200\n"
-"PO-Revision-Date: 2005-10-17 18:07+0200\n"
+"POT-Creation-Date: 2006-06-20 22:13+0200\n"
+"PO-Revision-Date: 2006-06-20 22:17+0200\n"
 "Last-Translator: Urs Fleisch <ufleisch@users.sourceforge.net>\n"
-"Language-Team: German <ufleisch@users.sourceforge.net>\n"
+"Language-Team:  <en@li.org>\n"
 "MIME-Version: 1.0\n"
 "Content-Type: text/plain; charset=UTF-8\n"
 "Content-Transfer-Encoding: 8bit\n"
-"X-Generator: KBabel 1.9.1\n"
+"X-Generator: KBabel 1.11.2\n"
 
 #: _translatorinfo.cpp:1
 msgid ""
@@ -37,11 +37,11 @@
 msgid "Command"
 msgstr "Команда"
 
-#: commandstable.cpp:119 formatbox.cpp:146
+#: commandstable.cpp:119 formatbox.cpp:149
 msgid "&Insert row"
 msgstr "&Вставить строку"
 
-#: commandstable.cpp:123 formatbox.cpp:150
+#: commandstable.cpp:123 formatbox.cpp:153
 msgid "&Delete row"
 msgstr "&Удалить строку"
 
@@ -82,25 +82,37 @@
 msgstr "&Общие"
 
 #: configdialog.cpp:103
-msgid "Format while &editing:"
-msgstr "Форматировать при р&едактировании:"
-
-#: configdialog.cpp:107
 msgid "&Filename Format"
 msgstr "&Формат имени файла"
 
-#: configdialog.cpp:109
+#: configdialog.cpp:105
 msgid "&ID3 Format"
 msgstr "Формат &ID3"
 
-#: configdialog.cpp:117 importselector.cpp:170
+#: configdialog.cpp:113 importselector.cpp:170
 msgid "Format"
 msgstr "Формат"
 
-#: configdialog.cpp:119
+#: configdialog.cpp:115
 msgid "F&ormat"
 msgstr "Ф&ормат"
 
+#: exportdialog.cpp:58
+msgid "&Format"
+msgstr "&Формат"
+
+#: exportdialog.cpp:75
+msgid "To F&ile"
+msgstr "В фа&йл"
+
+#: exportdialog.cpp:81
+msgid "To Clip&board"
+msgstr "В &Буфера Обмена"
+
+#: exportdialog.cpp:91
+msgid "&Source:"
+msgstr "&Источник:"
+
 #: filelist.cpp:225
 msgid "Execute Command"
 msgstr "Выполнить команду"
@@ -109,43 +121,47 @@
 msgid "Execute "
 msgstr "Выполнить "
 
-#: formatbox.cpp:38
+#: formatbox.cpp:37
+msgid "Format while editing"
+msgstr "Форматировать при редактировании"
+
+#: formatbox.cpp:41
 msgid "Case Conversion:"
 msgstr "Преобразование Регистра:"
 
-#: formatbox.cpp:42
+#: formatbox.cpp:45
 msgid "No changes"
 msgstr "Нет изменений"
 
-#: formatbox.cpp:44
+#: formatbox.cpp:47
 msgid "All lowercase"
 msgstr "Все в нижний регистр"
 
-#: formatbox.cpp:46
+#: formatbox.cpp:49
 msgid "All uppercase"
 msgstr "Все в верхний регистр"
 
-#: formatbox.cpp:48
+#: formatbox.cpp:51
 msgid "First letter uppercase"
 msgstr "Первая буква в верхний регистр"
 
-#: formatbox.cpp:50
+#: formatbox.cpp:53
 msgid "All first letters uppercase"
 msgstr "Все первые буквы в верхний регистр"
 
-#: formatbox.cpp:54
+#: formatbox.cpp:57
 msgid "String Replacement:"
 msgstr "Замена Строк:"
 
-#: formatbox.cpp:58
+#: formatbox.cpp:61
 msgid "From"
 msgstr "От"
 
-#: formatbox.cpp:59
+#: formatbox.cpp:62
 msgid "To"
 msgstr "к"
 
-#: formatbox.cpp:154
+#: formatbox.cpp:157
 msgid "&Clear cell"
 msgstr "&Очистить ячейку"
 
@@ -153,8 +169,8 @@
 msgid "View Picture"
 msgstr "Просмотр Картинки"
 
-#: freedbclient.cpp:50 freedbclient.cpp:199 kid3.cpp:402 kid3.cpp:460
-#: kid3.cpp:877 kid3.cpp:905 kid3.cpp:921 kid3.cpp:1057 kid3.cpp:1152
+#: freedbclient.cpp:50 freedbclient.cpp:199 kid3.cpp:499 kid3.cpp:557
+#: kid3.cpp:985 kid3.cpp:1014 kid3.cpp:1030 kid3.cpp:1172 kid3.cpp:1290
 msgid "Ready."
 msgstr "Готово."
 
@@ -194,19 +210,19 @@
 msgid "&Find"
 msgstr "&Найти"
 
-#: freedbdialog.cpp:97 musicbrainzdialog.cpp:52
+#: freedbdialog.cpp:105 musicbrainzdialog.cpp:52
 msgid "&Server:"
 msgstr "&Сервер:"
 
-#: freedbdialog.cpp:99
+#: freedbdialog.cpp:107
 msgid "C&GI Path:"
 msgstr "Путь к C&GI:"
 
-#: freedbdialog.cpp:129 musicbrainzdialog.cpp:76
+#: freedbdialog.cpp:137 musicbrainzdialog.cpp:76
 msgid "&Proxy:"
 msgstr "&Прокси:"
 
-#: id3form.cpp:120 main.cpp:42
+#: id3form.cpp:120 main.cpp:43
 msgid "Kid3"
 msgstr "Kid3"
 
@@ -218,8 +234,8 @@
 msgid "Name:"
 msgstr "Имя:"
 
-#: id3form.cpp:147 id3form.cpp:272 kid3.cpp:247 kid3.cpp:261
-#: rendirdialog.cpp:60
+#: id3form.cpp:147 id3form.cpp:272 kid3.cpp:283 kid3.cpp:297
+#: rendirdialog.cpp:61
 msgid "From ID3v1"
 msgstr "Из ID3v1"
 
@@ -227,8 +243,8 @@
 msgid "Format:"
 msgstr "Формат:"
 
-#: id3form.cpp:158 id3form.cpp:194 kid3.cpp:237 kid3.cpp:263
-#: rendirdialog.cpp:61
+#: id3form.cpp:158 id3form.cpp:194 kid3.cpp:273 kid3.cpp:299
+#: rendirdialog.cpp:62
 msgid "From ID3v2"
 msgstr "Из ID3v2"
 
@@ -244,7 +260,7 @@
 msgid "Title:"
 msgstr "Название:"
 
-#: id3form.cpp:182 id3form.cpp:261 kid3.cpp:235 kid3.cpp:245
+#: id3form.cpp:182 id3form.cpp:261 kid3.cpp:271 kid3.cpp:281
 msgid "From Filename"
 msgstr "Из имени файла"
 
@@ -276,7 +292,7 @@
 msgid "ID3v&2.3"
 msgstr "ID3v&2.3"
 
-#: id3form.cpp:323 kid3.cpp:255 kid3.cpp:257 kid3.cpp:259
+#: id3form.cpp:326 kid3.cpp:291 kid3.cpp:293 kid3.cpp:295
 msgid "Frames:"
 msgstr "Фреймы:"
 
@@ -332,155 +348,227 @@
 msgid "D&estination:"
 msgstr "М&есто назначения:"
 
-#: importselector.cpp:209
+#: importselector.cpp:207
 msgid "Check maximum allowable time &difference (sec):"
 msgstr "Проверить максимальную допустимую &разницу во времени (секунды):"
 
-#: kid3.cpp:107
+#: importselector.cpp:216
+msgid "Match with:"
+msgstr "Состязание с:"
+
+#: importselector.cpp:218
+msgid "&Length"
+msgstr "&Длительность"
+
+#: importselector.cpp:220
+msgid "T&rack"
+msgstr "&Дорожка"
+
+#: importselector.cpp:222
+msgid "&Title"
+msgstr "&Название"
+
+#: kid3.cpp:110
 msgid "&Back"
 msgstr "&Дорожка"
 
-#: kid3.cpp:108
+#: kid3.cpp:111
 msgid "&Forward"
 msgstr "&Вперёд"
 
-#: kid3.cpp:202 kid3.cpp:277
+#: kid3.cpp:204
+msgid "Enables/disables the toolbar"
+msgstr "Включить/выключить панель инструментов"
+
+#: kid3.cpp:205
+msgid "Enables/disables the statusbar"
+msgstr "Включить/выключить строку состояния"
+
+#: kid3.cpp:215 kid3.cpp:313
 msgid "Opens a directory"
 msgstr "Открыть каталог"
 
-#: kid3.cpp:203
+#: kid3.cpp:216
 msgid "Opens a recently used directory"
 msgstr "Открыть недавний каталог"
 
-#: kid3.cpp:205 kid3.cpp:294
+#: kid3.cpp:218 kid3.cpp:330
 msgid "Reverts the changes of all or the selected files"
 msgstr "Отменить изменения всех выделенных файлов"
 
-#: kid3.cpp:206 kid3.cpp:285
+#: kid3.cpp:219 kid3.cpp:321
 msgid "Saves the changed files"
 msgstr "Сохранить измененные файлы"
 
-#: kid3.cpp:207 kid3.cpp:315
+#: kid3.cpp:220 kid3.cpp:374
 msgid "Quits the application"
 msgstr "Завершить приложение"
 
-#: kid3.cpp:208
-msgid "Enables/disables the toolbar"
-msgstr "Включить/выключить панель инструментов"
-
-#: kid3.cpp:209
-msgid "Enables/disables the statusbar"
-msgstr "Включить/выключить строку состояния"
-
-#: kid3.cpp:210
+#: kid3.cpp:221
 msgid "Configure Shortcuts"
 msgstr "Настройка быстрых клавиш"
 
-#: kid3.cpp:211
+#: kid3.cpp:222
 msgid "Preferences dialog"
 msgstr "Настройка параметров"
 
-#: kid3.cpp:213 kid3.cpp:302
+#: kid3.cpp:224 kid3.cpp:338
 msgid "&Import..."
 msgstr "&Импорт..."
 
-#: kid3.cpp:216 kid3.cpp:309
+#: kid3.cpp:227 kid3.cpp:345
+msgid "Import from &freedb.org..."
+msgstr "Импорт из &freedb.org..."
+
+#: kid3.cpp:231 kid3.cpp:353
+msgid "Import from &MusicBrainz..."
+msgstr "Импорт из &MusicBrainz..."
+
+#: kid3.cpp:235 kid3.cpp:361
+msgid "&Export..."
+msgstr "&Экспорт..."
+
+#: kid3.cpp:238 kid3.cpp:368
 msgid "&Create Playlist"
 msgstr "&Cоздать список песен"
 
-#: kid3.cpp:219 kid3.cpp:345
-msgid "&Apply Format"
-msgstr "&Применить Формат"
-
-#: kid3.cpp:222 kid3.cpp:352
+#: kid3.cpp:241 kid3.cpp:404
+msgid "Apply &Filename Format"
+msgstr "Применить Формат имени &файла"
+
+#: kid3.cpp:244 kid3.cpp:411
+msgid "Apply &ID3 Format"
+msgstr "Применить Формат &ID3"
+
+#: kid3.cpp:247 kid3.cpp:418
 msgid "&Rename Directory..."
 msgstr "&Переименовать Каталог..."
 
-#: kid3.cpp:226
+#: kid3.cpp:250 kid3.cpp:425
+msgid "&Number Tracks..."
+msgstr "&Пронумеровать дорожки по порядку..."
+
+#: kid3.cpp:254 kid3.cpp:432 kid3.cpp:1424 kid3.cpp:1427
+msgid "Hide ID3v&1.1"
+msgstr "Скрыть ID3v&1.1"
+
+#: kid3.cpp:258 kid3.cpp:439 kid3.cpp:1450 kid3.cpp:1453
+msgid "Hide ID3v&2.3"
+msgstr "Скрыть ID3v&2.3"
+
+#: kid3.cpp:262
 msgid "Select &All"
 msgstr "Выделить &все"
 
-#: kid3.cpp:229
+#: kid3.cpp:265
 msgid "&Next File"
 msgstr "&Следующий файл"
 
-#: kid3.cpp:232
+#: kid3.cpp:268
 msgid "&Previous File"
 msgstr "&Предыдущий файл"
 
-#: kid3.cpp:261 kid3.cpp:263 kid3.cpp:265 mp3framelist.cpp:344
+#: kid3.cpp:297 kid3.cpp:299 kid3.cpp:301 mp3framelist.cpp:344
 msgid "Filename"
 msgstr "Имя файла"
 
-#: kid3.cpp:265 kid3.cpp:267 kid3.cpp:269
+#: kid3.cpp:301 kid3.cpp:303 kid3.cpp:305
 msgid "Focus"
 msgstr "Фокус"
 
-#: kid3.cpp:295
+#: kid3.cpp:331
 msgid "Re&vert"
 msgstr "&Отменить"
 
-#: kid3.cpp:301
+#: kid3.cpp:337
 msgid "Import from file or clipboard"
 msgstr "Импортировать файл или буфер обмена"
 
-#: kid3.cpp:308
+#: kid3.cpp:344
+msgid "Import from freedb.org"
+msgstr "Импорт из freedb.org"
+
+#: kid3.cpp:352
+msgid "Import from MusicBrainz"
+msgstr "Импорт из MusicBrainz"
+
+#: kid3.cpp:360
+msgid "Export to file or clipboard"
+msgstr "Экспорт в файл или Буфера Обмена"
+
+#: kid3.cpp:367
 msgid "Create M3U Playlist"
 msgstr "Создать список M3U"
 
-#: kid3.cpp:323 kid3.cpp:948
+#: kid3.cpp:382 kid3.cpp:1063
 msgid "Kid3 Handbook"
 msgstr "Руководство Kid3"
 
-#: kid3.cpp:324
+#: kid3.cpp:383
 msgid "Kid3 &Handbook"
 msgstr "&Руководство \"Kid3\""
 
-#: kid3.cpp:330
+#: kid3.cpp:389
 msgid "About Kid3"
 msgstr "О Kid3"
 
-#: kid3.cpp:331
+#: kid3.cpp:390
 msgid "&About Kid3"
 msgstr "&О Kid3"
 
-#: kid3.cpp:337
+#: kid3.cpp:396
 msgid "About Qt"
 msgstr "О Qt"
 
-#: kid3.cpp:338
+#: kid3.cpp:397
 msgid "About &Qt"
 msgstr "О &Qt"
 
-#: kid3.cpp:344
-msgid "Apply Format"
-msgstr "Применить Формат"
-
-#: kid3.cpp:351 kid3.cpp:1236 rendirdialog.cpp:56
+#: kid3.cpp:403
+msgid "Apply Filename Format"
+msgstr "Применить Формат имени файла"
+
+#: kid3.cpp:410
+msgid "Apply ID3 Format"
+msgstr "Применить Формат ID3"
+
+#: kid3.cpp:417 kid3.cpp:1572 rendirdialog.cpp:57
 msgid "Rename Directory"
 msgstr "Переименовать Каталог"
 
-#: kid3.cpp:358
+#: kid3.cpp:424 numbertracksdialog.cpp:35
+msgid "Number Tracks"
+msgstr "Пронумеровать дорожки по порядку"
+
+#: kid3.cpp:431 kid3.cpp:1426
+msgid "Hide ID3v1.1"
+msgstr "Скрыть ID3v1.1"
+
+#: kid3.cpp:438 kid3.cpp:1452
+msgid "Hide ID3v2.3"
+msgstr "Скрыть ID3v2.3"
+
+#: kid3.cpp:445
 msgid "Configure Kid3"
 msgstr "Настроить Kid3"
 
-#: kid3.cpp:359
+#: kid3.cpp:446
 msgid "&Configure Kid3..."
 msgstr "&Настроить Kid3..."
 
-#: kid3.cpp:446
+#: kid3.cpp:543
 msgid "Opening directory..."
 msgstr "Открытие каталога..."
 
-#: kid3.cpp:641 kid3.cpp:1261
+#: kid3.cpp:749 kid3.cpp:1597
 msgid "File Error"
 msgstr "Ошибка файла"
 
-#: kid3.cpp:642
+#: kid3.cpp:750
 msgid "Error while writing file:\n"
 msgstr "Ошибка при записи файла:\n"
 
-#: kid3.cpp:668 kid3.cpp:678
+#: kid3.cpp:776 kid3.cpp:786
 msgid ""
 "The current directory has been modified.\n"
 "Do you want to save it?"
@@ -488,55 +576,71 @@
 "Текущий каталог был изменен.\n"
 "Хотите сохранить его?"
 
-#: kid3.cpp:677
+#: kid3.cpp:785
 msgid "Warning - Kid3"
 msgstr "Предупреждение - Kid3"
 
-#: kid3.cpp:796
+#: kid3.cpp:904
 msgid "All Files (*)"
 msgstr "Все файлы (*)"
 
-#: kid3.cpp:874
+#: kid3.cpp:982
 msgid "Saving directory..."
 msgstr "Сохранение каталога..."
 
-#: kid3.cpp:887
+#: kid3.cpp:995
 msgid "Exiting..."
 msgstr "Выход..."
 
-#: kid3.cpp:898
+#: kid3.cpp:1007
 msgid "Toggling toolbar..."
 msgstr "Переключение панели инструментов..."
 
-#: kid3.cpp:914
+#: kid3.cpp:1023
 msgid "Toggle the statusbar..."
 msgstr "Переключение строки состояния..."
 
-#: kid3.cpp:1047
+#: kid3.cpp:1162
 msgid "Creating playlist..."
 msgstr "Создание списка песен..."
 
-#: kid3.cpp:1110
+#: kid3.cpp:1247
 msgid "Import..."
 msgstr "Импортирование..."
 
-#: kid3.cpp:1165
+#: kid3.cpp:1415 kid3.cpp:1418
+msgid "Show ID3v&1.1"
+msgstr "Показывать ID3v&1.1"
+
+#: kid3.cpp:1417
+msgid "Show ID3v1.1"
+msgstr "Показывать ID3v1.1"
+
+#: kid3.cpp:1441 kid3.cpp:1444
+msgid "Show ID3v&2.3"
+msgstr "Показывать ID3v&2.3"
+
+#: kid3.cpp:1443
+msgid "Show ID3v2.3"
+msgstr "Показывать ID3v2.3"
+
+#: kid3.cpp:1486
 msgid "Configure - Kid3"
 msgstr "Настройка - Kid3"
 
-#: kid3.cpp:1262
+#: kid3.cpp:1598
 msgid "Error while renaming:\n"
 msgstr "Ошибка переименование:\n"
 
-#: kid3.cpp:1331
+#: kid3.cpp:1706
 msgid " [modified]"
 msgstr " [изменено]"
 
-#: main.cpp:21
+#: main.cpp:22
 msgid "Kid3 ID3 Tagger"
 msgstr "Kid3 Редактор тэгов ID3"
 
-#: main.cpp:26
+#: main.cpp:27
 msgid "directory to open"
 msgstr "каталог для открытия"
 
@@ -636,495 +740,499 @@
 msgid "Content Type"
 msgstr "Тип Содержимого"
 
-#: mp3framelist.cpp:759
+#: mp3framelist.cpp:764
 msgid "ISO-8859-1"
 msgstr "ISO-8859-1"
 
-#: mp3framelist.cpp:760
+#: mp3framelist.cpp:765
 msgid "Unicode"
 msgstr "Unicode"
 
-#: mp3framelist.cpp:761
+#: mp3framelist.cpp:766
 msgid "UTF16BE"
 msgstr "UTF16BE"
 
-#: mp3framelist.cpp:762
+#: mp3framelist.cpp:767
 msgid "UTF8"
 msgstr "UTF8"
 
-#: mp3framelist.cpp:773 mp3framelist.cpp:804 mp3framelist.cpp:817
+#: mp3framelist.cpp:778 mp3framelist.cpp:809 mp3framelist.cpp:822
 msgid "Other"
 msgstr "Другое"
 
-#: mp3framelist.cpp:774
+#: mp3framelist.cpp:779
 msgid "32x32 pixels PNG file icon"
 msgstr "Иконка PNG-файла 32x32 точки"
 
-#: mp3framelist.cpp:775
+#: mp3framelist.cpp:780
 msgid "Other file icon"
 msgstr "Другая Иконка файла"
 
-#: mp3framelist.cpp:776
+#: mp3framelist.cpp:781
 msgid "Cover (front)"
 msgstr "Оболочка (Спереди)"
 
-#: mp3framelist.cpp:777
+#: mp3framelist.cpp:782
 msgid "Cover (back)"
 msgstr "Оболочка (Сзади)"
 
-#: mp3framelist.cpp:778
+#: mp3framelist.cpp:783
 msgid "Leaflet page"
 msgstr "Лист Брошюры"
 
-#: mp3framelist.cpp:779
+#: mp3framelist.cpp:784
 msgid "Media"
 msgstr "Медиа"
 
-#: mp3framelist.cpp:780
+#: mp3framelist.cpp:785
 msgid "Lead artist/lead performer/soloist"
 msgstr "Ведущий Исполнитель/Солист"
 
-#: mp3framelist.cpp:781
+#: mp3framelist.cpp:786
 msgid "Artist/performer"
 msgstr "Исполнитель"
 
-#: mp3framelist.cpp:782
+#: mp3framelist.cpp:787
 msgid "Conductor"
 msgstr "Дирижер"
 
-#: mp3framelist.cpp:783
+#: mp3framelist.cpp:788
 msgid "Band/Orchestra"
 msgstr "Группа/Оркестр"
 
-#: mp3framelist.cpp:784
+#: mp3framelist.cpp:789
 msgid "Composer"
 msgstr "Композитор"
 
-#: mp3framelist.cpp:785
+#: mp3framelist.cpp:790
 msgid "Lyricist/text writer"
 msgstr "Автор текста"
 
-#: mp3framelist.cpp:786
+#: mp3framelist.cpp:791
 msgid "Recording Location"
 msgstr "Место записи"
 
-#: mp3framelist.cpp:787
+#: mp3framelist.cpp:792
 msgid "During recording"
 msgstr "Длительность записи"
 
-#: mp3framelist.cpp:788
+#: mp3framelist.cpp:793
 msgid "During performance"
 msgstr "Длительность исполнения"
 
-#: mp3framelist.cpp:789
+#: mp3framelist.cpp:794
 msgid "Movie/video screen capture"
 msgstr "Movie/video screen capture"
 
-#: mp3framelist.cpp:790
+#: mp3framelist.cpp:795
 msgid "A bright coloured fish"
 msgstr "A bright coloured fish"
 
-#: mp3framelist.cpp:791
+#: mp3framelist.cpp:796
 msgid "Illustration"
 msgstr "Иллюстрация"
 
-#: mp3framelist.cpp:792
+#: mp3framelist.cpp:797
 msgid "Band/artist logotype"
 msgstr "Логотип группы/испольнителя"
 
-#: mp3framelist.cpp:793
+#: mp3framelist.cpp:798
 msgid "Publisher/Studio logotype"
 msgstr "Логотип студии записи"
 
-#: mp3framelist.cpp:805
+#: mp3framelist.cpp:810
 msgid "MPEG frames as unit"
 msgstr "Измерять в MPEG-кадрах"
 
-#: mp3framelist.cpp:806
+#: mp3framelist.cpp:811
 msgid "Milliseconds as unit"
 msgstr "Измерять в милисекундах"
 
-#: mp3framelist.cpp:818
+#: mp3framelist.cpp:823
 msgid "Lyrics"
 msgstr "Lyrics"
 
-#: mp3framelist.cpp:819
+#: mp3framelist.cpp:824
 msgid "Text transcription"
 msgstr "Запись текста"
 
-#: mp3framelist.cpp:820
+#: mp3framelist.cpp:825
 msgid "Movement/part name"
 msgstr "Movement/part name"
 
-#: mp3framelist.cpp:821
+#: mp3framelist.cpp:826
 msgid "Events"
 msgstr "События"
 
-#: mp3framelist.cpp:822
+#: mp3framelist.cpp:827
 msgid "Chord"
 msgstr "Аккорд"
 
-#: mp3framelist.cpp:823
+#: mp3framelist.cpp:828
 msgid "Trivia/pop up"
 msgstr "Trivia/pop up"
 
-#: mp3framelist.cpp:964
+#: mp3framelist.cpp:990
 msgid "AENC - Audio encryption"
 msgstr "AENC - Аудио-кодирование"
 
-#: mp3framelist.cpp:965
+#: mp3framelist.cpp:991
 msgid "APIC - Attached picture"
 msgstr "APIC - Прикрепленная картинка"
 
-#: mp3framelist.cpp:966
+#: mp3framelist.cpp:992
 msgid "CDM  - Compressed data meta frame"
 msgstr "CDM  - Compressed data meta frame"
 
-#: mp3framelist.cpp:967
+#: mp3framelist.cpp:993
 msgid "COMM - Comments"
 msgstr "COMM - Комментарии"
 
-#: mp3framelist.cpp:968
+#: mp3framelist.cpp:994
 msgid "COMR - Commercial"
 msgstr "COMR - Реклама"
 
-#: mp3framelist.cpp:969
+#: mp3framelist.cpp:995
 msgid "CRM  - Encrypted meta frame"
 msgstr "CRM  - Encrypted meta frame"
 
-#: mp3framelist.cpp:970
+#: mp3framelist.cpp:996
 msgid "ENCR - Encryption method registration"
 msgstr "ENCR - Encryption method registration"
 
-#: mp3framelist.cpp:971
+#: mp3framelist.cpp:997
 msgid "EQUA - Equalization"
 msgstr "EQUA - Equalization"
 
-#: mp3framelist.cpp:972
+#: mp3framelist.cpp:998
 msgid "ETCO - Event timing codes"
 msgstr "ETCO - Event timing codes"
 
-#: mp3framelist.cpp:973
+#: mp3framelist.cpp:999
 msgid "GEOB - General encapsulated object"
 msgstr "GEOB - General encapsulated object"
 
-#: mp3framelist.cpp:974
+#: mp3framelist.cpp:1000
 msgid "GRID - Group identification registration"
 msgstr "GRID - Group identification registration"
 
-#: mp3framelist.cpp:975
+#: mp3framelist.cpp:1001
 msgid "IPLS - Involved people list"
 msgstr "IPLS - Involved people list"
 
-#: mp3framelist.cpp:976
+#: mp3framelist.cpp:1002
 msgid "LINK - Linked information"
 msgstr "LINK - Linked information"
 
-#: mp3framelist.cpp:977
+#: mp3framelist.cpp:1003
 msgid "MCDI - Music CD identifier"
 msgstr "MCDI - Music CD identifier"
 
-#: mp3framelist.cpp:978
+#: mp3framelist.cpp:1004
 msgid "MLLT - MPEG location lookup table"
 msgstr "MLLT - MPEG location lookup table"
 
-#: mp3framelist.cpp:979
+#: mp3framelist.cpp:1005
 msgid "OWNE - Ownership frame"
 msgstr "OWNE - Ownership frame"
 
-#: mp3framelist.cpp:980
+#: mp3framelist.cpp:1006
 msgid "PRIV - Private frame"
 msgstr "PRIV - Private frame"
 
-#: mp3framelist.cpp:981
+#: mp3framelist.cpp:1007
 msgid "PCNT - Play counter"
 msgstr "PCNT - Play counter"
 
-#: mp3framelist.cpp:982
+#: mp3framelist.cpp:1008
 msgid "POPM - Popularimeter"
 msgstr "POPM - Popularimeter"
 
-#: mp3framelist.cpp:983
+#: mp3framelist.cpp:1009
 msgid "POSS - Position synchronisation frame"
 msgstr "POSS - Position synchronisation frame"
 
-#: mp3framelist.cpp:984
+#: mp3framelist.cpp:1010
 msgid "RBUF - Recommended buffer size"
 msgstr "RBUF - Recommended buffer size"
 
-#: mp3framelist.cpp:985
+#: mp3framelist.cpp:1011
 msgid "RVAD - Relative volume adjustment"
 msgstr "RVAD - Relative volume adjustment"
 
-#: mp3framelist.cpp:986
+#: mp3framelist.cpp:1012
 msgid "RVRB - Reverb"
 msgstr "RVRB - Reverb"
 
-#: mp3framelist.cpp:987
+#: mp3framelist.cpp:1013
 msgid "SYLT - Synchronized lyric/text"
 msgstr "SYLT - Synchronized lyric/text"
 
-#: mp3framelist.cpp:988
+#: mp3framelist.cpp:1014
 msgid "SYTC - Synchronized tempo codes"
 msgstr "SYTC - Synchronized tempo codes"
 
-#: mp3framelist.cpp:989
+#: mp3framelist.cpp:1015
 msgid "TALB - Album/Movie/Show title"
 msgstr "TALB - Album/Movie/Show title"
 
-#: mp3framelist.cpp:990
+#: mp3framelist.cpp:1016
 msgid "TBPM - BPM (beats per minute)"
 msgstr "TBPM - BPM (beats per minute)"
 
-#: mp3framelist.cpp:991
+#: mp3framelist.cpp:1017
 msgid "TCOM - Composer"
 msgstr "TCOM - Composer"
 
-#: mp3framelist.cpp:992
+#: mp3framelist.cpp:1018
 msgid "TCON - Content type"
 msgstr "TCON - Content type"
 
-#: mp3framelist.cpp:993
+#: mp3framelist.cpp:1019
 msgid "TCOP - Copyright message"
 msgstr "TCOP - Copyright message"
 
-#: mp3framelist.cpp:994
+#: mp3framelist.cpp:1020
 msgid "TDAT - Date"
 msgstr "TDAT - Date"
 
-#: mp3framelist.cpp:995
+#: mp3framelist.cpp:1021
 msgid "TDLY - Playlist delay"
 msgstr "TDLY - Playlist delay"
 
-#: mp3framelist.cpp:996
+#: mp3framelist.cpp:1022
 msgid "TENC - Encoded by"
 msgstr "TENC - Encoded by"
 
-#: mp3framelist.cpp:997
+#: mp3framelist.cpp:1023
 msgid "TEXT - Lyricist/Text writer"
 msgstr "TEXT - Lyricist/Text writer"
 
-#: mp3framelist.cpp:998
+#: mp3framelist.cpp:1024
 msgid "TFLT - File type"
 msgstr "TFLT - File type"
 
-#: mp3framelist.cpp:999
+#: mp3framelist.cpp:1025
 msgid "TIME - Time"
 msgstr "TIME - Time"
 
-#: mp3framelist.cpp:1000
+#: mp3framelist.cpp:1026
 msgid "TIT1 - Content group description"
 msgstr "TIT1 - Content group description"
 
-#: mp3framelist.cpp:1001
+#: mp3framelist.cpp:1027
 msgid "TIT2 - Title/songname/content description"
 msgstr "TIT2 - Title/songname/content description"
 
-#: mp3framelist.cpp:1002
+#: mp3framelist.cpp:1028
 msgid "TIT3 - Subtitle/Description refinement"
 msgstr "TIT3 - Subtitle/Description refinement"
 
-#: mp3framelist.cpp:1003
+#: mp3framelist.cpp:1029
 msgid "TKEY - Initial key"
 msgstr "TKEY - Initial key"
 
-#: mp3framelist.cpp:1004
+#: mp3framelist.cpp:1030
 msgid "TLAN - Language(s)"
 msgstr "TLAN - Язык(и)"
 
-#: mp3framelist.cpp:1005
+#: mp3framelist.cpp:1031
 msgid "TLEN - Length"
 msgstr "TLEN - Длина"
 
-#: mp3framelist.cpp:1006
+#: mp3framelist.cpp:1032
 msgid "TMED - Media type"
 msgstr "TMED - Тип носителя"
 
-#: mp3framelist.cpp:1007
+#: mp3framelist.cpp:1033
 msgid "TOAL - Original album/movie/show title"
 msgstr "TOAL - Original album/movie/show title"
 
-#: mp3framelist.cpp:1008
+#: mp3framelist.cpp:1034
 msgid "TOFN - Original filename"
 msgstr "TOFN - Original filename"
 
-#: mp3framelist.cpp:1009
+#: mp3framelist.cpp:1035
 msgid "TOLY - Original lyricist(s)/text writer(s)"
 msgstr "TOLY - Original lyricist(s)/text writer(s)"
 
-#: mp3framelist.cpp:1010
+#: mp3framelist.cpp:1036
 msgid "TOPE - Original artist(s)/performer(s)"
 msgstr "TOPE - Original artist(s)/performer(s)"
 
-#: mp3framelist.cpp:1011
+#: mp3framelist.cpp:1037
 msgid "TORY - Original release year"
 msgstr "TORY - Original release year"
 
-#: mp3framelist.cpp:1012
+#: mp3framelist.cpp:1038
 msgid "TOWN - File owner/licensee"
 msgstr "TOWN - File owner/licensee"
 
-#: mp3framelist.cpp:1013
+#: mp3framelist.cpp:1039
 msgid "TPE1 - Lead performer(s)/Soloist(s)"
 msgstr "TPE1 - Lead performer(s)/Soloist(s)"
 
-#: mp3framelist.cpp:1014
+#: mp3framelist.cpp:1040
 msgid "TPE2 - Band/orchestra/accompaniment"
 msgstr "TPE2 - Band/orchestra/accompaniment"
 
-#: mp3framelist.cpp:1015
+#: mp3framelist.cpp:1041
 msgid "TPE3 - Conductor/performer refinement"
 msgstr "TPE3 - Conductor/performer refinement"
 
-#: mp3framelist.cpp:1016
+#: mp3framelist.cpp:1042
 msgid "TPE4 - Interpreted, remixed, or otherwise modified by"
 msgstr "TPE4 - Interpreted, remixed, or otherwise modified by"
 
-#: mp3framelist.cpp:1017
+#: mp3framelist.cpp:1043
 msgid "TPOS - Part of a set"
 msgstr "TPOS - Part of a set"
 
-#: mp3framelist.cpp:1018
+#: mp3framelist.cpp:1044
 msgid "TPUB - Publisher"
 msgstr "TPUB - Publisher"
 
-#: mp3framelist.cpp:1019
+#: mp3framelist.cpp:1045
 msgid "TRCK - Track number/Position in set"
 msgstr "TRCK - Track number/Position in set"
 
-#: mp3framelist.cpp:1020
+#: mp3framelist.cpp:1046
 msgid "TRDA - Recording dates"
 msgstr "TRDA - Recording dates"
 
-#: mp3framelist.cpp:1021
+#: mp3framelist.cpp:1047
 msgid "TRSN - Internet radio station name"
 msgstr "TRSN - Internet radio station name"
 
-#: mp3framelist.cpp:1022
+#: mp3framelist.cpp:1048
 msgid "TRSO - Internet radio station owner"
 msgstr "TRSO - Internet radio station owner"
 
-#: mp3framelist.cpp:1023
+#: mp3framelist.cpp:1049
 msgid "TSIZ - Size"
 msgstr "TSIZ - Size"
 
-#: mp3framelist.cpp:1024
+#: mp3framelist.cpp:1050
 msgid "TSRC - ISRC (international standard recording code)"
 msgstr "TSRC - ISRC (international standard recording code)"
 
-#: mp3framelist.cpp:1025
+#: mp3framelist.cpp:1051
 msgid "TSSE - Software/Hardware and settings used for encoding"
 msgstr "TSSE - Software/Hardware and settings used for encoding"
 
-#: mp3framelist.cpp:1026
+#: mp3framelist.cpp:1052
 msgid "TXXX - User defined text information"
 msgstr "TXXX - User defined text information"
 
-#: mp3framelist.cpp:1027
+#: mp3framelist.cpp:1053
 msgid "TYER - Year"
 msgstr "TYER - Year"
 
-#: mp3framelist.cpp:1028
+#: mp3framelist.cpp:1054
 msgid "UFID - Unique file identifier"
 msgstr "UFID - Unique file identifier"
 
-#: mp3framelist.cpp:1029
+#: mp3framelist.cpp:1055
 msgid "USER - Terms of use"
 msgstr "USER - Terms of use"
 
-#: mp3framelist.cpp:1030
+#: mp3framelist.cpp:1056
 msgid "USLT - Unsynchronized lyric/text transcription"
 msgstr "USLT - Unsynchronized lyric/text transcription"
 
-#: mp3framelist.cpp:1031
+#: mp3framelist.cpp:1057
 msgid "WCOM - Commercial information"
 msgstr "WCOM - Commercial information"
 
-#: mp3framelist.cpp:1032
+#: mp3framelist.cpp:1058
 msgid "WCOP - Copyright/Legal information"
 msgstr "WCOP - Copyright/Legal information"
 
-#: mp3framelist.cpp:1033
+#: mp3framelist.cpp:1059
 msgid "WOAF - Official audio file webpage"
 msgstr "WOAF - Official audio file webpage"
 
-#: mp3framelist.cpp:1034
+#: mp3framelist.cpp:1060
 msgid "WOAR - Official artist/performer webpage"
 msgstr "WOAR - Official artist/performer webpage"
 
-#: mp3framelist.cpp:1035
+#: mp3framelist.cpp:1061
 msgid "WOAS - Official audio source webpage"
 msgstr "WOAS - Official audio source webpage"
 
-#: mp3framelist.cpp:1036
+#: mp3framelist.cpp:1062
 msgid "WORS - Official internet radio station homepage"
 msgstr "WORS - Official internet radio station homepage"
 
-#: mp3framelist.cpp:1037
+#: mp3framelist.cpp:1063
 msgid "WPAY - Payment"
 msgstr "WPAY - Payment"
 
-#: mp3framelist.cpp:1038
+#: mp3framelist.cpp:1064
 msgid "WPUB - Official publisher webpage"
 msgstr "WPUB - Official publisher webpage"
 
-#: mp3framelist.cpp:1039
+#: mp3framelist.cpp:1065
 msgid "WXXX - User defined URL link"
 msgstr "WXXX - User defined URL link"
 
-#: mp3framelist.cpp:1156 oggframelist.cpp:323
+#: mp3framelist.cpp:1182 oggframelist.cpp:341
 msgid "Add Frame"
 msgstr "Добавить Фрейм"
 
-#: mp3framelist.cpp:1157 oggframelist.cpp:324
+#: mp3framelist.cpp:1183 oggframelist.cpp:342
 msgid "Select the frame ID"
 msgstr "Выбрать ID фрейма"
 
-#: musicbrainzclient.cpp:96
+#: musicbrainzclient.cpp:108
+msgid "Metadata Read"
+msgstr "Чтение метаданных"
+
+#: musicbrainzclient.cpp:110
 msgid "Unrecognized"
 msgstr "Непризнанный"
 
-#: musicbrainzclient.cpp:97
+#: musicbrainzclient.cpp:111
 msgid "Recognized"
 msgstr "Признанный"
 
-#: musicbrainzclient.cpp:98 musicbrainzclient.cpp:132
+#: musicbrainzclient.cpp:112 musicbrainzclient.cpp:152
 msgid "Pending"
 msgstr "В ожидании"
 
-#: musicbrainzclient.cpp:99
+#: musicbrainzclient.cpp:113
 msgid "TRM Lookup"
 msgstr "Поиск TRM"
 
-#: musicbrainzclient.cpp:100
+#: musicbrainzclient.cpp:114
 msgid "TRM Collision"
 msgstr "Столкновение TRM"
 
-#: musicbrainzclient.cpp:101
+#: musicbrainzclient.cpp:115
 msgid "File Lookup"
 msgstr "Поиск файла"
 
-#: musicbrainzclient.cpp:102
+#: musicbrainzclient.cpp:116
 msgid "User Selection"
 msgstr "Выбор"
 
-#: musicbrainzclient.cpp:103
+#: musicbrainzclient.cpp:117
 msgid "Verified"
 msgstr "Проверено"
 
-#: musicbrainzclient.cpp:104
+#: musicbrainzclient.cpp:118
 msgid "Saved"
 msgstr "Сохранено"
 
-#: musicbrainzclient.cpp:105
+#: musicbrainzclient.cpp:119
 msgid "Deleted"
 msgstr "Удалено"
 
-#: musicbrainzclient.cpp:135
+#: musicbrainzclient.cpp:155
 msgid "Removed"
 msgstr "Удалён"
 
-#: musicbrainzclient.cpp:162
+#: musicbrainzclient.cpp:203
 msgid "Written"
 msgstr "Записан"
 
@@ -1132,68 +1240,76 @@
 msgid "MusicBrainz"
 msgstr "MusicBrainz"
 
-#: musicbrainzdialog.cpp:105
+#: musicbrainzdialog.cpp:100
 msgid "Track Title/Artist - Album"
 msgstr "Число Название/Исполнитель - Альбом"
 
-#: musicbrainzdialog.cpp:106
+#: musicbrainzdialog.cpp:101
 msgid "State"
 msgstr "Состояние"
 
-#: musicbrainzdialog.cpp:110 musicbrainzdialog.cpp:332
+#: musicbrainzdialog.cpp:152 musicbrainzdialog.cpp:343
 msgid "No result"
 msgstr "Не удалось найти"
 
-#: musicbrainzdialog.cpp:112 musicbrainzdialog.cpp:114
-#: musicbrainzdialog.cpp:162
+#: musicbrainzdialog.cpp:154 musicbrainzdialog.cpp:156
+#: musicbrainzdialog.cpp:173
 msgid "Unknown"
 msgstr "Неизвестен"
 
-#: musicbrainzdialog.cpp:332
+#: musicbrainzdialog.cpp:343
 msgid "No result selected"
 msgstr "Никакой отобранный результат"
 
-#: rendirdialog.cpp:57
+#: numbertracksdialog.cpp:41
+msgid "&Start number:"
+msgstr "&Число начала:"
+
+#: numbertracksdialog.cpp:53
+msgid "&Destination:"
+msgstr "М&есто назначения:"
+
+#: rendirdialog.cpp:58
 msgid "Create Directory"
 msgstr "Создать Каталог"
 
-#: rendirdialog.cpp:66
+#: rendirdialog.cpp:67
 msgid "&Format:"
 msgstr "&Формат:"
 
-#: rendirdialog.cpp:92
+#: rendirdialog.cpp:86
 msgid "From:"
 msgstr "От:"
 
-#: rendirdialog.cpp:94
+#: rendirdialog.cpp:88
 msgid "To:"
 msgstr "На:"
 
-#: rendirdialog.cpp:163
+#: rendirdialog.cpp:157
 msgid "Create directory %1 failed\n"
 msgstr "Сбой попытки создания требуемого каталога %1\n"
 
-#: rendirdialog.cpp:184
+#: rendirdialog.cpp:178
 msgid "File %1 already exists\n"
 msgstr "Файл %1 уже существует\n"
 
-#: rendirdialog.cpp:190
+#: rendirdialog.cpp:184
 msgid "%1 is not a directory\n"
 msgstr "%1 - это не каталог\n"
 
-#: rendirdialog.cpp:198 rendirdialog.cpp:236
+#: rendirdialog.cpp:192 rendirdialog.cpp:230
 msgid "Rename %1 to %2 failed\n"
 msgstr "Ошибка переименование из %1 в %2\n"
 
-#: rendirdialog.cpp:222
+#: rendirdialog.cpp:216
 msgid "%1 already exists\n"
 msgstr "%1 уже существует\n"
 
-#: rendirdialog.cpp:228
+#: rendirdialog.cpp:222
 msgid "%1 is not a file\n"
 msgstr "%1 не является файлом\n"
 
-#: rendirdialog.cpp:397
+#: rendirdialog.cpp:391
 msgid "New directory name is too different\n"
 msgstr "Новое название каталога слишком отлично\n"
 

